<?php
namespace App\Http\Controllers;
use Illuminate\Http\Request;
use App\Category; use App\Auth;
use App\SubCategory;
class CategoryController extends Controller
{
   public function add_Subcategory(){
    $categories = SubCategory::orderBy('id','desc')->get();
    $category="";
    return view('admin.categories.add_Subcategory', compact('categories','category'));
   }
   
   public function newSubCategory(Request $r){
    $this->validate($r,['name' => 'required']);
    $category = new SubCategory();
    $category->name  = $r->name;
    $category->save();
    return redirect()->back()->with('mess','Sub Category Added Successfully');
   }
   public function editSubCategory($id){
    $category = SubCategory::where('id', $id)->first();
    $categories = SubCategory::all();
    return view('admin.categories.add_Subcategory',compact('category','categories'));
   }
    public function upadateSubCategory(Request $r){
     $this->validate($r,['name' => 'required' ]);
     $category = SubCategory::find($r->hidden_id);
     $category->name = $r->name;
     $category->save();
   return redirect()->back()->with('mess','Sub Category Added Successfully');
 }
 
  
   public function addCategory(){
    return view('admin.categories.add-category');
   }
   public function manageCategory(){
      $categories = Category::orderBy('id','desc')->get();
      return view('admin.categories.manage-category', compact('categories'));
   }
   
   public function newCategory(Request $r){
    $this->validate($r,['name' => 'required']);
    $image = $r->file('img');
    $category = new Category();
  if ($image)
  { 
    $imageName = $image->getClientOriginalName();
    $directory = 'img/category-img/';
    $image->move($directory, $imageName);
    $imageUrl = $directory.$imageName;
    $category->img     = $imageUrl;
   }
          
    $category->name      = $r->name;
    $category->des = $r->des;
    $category->save();
    
    return redirect()->back()->with('mess','Category Added Successfully');
   }
   
   public function editCategory($id){
      $category = Category::where('id', $id)->first();
      return view('admin.categories.edit-category', ['category'=> $category]);
   }
   
   public function upadateCategory(Request $r){
     $this->validate($r,[
        'name' => 'required']);
     
    $category = Category::find($r->category_id);
    $image = $r->file('img');
    if($image){
        if(file_exists($category->img)){
            unlink($category->img);
          }
      $imageName = $image->getClientOriginalName();
      $directory = 'img/category-img/';
      $image->move($directory, $imageName);
      $imageUrl = $directory.$imageName;
      $category->img      = $imageUrl;
      }
         
      $category->name = $r->name;
      $category->des = $r->des;
      $category->save();
      
      return redirect()->back()->with('mess','Category Updated Successfully');
   }
   
   
}
