<?php
namespace App\Http\Controllers;
use Illuminate\Http\Request;
use App\Brand;
class BrandController extends Controller
{
   public function addbrand(){
   	return view('admin.brands.add-brand');
   }

   public function manageBrand(){
    	$brands = Brand::orderBy('id', 'desc')->get();
    	return view('admin.brands.manage-brand', compact('brands'));
   }
   public function newBrand(Request $r){
     $this->validate($r,[ 'brand_name' => 'required' ]);
   	$brand = new Brand();
    $image = $r->file('brand_image')  ;
  if($image)
   {
    $imageName = $image->getClientOriginalName();
    $directory = 'img/brand_img/';
    $image->move($directory, $imageName);
    $imageUrl = $directory.$imageName;
   	$brand->brand_image	    = $imageUrl;
   }
    $brand->brand_name      = $r->brand_name;
    $brand->brand_description = $r->brand_description;
   	$brand->save();
   	
   	return redirect()->back()->with('mess','Brand Added Successfully');
   }
    public function editBrand($id){
  
      $brand = Brand::where('id', $id)->first();
      return view('admin.brands.edit-brand', ['brand'=> $brand]);
   }
   
   public function upadateBrand(Request $r){
      
    $brand = Brand::find($r->brand_id);
    $image = $r->file('brand_image')  ;
    if($image)
    {
      if(file_exists($brand->brand_image)){
        unlink($brand->brand_image);
      }
      $imageName = $image->getClientOriginalName();
      $directory = 'img/brand_img/';
      $image->move($directory, $imageName);
      $imageUrl = $directory.$imageName;
      $brand->brand_image      = $imageUrl;
    }      
         
      $brand->brand_name      = $r->brand_name;
      $brand->brand_description = $r->brand_description;
      $brand->save();
      
      return redirect()->back()->with('mess','brand Updated Successfully');
   }
   
   public function deleteBrand(Request $r, $id){
    $brand = Brand::find($id);
    if(file_exists($brand->brand_image)){
    unlink($brand->brand_image);
     }
    $brand->delete();
      if($r->ajax){
        return [ 'ms' => 'Brand Successfully Deleted !!!' ];
      }else{
        return redirect()->back()->with('mess','Brand Deleted Successfully');
      }
   }


}