<?php
namespace App\Http\Controllers\Dash;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Auth; use Str; use Cookie; use App\dash_app\Sale; use App\Foun_pay;
use App\dash_app\Party; use App\Product; use App\Visitor;
use App\dash_app\Purc; use App\dash_app\Pay;
use App\Exp; use App\Income; use App\Salary;
// Delete after '09-2023'
 use App\dash_app\Adj;   use App\dash_app\One_item;
class AjaxCon extends Controller{

  public function item_add(Request $r){   $all ='';  $n = $r->name;  $first = '';
   if($r->item){ // Ajax Check
     if($r->name){
      $all = Product::where('name', 'like', '%'.$n.'%')->orwhere('buy_price', 'like', '%'.$n.'%')
         ->orwhere('price', 'like', '%'.$n.'%')->orwhere('code', 'like', '%'.$n.'%')
         ->orwhere('unit', 'like', '%'.$n.'%')->get()->take(50);
      $first = Product::where('name', $r->name)->first();
      }else{
       $all = Product::get()->take(50);
      }
       if( $all->count()){
        $ms ='Please, Select a Product ????';   $st='ex';
       }else{ $ms='New Product will be adding  !!!';   $st='v'; }
         return ['mes'=>$ms, 'st'=>$st ,'all'=>$all ,'first'=>$first ];
    }
   if($r->name_one){
     if(Product::where('name', $r->name_one)->first()){
      $ms ='Please, Select a Product ????';   $st='ex';
     }else{ $ms='New Product will be adding  !!!';   $st='v'; }
       return ['mes'=>$ms, 'st'=>$st ,'all'=>$all ];
    }
   if($r->bar){ // Barcode
      if( Product::where('bar', $r->bar)->first() ){ // Barcode
         $all = Product::where('bar', $r->bar)->first();
      }else{
         $all = Product::find(($r->bar - 1000));
      }
     if($all){
       $ms ='Product Added !!!';   $st='v';
     }else{ $ms='Product Not Available ???';   $st='ex'; }
       return ['mes'=>$ms, 'st'=>$st ,'all'=>$all ];
    }

    if($r->party_add){
      if($r->sale){
        $all = Party::where('type','!=','Supplier')->orWhere('type','=',null)->orderBy('type', 'asc')->get();
      }elseif($r->purc){
        $all = Party::where('type','!=','Customer')->orWhere('type','=',null)->orderBy('type', 'asc')->get();
      }elseif($r->address){
        $all = Party::get()->unique('address');
      }elseif($r->p_id){ $up ='';
             // unknown Purc
           $party = Party::where('id',$r->p_id)->first();
           if($party->purc_tk && Purc::where('p_id',$r->p_id)->first()==null){ $up = 1; Party::where('id',$r->p_id)->update([ 'purc_tk'=>0 , 'paid'=>0  ]); }
           if($party->sale_tk && Sale::where('p_id',$r->p_id)->first()==null){ $up = 1; Party::where('id',$r->p_id)->update([ 'sale_tk'=>0 , 'rec'=>0 ]); }
           if($up){
              return ['party' => Party::where('id',$r->p_id)->first() ];
           }else{
              return ['party' => $up ];
           }
      }else{ $all = Party::all(); }

      return ['partys' => $all ];
    }
  }


  public function admin_home(Request $r){

    if($r->year){
            if($r->year==4000){  // sum() firster then get()
                $s_y=(Sale::whereYear('date',date("Y"))->sum('total') - Sale::whereYear('date',date("Y"))->sum('pre_due'));
                $profit_y=Sale::whereYear('date',date("Y"))->sum('profit');
               return ['s_y'=>$s_y, 'profit_y'=>$profit_y ];
            }elseif($r->year==5500){
                $pur = Purc::whereYear('date',date("Y"))->get();     $p_y = ($pur->sum('total') - $pur->sum('pre_due'));
               return ['p_y'=>$p_y];
            }elseif($r->year==7000){
                $ex_y = Exp::whereYear('date',date("Y"))->sum('tk');
                $sal_yr = Salary::whereYear('date',date("Y"))->sum('tot');
               return [  'ex_y'=>$ex_y,'sal_yr'=>$sal_yr];
            }elseif($r->year==8500){
                  $k_k = 0;
                  foreach(Product::all() as $pp){   if($pp->stock < $pp->m_stock ){  $k_k++; }  }
               return ['badge_count'=>$k_k];
            }
    }elseif($r->cash){
        $rec_t = Pay::where('pay','In')->sum('paid');
        $paid_t = Pay::where('pay','Out')->sum('paid');
        $ex_in_all = Income::sum('tk');
        $ex_all = Exp::sum('tk');
        $salary_all = Salary::sum('tot');
        $in_t = Sale::sum('tk') + $rec_t + Foun_pay::sum('tk');
        $loss_t = Purc::sum('tk') + $paid_t +  $ex_all + $salary_all;

        $u_rec=0; $u_pay=0;
      foreach(Party::all()  as $party){
            $sal_due =0;  $pur_due =0; $incm  =0; $loss =0;
            $sal_due = $party->sale_tk - $party->rec;
            $pur_due = $party->purc_tk - $party->paid;
            $incm += ($sal_due + $party->to_rec) - $party->in_tk; // Oppning
            $loss += ($pur_due + $party->to_pay) - $party->out_tk;
         if($incm > $loss){
            $u_rec += ( $incm - $loss );
         }elseif($loss > $incm){
            $u_pay += ( $loss -  $incm ); 
         }
      }

       return ['cash_in_h'=>( $in_t - $loss_t), 'ex_in_all'=> $ex_in_all,  'paid_t'=>$paid_t, 'rec_t'=>$rec_t ,  'u_rec'=>$u_rec,  'u_pay'=>$u_pay,];
      }

    if(strpos($_SERVER['HTTP_USER_AGENT'], 'Firefox') == true){     $ff = 'Firefox'; // 66
   }elseif(strpos($_SERVER['HTTP_USER_AGENT'], 'Chrome') == true){     $ff = 'Chrome'; // 81
   }else{  $ff = 'Unknown'; }
   $go = Visitor::where('user_id',Auth::user()->id)
         ->where('cooki',Cookie::get('cookie_id'))->first();
    if($go){
      $go->update(array_merge(['dd'=>date("d.M.Y g:i a"),'info'=>$ff]));
    }
    $lY = date("Y",strtotime("-1 month"));
    date("n", strtotime("-1 month"));
   $lm = date("m",strtotime("-1 month"));  if($lm==date("m")){ $lm = $lm-1;  }

    $s_to=0; $s_rec=0; $s_to_m=0;   $pr_to=0;
   $sl=Sale::whereDate('date',date('Y-m-d'))->get();
   $s_to=($sl->sum('total') - $sl->sum('pre_due'));   $s_rec=$sl->sum('tk');
   $pr_to=$sl->sum('profit');

    $sl = Sale::whereMonth('date',date("m"))->whereYear('date',date("Y"))->get();
    $pr_to_m=0;
    $s_to_m=($sl->sum('total') - $sl->sum('pre_due'));
    $pr_to_m=$sl->sum('profit');

    $pr_to_lm=0;   $s_to_lm=0;
    $sl = Sale::whereMonth('date',$lm)->whereYear('date',$lY)->get();
    $s_to_lm=($sl->sum('total') - $sl->sum('pre_due'));
    $pr_to_lm=$sl->sum('profit');


    $pur = Purc::whereDate('date',date('Y-m-d'))->get();
      $p_to=0; $p_rec=0;   $p_to_m=0;  $p_to_lm=0;  
      foreach($pur as $sl){ $p_to+=($sl->total - $sl->pre_due);  $p_rec+=$sl->tk; }
    $pur = Purc::whereMonth('date',date("m"))->whereYear('date',date("Y"))->get();
      foreach($pur as $sl){ $p_to_m+=($sl->total - $sl->pre_due);   }
    $last  = Purc::whereMonth('date',$lm)->whereYear('date',$lY)->get();
      foreach($last as $sl){ $p_to_lm+=($sl->total - $sl->pre_due); }

    $ex_to=0;   $ex_to_m=0; $ex_to_lm=0;
    $exp = Exp::whereDate('date',date('Y-m-d'))->get();
      foreach($exp as $sl){ $ex_to+=$sl->tk; }
    $exp = Exp::whereMonth('date',date("m"))->whereYear('date',date("Y"))->get();
      foreach($exp as $sl){ $ex_to_m+=$sl->tk; }
    $last = Exp::whereMonth('date',$lm)->whereYear('date',$lY)->get();
      foreach($last as $sl){ $ex_to_lm+=$sl->tk; }
      // foreach($exp as $sl){ $ex_y+=$sl->tk; }

    $ex_in_to=0;   $ex_in_to_m=0; $ex_in_to_lm=0; $ex_in_y=0;
    $exp = Income::whereDate('date',date('Y-m-d'))->get();
      foreach($exp as $sl){ $ex_in_to+=$sl->tk; }
    $exp = Income::whereMonth('date',date("m"))->whereYear('date',date("Y"))->get();
      foreach($exp as $sl){ $ex_in_to_m+=$sl->tk; }
    $last = Income::whereMonth('date',$lm)->whereYear('date',$lY)->get();
      foreach($last as $sl){ $ex_in_to_lm+=$sl->tk; }
    $ex_in_y = Income::whereYear('date',date("Y"))->sum('tk');

   $sal_day = 0; $sal_mt = 0; $sal_ls = 0; 
    $salary = Salary::whereDate('date',date('Y-m-d'))->get();
      foreach($salary as $sl){ $sal_day+=$sl->tot; }
    $salary = Salary::whereMonth('date',date("m"))->whereYear('date',date("Y"))->get();
      foreach($salary as $sl){ $sal_mt+=$sl->tot; }
    $last = Salary::whereMonth('date',$lm)->whereYear('date',$lY)->get();
      foreach($last as $sl){ $sal_ls+=$sl->tot; }



   $f_day_p = Foun_pay::whereDate('date',date('Y-m-d'))->sum('tk');

   $paid_out = 0; $rec_in = 0;
   $rec = Pay::whereDate('date',date('Y-m-d'))->where('pay','In')->sum('paid');
   $paid = Pay::whereDate('date',date('Y-m-d'))->where('pay','Out')->sum('paid');

    if($paid > $rec){ $paid_out = $paid - $rec;
    }else{ $rec_in = $rec - $paid; }
    $sum = $s_rec - ($ex_to + $p_rec);  $day_t = ($sum + $rec_in + $f_day_p) - $paid_out;

   return ['s_to'=>$s_to, 's_rec'=>$s_rec, 's_to_m'=>$s_to_m, 's_to_lm'=>$s_to_lm,
    'p_to'=>$p_to, 'p_rec'=>$p_rec, 'p_to_m'=>$p_to_m, 'p_to_lm'=>$p_to_lm,
    'ex_to'=>$ex_to,'ex_to_m'=>$ex_to_m,'ex_to_lm'=>$ex_to_lm,
    'ex_in_to'=>$ex_in_to,'ex_in_to_m'=>$ex_in_to_m,'ex_in_to_lm'=>$ex_in_to_lm,'ex_in_y'=>$ex_in_y,
    'sal_day'=>$sal_day,'sal_mt'=>$sal_mt,'sal_ls'=>$sal_ls,
    'paid'=>$paid, 'rec'=>$rec, 'day_t'=>$day_t, 'f_day_p'=>$f_day_p,
    'pr_to'=>$pr_to, 'pr_to_m'=>$pr_to_m, 'pr_to_lm'=>$pr_to_lm, 
    // 'cash_in_h'=>( $in_t - $loss_t), 'u_rec'=>$u_rec,
    ];
  }


}