<?php
namespace App\Http\Controllers;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
class HomeController extends Controller
{
  /**
   * Create a new controller instance.
   *
   * @return void
   */
  public function __construct()
  {
  	        
     if (Auth::check() && Auth::user()->role->id == 33)
     {
          $this->redirectTo = route('admin');
     } elseif 
     	  (Auth::check() && Auth::user()->role->id == 2)
 		{
          $this->redirectTo = route('user');
      } else{

       $this->middleware('guest')->except('logout');
     }
   //         	 $this->middleware('auth');
  
  }

  /**
   * Show the application dashboard.
   *
   * @return \Illuminate\Contracts\Support\Renderable
   */
  public function index()
  { 
      return view('admin.home');
  }
    
  

}
