<?php

namespace App\Providers;
use Illuminate\Support\ServiceProvider;
use Illuminate\Support\Facades\Schema;
use Illuminate\Support\Facades\View;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {
        //
    }

    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot()
    {
        View::share('ln', file_get_contents('bootstrap/in/lan.php')); // Global variable
        include'bootstrap/x.php';   View::share('ss', $ss);
        View::share( 'tk', file_get_contents('bootstrap/in/tk.php') );
        View::share('pdf', isset($_GET['pdf']));
        View::share('fc', 'form-control');
        Schema::defaultStringLength('191');
    }
}
