<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateCostsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
       Schema::create('costs', function (Blueprint $table) {
        $table->bigIncrements('id');
        $table->string('category')->nullable();
        $table->string('Sub_ca')->nullable();
        $table->tinyInteger('type')->default(1);
        $table->string('password');
        $table->timestamps();
      });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('costs');
    }
}
