@extends('admin.master')
@section('content')
@if(Auth::user()->role_id > 11)
  @if($pdf==null)
   <style>.items a{padding:3px 7px}.h_34{height:34px}.fa-map-marker::before{content:"\f041"}
   .date input,.date button,.input-group-append{border-radius:0}.table th{padding:5px 0}.up_i::before {right:1em;content:"\2191"}.table td,.table th{text-align:left}
   .up_i::after{right:0.5em;content:"\2193"}.table td{line-height:25px}
   li.page-item .page-link{background:#143f66 !important;color:#fff;font-weight:normal;padding:11px 22px}.h_36{height:36px}
   .auto{background-color:#fffaf1;position:absolute;width:300px;font-size:17px;z-index:5;top:36px}
   </style>
   @include('dash.item.in.td_resp_full')
  @endif

  <?php $up='';  $pay=request()->pay;  $type=request()->type;  $pp='pp';
        $day=request()->day;  $day_2=request()->day_2;  $print=request()->print;
        if( empty($ck_print) ){  $ck_print='';  }
        $tt =50; if($pdf or $pay){ $tt = 1100; }  $s_paid=0;
        $title=''; $sc=''; $ser=''; $bg='bg-secondary';  $p_id=request()->p_id; ?>

  @if(isset($_GET['title']))  <?php $title=$_GET['title'] ; ?> @else <?php $title='date'; ; ?>  @endif
  @if(isset($_GET['sc']))  <?php  $tt = 1100; if($_GET['sc']=='asc'){  $sc='desc'; }else{ $sc='asc'; } ?>
  @else <?php $sc='desc'; ?>  @endif
 
  <?php //print_r($ck_print);
   if($day){  $bg='bg-dark';
      $all= App\dash_app\Party::whereBetween('date', [$day, $day_2])->paginate($tt);
      $count = App\dash_app\Party::whereBetween('date', [$day, $day_2])->get()->count();
    }elseif($type){  $tt=500;
      $all= App\dash_app\Party::where('type',$type)->paginate($tt);
      $count = App\dash_app\Party::where('type',$type)->get()->count();
    }elseif(request()->p_id){
      $all= App\dash_app\Party::where('id',request()->p_id)->paginate($tt);
      $count = App\dash_app\Party::where('id',request()->p_id)->get()->count();
    }else{
      $all= App\dash_app\Party::orderBy($title, $sc)->paginate($tt);
      $count = App\dash_app\Party::orderBy($title, $sc)->get()->count();
    }  ?>
    
  @if($pdf)
    <script src="{{ asset('public/front/js/jquery-2.2.3.min.js') }}"></script>
    <div class="row m-1">
      <h5 class="col-5 fwb"> {{$ln? 'All Parties ' :'সকল পার্টিস'}} </h5>
      @if($day)
        <p class="col-3 fwb mb-0 pt-2 px-2 f_13">
          Start:
            {{date_format(date_create($day),"d-M-Y" ) }}
        </p>
        <p class="col-3 fwb mb-0 pt-2 pl-3 f_13">
          End:
           {{date_format(date_create($day_2),"d-M-Y" ) }}
        </p>
      @elseif($type)
        <p class="col-6 fwb mb-0 pt-2 px-2 f_13">{{$type}}</p>
      @elseif($pay)
        <p class="col-6 fwb mb-0 pt-2 px-2 f_13">
          @if($pay=='pay') Payable @else Receivable @endif Amount
        </p>
      @endif
    </div>
    <style>.btn{padding:0}.table{border-top:2px solid #dee2e6}</style>
  @else
      <form class="row pt-4 mb-3 bg-white"  action="{{url('party_all')}}" >
        <h4 class="col-md-3 fwb mb-4">{{$ln?'All Parties ' :'সকল পার্টিস'}}</h4>
        <div class="col-md-5  row text-light date">
          <div class="col-md-6 row p-0 mb-4">
            <p class="col-4 fwb mb-0 {{$bg}} pt-2">Start</p>
            <div class="col-8 pl-0 pr-md-4 row mb-0">
              <input type="date" name="day" class="{{$fc}} px-1" @if($day) value="{{$day}}" @endif/>
            </div>
          </div>
          <div class="col-md-6 row p-0 mb-4">
            <p class="col-3 fwb mb-0 {{$bg}} pt-2 pl-3">End</p>
            <div class="col-7 px-0 row mb-0">
              <input type="date" name="day_2" class="{{$fc}} px-1" @if($day_2) value="{{$day_2}}" @endif/>
            </div>
            <div class="col-2 px-0">
              <button class="btn btn-info col-12" style="margin-left:-1px" type="submit">
                <i class="fa fa-search"></i></button>
            </div>
          </div>
        </div>

        <div class="col-md-4 p-0 row">
            <div class="col-md-8 pb-3 mx-auto pl-0">
               <a class="btn btn-success mx-2 px-3 pt-1 {{$pay=='pay'? 'active':''}} float-right" href="{{ url('party_all?pay=pay')}}">
                {{$ln?'Payable' : 'আমি দিবো'}}
               </a>
               <a class="btn btn-success mx-2 px-3 pt-1 {{$pay=='rec'? 'active':''}} float-right" href="{{ url('party_all?pay=rec')}}"> 
                 {{$ln?'Receivable' : 'আমি পাবো'}}
               </a>
            </div>
            <?php $url = 'day='.$day.'&day_2='.$day_2.'&pay='.$pay.'&title='.$title.'&sc='.$sc.'&type='.$type; ?>
            <div class="col-md-2 mb-4">
              <a class="btn btn-primary  prnt px-3 float-right" href="{{url('party_all?pdf=1&'.$url)}}" >
                <i class="fa fa-print"></i>
              </a>
            </div>
            <div class="col-md-2 mb-4">
              <a class="btn btn-danger px-3 float-right" target="_blank"
                 href="{{url('party_all?pdf=2&print=1&'.$url)}}" >
                <i class="fa fa-print"></i>
              </a>
            </div>
        </div>
      </form>
  @endif

    <div class="row bg-white pt-3 mt-3 {{$pdf? 'd-none': ''}}">

      <div class="col-md-4 row px-0 mt-1">
        <p class="col-md-3 px-md-0  mb-0 fwb mt-1 text-md-right">Party Filter</p>
        <form class="col-md-9  pb-3 " id="f_pr" action="{{ url('party_all')}}">
           <div class="row">
              <input class="c_in_all {{$fc}} fwb" id="myInput_all"
                     autocomplete="off"  name="p_id">
              <div id="myUL_all" class="auto pb-3" style="top:37px;left:4px;width:750px;display:none">
                <!-- var html in -->
              </div>
           </div>
          <script>
          $('#myInput_all').click( function(){ var html = '';
            $.ajax({
               url:"{{ url('item_add')}}", // Dash\AjaxCon
               type:"GET", dataType:'JSON',  cache:false,  data:{ party_add:1 },
                success:function (data){
                    data.partys.forEach(function(p){  var phone;
                      html +='<p class="row px-1 py-2 border-bottom pro_all fwb ttl"  onclick="auto_all(this)" id="'+p.id+'">'
                        if(p.phone){  phone = 'fa fa-phone'; }
                        html +=' <a class="col-9 row text-dark" href="#e_m" id="'+p.id+'" >'
                        html +='   <span class="col-5 d-block p-0">' +p.name+ '</span>'
                        html +='   <span class="col-4 d-block p-0">'
                        html +='   <i class="fa fa-phone pl-2"></i>' +p.phone+ '</span>'
                        html +='   <span class="col-3 d-block p-0">CID: ' +p.p_id+ '</span>'
                        html +=' </a>'
                        html +=' <a href="#e_m" style="color:gray;font-size:13px">'
                        html +='    <i class="fa fa-map-marker"></i> ' +p.address+ ' </a>'
                        html +=' </p>'
                    })
                   $('#myUL_all').html(html);
                },
               error: function(){ location.reload(); }
            });
          })
         </script>
           @include('dash.party.party_auto_party_all')
        </form>
      </div>

       <div class="col-md-3 fwb" id="sms"  onclick="check()" style="margin-top:6px">
          <p class="btn btn-danger active btn-sm mr-2 mb-0  py-1 px-3 mb-3" id="s_8">Unselect All</p>
          <p class="btn btn-success count btn-sm mr-2 mb-0  py-1 px-3 mb-3" id="s_9">Select All <span></span></p>
       </div>
      <form class="col-md-2 row px-0 mt-1" action="{{ url('party_all')}}">
           <select class="{{$fc}} br0 h_36" name="type"  onchange="this.form.submit()">
            @if($type) <option>{{ $type }}</option> @endif
             <option value="">Select Type</option> <option value="">All Parties</option>
              @foreach(App\dash_app\Party::get()->unique('type') as $t_t)
                 <option>{{ $t_t->type }}</option>
              @endforeach
           </select>
      </form>
       <div class="col-md-3 fwb" id="sms"  onclick="check()" style="margin-top:6px">
          <a class="btn btn-primary btn-sm py-1 mb-3 px-3 float-right" href="{{url('all_sms')}}">All SMS</a>
          <a class="btn btn-info float-right mr-2 btn-sm py-1 mb-3 px-3"
             href="#" id="add" data-toggle="modal" data-target="#party_{{$pp}}">
              {{$ln?'Add Party' : 'পার্টি যোগ'}}
          </a>
       </div>

    </div>   @include('dash.party.add')

    <form class="col-md-12 bg-white px-0 pt-1" method="post" action="{{ url('sms_send')}}"> @csrf
      <table class="table tab_2 border-bottom {{$pdf ? '' : 'tab_respon table-hover'}}">
         <thead>
           <tr style="background:#fff6dc">
              <th class="d_n"><a class="btn p-0 btn-sm fwb"> Sl </a></th>
                <?php $prl='party_all?title='; ?>
              <th class="d_n"><a class="btn p-0 btn-sm {{$title=='name'? ' text-danger' : '' }} fwb"
                   href="{{url($prl.'name&sc='.$sc)}}"><i class="up_i pr-2"></i>
                 {{ $ln?'Name' : 'নাম'}}</a>
               </th>
              <th class="d_n"><a class="btn p-0 btn-sm {{$title=='date'? ' text-danger' : '' }} fwb"
                   href="{{url($prl.'date&sc='.$sc)}}"><i class="up_i pr-2"></i>
                 {{ $ln?'date' : 'তারিখ'}}</a>
              </th>
              <th class="d_n"><a class="btn p-0 btn-sm {{$title=='phone'? ' text-danger' : '' }} fwb"
                   href="{{url($prl.'phone&sc='.$sc)}}"><i class="up_i pr-2"></i>
                 {{ $ln?'Phone' : 'ফোন'}}</a>
              </th>
              <th class="d_n"><a class="btn p-0 btn-sm {{$title=='p_id'? ' text-danger' : '' }} fwb"
                   href="{{url($prl.'p_id&sc='.$sc)}}"><i class="up_i pr-2"></i>
                 {{ $ln?'Custom ID' : 'কাস্টম আইডি'}}</a>
              </th>
              <th class="{{$pdf? 'd-none':''}}">
                 @include('admin.model.sms_mod')
              </th>

              <th class="{{$print? '' : 'd-none'}}" id="p_btn">
                <button type="button" id="p_button"  disabled="" class="btn btn-sm btn-primary px-1">
                  Print
                </button>
              </th>

              <th class="d_n"><a class="btn p-0 btn-sm {{$title=='address'? ' text-danger' : '' }} fwb"
                   href="{{url($prl.'address&sc='.$sc)}}"><i class="up_i pr-2"></i>
                   {{ $ln?'Address' : 'ঠিকানা'}}</a>
              </th>
              <th class="d_n"><a class="btn p-0 btn-sm {{$title=='type'? ' text-danger' : '' }} fwb"
                   href="{{url($prl.'type&sc='.$sc)}}"><i class="up_i pr-2"></i>
                   {{ $ln?'Type' : 'টাইপ'}}</a>
              </th>
              <th class="d_n"><a class="btn p-0 btn-sm fwb" href="#">{{ $ln?'Balance' : 'ব্যালেন্স'}}</a>
              </th>
              <th class="d_n {{$pdf? 'd-none':''}}"><a class="btn btn-sm fwb"> Ref </a></th>
              <th class="d_n {{$pdf? 'd-none':''}}"><a class="btn btn-sm fwb"> 
               {{ $ln? 'Note' : 'নোট'}} </a></th>
              <th class="d_n {{$pdf? 'd-none':''}}"><a class="btn btn-sm fwb"> 
               {{ $ln? 'Action' : 'অ্যাকশন'}} </a></th>
           </tr>                
         </thead>
      <tbody>

       <?php $k = 0;   $u_rec=0; $u_pay=0; // $tot_bl = 0; ?>
          @foreach($all as $pr)  <?php $s_paid+=$pr->paid; ?>
           <?php  $sal_due =0;  $pur_due =0; $incm  =0; $loss =0;
                  $sal_due = $pr->sale_tk - $pr->rec;
                  $pur_due = $pr->purc_tk - $pr->paid;
                  $incm += ($sal_due + $pr->to_rec) - $pr->in_tk; // Oppning
                  $loss += ($pur_due + $pr->to_pay) - $pr->out_tk;
                   if($incm > $loss){
                      $u_rec += ( $incm - $loss ); // same ==dash
                   }elseif($loss > $incm){
                      $u_pay += ( $loss -  $incm );  // same ==dash
                   } ?>
            @if($pay)
               @if($pay=='rec' && $incm > $loss)  <?php    $k++; ?>
                  @include('dash.party.in.party_tr_in')
               @elseif($pay=='pay' && $loss > $incm)  <?php   $k++; ?>
                  @include('dash.party.in.party_tr_in')
               @endif
            @else  <?php   $k++;  ?>
               @include('dash.party.in.party_tr_in')
            @endif
          @endforeach

           <tr style="background:#fff7f4">
               @if($print) <td></td> @endif
             <td colspan="7"> <h5 class="my-1 text-right mr-2"> Total </h5> </td>
               @if($pdf==null) <td><!-- SMS --></td> @endif
               <td>
                  <h5 class="my-1 " id="to_b">
                     @if($pay=='pay') {{ $u_pay }}
                     @else {{ $u_rec }}
                     @endif
                  </h5>
               </td>
               @if($pdf==null) <td colspan="3"></td> @endif
           </tr>
         </tbody>
      </table>

        <div class="m-3">   
          <?php  $page=request()->page; ?>
          @for($p=1; $p <= (($count/$tt)+1); $p++ )
            <a class="btn btn-info btn-sm mb-3 @if($page==$p) active @elseif($page==null && $p==1) active @endif"
               href="{{ url()->current().'?pay='.$pay.'&type='.$type.'&page='.$p  }}"> Page - {{$p}}
            </a>
          @endfor
        </div>

    </form>

  @if($pdf==null)
   <script>
    function check(){
        var count = 0;
        var inputElems = document.getElementsByClassName("check_sm");
            for (var i=0; i<inputElems.length; i++) {
            if (inputElems[i].type === "checkbox" && inputElems[i].checked === true){ count++; }
            if (count > 0){
                $("#m_btn a").removeClass("d-none");
                $("#m_btn button").addClass("d-none");
              // console.log( oldValue.parent().parent().addClass('tr_check') )
            }else{
                $("#m_btn a").addClass("d-none");
                $("#m_btn button").removeClass("d-none");
            }
              $(".count span").text('('+ count +')');
          }
    }
    $(document).ready(function(){
      $('#s_9').click(function(){
        $(".check_sm").prop("checked", true);
        $("#s_9").removeClass("btn-success").addClass("btn-warning");
       });
      $('#s_8').click(function(){
          $(".check_sm").prop("checked", false);
          $("#s_9").removeClass("btn-warning").addClass("btn-success");
       });
    });

     @if(request()->add) setTimeout(function(){ $("#add").click(); },900); @endif

   </script>

   <script src="{{asset('public/admin')}}/js/printPage.js" type="text/javascript"></script>
   <script> $( document ).ready(function(){ $(".prnt").printPage(); }); </script>
  @else
   <script>
      function ch_print(m){
          var count = 0;
          var my_btn = $(m);
          var c_p_in = document.getElementsByClassName("check_p");
              for (var i=0; i<c_p_in.length; i++) {
              if (c_p_in[i].type === "checkbox" && c_p_in[i].checked === true){ count++; }
              if (count > 0){
                document.getElementById("p_button").disabled = false;
              }else{
                document.getElementById("p_button").disabled = true;
              }
            }
           my_btn.parent().parent().toggleClass('table-warning td')
      }

      $('#p_button').click(function(){
         $('tbody tr').addClass('d-none');
         $('tbody .table-warning').removeClass('d-none');
        window.print();
      });
   </script>
   <style>.table-warning td{background:#fff;padding-top:7px}</style>
  @endif

   <script>
      $( document ).ready(function(){
       var tt=0; var arr = document.getElementsByClassName('loss_in'); // in\party_tr_in.blade.php
       for(var i=0;i<arr.length;i++){
          if(parseFloat(arr[i].innerText)) tt += parseFloat(arr[i].innerText);
        }
         $('#to_b').text(tt);
      }); 
   </script>
@else
 <script> window.location.replace("{{url('dashbord?not=1')}}"); </script>
@endif
@endsection
