@extends('admin.master') @section('title') Edit Brand @endsection
@section('content')
@if(Auth::user()->role_id > 11)

  <div class="main-panel">
  <div class="content-wrapper">
    <div class="card">
      <div class="card-header">
       <h2>Edit Brand </h2> 
      </div>
      <div class="card-body">

        <form action="{{ url('update-brand') }} " method="post" enctype="multipart/form-data">
          @csrf
          <div class="form-group">
            <label for="name">Brand Name</label>
            <input type="text" class="form-control" name="brand_name" id="name" aria-describedby="emailHelp" value="{{ $brand->brand_name }} ">
            <input type="hidden" name="brand_id" value="{{ $brand->id }} ">
          </div>

          <div class="form-group">
            <label for="exampleInputPassword1">Description</label>
            <textarea name="brand_description" rows="8" cols="80" 
            value="{{ $brand->brand_description }} " class="form-control">{{ $brand->brand_description }} </textarea>
          </div>
          

          <div class="form-group">
            <label for="image">  Brand Old Image</label> <br>
                    <img src="{{asset($brand->brand_image)}}" width="100"> 
                  <br> <br> 
            <label for="image2">  Brand New Image</label>
                <input type="file" class="form-control file" name="brand_image" id="image2" >
          </div>
      
         <button type="submit" class="btn btn-success">Update  Brand</button>
       </form>


      </div>
    </div>

  </div>
  </div>

@else <script> window.location.replace("{{url('dashbord?not=1')}}"); </script>
@endif

@endsection
