@extends('admin.master') @section('title') Edit Category @endsection
@section('content')
@if(Auth::user()->role_id > 11)

  <div class="card">
    <div class="card-header">
     <h2>Edit Category </h2> 
    </div>
    <div class="card-body">
      <form action="{{ url('update-category') }} " method="post" enctype="multipart/form-data">
        @csrf
        <div class="form-group">
          <label>Category Name</label>
          <input type="text" class="form-control" name="name" value="{{ $category->name }} " required>
          <input type="hidden" name="category_id" value="{{ $category->id }} ">
        </div>
        <div class="form-group">
          <label for="exampleInputPassword1">Description</label>
          <textarea name="de" rows="8" cols="80" 
          value="{{ $category->de }} " class="form-control">{{ $category->de }} </textarea>
        </div>
        <div class="form-group">
          <label for="image">  Category Old Image</label> <br>
           <img src="{{asset($category->img)}}" width="100"> 
                <br> <br> 
          <label for="image2">  Category New Image</label>
              <input type="file" class="form-control file" name="img" id="image2" >
        </div>
       <button type="submit" class="btn btn-success">Update  Category</button>
     </form>
    </div>
  </div>
@else <script> window.location.replace("{{url('dashbord?not=1')}}"); </script>
@endif

@endsection
