@extends('admin.master') @section('title') Manage Category @endsection
@section('content')
@if(Auth::user()->role_id > 11)
  <div class="card">
    <div class="row">
      <div class="card-header col-md-8">
       <h3 class="m-1">{{ $ln? 'Manage Category' : 'ক্যাটাগরি  পরিচালনা'}}</h3> 
      </div>
      <div class="card-header col-md-4">
        <a href="{{url('add_cty')}}" class="btn btn-info float-right mx-1">
          + {{ $ln? 'Add Category' : 'ক্যাটাগরি যোগ'}}</a>
        <a href="{{url('add_sub_cty')}}" class="btn btn-info float-right mx-1">
            {{ $ln? 'Sub Category' : 'সাব ক্যাটাগরি'}}</a>
      </div>
    </div>
    <div class="card-body">
      <table class="table table-hover tab_respon">
        <thead class="table-primary"> 
          <tr>
            <th>Sl</th>
            <th>Category Name</th>
            <!-- <th>Category Image</th> -->
            <th>Category Description</th>
            <th>Action</th>
          </tr>                
        </thead>
        <tbody> 
          @foreach (App\Category::all() as $ca)
            <tr>
              <td>{{ $loop->index + 1 }}</td>
              <td>{{ $ca->name }}</td>
              <!-- <td> <img src="{{asset($ca->img)}}" width="100" alt="Image"> </td> -->
              <td>
              {{ $ca->des  }}
              </td>
              <td>
              <a href="{{ url('add_cty?id=').$ca->id }}" class="btn btn-success btn-sm "> <i class="fa fa-edit"></i> </a>
              <?php $d_id =$ca->id; $url="del";  $my_app='App\Category'; ?>
                    @include('admin.model.delet_model')
              </td>
            </tr>
          @endforeach        
        </tbody>
      </table>
    </div>
  </div>
@else <script> window.location.replace("{{url('dashbord?not=1')}}"); </script>
@endif

@endsection
