@extends('admin.master') @section('title')Add Expence @endsection
@section('content') <?php $rr=0;  if(request()->id){ $rr=2; } ?>
@if(Auth::user()->role_id > 11 + $rr)
  <div style="background:#fffdf5">
    <div class="card-header m-0">
      <div class="container row mx-auto">
          <div class="col-md-9"> <h3 class="ml-2 m-0"> {{ $ln? 'Add Expense' : 'ব্যায় যুক্ত করুন'}}</h3> </div>
          <div class="col-md-3 pr-0">
            <a class="btn btn-info prnt btn-sm float-right" style="padding:7px 15px"
               href="{{url('ex/all')}}">  {{ $ln? 'All Expenses' : 'সমস্ত ব্যায়'}} </a>
            <a class="btn btn-info prnt btn-sm mx-2 float-right" style="padding:7px 15px"
               href="{{url('hr/all')}}">Add Salary </a>
          </div>
      </div>
    </div>
    <div class=" container"><!-- enctype="multipart/form-data"-->
      <form class="card-body" action="{{ url('ex/post')}}" method="post"> @csrf
        <div class="input-group mt-3 mb-3 pt-1">
          <label class="col-12 ml-2 p-0 mb-1">Expence Title</label>
          <input type="hidden" name="id" @if($up) value="{{$up->id}}" @endif>
          <input type="text" class="form-control"  name="title"
                 @if($up) value="{{$up->title}}" @endif id="title" required>
          <select  onchange="ti_tle()" class="custom-select" id="ExpenceTitle" >
             <option value="">Select Title</option>
             @foreach($ex_t as $ex)
               @if($ex->type==1) <option>{{ $ex->title}}</option> @endif
             @endforeach
          </select>
        </div>
        
        <div class="input-group mt-3 mb-3 pt-1">
          <label class="col-12 ml-2 p-0 mb-1">Expence Sub Title</label>
          <input type="text" class="form-control"  name="sub"
                  @if($up) value="{{$up->sub}}" @endif  id="sub">
          <select  onchange="ti_tle()" class="custom-select" id="sub_t">
             <option value="">Select Sub Title</option>
             @foreach($ex_t as $ex)
               @if($ex->type==2) <option>{{ $ex->title}}</option> @endif
             @endforeach
          </select>
        </div>

          <div class="row mx-0 mt-3 mb-3 {{Auth::user()->role_id > 13? '' : 'd-none'}}">
            <label class="col-12 ml-2 p-0 mb-1">Expence Date</label>
            <input type='date' name="date" @if($up) value="{{$up->date}}" @else value="{{date('Y-m-d')}}" @endif class="form-control" />
          </div>

        <div class="form-group row mb-2">
          <div class="col-md-6 p-0">
            <label class="ml-2 mb-1">Pay Amount</label>
            <input type="number" class="form-control"  name="tk"
                    @if($up) value="{{$up->tk}}" @endif required>  
          </div>
          <div class="col-md-6 p-0">
            <label class="ml-2 mb-1">Payment Type</label>
            <select  name="p_type" class="form-control" required>
              @if($up) <option> {{$up->p_type}}</option> @endif
              <option>Cash</option> <option>Bank</option>
            </select>
          </div>
        </div>


        <div class="form-group row mb-2">
            <label class="col-12 p-0 ml-2 mb-1">Number</label>
            <div class="col-md-6 p-0">
              <input type="number" class="form-control"  name="number"
                      @if($up) value="{{$up->number}}" @endif>  
            </div>
            <div class="col-md-6 p-0">
              <label class="row border" style="height: 38px;">
                 <input type="checkbox" name="sms_send" value="1" style="width: 22px;height: 22px;margin: 7px;">
                 <p class="p-1" style="cursor:pointer;user-select:none;color:#a80000;font-size: 17px;">Send SMS Notification</p>
              </label>
            </div>
        </div>
        
        <div class="form-group">
          <label class="ml-2 mb-1">Short Description</label>
          <textarea  name="disc" rows="5" class="form-control">@if($up) {{$up->disc}}@endif</textarea>
        </div>
        
       <button type="submit" class="btn-success btn ml-1 px-3">Save Expence</button>
      </form>
    </div>
  </div>

  <script>
      function ti_tle(){
         $('#title').val($('#ExpenceTitle').val());
         $('#sub').val($('#sub_t').val());
      }
  </script>
@else <script> window.location.replace("{{url('dashbord?not=1')}}"); </script>
@endif
@endsection
