@extends('dash.master_pdf')
@section('content')

@if(Auth::user()->role_id > 11)
  <p class="col-8 mx-auto border-top mb-1" style="margin-top:-5px"> </p>
    <h5 class="text-center mb-2">
       Expanse  @if($sr==1) Titles @elseif($sr==2) Sub-Titles  @elseif($sr==3) Of Today
        @elseif($sr) Of {{$sr}} @else All @endif
    </h5>
    <style>.table td,.table th{text-align:left;padding:3px 3px 4px 2px}.table td{padding-left:5px}</style>
   <?php $day='';   $day_plus=''; ?>
    @if(isset($_GET['day'])) <?php  $day=$_GET['day']; ?>  @endif
    @if(isset($_GET['day_2']))
      <?php $day_2 = $_GET['day_2'];
           // $day_plus=date('Y-m-d', strtotime($_GET['date_2']. ' + 1 days')); ?>
    @endif
    <?php
      if($day){
        $all = App\Exp::whereBetween('date', [$day, $day_2])->paginate(500);
       } ?>
  <div class="card-body p-0">
    <table class="table table-striped "><!--  table-bordered  -->
      <thead class="">
        <tr>
          <th>Sl</th> <th>Title</th> <th>Sub-Title</th> <th>Date</th> <th>Description</th>
          <th>Payment</th><th>Amount</th>
        </tr>                
      </thead> <?php $total=0; ?>
     <tbody>
      @foreach ($all as $ex)
        <tr><?php $total += $ex->tk; ?>
          <td>{{ $loop->index+1 }}</td>
          <td>{{ $ex->title }}</td>
          <td>{{ $ex->sub }}</td>
          <td>{{ $ex->date }}</td>
          <td>{{ $ex->disc }} </td>
          <td>{{ $ex->p_type }}</td><td>{{ $ex->tk }}</td>
        </tr>
      @endforeach
       <tr>
         <td colspan="4"></td>
         <td colspan="2" class="text-center"><h5 class="my-1">Total</h5></td>
         <td class="px-0"><h5 class="my-1">{{$total}}</h5></td>
       </tr>
     </tbody>
    </table>
  </div>
  @if($day)
  <div class="row fwb">
   <p class="col-6 border py-1 text-secondary">Start Date:
    {{ date_format(date_create($day),"d-F-Y") }}</p>
   <p class="col-6  border py-1 text-secondary">End Date:
    {{ date_format(date_create($day_2),"d-F-Y") }}</p>
  </div>
  @endif
@else
 <script> window.location.replace("{{url('dashbord')}}"); </script>
@endif
@endsection