@extends('admin.master')
@section('content')
@if(Auth::user()->role_id == 33)
 <?php $up='';  $fc='form-control'; // $by='Edit By'; $pay='In';
       $title='date'; $sc='asc';  $bg='bg-secondary';   // $f_id='';  $party='';
       $day=request()->day;  $day_2=request()->day_2;  $mt=request()->mt;  $yr=request()->yr;

  if(isset($_GET['title'])){ $title=$_GET['title']; }
  if(isset($_GET['sc'])){
     if($_GET['sc']=='asc'){ $sc='desc';  } //else{ $sc='asc'; }
   }

   if($day){ $bg='bg-dark';
      $pay_all= App\Foun_pay::whereBetween('date', [$day, $day_2])->get();
    }elseif($yr){
      $pay_all= App\Foun_pay::whereYear('date',$yr)->get();
    }else{
      $pay_all= App\Foun_pay::orderBy($title, $sc)->get();
    } ?>


  @if($pdf)
    <style>.btn{padding:0}.table{border-top:2px solid #dee2e6}</style>
    <div class="row m-1">
      <h5 class="col-5">{{ $ln? 'Founder Transactions' : 'প্রতিষ্ঠাতার  লেনদেন'}}</h5>
      @if($day)
        <h5 class="col-3 mb-0 pb-2 px-2">Start: {{ date("d/M/y",strtotime($day)) }}</h5>
        <h5 class="col-3 mb-0 pb-2 pl-3">End: {{ date("d/M/y",strtotime($day_2)) }}</h5>
      @else
        @if($mt)
          <h5 class="col-6 mb-0 pb-2 px-2">
            <?php $d_mt = DateTime::createFromFormat('!m', $mt); ?> {{ $d_mt->format('F') }}-{{$yr}}
          </h5>
        @endif
      @endif
    </div>
  @else
    <style>#content{background:#e6e6e6}.action a{font-size:11px}.table td{height:40px}
     .date input,.date button{border-radius:0}.table thead th{padding:3px}
    </style>
      <div class="row pt-3 mb-3 bg-white" >
        <h4 class="col-md-4 fwb mb-3 mt-1 pr-0">{{ $ln? 'Founder Transactions' : 'প্রতিষ্ঠাতার  লেনদেন'}}</h4>
        <form class="col-md-5 pl-0 row text-light date day_f" action="{{ url()->current() }}" >
          <div class="col-md-6 row p-0 mb-3">
            <p class="col-4 fwb mb-0 {{$bg}} pt-2">Start</p>
            <div class="col-8 pl-0 row mb-0">
              <input type="date" name="day" class="{{$fc}} px-1" @if($day) value="{{$day}}" @endif/>
            </div>
          </div>
          <div class="col-md-6 row p-0 mb-3">
            <p class="col-3 fwb mb-0 {{$bg}} pt-2 pl-3">End</p>
            <div class="col-6 px-0 row mb-0">
              <input type="date" name="day_2" class="{{$fc}} px-1" @if($day_2) value="{{$day_2}}" @endif/>
            </div>
            <div class="col-3 px-0">
              <button class="btn btn-info col-12" style="margin-left:-1px" type="submit">
                <i class="fa fa-search"></i></button>
            </div>
          </div>
        </form>
        <form class="col-md-3 row p-0" action="{{ url()->current() }}">
            <div class="col-md-4 p-0">
              <select  name="yr" class="form-control"  onchange="this.form.submit()">
                @if($yr) <option>{{$yr}}</option> @else <option value="">Select</option>@endif
                <option value="">Show All</option>
                @for ($j=2020; $j <=2100 ; $j++)  <option>{{$j}}</option>@endfor
              </select>
            </div>
            <div class="col-md-5 p-0">
               <a href="{{url('foun/all')}}" class="btn btn-info mx-1 px-3 float-right">Founders</a>
            </div>
            <div class="col-md-3 mb-3">
              <?php $url = '?pdf=1&day='.$day.'&day_2='.$day_2.'&title='.$title.'&sc='.$sc.'&mt='.$mt.'&yr='.$yr; ?>
              <a class="btn btn-primary  prnt px-3 float-right" href="{{ url()->current(). $url }}" > <i class="fa fa-print"></i>
              </a>
            </div>
        </form>
      </div>
  @endif

      <div class="col-12  bg-white px-0">
        <table class="table border-right {{$pdf ? '' : ' table-striped  table-hover'}} tab_2">
           <thead>
             <tr style="background:#fff6dc"> <?php $prl=url()->current().'?title='; ?>
                <th><a class="btn px-0 fwb"> Sl </a></th>
                <th class="pl-3">
                  <a class="btn px-0 {{$title=='date' && $sc=='asc'?  'text-info' : '' }} fwb" href="{{ $prl.'date&sc='.$sc }}">Date</a></th>
                <th><a class="btn px-0 {{$title=='id'? 'text-info' : '' }} fwb" href="{{ $prl.'id&sc='.$sc }}">ID</a></th>
                <th><a class="btn px-0 {{$title=='p_type'? 'text-info' : '' }} fwb"  href="{{ $prl.'p_type&sc='.$sc }}">Description</a></th>
                <th><a class="btn px-0 {{$title=='party'? 'text-info' : '' }} fwb" href="{{ $prl.'party&sc='.$sc }}">Founder</a></th>
                <th><a class="btn px-0 {{$title=='tk'? 'text-info' : '' }} fwb" href="{{ $prl.'tk&sc='.$sc }}">Paid</a></th>
                <th class=" {{$pdf ? 'd-none' : ''}}">Action</th>
             </tr>
           </thead>
           <tbody>
             <?php $pay_in = $pay_all->where('pay','In');  $k = 1; $url = url('foun/show?id=') ;
                   $to_rec=0;   ?>
<!--Received -->@foreach($pay_in as $pr) 
                <tr>
                  <td>{{ $k++ }}</td>
                  <td>{{  date("d/M/y",strtotime($pr->date)) }}</td>
                  <td>{{ $pr->id }}</td>
                  <td>{{ $pr->descrip }}</td>
                  <td>
                    <a class="fwb text-info" href="{{ $url.$pr->f_id }}">
                     {{ $pr->party }}
                    </a>
                  </td>
                  <td class="text-success fwb">{{ $pr->tk }}</td>
                  <td class="action {{$pdf ? 'd-none' : ''}}">
                     <a href="{{url('foun_pay/add?pay='.$pr->pay.'&id='.$pr->id)}}" class="btn btn-primary btn-sm">
                       <i class="fa fa-edit" aria-hidden="true"></i>
                     </a>
                     <?php $d_id=$pr->id;  $url="foun_pay_post"; ?>
                       @include('admin.model.delet_model')
                  </td>
                </tr> <?php $to_rec+=$pr->tk; ?>
              @endforeach

             <tr style="background:#fff7f4">
               <td colspan="5"> <h5 class="mt-2 text-right mr-2">Founders Total Paid </h5> </td>
               <td><h5 class="text-success mt-2"> {{ $pay_in->sum('tk') }} </h5></td>
               <td class=" {{$pdf ? 'd-none' : ''}}"><!-- Action --></td>
             </tr>  
           </tbody>
        </table>
      </div>

  @if($pdf==null)
      <script>
        $('.day_f input').click(function(){ $('.day_f p').removeClass('bg-dark').addClass('bg-secondary'); })
      </script>
    <script src="{{asset('public/print/printPage.js')}}" type="text/javascript"></script>
    <script> $( document ).ready(function(){ $(".prnt").printPage(); }); </script>
  @endif
@else
 <script> window.location.replace("{{ url('dash?not=1')}}"); </script>
@endif

@endsection