@extends('admin.master') @section('title') Create Hr @endsection
@section('content')
@if(Auth::user()->role_id > 11)
<?php $up=''; $id='';
 if(isset($_GET['id'])){ $id=$_GET['id']; }
 $up = App\Hr::find($id);  ?>
<?php $save = 'Save Hr'; $u = 'Add';
 if($up){ $save = 'Update Hr'; $u = 'Update';} ?>

  <div class="page-header">
    <div class="row">
      <div class="col-md-6 pl-4"> <h4 class="my-3">{{$u}} Hr</h4> </div>
      <div class="col-md-6 pl-4 pb-3">
        <a href="{{url('hr/all')}}" class="btn btn-success btn-sm mt-3 px-3 float-right">All Hr</a>
      </div>
    </div>
  </div>

  <div class="page-content">
    <div class="col-12 p-0 px-md-3">
      <!-- <div class=""> -->
        <form action="{{ url('hr/post')}}"  class="custom-mt-form" method="post" enctype="multipart/form-data"> @csrf
          <div class="border table-light pt-3  px-2">
            <div class="row">
              <div class="col-lg-6 col-md-6 col-sm-6 col-12">
                <div class="form-group custom-mt-form-group">
                  <label class="m-0 pl-1" for="name">Name</label>
                  <input name="name" class="form-control" value="{{$up? $up->name : ''}}" id="name">
                </div>
                <div class="form-group custom-mt-form-group">
                  <label class="m-0 pl-1" for="e_id">Employee  Id</label>
                  <input name="e_id" class="form-control" value="{{$up? $up->e_id : ''}}" id="e_id">
                </div>
                <div class="form-group custom-mt-form-group">
                  <label class="m-0 pl-1">Gender</label>
                  <select name="gender" class="form-control" value="{{$up? $up->gender : ''}}">
                    <option>Male</option>
                    <option>Female</option>
                    <option>Other</option>
                  </select>
                </div>
                <div class="form-group custom-mt-form-group">
                  <label class="m-0 pl-1" for="pre_add">Present Address</label>
                  <input name="pre_add" class="form-control" value="{{$up? $up->pre_add : ''}}" id="pre_add">
                </div>
                <div class="form-group custom-mt-form-group">
                  <label class="m-0 pl-1" for="gmail">Email</label>
                  <input name="gmail" class="form-control" value="{{$up? $up->gmail : ''}}" id="gmail">
                </div>
                <div class="form-group custom-mt-form-group">
                    <div class="row">
                      <div class="col-8 form-group custom-mt-form-group">
                          <label class="m-0 pl-1" for="image">Hr Image</label>
                          <input type="file" name="img" id="image" accept="image/*">
                        </div>
                        <div class="col-4 p-0 img_show">
                            <img src="{{$up && $up->img? asset($up->img) : '' }}" class="d-block m-auto" width="70" height="70">
                        </div>
                    </div>
                </div>
                <div class="form-group custom-mt-form-group">
                    <div class="row">
                      <div class="col-8 form-group custom-mt-form-group">
                          <label class="m-0 pl-1" for="image">Hr CV</label>
                          <input type="file" name="cv" id="image" accept="image/*">
                        </div>
                        <div class="col-4 p-0 img_show">
                            <img src="{{$up && $up->cv? asset($up->cv) : '' }}" class="d-block m-auto" width="70" height="70">
                        </div>
                    </div>
                </div>
                <div class="form-group custom-mt-form-group">
                    <div class="row">
                      <div class="col-8 form-group custom-mt-form-group">
                          <label class="m-0 pl-1" for="nid">Hr NID</label>
                          <input type="file" name="nid" id="nid" accept="image/*">
                        </div>
                        <div class="col-4 p-0 img_show">
                            <img src="{{$up && $up->nid? asset($up->nid) : '' }}" class="d-block m-auto" width="70" height="70">
                        </div>
                    </div>
                </div>
              </div>

              <div class="col-lg-6 col-md-6 col-sm-6 col-12">
                <div class="form-group custom-mt-form-group">
                    <label class="m-0 pl-1" for="design">Designation</label>
                    <div class="row">
                      <input class="col-6 form-control " name="design" value="{{$up? $up->design : ''}}"
                            placeholder="Type" id="design"/>
                      <select  class="form-control col-6 border-left-0 text-secondary"  id="sel_design">
                        <option  value="">Select Designation</option>
                        @foreach(App\Hr::where('design','!=','null')->get()->unique('design') as $se)
                         <option>  {{ $se->design }} </option>
                        @endforeach
                      </select>
                    </div>
                </div>
                <div class="form-group custom-mt-form-group">
                  <label class="m-0 pl-1" for="date">Joining Date</label>
                  <input type="date" class="form-control floating" name="date" value="{{$up? $up->date : date('Y-m-d')}}" id="date" >
                </div>
                <div class="form-group custom-mt-form-group">
                  <label class="m-0 pl-1" for="dob">Birthday</label>
                  <input type="date" class="form-control floating" name="dob" value="{{$up? $up->dob : '1990-01-01'}}" id="dob" >
                </div>
                <div class="form-group custom-mt-form-group">
                  <label class="m-0 pl-1" for="phone">Phone</label>
                  <input name="phone" class="form-control" value="{{$up? $up->phone : ''}}" id="phone">
                </div>
                <div class="form-group custom-mt-form-group">
                  <label class="m-0 pl-1" for="prm_add">Permanent Address</label>
                  <input name="prm_add" class="form-control" value="{{$up? $up->prm_add : ''}}" id="prm_add">
                </div>
                <div class="form-group custom-mt-form-group">
                  <label class="m-0 pl-1" for="salary">Monthly Salary</label>
                  <input type="number" name="salary" class="form-control" value="{{$up? $up->salary : ''}}" id="salary">
                </div>
                <div class="form-group custom-mt-form-group">
                    <label class="m-0 pl-1" for="image">Hr Status</label>
                    <select  class="form-control" name="st">
                      <option {{$up && $up->st=='Active' ? 'selected' : ''}}>Active</option>
                      <option {{$up && $up->st=='Inactive' ? 'selected' : ''}}>Inactive</option>
                    </select>
                </div>

              </div>
                <div class="form-group custom-mt-form-group mt-0 mb-5 px-3">
                  <input type="hidden" name="up" value="{{$up? $up->id : ''}}"/>
                  <button class="btn btn-primary px-4 mr-2" type="submit">{{$save}}</button>
                </div>
            </div>
          </div>
        </form>
      <!-- </div> -->
    </div>
  </div>
 <script>
   $("#sel_design").change(function(){  $('#design').val( $('#sel_design').val() ); });

   $("#pre_add").on('change input',function(){  $('#prm_add').val( $('#pre_add').val() ); });
 </script>

@else <script> window.location.replace("{{url('/?not=1')}}"); </script>
@endif
@endsection