@extends('dash.master_pdf')
@section('content')
@if(Auth::user()->role_id == 33)
  <div class="col-11 border-top m-auto"></div>
  <h6 class="my-1 fw6 mb-1 text-secondary text-center">Salary Report</h6>

 <?php $salary=''; $k=0; $id='';  $yr = date('Y');  $ser='';
  if(isset($_GET['yr'])){ $yr=$_GET['yr']; }
  if(isset($_GET['ser'])){ $ser=$_GET['ser']; }
  if(isset($_GET['id'])){ $id=$_GET['id']; }
  if($salary==null){ $salary = App\Salary::find($id); }
   $hr=App\Hr::find($salary->h_id); ?>
<div class="px-2 mt-1 fwb">
  <style>.par span{color:#695555;min-width:70px;display:inline-block}.f_13{font-size:13px}.table td, table.table th{padding: 3px 0 5px 0}
  body p{font-size:13px}
  </style>
  <div class="row par">
   <div class="col-7 px-2 mb-1 party">
     <p class="col-12 p-0">
       <span>Employee Name:</span> {{$hr? $hr->name : ''}}
     </p>
     <p class="p-0">
       <span>Designation: </span> {{ $hr? $hr->design : '' }}
     </p>
   </div>
   <div class="col-5 row par text-right px-2 mb-1">
<!--      <p class="col-12">
       <span>Invoice Id: </span> {{$salary->id}}
     </p> -->
    <p class="col-12">
      <span>Phone: </span>
        @if($hr) {{ $hr? $hr->phone : '' }} @endif
    </p>
     <p class="col-12">
      <span>Billing Date: </span> {{$salary->date}}
     </p>
   </div>
  </div>
  <div class="col-12 px-1">





   <div class="table-responsive">
      <table class="table table-striped border-bottom custom-table mb-4">
        <thead>
          <tr class="table-primary">
             <th>Sl</th> 
             <th>Month Name</th> 
             <th>Salary Type</th> 
             <th>Bill</th>
          </tr>
        </thead> <?php $t_sal = 0; $t_fine = 0; $t_tot = 0;  $t_due = 0; ?>
        <tbody>

           <?php $pp = App\Month::where('s_id',$salary->id)->where('h_id',$hr? $hr->id : '')->first(); ?>
              <?php $mDue = App\M_due::where('s_id',$salary->id)->first(); ?>
              @if($mDue)
                @foreach(App\M_due::where('s_id',$mDue->s_id)->get() as $md)
                  <tr>
                     <td>{{ $loop->index+1 }}</td>
                     <td>
                        <div> {{$md->mt? DateTime::createFromFormat('!m', $md->mt)->format('F') : '-' }} </div>
                     </td>
                     <td>
                        <?php
                        $month = date("m",strtotime($salary->date));
                        $day_m = DateTime::createFromFormat('!m', $month)->format('m')  ?>
                      @if( $md->mt )
                          @if($md->mt > $day_m )
                            Advance
                          @elseif($md->mt == $day_m )
                            Current
                          @else
                            Due
                          @endif
                      @endif
                     </td>
                     <td>{{ $md->tot }}</td>

                  </tr>
                @endforeach
              @endif

<!--             <tr class="bg-light">
               <td colspan="3"> <h6 class="mt-2 mb-1"> Total</h6> </td>
               <td> <h6 class="my-1"> {{  $salary->salary }} </h6></td>
            </tr> -->
        </tbody>
      </table>
    </div>




    <div class="border-top border-secondary offset-8  col-4 float-right m-1"></div>
    <table class="grand-total mt-1">
      <tbody>
        <tr>
          <td style="width:45%"></td> <td colspan="2">Total Salary</td>
          <td class="qty text-center">  {{$salary->bill}} </td>
        </tr>
        <tr>
          <td class="text-left" style="width:45%">Payment Type: {{$salary->type}}</td>
          <td colspan="2">Fine</td> <td class="qty text-center"> {{$salary->fine}}</td>
        </tr>
      </tbody>
    </table>

    <div class="border-top border-secondary offset-8  col-4 float-right m-1"></div>
    <table class="grand-total mt-1">
      <tbody>
        <tr>
          <td style="width:45%"></td> <td colspan="2">Sub Total</td> <td class="qty text-center"> {{$salary->tot + $salary->due  }}</td>
        </tr>
        <tr>
          <td style="width:45%">
            <div class="text-left"> 
             In Ward :
              <p class="m-1 d-inline f_13" style="text-transform:capitalize;color:#008A6A"> 
                 <span id="inWord"></span> Taka Only
              </p>
            </div>
          </td>
          <td style="color:#008A6A" colspan="2">  Paid </td>
           <td class="qty text-center"> {{$salary->tot}}</td>
        </tr>
      </tbody>
    </table>

    <div class="border-top border-secondary offset-8  col-4 float-right p-1 mt-1"></div>
    <table class="grand-total mt-1">
      <tbody>
        <tr>
          <td class="desc"></td><td colspan="2">Balance / Due</td><td class="qty text-center"> {{ $salary->due }}</td>
        </tr>
      </tbody>
    </table>

    <div  style="font-size:13px;font-weight:500"  class="{{Request::is('sale/add')? '' : 'd-none'}}">
       <span style="padding: 0px 5px">Sale By: </span>
       {{ $salary->u_id? App\User::find($salary->u_id)->name : 'Admin' }}
    </div>

    <footer class="mb-5">
        <div class="text-center border-bottom border-info ">
          <div class="row">
            <div class="col-3 sig mb-1 p-0">
             <span>-----------------------</span>
             <p>Employee  Signature</p>
            </div>
            <div class="col-3 sig mb-1 p-0 ml-auto">
             <span>-----------------------</span>
             <p>Authorised Signature</p>
            </div>
          </div>
        </div>
        <div class="row mt-2"> </div>
    </footer>
  </div>
  <script src="{{ asset('public/front/js/jquery-2.2.3.min.js') }}"></script>
  <script src="{{asset('public/js/num_to_w.js')}}"></script>
  <script>
  $(document).ready( function(event){
    var get_num = '{{$salary->tot}}';
    if(get_num){
      var num_to_words = toWords(get_num);
      $('#inWord').text(num_to_words);
    }
  })
  </script>
</div>









@else
 <script> window.location.replace("{{url('dashbord?not=1')}}"); </script>
@endif
@endsection