@extends('admin.master') @section('title') {{ $ln? 'Salary Paid Report' : 'বেতন পরিশোধ প্রতিবেদন'}} @endsection
@section('content')
@if(Auth::user()->role_id > 11)
 <?php $mt = date('n') ; $yr = date('Y') ;  $ser='';  $pdf='';
  if(isset($_GET['yr'])){ $yr=$_GET['yr']; }
  if(isset($_GET['mt'])){ $mt=$_GET['mt']; }
  if(isset($_GET['ser'])){ $ser=$_GET['ser']; }
  if(isset($_GET['pdf'])){ $pdf=$_GET['pdf']; }
   $dateObj = DateTime::createFromFormat('!m', $mt); ?>
  <style>.table td{font-size:15px;font-weight:500}.red{background:rgba(255,23,23,0.36)}
  .m_due{position:absolute;display:none;background:#FDCBB2;padding:11px;z-index:9}.mn:hover .m_due{display:inline-block}
  </style>

  @if($pdf)<!--  @ include('admin.inc.td_resp_full') -->
  <style>h4{font-size:17px}</style>
  @endif

    <div class="pb-3">
      <div class="row m-0">
        <h4 class="col-md-5 mb-0 mt-1 pt-3 fwb">{{ $ln? 'Salary Paid Report' : 'বেতন পরিশোধ প্রতিবেদন'}} </h4>
        <h4 class="col-md-2 mb-0 mt-1 pt-3 px-0 text-info fwb text-center">{{ $dateObj->format('F').'-'. $yr }}</h4>
        <form class="col-md-5 row mb-0 pt-3 {{$pdf? 'd-none' : ''}}" action="{{ url()->current() }}">
<!--              <div class="col-4 px-2">
               <input type="date" class="form-control" name="date" value="{{ date('Y-m-d')}}">
             </div> -->
              <div class="col-4">
                <select name="mt" class="form-control"  onchange="this.form.submit()">
                 @if($mt)
                  <option value="{{$mt}}">
                    <?php $d_mt = DateTime::createFromFormat('!m', $mt); ?>
                     {{ $d_mt->format('F') }}
                  </option>
                 @endif  
                 @for($i=1; $i<=12; $i++)
                  <?php $day = DateTime::createFromFormat('!m', $i); ?>
                   <option value="{{ $day->format('n')}}">{{ $day->format('F') }}</option>
                 @endfor
                </select>
              </div>
              <div class="col-3 pl-0">
                <select  name="yr" class="form-control"  onchange="this.form.submit()">
                  @if($yr) <option>{{$yr}}</option>@endif
                  @for ($j=2020; $j <=2100 ; $j++)  <option>{{$j}}</option>@endfor
                </select>
              </div>
              <div class="col-md-3 p-0">
                <a class="btn btn-info btn-sm mx-2 float-right" style="padding:7px 15px"
                   href="{{url('hr/all')}}">Add Salary </a>
              </div>
               <?php $url = '&mt='.$mt.'&yr='.$yr; ?>
              <div class="col-2 mb-0">
                  <a class="btn btn-primary  prnt px-3 float-right" href="{{ url()->current().'?pdf=1'.$url }}">
                 <i class="fa fa-print"></i></a>
              </div>
          </form>
      </div>
    </div>

    <div class="card-body row p-0 m-0">
       <div class="table-responsive">
          <table class="table table-striped custom-table">
            <thead>
              <tr class="table-primary">
                <th>Sl</th> <th>Name</th> <th>Date</th> <th>Description</th>  <th>Salary</th> <th>Fine</th> <th>Due</th>
                <th>Paid</th>
                <!-- <th>Due</th> --> <th>Pay Type</th> <!--  <th>Note</th> -->
                <th class="text-center {{$pdf? 'd-none' : ''}}" style="min-width:50px">Action</th>
              </tr>

            </thead> <?php $t_bill = 0; $t_fine = 0; $t_tot = 0;  $t_due = 0; ?>
            <tbody>
              @foreach(App\Salary::whereMonth('date',$mt)->whereYear('date',$yr)->orderBy('id','desc')->get() as $st)
               <?php  $stud = App\Hr::find($st->h_id);
                      $t_bill += $st->bill;  $t_fine += $st->fine;  $t_tot += $st->tot;  $t_due += $st->due; ?>
                <tr>
                  <td>{{ $loop->index+1 }}</td>
                  <td>{{ $stud?  $stud->name : 'Deleted'}}</td>
                  <td>{{ date("d/M/Y", strtotime($st->date)) }}</td>
                  <td>
                   <?php $mDue = App\M_due::where('s_id',$st->id)->first(); $k=0; ?>
                    @if($mDue)
                    <div class="row">
                        @foreach(App\M_due::where('s_id',$mDue->s_id)->get() as $md)
                            @if($md->mt == 13)     <?php $k++; ?>{{$k > 1 ? ', ' : ''}}
                              <div class="pl-1"> {{$stud->semester}} Semester</div>  
                            @elseif($md->mt == 14) <?php $k++; ?> {{$k > 1 ? ', ' : ''}}
                              <div class="pl-1"> New Semester</div> 
                            @else                   <?php $k++; ?>  {{$k > 1 ? ', ' : ''}}
                              <div class="pl-1"> {{$md->mt? DateTime::createFromFormat('!m', $md->mt)->format('F') : '-' }} </div>
                            @endif
                        @endforeach
                    </div>
                    @endif
                  </td>
                  <td>{{ $st->bill}}</td>
                  <td>{{ $st->fine}}</td>
                  <td>{{ $st->due}}</td>
                  <td>{{ $st->tot}} </td>
                  <td>{{ $st->type}}</td>
                  <td class=" {{$pdf? 'd-none' : ''}}" style="text-align:center">
                    <a href="#my_{{$st->id}}" data-toggle="modal" class="btn btn-danger btn-sm">
                        <i class="fa fa-trash"></i>
                    </a>
                    <div class="modal fade" id="my_{{$st->id}}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" >
                     <div class="modal-dialog" style="max-width:500px" role="document">
                      <div class="modal-content">
                        <div class="modal-header">
                          <h5 class="modal-title" id="exampleModalLabel">Are sure to delete?</h5>
                          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                          </button>
                        </div>
                        <div class="modal-body">
                          <form action="{{url('del_salary')}}" method="post"> @csrf
                            <input type="hidden" name="s_id" value="{{$st->id}}">
                            <button type="submit" class="btn btn-danger">Permanent Delete</button>
                          </form>
                        </div>
                        <div class="modal-footer">
                          <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
                        </div>
                      </div>
                     </div>
                    </div>
                  </td>
                </tr>
               @endforeach
                <tr class="bg-light">
                   <td colspan="4"> <h6 class="my-2 mb-1 text-center"> Grand Total</h6> </td>
                   <td> <h6 class="my-2 mb-1"> {{ $t_bill }} </h6></td>
                   <td> <h6 class="my-2 mb-1"> {{ $t_fine }} </h6></td>
                   <td> <h6 class="my-2 mb-1"> {{ $t_due }} </h6></td>
                   <td> <h6 class="my-2 mb-1"> {{ $t_tot }} </h6></td>
                   <td> </td>  <td class=" {{$pdf? 'd-none' : ''}}"> </td>
                </tr>
            </tbody>
          </table>
        </div>
    </div>

  @if($pdf==null)
    <script src="{{asset('public//admin/js/printPage.js')}}" type="text/javascript"></script>
    @if(strpos($_SERVER['HTTP_USER_AGENT'],'Firefox') == false)
     <script> $( document ).ready(function(){ $(".prnt").printPage(); }); </script>
    @endif
  @endif

@else <script> window.location.replace("{{url('/?not=1')}}"); </script>
@endif
@endsection