@extends('admin.master') @section('title')Add Extra Income @endsection 
@section('content')
<?php $up=''; ?> <?php $rr=0;  if(request()->id){ $rr=2; } ?>
@if(Auth::user()->role_id > 11 + $rr)
<div style="background:#f4fffd">
  <div class="card-header m-0">
    <div class="container row mx-auto">
        <div class="col-md-9"> <h3 class="ml-1 px-3 m-0">Add Extra Income</h3> </div>
        <div class="col-md-3 pr-0">
          <a class="btn btn-info prnt btn-sm float-right" style="padding:7px 17px"
             href="{{url('all_income')}}"> {{ $ln? 'All Extra Income' : 'সমস্ত অতিরিক্ত আয়'}}</a>
        </div>
    </div>
  </div>
  <div class=" container"><!-- enctype="multipart/form-data"-->
    <form class="card-body" action="{{ url('inc_post')}}" method="post"> @csrf
      <div class="input-group mt-3 mb-3 pt-1">
        <label class="col-12 ml-1 p-0 mb-1">Extra Income Title</label>
        <input type="hidden" name="id" @if($up) value="{{$up->id}}" @endif>
        <input type="text" class="form-control" name="title"
               @if($up) value="{{$up->title}}" @endif id="title" required>
        <select  onchange="ti_tle()" class="custom-select" id="IncomeTitle" >
           <option value="">Select Title</option>
           @foreach(App\Title::where('type',3)->get() as $inc)
             <option>{{ $inc->title}}</option>
           @endforeach
        </select>
      </div>
      
      <div class="input-group mt-3 mb-3 pt-1">
        <label class="col-12 ml-1 p-0 mb-1">Extra Income Sub Title</label>
        <input type="text" class="form-control"  name="sub"
                @if($up) value="{{$up->sub}}" @endif
         id="sub">
        <select  onchange="ti_tle()" class="custom-select" id="sub_t">
           <option value="">Select Sub Title</option>
           @foreach(App\Title::where('type',4)->get()  as $inc)
            <option>{{ $inc->title}}</option>
           @endforeach
        </select>
      </div>

      <div class="row mx-0 mt-3 mb-3">
        <label class="col-12 ml-1 p-0 mb-1">Extra Income Date</label>
        <input type='date' name="date"
             @if($up) value="{{$up->date}}" @else value="{{date('Y-m-d')}}" @endif
          class="form-control" />
      </div>
      
      <div class="form-group row mb-2">
        <div class="col-md-6 p-0">
          <label class="ml-1 mb-1">Receive Amount</label>
          <input type="number" class="form-control"  name="tk"
                  @if($up) value="{{$up->tk}}" @endif required>  
        </div>
        <div class="col-md-6 p-0">
          <label class="ml-1 mb-1">Payment Type</label>
          <select  name="p_type" class="form-control" required>
            @if($up) <option> {{$up->p_type}}</option> @endif
            <option>Cash</option> <option>Bank</option>
          </select>
        </div>
      </div>
      
      <div class="form-group">
        <label class="ml-1 mb-1">Short Description</label>
        <textarea  name="disc" rows="5" class="form-control">@if($up) {{$up->disc}}@endif</textarea>
      </div>
      
     <button type="submit" class="btn-success btn ml-1 px-3">Save Extra Income</button>
    </form>
  </div>
</div>

<script>
    function ti_tle(){
       $('#title').val($('#IncomeTitle').val());
       $('#sub').val($('#sub_t').val());
    }
</script>
@else <script> window.location.replace("{{url('dashbord?not=1')}}"); </script>
@endif
@if(isset($_GET['id'])) <?php $up=App\Income::find($_GET['id']); ?>  @endif


@endsection
