@extends('admin.master') @section('title')  User Add / Update  @endsection
@section('content')
@if(Auth::user()->role_id > 21)

<?php  if(request()->id){
              if(Auth::user()->role_id==33){
                $user = App\User::find(request()->id);
              }else{
                $user = App\User::find(Auth::user()->id);
             }
         }
     ?>
  <?php if(empty($user)){ $user=''; } ?>

<div class="row justify-content-center my-5">
  <div class="col-md-9 m-auto">
      <div class="card">
        <h5 class="card-header m-0"> {{$user? 'Updaet' : 'Add'}} User</h5>

        <form method="POST" class="row m-0 p-3" action="{{ url('user/post') }}" enctype="multipart/form-data"> @csrf
            <label for="name" class="col-md-4  my-3 pt-1 text-md-right">Name* </label>
            <div class="col-md-6 my-3">
                <input id="name" type="text" class="form-control" name="name" value="{{$user? $user->name : ''}}" required autocomplete="name" autofocus>
            </div>

            <label for="addr" class="col-md-4  my-3 pt-1 text-md-right">Phone</label>
            <div class="col-md-6 my-3">
                <input id="addr" type="text" class="form-control" name="phone" 
                value="{{$user? $user->phone : ''}}" >
            </div>

            <label for="addr" class="col-md-4  my-3 pt-1 text-md-right">User Name*</label>
            <div class="col-md-6 my-3">
                <input id="addr" type="text" class="form-control" name="email" required 
                value="{{$user? $user->email : ''}}" >
            </div>

            <label for="password" class="col-md-4  my-3 pt-1 text-md-right">New Password*</label>
            <div class="col-md-6 my-3">
                <input id="password" type="password" class="form-control" name="password">
            </div>
            <script> setTimeout(function(){ $('#password').val(null); },1000); </script>

            <label for="password-confirm" class="col-md-4  my-3 pt-1 text-md-right">Confirm Password*</label>
            <div class="col-md-6 my-3">
                <input id="password-confirm" type="password" class="form-control" name="pass_2">
            </div>


            @if(Auth::user()->role_id == 33)
                <label class="col-md-4  my-3 pt-1 text-md-right">User Role</label>
                <div class="col-md-6 my-3">
                    <select class="form-control br0 h_36" name="role_id">
                       <option {{$user &&  $user->role_id==3?  'selected' : ''}} value="3">Daily Report & Stock </option>
                       <option {{$user &&  $user->role_id==8?  'selected' : ''}} value="8">Sale price list </option>
                       <option {{$user &&  $user->role_id==10?  'selected' : ''}} value="10">Sales Man</option>
                       <option {{$user &&  $user->role_id==11?  'selected' : ''}} value="11">Sales Editor</option>
                       <option {{$user &&  $user->role_id==13?  'selected' : ''}} value="13">Staff</option>
                       <option {{$user &&  $user->role_id==22?  'selected' : ''}} value="22">Editor</option>
                       <option {{$user &&  $user->role_id==33?  'selected' : ''}} value="33">Admin</option>
                       <option {{$user &&  $user->role_id==2?  'selected' : ''}} value="2">Inactive</option>
                    </select>
                </div>
            @endif

            <label for="img" class="col-md-4 pt-1 my-3 text-md-right">Image</label>
            <div class="col-md-3 my-3 pr-0">
              <input type="file" class="form-control in" name="img">
            </div>
            <img class="col-md-3 p-3" src="{{asset($user? $user->img : '')}}" alt="Photo" width="150px">


            <div class="col-md-3 offset-md-4 my-3">
                <button type="submit" name="up" value="{{$user? $user->id : ''}}" class="col-12 px-0 btn btn-success"> {{$user? 'Updaet' : 'Save Change'}} </button>
            </div>

        </form>

          <h4 class="card-header text-center pt-3">User Role Details </h4>
          <div class="row border-bottom fwb p-2">
              <div class="col-3 text-danger">Editor: </div>
              <div class="col-7 text-danger">
                  <p> 1. Editor Can Not Create Admin.</p>
                  <p> 2. Editor Can Not See Users & Role.</p>
                  <p> 3. Editor Can Not Delete Any Data.</p>
              </div>
          </div>
          <div class="row border-bottom fwb p-2">
              <div class="col-3 text-danger">Staff: </div>
              <div class="col-7 text-danger">
                  <p> 5. Staff Can Not Edit Any Data.</p>
                  <p> 5. Staff Can Not Delete Any Data.</p>
              </div>
          </div>




      </div>
  </div>
</div>
@else <script> window.location.replace("{{url('dashbord?not=1')}}"); </script>
@endif

@endsection