@extends('admin.master') @section('title')All Users @endsection
@section('content')
@if(Auth::user()->role_id == 33)

  <div class="card">
    <div class="card-header row">
       <h3 class="col-md-6 mt-1">All Users</h3>
       <div class="col-md-6 m-auto">
         <a class="btn btn-info pt-1 px-3 mx-1 h_36 float-right" href="{{url('add_user')}}">Add User</a>
       </div>
    </div>
  <div class="card-body">
    <table class="table table-hover tab_respon">
        <thead class="bg-info text-light chaya"> 
          <tr>
            <th>ID</th>
            <th>Name</th>
            <th>User Name</th>
            <th>Phone</th>
            <th>Role</th>
            <th>Action</th>
          </tr>
        </thead>
        <tbody> 
        @foreach(App\User::get() as $user)
          <tr class="{{$user->email=='sifatsg@gmail.com'? 'd-none' : ''}}">
            <td>{{$user->id}}</td>
            <td>{{$user->name}}</td>
            <td>{{$user->email}}</td>
            <td>{{$user->phone}}</td>
            <td>
              @if($user->role_id==3) Daily Report & Stock
              @elseif($user->role_id==8)   Sale Price List
              @elseif($user->role_id==10)  Sales Man
              @elseif($user->role_id==11)  Sales Editor
              @elseif($user->role_id==13)  Staff
              @elseif($user->role_id==22)  Editor
              @elseif($user->role_id==33)  Admin
              @else
                Inactive
              @endif
            </td>
            <td>
<!--Delete-->@if($user->role_id < 33 )
               <a href="{{url('add_edit?id='.$user->id)}}" class="btn btn-success btn-sm mr-1"><i class="fa fa-edit"></i></a>
               <?php $d_id = $user->id; $url="del"; $my_app="App\User"; ?>   @include('admin.model.delet_model')
             @elseif(Auth::user()->email=='sifatsg@gmail.com')
               <a href="{{url('add_edit?id='.$user->id)}}" class="btn btn-success btn-sm mr-1"><i class="fa fa-edit"></i></a>
               <?php $d_id = $user->id; $url="del"; $my_app="App\User"; ?>   @include('admin.model.delet_model')
             @endif
          </tr>
        @endforeach
        </tbody>
    </table>
  </div>
  </div>
@else <script> window.location.replace("{{url('dashbord?not=1')}}"); </script>
@endif

@endsection