@extends('admin.master')
@section('content')

@if(Auth::user()->role_id > 11)
 
  @if($pdf==null)
   <style>.items a{padding:3px 7px}.h_34{height:34px}
   .date input,.date button,.input-group-append{border-radius:0}.table th{padding:5px}
   .table th a{font-weight:600}.up_i::before {right:1em;content:"\2191"}.table td,.table th{text-align:left}
   .up_i::after{right:0.5em;content:"\2193"}.table td{line-height:25px}
   li.page-item .page-link{background:#143f66 !important;color:#fff;font-weight:normal;padding:11px 22px}.h_36{height:36px}
   .auto{background-color:#fffaf1;position:absolute;width:300px;font-size:17px;z-index:5;top:36px}
   </style>
   <script src="{{asset('public/admin')}}/js/printPage.js" type="text/javascript"></script>
   @include('dash.item.in.td_resp_full')
  @endif

  <?php $up='';  $pay='';   $day='';  $day_2='';  $s_paid=0; $ok=''; $fc='form-control';
        $title=''; $sc=''; $ser=''; $bg='bg-secondary';  $p_id='';  $party=''; ?>

  @if(isset($_GET['pay'])) <?php  $pay=$_GET['pay']; ?>  @endif

  @if(isset($_GET['day'])) <?php  $day=$_GET['day']; ?>  @endif
  @if(isset($_GET['day_2']))  <?php  $day_2=$_GET['day_2']; ?> @endif

  @if(isset($_GET['title']))  <?php $title=$_GET['title'] ; ?> @else <?php $title='date'; ; ?>  @endif
  @if(isset($_GET['sc']))  <?php  if($_GET['sc']=='asc'){  $sc='desc'; }else{ $sc='asc'; } ?>
  @else <?php $sc='desc'; ?>  @endif
   
  @if(isset($_GET['p_id'])) <?php $p_id=$_GET['p_id']; ?>  @endif
  @if(isset($_GET['ser'])) <?php $ser=$_GET['ser']; ?>  @endif
  <?php
  if($ser){
  }else{
   if($day){ $bg='bg-dark';
     $all= App\dash_app\Bank::whereBetween('date', [$day, $day_2])->get();
    }elseif($p_id){
     $all= App\dash_app\Bank::where('id',$p_id)->get();
    }else{
     $all= App\dash_app\Bank::orderBy($title, $sc)->get();
    }
  } ?>

  @if(Auth::user()->role_id > 11)
    @if($pdf)
      <script src="{{ asset('public/front/js/jquery-2.2.3.min.js') }}"></script>
      <div class="row m-1">
        <h5 class="col-5 fwb"> {{ $ln? 'All Banks' : 'সকল ব্যাংক'}} </h5>
        @if($day)
          <p class="col-3 fwb mb-0 pt-2 px-2 f_13">
            Between:
              {{date_format(date_create($day),"d-M-Y" ) }}
          </p>
          <p class="col-3 fwb mb-0 pt-2 pl-3 f_13">
            To:
             {{date_format(date_create($day_2),"d-M-Y" ) }}
          </p>
        @elseif($pay)
          <p class="col-6 fwb mb-0 pt-2 px-2 f_13">
            @if($pay=='pay') Payable @else Receivable @endif Amount
          </p>
        @endif
      </div>
      <style>.btn{padding:0}.table{border-top:2px solid #dee2e6}</style>
    @else
     <div class="col-md-12 p-md-3 p-0" style="background:#e6e9ed">
        <form class="row pt-4 mb-3 bg-white"  action="{{url('bank_all_p')}}" >
          <h4 class="col-md-5 fwb mb-4">{{ $ln? 'All Banks' : 'সকল ব্যাংক'}}</h4>
          <div class="col-md-6  row text-light date">
            <div class="col-md-6 row p-0 mb-4">
              <p class="col-4 fwb mb-0 {{$bg}} pt-2">Between</p>
              <div class="col-8 pl-0 pr-md-4 row mb-0">
                <input type="date" name="day" class="{{$fc}}" @if($day) value="{{$day}}" @endif/>
              </div>
            </div>
            <div class="col-md-6 row p-0 mb-4">
              <p class="col-3 fwb mb-0 {{$bg}} pt-2 pl-3">To</p>
              <div class="col-7 px-0 row mb-0">
                <input type="date" name="day_2" class="{{$fc}}" @if($day_2) value="{{$day_2}}" @endif/>
              </div>
              <div class="col-2 px-0">
                <button class="btn btn-info col-12" style="margin-left:-1px" type="submit">
                  <i class="fa fa-search"></i></button>
              </div>
            </div>
          </div>
          <?php $url = 'day='.$day.'&day_2='.$day_2.'&pay='.$pay.'&title='.$title.'&sc='.$sc.'&p_id='.$p_id; ?>
          <div class="col-md-1 mb-4">
            <a class="btn btn-primary  prnt px-3 float-right"
                  href="{{url('bank_all_p?pdf=1&'.$url)}}" >
              <i class="fa fa-print"></i>
            </a>
          </div>
        </form>
    @endif

      <div class="row bg-white pt-3 mt-3 {{$pdf? 'd-none': ''}}">
        <h5 class="col-md-2 fwb m-0 pt-2 mt-1" style="font-size:19px;padding-bottom:13px">TRANSACTIONS</h5>

        <div class="col-md-6 row px-0 mt-1">
          <p class="col-md-2 px-md-0  mb-0 fwb mt-1 text-md-right">Bank Filter</p>
          <form class="col-md-7  pb-3 " id="f_pr" action="{{ url('bank_all_p')}}">
            <?php $i="3"; ?>
            @if(isset($_GET['party']))  <?php  $party=$_GET['party']; ?> @endif

            <div class="row in">
              <input id="myInput{{$i}}" autocomplete="off" type="text" class="{{$fc}} col-8  br0 fwb"
                     name="party" @if($party) value="{{$party}}" @endif>
              <input id="h_Input{{$i}}"  type="hidden" name="p_id">
              <p class="tk_in {{$fc}} col-4 fwb m-0 border-left-0"></p>
            </div>

            <?php  $party = App\dash_app\Bank::all(); $none=''; ?>       
              <div id="myUL{{$i}}" class="auto" style="display:none">
               @foreach($party as $p)
                <?php
                  $sal_due = $p->sale_tk - $p->rec;
                  $pur_due = $p->purc_tk - $p->paid;
                  $incm = ($sal_due + $p->to_rec) - $p->in_tk; // Oppning
                  $loss = ($pur_due + $p->to_pay) - $p->out_tk; ?>
                <p class="m-0 row px-1 py-2 pro_{{$i}} fwb s_p border-bottom"  onclick="auto_{{$i}}(this)" id="{{$p->id}}">
                  <a class="col-9 text-dark d-block" href="#e_m" id="{{$p->name}}">{{ $p->name}}</a>
                   @if( $incm > $loss)
                    <a class="col-3 px-1 text-success d-block b_{{$p->id}}" href="#">{{$incm - $loss}}</a>
                   @else
                    <a class="col-3 px-1 text-danger d-block b_{{$p->id}}" href="#e_m">{{$loss - $incm}}</a>
                   @endif
                 <script>
                  $(document).ready(function(){
                    var ht = $('.b_{{$p->id}}')[0];
                    $('#b_{{$p->id}}').html('<span class="d-md-none px-2">{{ $ln?'Balance' : 'ব্যালান্স'}}:</span> <span class="fwb '+ ht.classList[2]+'">'+ ht.text +'</span>');
                    @if($pay)
                      var tr = $('#b_{{$p->id}}')[0].parentElement;
                      if(ht.classList[2]=='text-danger' && ht.text > 0){
                       $(tr).addClass('t_p');
                       var arr = document.getElementsByClassName('t_p');
                       $(tr.children[0]).html(arr.length)
                      }else if(ht.text == 0){
                        $(tr).addClass('t_0');
                      }else{
                       $(tr).addClass('t_r');
                       var arr = document.getElementsByClassName('t_r');
                       $(tr.children[0]).html(arr.length)
                      }
                      @if($pay=='pay') $('.t_r,.t_0').addClass('d-none');
                      @else  $('.t_p,.t_0').addClass('d-none');
                      @endif
                    @endif
                  })
                 </script> 
                </p>
               @endforeach
               @if($p_id)
                <script>$('.in .tk_in').append($('.b_{{$p_id}}')[0]); </script>
               @endif
              </div>
              <script>
                 $('.pro_{{$i}}').click(function(){  $('#f_pr').submit();  });
              </script> 
             @include('dash.party.party_auto')
          </form>
        </div>
        <div class="col-md-4 pb-3 mx-auto mt-1">
           <?php $pp='pp';  $add=''; ?>
           <a class="btn btn-info mx-1 px-3 pt-1  float-right"
             href="bank/all?add=1"> 
             {{$ln?'Add Bank' : 'ব্যাংক যোগ'}}
           </a>
        </div>
      </div>
     @include('dash.party.add')
      <div class="col-md-12 bg-white px-0 pt-1">
        <table class="table tab_2 border-bottom {{$pdf ? '' : 'tab_respon table-hover'}}">
           <thead>
             <tr class="d_n" style="background:#fff6dc">
                <th><a class="btn btn-sm px-0"> Sl </a></th>
                  <?php $prl='bank_all_p?title='; ?>
                <th><a class="btn btn-sm px-0 {{$title=='bank'? ' text-danger' : '' }}"
                     href="{{url($prl.'name&sc='.$sc)}}"><i class="up_i pr-2"></i>
                    {{$ln?'Bank Name' : 'ব্যাংকের  নাম'}}</a>
                </th>   
                <th><a class="btn btn-sm px-0 {{$title=='name'? ' text-danger' : '' }}"
                     href="{{url($prl.'name&sc='.$sc)}}"><i class="up_i pr-2"></i>
                    {{$ln?'Account Name' : 'অ্যাকাউন্টের নাম'}}</a>
                </th>    
                <th><a class="btn btn-sm px-0 {{$title=='name'? ' text-danger' : '' }}"
                     href="{{url($prl.'name&sc='.$sc)}}"><i class="up_i pr-2"></i>
                    {{$ln?'Account No' : 'অ্যাকাউন্ট নাম'}}</a>
                </th>   

                <th><a class="btn btn-sm px-0 {{$title=='date'? ' text-danger' : '' }}"
                    href="{{ url($prl.'date&sc='.$sc)}}"><i class="up_i pr-2"></i>
                   {{$ln?'Entry Date' : 'এন্ট্রি ডেট'}} </a>
                </th>

                <th><a class="btn btn-sm px-0 " href="#"><i class="up_i pr-2"></i>
                    {{$ln?'Bank In' : 'ব্যাংক ইন'}}</a>
                </th>
                <th><a class="btn btn-sm px-0 " href="#"><i class="up_i pr-2"></i>
                    {{$ln?'Bank Out' : 'ব্যাংক আউট'}}</a>
                </th>

                <th><a class="btn btn-sm px-0"
                     href="#"><i class="up_i pr-2"></i>{{$ln?'Balance' : 'ব্যালান্স'}}</a>
                </th>
             </tr>
           </thead>
        <tbody>
            <?php $to_inc=0;  $to_out=0;  ?>
          @foreach($all as $pr)
            <?php $to_p=0;  $t_t=0;    $to_t = 0; 
                  $incm = $pr->in_tk  + $pr->open; // Oppning
                  $out = $pr->out_tk;
                  $to_inc += $incm;
                  $to_out += $pr->out_tk;  ?>
              <tr>
                <td class="p-md-2 px-1 py-0" style="margin-bottom:-5px">
                  <p class="d_m px-1 m-0 border rounded-circle border-radius">
                    <span class="d-md-none" >{{ $loop? $loop->index+1 : '1'}}</span>
                  </p>
                  <span class="d-md-block d_no" >{{ $loop? $loop->index+1 : '1'}}</span>
                </td>

                <td>
                  <span class="d-md-none fwb px-2">{{$ln?'Bank Name' : 'ব্যাংকের নাম'}}:</span>
                  <a class="f_17 text-dark" href="{{url('bank/all?b_id='.$pr->id )}}">
                   {{$pr->bank}}
                  </a>
                </td>
                <td>
                  <span class="d-md-none px-2">{{$ln?'Account Name' : 'অ্যাকাউন্টের নাম'}}:</span>
                   {{$pr->name}}
                </td>
                <td>
                  <span class="d-md-none px-2">{{$ln?'Account No' : 'অ্যাকাউন্ট নং'}}:</span>
                   {{$pr->ac_no}}
                </td>
                <td>
                  <span class="d-md-none px-2">{{$ln?'Entry Date' : 'এন্ট্রি ডেট'}}:</span>
                  <div>
                    <i class="fa fa-truck text-primary mt-1 pr-2 {{$pdf? 'd-none' : ''}}"></i>
                     <span style="color:gray">{{$pr->date}}</span>
                  </div>
                </td>

                <td>
                  <span class="d-md-none px-2">{{$ln?'Bank In' : 'ব্যাংক ইন'}}:</span>
                  <div>
                    <i class="fa fa-truck text-primary mt-1 pr-2 {{$pdf? 'd-none' : ''}}"></i>
                     <span class="text-success">{{ $incm }}</span>
                  </div>
                </td>

                <td> 
                  <span class="d-md-none px-2">{{$ln?'Bank Out' : 'ব্যাংক আউট'}}:</span>
                  <div>
                    <i class="fa fa-truck text-primary mt-1 pr-2 {{$pdf? 'd-none' : ''}}"></i>
                     <span class="text-danger">{{$out}}</span>
                  </div>
                </td>

                <td>
                  <span class="d-md-none px-2">{{$ln?'Entry Date' : 'এন্ট্রি ডেট'}}:</span>
                  <div>
                    <i class="fa fa-truck text-primary mt-1 pr-2 {{$pdf? 'd-none' : ''}}"></i>
                     <span>{{$incm - $out}}</span>
                  </div>
                </td>

              </tr>
          @endforeach

              <tr>
                <td  colspan="5">
                   <h5 class="mt-2 text-right pr-4"> Total </h5>
                </td>
                <td class="p-md-2 px-1 py-0"><h5 class="my-1 text-success"> {{ $to_inc }} </h5> </td>
                <td class="p-md-2 px-1 py-0"><h5 class="my-1 text-danger"> {{ $to_out}} </h5> </td>
                <td class="p-md-2 px-1 py-0"><h5 class="my-1"> {{ $to_inc - $to_out}} </h5> </td>
              </tr>

    <?php
     $par = App\dash_app\Bank::all();
      $u_rec=0; $u_pay=0;
      foreach($par as $sl){
          $incm=0; $loss=0;
          $sal_due = $sl->sale_tk - $sl->rec; // Oppning
          $pur_due = $sl->purc_tk - $sl->paid;
          $incm += ($sal_due + $sl->to_rec) - $sl->in_tk; // Oppning
          $loss += ($pur_due + $sl->to_pay) - $sl->out_tk;
             if( $incm > $loss ){
              $u_rec += ( $incm - $loss );
             }else{
              $u_pay += ( $loss -  $incm );
             }
          } ?>
             @if($pay)
               <tr style="background:#fff7f4">
                 <td colspan="6"> <h5 class="my-1 text-right mr-2"> Total </h5> </td>
                 <td><h5 class="my-1">
                    @if($pay=='pay')
                       {{ $u_pay }}
                    @else
                       {{ $u_rec }}
                    @endif
                   </h5>
                 </td>
                   @if($pdf==null) <td></td> @endif
               </tr>
             @endif
           </tbody>
        </table>
      </div>

    @if($pdf==null)
     </div>
    @endif

    <script src="{{asset('public/admin')}}/js/printPage.js" type="text/javascript"></script>
    @if(strpos($_SERVER['HTTP_USER_AGENT'], 'Firefox') == false)
     <script> $( document ).ready(function(){ $(".prnt").printPage(); }); </script>
    @endif
  @else
   <script> window.location.replace("{{url('dashbord')}}"); </script>
  @endif
@else <script> window.location.replace("{{url('dashbord?not=1')}}"); </script>
@endif

@endsection