@extends('admin.master') @section('title') Unit @endsection
@section('content')
@if(Auth::user()->role_id > 11)
<?php $up='';  $up=App\dash_app\Unit::find(request()->id);
?>
<div class="card">
  <div class="row">
    <div class="card-header col-md-10">
     <h3 class="m-1  {{$up?  'text-danger' : ''}} ">{{$up?  'Update' : 'Add'}} Unit</h3> 
    </div>
    <div class="card-header col-md-2">
      <a href="{{ url()->current() }}"
         class="btn btn-success float-right px-3 ">Add Unit</a>
    </div>
  </div>
  <div class="row p-3">
    <div class="col-md-6 p-2">
       <!-- <div class="card-body"> -->
        <table class="table table-hover tab_respon">
          <thead class="table-primary"> 
            <tr>
              <th><a class="btn p-1 fwb"> Sl </a></th>
              <th class="pl-0"> Unit Name </th>
              <th class="pl-0"> Loose Name </th>
              <th class="pl-0"> Loose Qty </th>
              <th class="pl-0"> ACTION </th>
            </tr>                
          </thead>
          <tbody> 
            @foreach (App\dash_app\Unit::all() as $pr)
            <tr class="{{request()->id==$pr->id? 'table-danger' : ''}}">
              <td>{{ $loop->index+1 }}</td>
              <td>{{ $pr->s_name }}</td> 
              <td>{{ $pr->loose_unit }}</td> 
              <td>{{ $pr->loose_qty }}</td> 
              <td class="Units">

                    <a class="btn btn-sm btn-success mr-1" href="{{url()->current().'?id='.$pr->id }}">
                      <i class="fa fa-edit"></i>
                    </a>
                    <?php $d_id = $pr->id; $url="del"; $my_app='App\dash_app\Unit'; ?>
                        @include('admin.model.delet_model')
              </td>
            </tr>
            @endforeach        
          </tbody>
        </table>
       <!-- </div> -->
    </div>
    <form class="col-md-6 p-2" action="{{ url('add/post')}} " method="post" enctype="multipart/form-data">
        @csrf
        <div class="card-header border p-3 add_unit">
            <input type="hidden" name="up" value="{{$up? $up->id : ''}}">
            <input type="hidden" name="myApp" value="App\dash_app\Unit">
            <input type="hidden" name="url" value="{{url()->current()}}">
            <p class="ml-1">Unit Name*</p>
            <input class="form-control mb-3" name="s_name" id="s_name" value="{{$up? $up->s_name : ''}}" required>

            <p class="ml-1">Loose Unit*</p>
            <select class="form-control mb-3" name="loose_unit"> <!--  onchange="addd_unit()"  -->
               @if($up) <option>{{ $up->loose_unit }}</option> @endif
               <option value="">Select Unit</option>
                @foreach(App\dash_app\Unit::orderBy('id','desc')->get() as $un)
                  <option>{{ $un->s_name}}</option>
                @endforeach
            </select>

            <p class="ml-1">Loose Qty* </p>
            <p class="ml-1 fwb text-danger"> 1 <span id="unit_name">Unit</span> = How Many <span id="loose_unit">Loose Units</span>? </p>
            <input type="number" class="form-control mb-3" name="loose_qty" value="{{$up? $up->loose_qty : 0 }}" required>

            <button type="submit" class="btn {{$up?  'btn-danger' : 'btn-success'}} ">{{$up? 'Update': 'Save'}} Unit</button>
        </div>
    </form>
  </div>
</div>

<script>
  $('.add_unit input, .add_unit select').on('click input',function(){ 
     $('#unit_name').text( $('#s_name').val() )  
     $('#loose_unit').text( $('.add_unit select').val())  

  })
</script>

@else <script> window.location.replace("{{url('dashbord?not=1')}}"); </script>
@endif

@endsection
