<!DOCTYPE html><html lang="en"><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
<title>@yield('title') PDF  Print</title>
<link rel="stylesheet" href="{{asset('public')}}/css/bootstrap.print.css">
<link rel="stylesheet" href="{{asset('public')}}/css/pdf.css">
<style>.fwb{font-weight:600}.table td.not{border:none;text-align:left}.table td.left h5{text-align:left}
 .table th,.table td{font-weight:600;font-size:12px;text-align:center;margin:0}
 .row{margin:auto 0}.table thead th {border-bottom-width:0}
 .table-bordered td,.table-bordered th{border-color:#a4a4a4}
 </style>
</head>
<body class="pb-3">
	<header class="clearfix">
	  <div class="row m-0  h_top" style="padding-top:15px">
	    <div class="col-2 logo_div">
		     @if(file_exists('img/logo.jpg'))
		       <img src="{{asset('img')}}/logo.jpg" class="float-right logo_img" alt="Logo">
		     @else
		       <img src="{{asset('img')}}/logo.png" class="float-right logo_img" alt="Logo">
		     @endif
	    </div>
	    <div class="col-8 company-address ">
	      <h2 class="title"><?php include('bootstrap/com/title.php'); ?></h2>
	      <!-- <?php $sp = include('bootstrap/com/speech.php'); ?> -->
	      @if( $sp)
	       <p class="mt-1"><?php include('bootstrap/com/speech.php'); ?></p>
	      @endif
	       <p class="mt-1"><?php include('bootstrap/com/address.php'); ?></p>
	       <p><?php  include('bootstrap/com/phone.php'); ?></p>
	    </div>
	    <!-- <div class="col-2 mt-4 "> </div> -->
	  </div>
	</header>
  @yield('content')
</body></html>
