@extends('admin.master') @section('title') Manage Link @endsection
@section('content')
@if(Auth::user()->role_id > 11)
<?php $up='';  $up=App\Title::find(request()->id);
?>
<div class="card">
  <div class="row">
    <div class="card-header col-md-10">
     <h3 class="m-1">{{$up?  'Update' : 'Add'}} Link</h3> 
    </div>
    <div class="card-header col-md-2">
      <a href="{{url('manage_cty')}}"
         class="btn btn-success float-right px-3 ">All Categories</a>
    </div>
  </div>
  <div class="row p-3">
    <form class="col-md-5 p-2" action="{{ url('add/post')}} " method="post" enctype="multipart/form-data">
        @csrf
        <div class="card-header border p-3">
            <input type="hidden" name="up" value="{{$up? $up->id : ''}}">
            <input type="hidden" name="myApp" value="App\Title">
            <input type="hidden" name="url" value="{{ url()->current() }}">
            <!-- <input type="hidden" name="type" value="url"> -->
            <p class="ml-1 fwb">Link Title</p>
            <input class="form-control mb-3" name="title" value="{{$up? $up->title : ''}}">
            <p class="ml-1 fwb">Link Url</p>
            <input class="form-control mb-3" name="link" value="{{$up? $up->link : ''}}">

            <select class="form-control mb-3" name="type"> <!--  onchange="addd_unit()"  -->
                  <option value="url"> Top Left Side </option>   <option value="url_home"> Dahsboard Top </option>
            </select>

            <button type="submit" class="btn btn-success">{{$up? 'Update': 'Save'}} Link</button>
        </div>
    </form>
    <div class="col-md-7 p-2">
        <table class="table table-hover tab_respon">
          <thead class="table-primary"> 
            <tr>
              <th>Sl</th>
              <th>Link Title</th>
              <th>Link Url</th>
              <th>Show In</th>
              <th>Action</th>
            </tr>                
          </thead>
          <tbody> 
            @foreach(App\Title::where('type','url')->Orwhere('type','url_home')->orderBy('title','asc')->get() as $ca)
              <tr>
                <td>{{ $loop->index + 1 }}</td>
                <td>
                  <a href="{{ $ca->link }}" class="btn" target="_blank"> {{ $ca->title }} </a>
                </td>
                <td>{{ $ca->link }}</td>
                <td>@if( $ca->type=='url' ) Top Left Side  @else   Dahsboard Top  @endif</td>
                <td>
                  <a href="{{url()->current()}}?id={{$ca->id}}" class="btn btn-success btn-sm">
                      <i class="fa fa-edit"></i> </a>
                  <?php $d_id =$ca->id; $url="del";  $my_app='App\Title'; ?>
                      @include('admin.model.delet_model')
                </td>
              </tr>
            @endforeach        
          </tbody>
        </table>
    </div>
  </div>
</div>

@else <script> window.location.replace("{{url('dashbord?not=1')}}"); </script>
@endif

@endsection