@extends('admin.master')
@section('content')  @section('title') Manage  SMS @endsection
<div style="background:#f5fcff">
  <div class="card-header  row m-0">
    <div class="col-md-9">
      <h3 class="ml-3 mb-1">Delivered SMS</h3> 
    </div>
    <div class="col-md-3 m-auto">
       <a href="http://login.bulksmsbd.com/default.php" target="_blank"
           class="btn btn-info btn-sm float-right px-3 mx-1">SMS BD</a>
       <a href="https://bulksmsbd.net/login" target="_blank"
           class="btn btn-info btn-sm float-right px-3 mx-1">SMS NEW</a>
    </div>
  </div>
  <style>.page-link{padding:.5rem 1rem;font-weight:600}</style> 
<!--   enctype="multipart/form-data"-->
 <style>.m_2{margin:2px}</style>
  <?php $all= App\Sm::orderBy('id','desc')->paginate(10);
        $save = 'Save'; $u = 'Add'; $text = ''; $bg = 'success'; ?>
  <div class="row">

   <div class="col-md-9 card-body">
      <table class="table table-striped tab_respon shadow">
        <thead class="table-primary"> 
          <tr>
            <th>Date</th>
            <th>Numbers</th>
            <th>SMS For</th>
            <th>SMS Details </th>
            <th>Total SMS</th>
          </tr>
        </thead>
        <tbody>
        @foreach($all as $sm)
          <tr>
            <td>{{$sm->date}}</td>
            <td>
              <textarea name="sms" class="btn btn-sm col-12">{{$sm->number}}</textarea>
            </td>
            <td>{{$sm->type}}</td>
            <td>
              <textarea name="sms" class="btn btn-sm col-12">{{$sm->sms}}</textarea>
            </td>
            <td>
              <p class="mr-2">{{$sm->count}}</p>
              <?php $d_id=$sm->id; $url='del'; $my_app='App\Sm';?>
               @include('admin.model.delet_model')
            </td>
          </tr>
        @endforeach
        </tbody>
      </table>
      {{$all->links()}}
   </div>

    <?php $fc='form-control '; // $party_phone=''; $text='';
          $auto = file_get_contents('bootstrap/in/sms_auto.php');
          $acc_no = file_get_contents('bootstrap/in/acc_no.php');
          $code = 0; if(Auth::user()->email=="sifatsg@gmail.com"){ $code = 1; } ?>
    <div class=" col-md-3 card-body  pl-0">

      <form class="modal-content" style="padding-top:0" action="{{url('print')}}" method="post"> @csrf
        <input type="hidden" name="pr"  value="<?php include('bootstrap/in/print.php');?>">
        <div class="px-3 py-2 mb-2 card-header">
          <h5 class="modal-title fwb mt-1">SMS Setting</h5>
        </div>
        <div class="modal-body py-0">
            <div class="row mb-3" style="font-size:15px">
              <p class="mb-0 ml-1 fwb">Send Auto SMS</p>
              <select name="sms_auto" class="{{$fc}}">
                <option value="">SMS Not Send</option>
                <option {{$auto? 'selected' : ' '}} value="auto">Send Auto SMS </option>
              </select>
            </div>

            <div class="row mb-3  fwb" style="font-size:15px">
                <div class="col-12 p-0 {{$code==1?  '' : 'd-none' }}">
                   <p class="mt-2 mb-0 ml-1 text-danger">SMS Code For Sifat Only.....</p>
                   <textarea name="sms_code" style="min-height:200px"
                     class="{{$fc}}"><?php echo file_get_contents('bootstrap/in/sms_code.php');?></textarea>
                </div>
            </div>
            <div class="row mb-3" style="font-size:15px">
              <p class="mb-0 ml-1 fwb">SMS Account No </p>
              <input type="text" class="{{$fc}}" name="acc_no" required="" value="{{ $acc_no }}">
            </div>
            <div class="row mb-3 {{ $acc_no=='01632554521'? 'd-none' : ''}}" style="font-size:15px">
              <p class="mb-0 ml-1 fwb">SMS Passwore</p>
              <input class="{{$fc}}" name="pass" required=""
              value="<?php include('bootstrap/in/pass.php');?>">
            </div>
            <div class="mb-4">
               <button type="submit" class="btn btn-primary mb-3 float-right">Update</button>
            </div>
        </div>

      </form>

      <form class="border mt-4" method="post" style="background-color:#fff9f5" action="{{ url('sms_send')}}"> @csrf
        <input type="hidden" name="date" value="{{date('Y-M-d')}}">
        <div class="px-3 py-2 card-header">
          <h5 class="modal-title fwb mt-1">Send Test SMS</h5>
        </div>
        <div class="p-3">
            <p class="col-12 m_2 px-1 fw6">SMS For</p>
            <input class="form-control mb-2" type="text" name="type" >

            <p class="col-12 m_2 px-1 fw6">Phone No</p>
            <input class="form-control mb-2" type="number" name="mob[]" required="">

            <p class="col-12 m_2 px-1"><span class="fw6">Message Text</p>
            <textarea name="sms" rows="6" class="form-control"></textarea>
        </div>
        <div class="mx-3 mb-3 px-2">
           <button type="submit" class="btn btn-{{$bg}}"> Send SMS </button> 
        </div>
      </form>



    </div>  

</div>
@endsection