<div class="row bg-white mt-1">
   <h5 class="col-5 mt-2 mb-0" style="font-size:19px">
     {{ $ln?'TRANSACTIONS / LEDGER' : 'লেনদেন / খতিয়ান'}}
   </h5>
 <table id="example" class="table  {{$pdf? '' : 'tab_respon'}} shadow mt-3 tab_2">
   <thead>
     <tr class=" {{$pdf? '' : 'd_n'}}" style="background:#fff6dc">
       <th class="pl-3">{{ $ln?'SL' : 'নং'}}</th>
       <th class="pl-3">{{ $ln?'TYPE' : 'ধরন'}}</th>
       <th>{{ $ln?'ID' : 'আইডি'}}</th>
       <th>{{ $ln?'DATE' : 'তারিখ'}}</th>
       <th>
          <div class="row">
             <div class="col-7 px-1">{{ $ln?'Details' : 'বিবরণ'}} </div>
             <div class="col-5 px-1">{{ $ln?'Qty' : 'পরিমাণ'}} </div>
          </div>
       </th>
       <th>{{ $ln?'Total PRICE' : 'মোট দাম'}}</th>  <th>{{ $ln?'PRE DUE' : 'পূর্বের বকেয়া'}}</th>
       <th style="min-width:61px">{{ $ln?'Debit tk' : 'গ্রহণ'}}</th>
       <th style="min-width:61px">{{ $ln?'Credit tk' : 'প্রদান'}}</th>  <th>{{ $ln?'Balance' : 'ব্যালান্স'}}</th>
       <th class="{{$pdf? 'd-none' : ''}}">{{ $ln?'ACTION' : 'একশন'}}</th>
     </tr>                
   </thead>
   <tbody id="t_body">
    <?php $to_p_r=0;  $to='';  $cl=''; $open_t=0; $z=1;
          $to_receive =0;  $to_paid =0;  $to_due =0;  $purc_qty = 0;  $sale_qty = 0;   ?>

       @if($party->to_pay)
        <?php $cl='text-warning'; $to='To Payable';  $to_p_r = $party->to_pay; ?>
       @endif
       @if($party->to_rec)
        <?php $cl='text-info'; $to='To  Receivable'; $to_p_r = $party->to_rec; ?>
       @endif
<!-- Opping -->
       @if($to_p_r)
        <tr class="sl_date" id="o_p">
          <td>
            <span class="d-md-none pr-2">{{ $ln?'SL' : 'নং'}}: </span> {{$z++}}
          </td>
          <td>
            <span class="d-md-none pr-2">{{ $ln?'TYPE' : 'ধরন'}}: </span> <i class="fa fa-square pt-1 {{$cl}} pr-2"></i>{{$to}}
          </td>
          <td class="{{$pdf? '' : 'd_no'}}"></td>
          <td>
            <span class="d-md-none pr-2">{{ $ln?'Date' : 'তারিখ'}}:</span>
             {{ date_format(date_create($party->date),"d.M.Y" ) }}
          </td>
          <!-- <td><span class="d-md-none pr-2">{{ $ln?'Details' : 'বিবরণ'}}:</span>{{ $ln?'Previous Due' : 'পূর্বের বকেয়া'}}</td> -->
          <td colspan="5"> </td>
          <td>
            <span class="d-md-none pr-2">{ $ln?'Balance' : 'ব্যালান্স'}}: </span>
            <span>
              @if($party->to_pay)
                     {{ - $to_p_r}}  <?php  $to_due += $to_p_r; ?>
              @else
                     {{  $to_p_r }}  <?php  $to_due += $to_p_r; ?>
              @endif
            </span>
          </td>
          <td class="{{$pdf? 'd-none' : 'd_no'}}"></td>
        </tr>
       @endif
<!-- Sale -->
       @foreach($all_sale as $sa)  <?php $move=''; ?>
        <tr class="sl_date" id="s_{{$sa->id}}"  data-date="{{ $sa->date }}T{{ date_format(date_create($sa->time),'H:i:s') }}">
          <td>
            <span class="d-md-none pr-2">{{ $ln?'SL' : 'নং'}}: </span> {{$z++}}
          </td>
          <td>
            <span class="d-md-none pr-2">{{ $ln?'TYPE' : 'ধরন'}}: </span>
            <i class="{{$pdf? 'd-none' : ''}} fa fa-square pt-1 text-success pr-2"></i>Sale
          </td>
          <td> {{$sa->id}} </td>
          <td>
            <span class="d-md-none pr-2">{{ $ln?'Date' : 'তারিখ'}}:</span>

              @if($sa->descrip=='Moving Data') <?php $move=1; ?>
                <span style="color:#d01b2d"> Moved From {{ $sa->date }} </span>
              @else  {{$sa->time . date_format(date_create($sa->date),"  d.M.y" )}}
              @endif
              @if($sa->up_date) <p>Updated: {{ $sa->up_date  }}</p> @endif
             <p style="font-size:13px;color:#885800">{{ $sa->descrip }}</p>
          </td>
          <td style="width:330px"><span class="d-md-none pr-2">{{ $ln?'Details' : 'বিবরণ'}}:</span>

           <?php  $one_item = App\dash_app\One_sale::where('s_id',$sa->id)->get(); $k=0;  $sale_qty += $one_item->sum('qty'); ?>
              <div class="row" style="font-size:13px">
                  @foreach( $one_item as $on) <?php $k++ ?>
                   <div class="col-7 px-1"> {{$on->item}} </div>
                   <div class="col-5 px-1"> {{$on->price}} x {{$on->qty}} = {{$on->price * $on->qty}} <!--  @if($k<0) @endif -->  </div>
                  @endforeach
              </div>
          </td>
          <td>
            <span class="d-md-none pr-2">{{ $ln?'Total Price' : 'মোট দাম'}}: </span>
            <span>{{ $item_price = $sa->total - $sa->pre_due }} </span>
          </td>
          <td>
            <span class="d-md-none pr-2">{{ $ln?'PRE DUE' : 'পূর্বের বকেয়া'}}: </span>
            <span> {{ $sa->pre_due  }}</span>
          </td>
          <td>
            <span class="d-md-none pr-2">{{ $ln?'Debit tk' : 'গ্রহণ'}}: </span>
            <span> {{ $sa->tk   }}</span>
          </td>
          <td class="{{$pdf? '' : 'd_no'}}"><!-- {{ $ln?'Credit tk' : 'প্রদান'}}: --> </td>
          <td>
            <span class="d-md-none pr-2"> {{ $ln?'Balance' : 'ব্যালান্স'}}: </span>
            <span class="b_b">
              @if($sa->l_due)
                 <span title="Updated Last Due">  {{  $sa->l_due }}  </span>               
              @else
                {{  $sa->total - $sa->tk  }} 
              @endif
            </span>
          </td>

          <td class="{{$pdf? 'd-none' : ''}} items px-0" style="width:90px">
            <span class="d-md-none pr-2"> {{ $ln? 'Action' : 'অ্যাকশন'}}: </span>
           <div class="t_t">
             @if($move==null)
               <a class="btn btn-sm btn-primary prnt" href="{{ url('sale/add?id='.$sa->id.'&pdf=1')}}">
                 <i class="fa fa-print"></i>
               </a>
               <?php $d_id = $sa->id;  $url="pr_del"; $my_app='App\dash_app\Sale';
                     $app_2='App\dash_app\One_sale'; ?>
               @include('admin.model.delet_model')    
                <a class="btn btn-sm btn-success {{$sa->st==2? 'disabled' : ''}}" href="{{ url('sale/add?id='.$sa->id )}}">
                  <i class="fa fa-edit"></i>
                </a>
             @endif
           </div>
          </td>
        </tr>
       @endforeach


<!-- Purchase --> <?php $move=''; ?>
       @foreach($purc as $it)
        <tr class="sl_date" id="p_{{$it->id}}"  data-date="{{ $it->date }}T{{ date_format(date_create($it->time),'H:i:s') }}">
          <td>
            <span class="d-md-none pr-2">{{ $ln?'SL' : 'নং'}}: </span> {{$z++}}
          </td>
          <td>
            <span class="d-md-none pr-2">{{ $ln?'TYPE' : 'ধরন'}}: </span>
            <i class="{{$pdf? 'd-none' : ''}} fa fa-square pt-1 text-danger pr-2"></i>Purchase
          </td>
          <td> {{$it->id}} </td>
          <td><span class="d-md-none pr-2">{{ $ln?'Date' : 'তারিখ'}}: </span>
              @if($it->descrip=='Moving Data') <?php $move=1; ?>
                <span style="color:#d01b2d"> Moved From {{ $it->date }} </span>
              @else  {{$it->time . date_format(date_create($it->date),"  d.M.y" )}}
              @endif 
              @if($it->up_date) <p>Updated: {{ $it->up_date  }}</p> @endif
             <p style="font-size:13px;color:#885800">{{ $it->descrip }}</p>
          </td>
          <td style="width:330px"><span class="d-md-none pr-2">{{ $ln?'Details' : 'বিবরণ'}}:</span>

           <?php  $one_item = App\dash_app\One_item::where('purc_id',$it->id)->get();  $k=0;  $purc_qty += $one_item->sum('qty'); ?>
              <div class="row" style="font-size:13px">
                  @foreach( $one_item as $on) <?php $k++ ?>
                   <div class="col-7 px-1"> {{$on->item}} </div>
                   <div class="col-5 px-1"> {{$on->price}} x {{$on->qty}} = {{$on->price * $on->qty}} <!--  @if($k<0) @endif -->  </div>
                  @endforeach
              </div>

          </td>
          <td>
            <span class="d-md-none pr-2">{{ $ln?'Total Price' : 'মোট দাম'}}: </span>
            <span style="color:#dc0000 ">{{ $item_price = $it->total - $it->pre_due }} </span>
          </td>
          <td>
            <span class="d-md-none pr-2">{{ $ln?'PRE DUE' : 'পূর্বের বকেয়া'}}: </span>
            <span> {{  $it->pre_due  }}</span>
          </td>
          <td>  - </td>
          <td>
            <span class="d-md-none pr-2">{{ $ln?'Credit tk' : 'প্রদান'}}: </span>
            <span> {{ $it->tk  }}</span>
          </td>
          <td>
            <span class="d-md-none pr-2"> {{ $ln?'Balance' : 'ব্যালান্স'}}: </span>
            <span  class="b_b">
                  @if($it->l_due)
                     <span title="Updated Last Due">  {{  $it->l_due }}  </span>               
                  @else
                    {{  $it->total - $it->tk  }} 
                  @endif
              </span> 
          </td>
          <td class="{{$pdf? 'd-none' : ''}}  items px-0" style="width:90px">
           <span class="d-md-none pr-2"> {{ $ln? 'Action' : 'অ্যাকশন'}}: </span>
           <div class="t_t">
              @if($move==null)
                 <a class="btn btn-sm btn-primary prnt" href="{{ url('purc/add?id='.$it->id.'&pdf=1')}}">
                   <i class="fa fa-print"></i>
                 </a>
                 <?php $d_id = $it->id;  $url="pr_del"; $my_app='App\dash_app\Purc';
                       $app_2='App\dash_app\One_item'; ?>
                  @include('admin.model.delet_model')  
                  <a class="btn btn-sm btn-success {{$it->st==2? 'disabled' : ''}}" href="{{ url('purc/add?id='.$it->id )}}">
                    <i class="fa fa-edit"></i>
                  </a>
              @endif
           </div>
          </td>
        </tr>
       @endforeach

<!-- Payment -->
       @foreach($pay as $pp)  <?php $paid=''; $rec=''; $arr= '';?>
         @if($pp->pay=='In')<?php $arr= 'fa-plus-circle';  $rec=$pp->paid; ?>
         @elseif($pp->pay=='Out')<?php $arr='fa-minus-circle';  $paid=$pp->paid;   ?>  @endif
        <tr class="sl_date" id="pay_{{$pp->id}}"  data-date="{{ $pp->date }}T{{ date_format(date_create($pp->time),'H:i:s') }}"> <?php $back ='&pay='.$pp->pay.'&url=party_manage?p_id='.$party->id;
         ?>
          <td>
            <span class="d-md-none pr-2">{{ $ln?'SL' : 'নং'}}: </span> {{$z++}}
          </td>
          <td>
            <span class="d-md-none pr-2">{{ $ln?'TYPE' : 'ধরন'}}: </span>
            <i class="fa {{$arr}} pr-2 pt-1"></i>Pay {{$pp->pay}}
          </td>
          <td>  {{$pp->id}} </td>
          <td><span class="d-md-none pr-2">{{ $ln?'Date' : 'তারিখ'}}:
            </span>{{ date_format(date_create($pp->date),"d/M/Y" ) }}
              @if($pp->up_date) <p>Updated: {{ $pp->up_date  }}</p> @endif
             <p style="font-size:13px;color:#885800">{{ $pp->descrip }}</p>
          </td>
          <td><span class="d-md-none pr-2">{{ $ln?'Details' : 'বিবরণ'}}:</span>
              @if($pp->pay=='In') {{ $ln?'Due Receive' : 'বকেয়া গ্রহণ'}}
              @else            {{ $ln?'Due Paid' : 'বকেয়া প্রদান'}}
              @endif
          </td>
          <td>@if($pp->dis ) Discount: {{ $pp->dis }} @endif  <!-- {{ $pp }} --> </td> <!-- Total Price -->
          <td> {{ $pp->pre_due }} </td> <!-- Pre due -->
          <!--<td> Subtotal</td> -->
          <td>
            <span class="d-md-none pr-2">{{ $ln?'Debit tk' : 'গ্রহণ'}}: </span>
            <span>
              @if($pp->pay=='In') {{ $pp->paid }} @endif
            </span>
          </td>

          <td>
            <span class="d-md-none pr-2">{{ $ln?'Credit tk' : 'প্রদান'}}: </span>
            <span>  @if($pp->pay=='Out') {{ $pp->paid }} @endif </span>
          </td>
          <td class="{{ $rec ? '' : 'd_no'}}">
            <span class="d-md-none pr-2">{{ $ln?'Balance' : 'ব্যালান্স'}}: </span>

                  @if($pp->l_due)
                     <span title="Updated Last Due">  {{  $pp->l_due }}  </span>               
                  @else
                      @if($pp->pay=='In')
                        <span class="b_b"> {{  $pp->pre_due - (($pp->paid + $pp->dis) ) }}</span>
                      @else
                        <span class="b_b" style="color:#aa0010">{{  $pp->pre_due - (($pp->paid + $pp->dis) ) }} </span> 
                      @endif
                  @endif

          </td>
          <td class="{{$pdf? 'd-none' : ''}} items px-0" style="width:90px">
           <div class="t_t {{$pdf? 'd-none' : 'd_no'}}">
             <a class="btn btn-sm btn-primary prnt"
                href="{{ url('one_pdf?id='.$pp->id)}}">
               <i class="fa fa-print"></i>
             </a>
             <?php $d_id = $pp->id; $url="del"; $my_app='App\dash_app\Pay'; ?>
                   @include('admin.model.delet_model')
              <a class="btn btn-sm btn-success"
                 href="{{ url('pay/add?id='.$pp->id. $back )}}">
                <i class="fa fa-edit"></i>
              </a>
           </div>
          </td>
        </tr>
       @endforeach
   </tbody>
 </table>
</div>

<div class="row mx-4 text-center">
  <div class="col-6 p-2  text-danger"> Purchase Quantity: {{ $purc_qty }}</div>
  <div class="col-6 p-2  text-success"> Sale Quantity: {{ $sale_qty }}</div>
</div>

    @if(  $show == null )
      <div class="m-3">
        @for($p=2020; $p <= (date('Y')+1); $p++ )
          <a class="btn btn-info btn-sm mb-3 {{$p==$date? 'active' : ''}}"  href="{{ url()->current().'?date='.$p.'&p_id='.$p_id }}"> {{$p}}
          </a>
        @endfor
      </div>
    @endif


<script>
$( document ).ready(function(){ 
    var board = $("#t_body");
    var boards = board.children('.sl_date').detach().get();

    boards.sort(function(a, b) {
      return new Date($(a).data("date")) - new Date($(b).data("date"));
    });
    board.append(boards);
       var tot=0; var arr = document.getElementsByClassName('sl_date');
       for(var i=0;i<arr.length;i++){
          arr[i].children[0].innerText = (i + 1);
        }
                              // let lastElement = arr[arr.length - 1];
                             //  $('#' +lastElement.id+ ' .b_b ' ).text( '{{$bal_an}}' ) // Balance add in last one
   });
</script><!-- 
 <div id="social-board">
  <div class="socialBox" data-date="2016-08-10T11:30:21.000Z" data-type="twitter">2016-08-10T11:30:21.000Z</div>
</div> -->

@if(isset($_GET['show'])) <?php $show=$_GET['show']; ?> @endif
<div class="col-12 p-0 bg-light" id="s_td">
  @if($show )
    <h5 class="fwb text-center col-12 py-3 mt-3 mb-0 text-info">
      {{$party->name}} Details & Moving Data</h5>
    <table class="table tab_3">
      <tbody>



        <tr class="border" style="background:#f9fdff">
          <td>
            <i class="fa fa-square pt-1 text-success px-1"></i>
            <span>Total Sale :</span> {{ $party->sale_tk }}<span> taka</span>
          </td>
          <td>
            <i class="fa fa-plus-circle px-1"></i>
            <span>Total Receiced : </span> {{ $rec_to = $party->rec  }}
          </td>
          <td>
            <i class="fa fa-plus-circle px-1"></i>
            <span>Total Pay In :</span> {{ $party->in_tk }}<span> taka</span>
          </td>
          <td> <p class="d-inline-block" style="min-width:110px">Total Receivable : </p> {{ $incm }} </td>  
        </tr>

        <tr class="border">
          <td>
            <i class="fa fa-square pt-1 text-danger px-1"></i>
            <span>Total Purchase :</span> {{  $party->purc_tk }}<span> taka</span>
          </td>
          <td>
            <i class="fa fa-minus-circle px-1"></i>
            <span>Total Paid :</span> {{ $paid_to = $party->paid }}
          </td>
          <td>
            <i class="fa fa-minus-circle px-1"></i>
            <span>Total Pay Out :</span> {{ $party->out_tk  }}<span> taka</span>
          </td>
          <td> <p class="d-inline-block" style="min-width:110px">Total Payable:</p> {{ $loss }} </td>
        </tr>

        <tr class="border" style="background:#f9fdff">
          <td>
            <i class="fa fa-square pt-1 {{$cl}} px-1"></i>{{$to}} : {{$to_p_r}}<span> taka</span>
          </td>
          <td>
            <i class="fa fa-minus-circle text-danger px-1"></i>
            <span>Purchase Due :</span> {{ $party->purc_tk - $party->paid }}
          </td>
          <td  class="{{$pdf? 'd-none' : 'd_no'}}">
            <i class="fa fa-plus-circle text-success px-1"></i>
            <span>Sale Due : </span> {{ $party->sale_tk -  $party->rec }}
          </td>
          <td> <p class="d-inline-block" style="min-width:110px">Balance : </p> {{ $bal_an }} </td>
        </tr>
        
      </tbody>
    </table>

  @else
   <div class="col-md-6 m-auto fwb p-4 {{$pdf? 'd-none' : ''}}">
      <a class="btn btn-info col-12" href="{{url('party_manage?p_id='.$p_id.'&show=1')}}#s_td">
       Show {{$party->name}} Details / All Data & Moving Data
      </a>
   </div>
  @endif
</div>

