@extends('dash.master_pdf')
@section('content')
@if(Auth::user()->role_id > 11)

  <style>.bor{border-radius:9px}.bb{border-radius:9px 9px 0 0}
  .h_34 {height:34px}.f_14 {font-size:14px}.date .col-4{padding:0}.date select{border-radius:0;padding:3px;height:34px}.t_sa p{color:gray;font-size:10px}
  .t_sp tr:nth-of-type(2n+1){background-color:rgb(170 206 255 / 9%)}
  </style>
  <?php $up=''; $ser=''; $t_ot=0; $s_due=0; $s_paid=0;
     $top='';   $day='';  $day_2='';   $title=''; $sc='';  ?>

  @if(isset($_GET['top'])) <?php $top=$_GET['top']; ?>  @endif

  @if(isset($_GET['day'])) <?php  $day=$_GET['day']; ?>  @endif
  @if(isset($_GET['day_2'])) <?php  $day_2=$_GET['day_2']; ?> @endif

  @if(isset($_GET['title']))  <?php $title=$_GET['title'] ; ?> @else <?php $title='date'; ; ?>  @endif
  @if(isset($_GET['sc']))  <?php  if($_GET['sc']=='asc'){  $sc='asc'; }else{ $sc='desc'; } ?>

  @else <?php $sc='desc'; ?>  @endif
  @if(isset($_GET['ser'])) <?php $ser=$_GET['ser']; ?>  @endif
  <?php
  if($ser){
    $all= App\dash_app\Purc::where('id', 'like', '%'.$ser.'%')
       ->orWhere('date', 'like', '%'.$ser.'%')->orWhere('id', 'like', '%'.$ser.'%')
       ->orWhere('p_num', 'like', '%'.$ser.'%')->orWhere('p_type', 'like', '%'.$ser.'%')
       ->orWhere('total', 'like', '%'.$ser.'%')->orWhere('tk', 'like', '%'.$ser.'%')
       ->orderBy('id', 'desc')->paginate(500);
  }elseif($day){ $bg='bg-dark';
   $all= App\dash_app\Purc::whereBetween('date', [$day, $day_2])->get();
  }else{
   $all= App\dash_app\Purc::orderBy($title, $sc)->get();
  }
  $p_paid=0;  $r_able =0;  $out_tk =0;  $purc_tk =0;  $loss=0;
  foreach(App\dash_app\Party::all() as $sl){
    $purc_tk += $sl->purc_tk;
    $p_paid +=$sl->paid ;
    $r_able +=  $sl->to_pay;
    $out_tk += $sl->out_tk ;
    } ?>
  <div class="col-12 bg-white px-0">
    <div class="row border p-2">
       <h5 class="col-6 fwb m-0 pr-1 py-2"> All Purchase Invoices </h5>
       @if($day)
        <div class="col-6 px-0 row date" action="{{url('purc/bills')}}">
          <p class="col-6 fwb m-0 f_14 pt-1">Between:  {{ $day }}</p>
          <p class="col-6 fwb m-0 f_14 pt-1">To:  {{ $day_2 }}</p>
        </div>
       @endif
       @if($top)
        <div class="row col-12 text-center m-0 p-0">
          <div class="col-4 text-center row p-2">
              <div class="col-11 bor p-0" style="border:1px solid #60ffa7">
                <p class="fwb bb m-0 p-2" style="background:#90ffbc">Total Paid</p>
                <h4 class="m-1 pb-1 border-bottom">
                  <span class="tk text-right">৳ {{$p_paid+$out_tk}}</span>
                  <input type="hidden" class="too" name="pbl" id="payT">
                </h4>
                <div class="t_sa row fwb mb-2">
                  <p class="m-0 pl-2">Cash Purchase:  {{$p_paid}}</p>
                  <p class="m-0 pl-2">+</p>
                  <p class="m-0 pl-2">Pay Out:  {{$out_tk}}</p>
                </div>
              </div>
              <h3 class="col-1 mt-md-4 mb-0 fwb" style="padding:10px 0 0 8px">+</h3>
          </div>
          <div class="col-4 text-center row p-2">
              <div class="col-11 bor p-0" style="border:1px solid #f78b8b">
                  <p class="fwb bb m-0 p-2" style="background:#ffaaaa">Total Due</p>
                  <h4 class="m-1 pb-1 border-bottom">
                    <span class="tk text-right">৳  {{($purc_tk+$r_able) - ($p_paid+$out_tk)  }}</span>
                </h4>
                <div class="t_sa row fwb mb-2">
                  <p class="m-0 pl-2">Due Purchase:  {{ $purc_tk - $p_paid }}</p>
                  <p class="m-0 pl-2">+</p>
                  <p class="m-0 pl-2">Payable:  {{$r_able - $out_tk}}</p>
                </div>
              </div>
              <h3 class="col-1 mt-md-4 mb-0 fwb" style="padding:10px 5px 0 8px">=</h3>
          </div>
          <div class="col-4 text-center row p-2">
              <div class="col-12 bor p-0" style="border:1px solid #fbbc00">
                <p class="fwb bb m-0 p-2" style="background:#fbbc00">Total Bills</p>
                <h4 class="m-3 pb-1"><span class="tk text-right">৳ {{$purc_tk+$r_able}}</span>
                </h4>
              </div>
          </div>
        </div>
       @endif
    </div>

    <div class="col-12 bg-white px-0">
      <table  class="table ">
         <thead>
           <tr style="background:#fff6dc">
              <th><a class="fwb"> Sl </a></th>
              <th class="pl-3">DATE</th> <th>INV. NO</th> <th>PARTY NAME</th>
              <th>AMOUNT</th> <th>PRE DUE</th> <th>PAID</th> <th>DUE</th>
           </tr>                
         </thead>
         <tbody class="t_sp">
          @foreach($all as $pr)
            <tr> <td>{{ $loop->index+1 }}</td>
              <td>{{ $pr->date }}</td> <td>{{ $pr->id }}</td> <td>{{ $pr->p_num }}</td>
              <td>{{ $pr->total - $pr->pre_due }}</td> <td>{{ $pr->pre_due }}</td>
              <td>{{ $pr->tk }}</td> <td>{{ $dd = $pr->total - $pr->tk }}</td>
            </tr>
            <?php  $t_ot+=($pr->total - $pr->pre_due);    $s_paid+=$pr->tk;   $s_due+= $dd ; ?>
          @endforeach
           <tr style="background:#fff6dc">
              <th colspan="4"> <h5 class="mt-2 text-center"> Total </h5> </th>
              <th><h5 class="mt-2"> {{$t_ot}} </h5></th>
              <th>-</th>
              <th><h5 class="mt-2"> {{$s_paid}} </h5></th>
              <th><h5 class="mt-2"> {{$s_due}} </h5></th>
           </tr>  
         </tbody>
      </table>
    </div>
  </div>
@else <script> window.location.replace("{{url('dashbord?not=1')}}"); </script>
@endif
@endsection
