@extends('admin.master')
@section('content')
@if(Auth::user()->role_id > 11)

  <style>.items a{padding:3px 7px}.table a{font-size:14px}
  .date input,.date button,.input-group-append{border-radius:0}
  .bor{border-radius:9px}.bb{border-radius:9px 9px 0 0}.table th{padding:5px}
  .table td{line-height:25px;cursor:pointer}.fa-print:before{content:"\f02f"}
  .table.tab_respon tr:nth-of-type(2n+1){background-color:#fff}
  .table.tab_respon .tr{background-color:#F1FCFC!important}
  .up_i::before{right:1em;content:"\2191"}.up_i::after{right:0.5em;content:"\2193"}
  li.page-item .page-link{background:#143f66 !important;color:#fff;font-weight:normal;padding:11px 22px}.t_sa p{color:gray;font-size:12px}.h_36{height:36px}
  </style>
  @include('dash.item.in.td_resp_full')

  <?php $up=''; $day=request()->day;  $day_2=request()->day_2;  $sc='desc';   $yr=request()->yr;
        $top=request()->top;   $purcId=request()->purcId;    $ser=request()->ser;  
        $pag=0;   $title='id';  $bg='bg-secondary';  ?>

  @if(isset($_GET['title']))  <?php $title=$_GET['title'] ; ?>  @endif
  @if(isset($_GET['sc']))  <?php  if($_GET['sc']=='asc'){  $sc='desc'; }else{ $sc='asc'; } ?>  @endif

  <?php
  if($ser){
    $all= App\dash_app\Purc::where('id', 'like', '%'.$ser.'%')
       ->orWhere('date', 'like', '%'.$ser.'%')->orWhere('id', 'like', '%'.$ser.'%')
       ->orWhere('p_num', 'like', '%'.$ser.'%')->orWhere('p_type', 'like', '%'.$ser.'%')
       ->orWhere('total', 'like', '%'.$ser.'%')->orWhere('tk', 'like', '%'.$ser.'%')
       ->orderBy('id', 'desc')->get();
  }elseif($day){ $bg='bg-dark';
    $all= App\dash_app\Purc::whereBetween('date',[$day, $day_2])->get();
  }elseif($purcId){ $pag=1;
    $all= App\dash_app\Purc::where('id',$purcId)->get();
  }elseif($yr){
    $all= App\dash_app\Purc::whereYear('date', $yr)->get();
    // die('34534');
  }else{ $pag=1;
    $all= App\dash_app\Purc::orderBy($title, $sc)->paginate(15);
  }
  if($top){
    $s_paid=0;  $r_able =0;  $out_tk =0;  $purc_tk =0;  $loss=0;
    foreach(App\dash_app\Party::all() as $sl){
      $purc_tk += $sl->purc_tk;
      $s_paid +=$sl->paid ;
      $r_able +=  $sl->to_pay;
      $out_tk += $sl->out_tk ;
    }
  } ?>
  <div class="col-md-12 col-md-12 py-3" style="background:#e6e9ed">

    @include('dash.purc.in.bills_top')

    <div class="row bg-white pt-3 mt-3">
      <h5 class="col-md-4 pb-3 my-auto fwb" style="font-size:19px">TRANSACTIONS</h5>
      <h4 class="col-md-4 row {{ $ser ? 'pb-3': ''}} mb-0 fw6 text-info mt-1">
       @if($ser) Search For : {{$ser}} @endif
          @if(Auth::user()->email=="sifatsg@gmail.com"  &&  $_SERVER['HTTP_HOST']=='localhost' ) 
            <p class="col-5 mt-1 p-0"> Moving By Sifat </p>
            <form class="p-0 col-7 pb-3 px-md-1" action="{{ url()->current() }}">
               <select class="{{$fc}} br0 h_36" name="yr"  onchange="this.form.submit()">
                 @if($yr)  <option>{{ $yr }}</option>  @endif   <option value="">All Years</option>
                 @for ($i = 2021; $i < date('Y'); ++$i)
                   <option>{{ $i }}</option>
                 @endfor
               </select>
            </form>
          @endif
      </h4>
      <div class="col-md-4 row">
        <form class="col-10 row pb-3 float-right  px-2"  action="{{url('purc/bills')}}">
              <input class="col-9  form-control h_36" name="ser">
           <div class="col-3 p-0">
             <button type="submit" class="btn btn-info pt-1 col-12 h_36 " style="border-radius:0;margin-left:-1px">
              <i class="fa fa-search"></i>
             </button>
           </div>
        </form>
        <div class="col-2 pb-3 m-auto p-0 px-md-2">
           @include('admin.model.print_sms_set_model')
        </div>
      </div>
    </div>

    <div class="col-md-12 bg-white px-0">
      <table class="table tab_respon  table-hover tab_2">
         <thead>
           <tr class="d_n" style="background:#d0e7ff">
              <th><p class="fwb pl-1 pt-2">Sl</p></th>
              <th class="pl-3">
                <a class="btn @if($title=='date' && $sc=='asc') text-danger @endif fwb"
                  href="{{ url('purc/bills?title=date&sc='.$sc)}}"><i class="up_i pr-2"></i>TIME & DATE</a></th>
              <th><a class="btn @if($title=='id') text-danger @endif fwb"
                   href="{{url('purc/bills?title=id&sc='.$sc)}}"><i class="up_i pr-2"></i>ID</a></th>
              <th><a class="btn @if($title=='p_num') text-danger @endif fwb"
                   href="{{url('purc/bills?title=p_num&sc='.$sc)}}"><i class="up_i pr-2"></i>PARTY NAME</a></th>
              <th><a class="btn @if($title=='total') text-danger @endif fwb"
                   href="{{url('purc/bills?title=total&sc='.$sc)}}"><i class="up_i pr-2"></i>AMOUNT</a></th>
              <th><a class="btn fwb"
                   href="#"><i class="up_i pr-2"></i>PRE DUE</a></th>
              <th><a class="btn @if($title=='tk') text-danger @endif fwb"
                   href="{{url('purc/bills?title=tk&sc='.$sc)}}"><i class="up_i pr-2"></i>PAID</a></th>
              <th><a class="btn fwb" href="{{url('#')}}">DUE</a></th>
              <th><a class="btn fwb" href="{{url('#')}}">Purchase By</a></th>
              <th><a class="btn fwb"> ACTION </a></th>
           </tr>                
         </thead>
         <tbody>
           @include('dash.purc.purc_tr')
         </tbody>
        </table>
      <div class="col-12">
        @if(isset($_GET['purcId'])==null && $pag ) {{ $all->links() }} @endif
      </div>
    </div>
  </div>

   <script>
        @if(Auth::user()->email=="sifatsg@gmail.com"  &&  $_SERVER['HTTP_HOST']=='localhost' )
          $(document).ready(function(){  displayHello(); })
            function displayHello(){
                  $.ajax({
                     url:"{{ url('pro_move')}}", // Dash\AjaxCon
                     type:"GET",  dataType:'JSON',
                     data:{  yr:'{{$yr}}', sale:0},
                      success:function (data){
                        if(data.ms){  displayHello()  }
                        console.log(data)
                      }
                  })
            }
        @endif
   </script>

   <script src="{{asset('public/admin')}}/js/printPage.js" type="text/javascript"></script>
   <script> $( document ).ready(function(){ $(".prnt").printPage(); }); </script>

@else <script> window.location.replace("{{url('dashbord?not=1')}}"); </script>
@endif
@endsection
