<script src="{{ asset('public/front/js/jquery-2.2.3.min.js') }}"></script>
<style>.par span{color:#695555}.f_12{font-size:12px}.logo_img{max-width:50px;max-height:50px;margin:auto;display:block;margin-bottom:7px;float:none !important}
.d_3{display:none}
table thead th{text-transform:none}table tr.pay td{font-size:12px}.clearfix div{min-width:100%;padding:0 5px}.company-address .title{font-size:15px}.company-address p{font-size:11px}
</style>
@section('title') Pos  @endsection
<div class="row par">
 <div class="col-7 p-0 mb-1 party">
   <?php $party=App\dash_app\Party::find($up->p_id); ?>
   <p class="col-12 p-0">
     <span>Name:</span> {{ $party? $party->name : $up->p_num }}
   </p>
   <p class="p-0">
     <span>Address: </span>{{ $party?  $party->address  : ''}}
   </p>
    @if( $party && $party->phone)
    <p class="col-12 p-0">
      <span>Phone: </span>
        @if($party) {{ $party->phone }} @endif
    </p>
    @endif
 </div>
 <div class="col-5 row par text-right p-0 mb-1">
   <p class="col-12 p-0">
     <span>Invoice Id: </span> {{$up->id}}
   </p>
   <p class="col-12 p-0">
    <span>Date: </span> {{$up->date}}
   </p>
 </div>
</div>
 <table class="table border">
    <thead>
      <tr style="background-color:{{Request::is('sale_quot/add')? '#FFEAEA' : ' #e5f2ff'}}">
        <th style="width:35%">Item</th>
        <th>Price x Qty</th>
        <th>Discount</th> <th>Amount</th>
      </tr>                
    </thead>
    <tbody>
      <?php $amount=0;  $dis_1_t=0;  $to_d=0;  $to_due=0; $i=0;
    if($up){ $up_id=$up->id; }else{ $up_id=''; }
    if(Request::is('purc/add')){ // == purc/add?id=1&pdf=1
     $one_item = App\dash_app\One_purc_quot::where('purc_id',$up_id)->get();
    }else{
     $one_item = App\dash_app\One_sale_quot::where('s_id',$up_id)->get(); } ?>
    @foreach($one_item as $on)
     <?php  $amount+=$on->amount;   $dis_1_t+=$on->dis_1;  $i++; 
           $pr = App\Product::find($on->pr_id); ?>
     <tr>
       <td>{{ $pr->name }}</td>
       <td>{{$on->price}} x {{$on->qty}} = {{$on->price * $on->qty}}</td>
       <td>{{$on->dis_1 * $on->qty}}</td>
       <td>{{$on->amount}}</td>
     </tr>
    @endforeach

   </tbody>
 </table>
 <table class="grand-total mt-1">
    <tbody>
      <tr class="pay">
       <td colspan="2">Total Discount</td> <td class="qty text-center"> {{$up->dis}}</td>
      </tr>
    </tbody>
  </table>
  <div class="border-top  m-1" style="border-color:#aaa"></div>
  <table class="grand-total mt-1">
    <tbody>
      <tr>
        <td colspan="2">Total Amount</td>
        <td class="qty text-center"> {{$up->total - $up->pre_due}}</td>
      </tr>
      <tr>
        <td colspan="2">Previous Due</td> <td class="qty text-center"> {{$up->pre_due}}</td>
      </tr>
    </tbody>
  </table>

  <div class="border-top  m-1" style="border-color:#aaa"></div>
  <table class="grand-total mt-1">
    <tbody>
      <tr>
        <td colspan="2">Sub Total</td> <td class="qty text-center"> {{$up->total}}</td>
      </tr>
    </tbody>
  </table>

  <div class="border-top  m-1" style="border-color:#aaa"></div>
  <table class="grand-total mt-1">
    <tbody>
      <tr>
        <td style="color:#008A6A" colspan="2">
          @if(Request::is('purc/add')) Paid @else Received @endif</td>
         <td class="qty text-center"> {{$up->tk}}</td>
      </tr>
    </tbody>
  </table>

  <table class="grand-total mt-1">
    <tbody>
      <tr>
        <td style="width:45%">
          <div class="text-left"> 
            @if($up->tk) In Ward :
            <p class="m-1 d-inline f_12" style="text-transform:capitalize;color:#008A6A"> 
               <span id="inWord"></span> Taka Only
            </p>
            @endif
          </div>
        </td>
      </tr>
    </tbody>
  </table>

  <div class="border-top  pt-1 mt-1" style="border-color:#aaa"></div>
  <table class="grand-total mt-1">
    <tbody>
      <tr>
        <td colspan="2">Balance / Due</td><td class="qty text-center"> {{ $up->total - $up->tk }}</td>
      </tr>
    </tbody>
  </table>

<script src="{{asset('public/js/num_to_w.js')}}"></script>
<script>
$(document).ready( function(event){
  var get_num = '{{$up->tk}}';
  if(get_num){
    var num_to_words = toWords(get_num);
    $('#inWord').text(num_to_words);
  }
})
</script>