@extends('admin.master')
@section('content')
@if(Auth::user()->role_id > 11)

  <style>.items a{padding:3px 7px}.h_34{height:34px}
  .date input,.date button,.input-group-append{border-radius:0}
  .table td, .table th{text-align:left}
  .fa-print:before{content:"\f02f"}.table td{line-height:25px}
  .h_36{height:36px}.fa-truck::before{content:"\f0d1"}
  .auto{background-color:#fffaf1;position:absolute;width:300px;font-size:17px;z-index:5;top:36px}
  </style>
  <?php $up=''; $t_sale=0; $t_buy=0; $t_stock=0; $t_st_v=0;
        $day=''; $day_2=''; $pdf=''; $sc='';  $bg='bg-secondary';   $party=''; 
        $day=request()->day;  $day_2=request()->day_2;
        $p_id=request()->p_id;  $ser=request()->ser;
        ?>

  @if($pdf)
  <style>.table td,.table th{font-size:13px}td .d-md-none,td .d_m{display:none}</style>
  @else <style>.table td{font-size:16px}</style>
   @include('dash.item.in.td_resp_full')
  @endif

  <?php
  if($ser){
  }else{
   $all = App\Product::get();
  }?>
  <div class="p-0 p-md-3 {{$pdf? 'py-2' : 'table-secondary pt-3 pb-2'}}">
    <form class="row bg-white  {{$pdf? 'py-3 border-top' : 'pt-4 mb-3'}}"
      action="{{url('sale_purc')}}" >
      <h4 class="{{$pdf? 'col-5 m-0' : 'col-md-5 mb-4 fwb'}}">
        {{ $ln? 'Purchase & Sale' : 'ক্রয় ও বিক্রয় '}}
      </h4>
      @if($day && $pdf)
        <h5 class="col-4 mb-0 p-1">
          Between:
            {{date_format(date_create($day),"d-M-Y" ) }}
        </h5>
        <h5 class="col-3 mb-0 p-1">
          To:
           {{date_format(date_create($day_2),"d-M-Y" ) }}
        </h5>
      @endif
      <div class="col-md-6  row text-light date {{$pdf? 'd-none' : ''}}">
        <div class="col-md-6 row p-0 mb-4">
          <p class="col-4 fwb mb-0 {{$day? 'bg-dark' : $bg}} pt-2">Between</p>
          <div class="col-8 pl-0 pr-md-4 row mb-0">
            <input  type="date" name="day" class="form-control" required 
                   @if($day) value="{{$day}}" @endif/>
          </div>
        </div>
        <div class="col-md-6 row p-0 mb-4">
          <p class="col-3 fwb mb-0 {{$day? 'bg-dark' : $bg}} pt-2 pl-3">To</p>
          <div class="col-7 px-0 row mb-0">
            <input  type="date"name="day_2" class="form-control" required 
                   @if($day_2) value="{{$day_2}}" @endif/>
          </div>
          <div class="col-2 px-0">
            <button class="btn btn-info col-12" style="margin-left:-1px" type="submit">
              <i class="fa fa-search"></i></button>
          </div>
        </div>
      </div>
      <div class="col-md-1 mb-4 {{$pdf? 'd-none' : ''}}">
        <a class="btn btn-primary  prnt px-3 float-right" href="{{url('sale_purc?pdf=1&day='.$day.'&day_2='.$day_2 )}}">
         <i class="fa fa-print"></i>
        </a>
      </div>
    </form>

    <div class="col-md-12 bg-white p-0">
      <table class="table  p-0 table-hover tab_2 {{$pdf? '' : 'tab_respon'}}">
        <thead>
           <tr class="d_n" style="background:#fff6dc">
              <th> Sl </th>
              <th>Item Name</th>  <th>Purchase Qty</th>
              <th>Sale Qty</th>   <th>Stock Qty</th>
              <th>Unit Sale</th> <th>Unit Purchase</th>
              <th>Unit Profit</th>
              <th class="{{$pdf? 'd-none' : ''}}"> Action</th>
           </tr>                
        </thead>
        <tbody>
          <?php   $kk=0;  $jj=0; ?>
          @foreach($all as $pr)
          <?php  $k=0;  $j=0;
           if($day){
            $purc = App\dash_app\Purc::join('one_items','purcs.id','=','one_items.purc_id')
               ->select('purcs.date','one_items.pr_id','one_items.qty')
               ->where('pr_id',$pr->id)->whereBetween('date', [$day, $day_2])->get();
            $sale = App\dash_app\Sale::join('one_sales','sales.id','=','one_sales.s_id')
               ->select('sales.date','one_sales.pr_id','one_sales.qty')
               ->where('pr_id',$pr->id)->whereBetween('date', [$day, $day_2])->get();
           }else{
            $purc = App\dash_app\Purc::join('one_items','purcs.id','=','one_items.purc_id')
               ->select('purcs.date','one_items.pr_id','one_items.qty')
               ->where('pr_id',$pr->id)->get();
            $sale = App\dash_app\Sale::join('one_sales','sales.id','=','one_sales.s_id')
               ->select('sales.date','one_sales.pr_id','one_sales.qty')
               ->where('pr_id',$pr->id)->get();
           }
           ?>
           @foreach($purc as $one) <?php $j+=$one->qty; ?> @endforeach
           @foreach($sale as $one) <?php $k+=$one->qty; ?> @endforeach
          @if($sale->count() or $purc->count())
            <tr>
              <td class="p-md-2 px-1 py-0" style="margin-bottom:-5px">
                <p class="d_m px-1 m-0 border rounded-circle border-radius">
                  <span class="d-md-none" >{{ $loop? $loop->index+1 : '1'}}</span>
                </p>
                <span class="d-md-block d_no" >{{ $loop? $loop->index+1 : '1'}}</span>
              </td>

              <td>
                <span class="d-md-none px-2">{{ $ln?'Item Name' : 'আইটেমের নাম'}}:</span>
                <a class="f_17 text-dark" href="{{url('item/all?pr_id='.$pr->id )}}">
                 {{$pr->name}}
                </a>
              </td>
              <td>  <?php $kk+=$k;  $jj+=$j; ?>
                <span class="d-md-none px-2">{{ $ln?'Purchase Qty' : 'ক্রয়ের পরিমাণ'}}:</span>
                <div class="{{$j? '' : 'd-none' }}">
                  <i class="fa fa-truck text-primary mt-1 pr-2 {{$pdf? 'd-none' : ''}}"></i>
                  {{$j}} <span style="color:gray">{{$pr->unit}}</span>
                </div>
              </td>
              <td>
                <span class="d-md-none px-2">{{ $ln?'Sale Qty' : 'বিক্রয়ের  পরিমাণ'}}:</span>
                <div class="{{$k? '' : 'd-none' }}">
                  <i class="fa fa-shopping-bag text-info mt-1 pr-2 {{$pdf? 'd-none' : ''}}"></i>
                  {{$k}} <span style="color:gray">{{$pr->unit}}</span>
                </div>
              </td>
              <td>
                <span class="d-md-none px-2">{{ $ln?'Stock Qty' : 'স্টক পরিমাণ'}}:</span>
                {{$pr->stock}} <span style="color:gray">{{$pr->unit}}</span>
              </td>
              <td title="Sale">
                <span class="d-md-none px-2">{{ $ln?'Unit Sale' : 'একক বিক্রয়'}}:</span>
                {{$pr->price}} tk
              </td>
              <td title="Purchase">
                 <span class="d-md-none px-2">{{ $ln?'Unit Purchase' : 'একক ক্রয়'}}:</span>
                 {{$pr->buy_price}} tk
              </td>
              <td style="color:gray">
                <span class="d-md-none px-2">{{ $ln?'Unit Profit' : 'একক লাভ'}}:</span>
                {{$pr->price - $pr->buy_price}} tk
              </td>
              <td class="items {{$pdf? 'd-none' : ''}}">
                <span class="d-md-none px-2">{{ $ln?'Action' : 'অ্যাকশন'}}:</span>
                <a class="btn btn-sm btn-success" href="{{url('item/add?id='.$pr->id )}}">
                  <i class="fa fa-edit"></i>
                </a>
              </td>
            </tr>
           <?php  $t_stock+=$pr->stock; ?>
          @endif
          @endforeach
           <tr style="background:#fff7f4">
             <td colspan="2"> <h5 class="d_n m-1 f_17 text-center"> Total </h5> </td>
             <td>
              <h5 class="m-1 f_17 row {{$pdf? '' : 'pl-4'}}">
                <span class="d_m pr-3">Total Purchase Qty</span> {{$jj}}
               </h5>
             </td>
             <td>
              <h5 class="m-1 f_17 row {{$pdf? '' : 'pl-4'}}">
                <span class="d_m pr-3">Total Sale Qty</span> {{$kk}}
               </h5>
             </td>
             <td>
              <h5 class="m-1 f_17 row {{$pdf? '' : 'pl-4'}}">
                <span class="d_m pr-3">Total  Units</span>  {{$t_stock}} Units
             </td>
             <td colspan="3"> </td> <td class="{{$pdf? 'd-none' : ''}}"> </td> 
           </tr>
        </tbody>
      </table>
    </div>
  </div>

  @if($pdf==null)
  <script src="{{asset('public/admin')}}/js/printPage.js" type="text/javascript"></script>
    @if(strpos($_SERVER['HTTP_USER_AGENT'], 'Firefox') == false)
     <script> $( document ).ready(function(){ $(".prnt").printPage(); }); </script>
    @endif
  @endif
@else
 <script> window.location.replace("{{url('dashbord?not=1')}}"); </script>
@endif
@endsection
