@extends('admin.master')
@section('content')
@if(Auth::user()->role_id == 33)

<style>.items a{padding:3px 7px}
.date input,.date button,.input-group-append{border-radius:0;height:40px}
.table td{padding:0px!important}.table td .p{padding:9px 9px 11px 15px;max-height:42px}
.fa-print:before{content:"\f02f"}.table td{line-height:25px}.table td, .table th{font-size:16px;text-align:left;font-weight:600}
.table td .p:nth-of-type(2n){background-color:#eff0f4}
.any a:nth-of-type(2n){border-top:1px solid #e1e1e1}.any{display:none}.bank:hover .any{display:block}
</style>
<?php $day=''; $sc='desc'; $day_2=''; $title=''; $sc=''; $ser=''; $bg='bg-secondary';  $p_id=''; ?>
@if(isset($_GET['day'])) <?php  $day=$_GET['day']; ?>  @endif
@if(isset($_GET['day_2']))  <?php  $day_2=$_GET['day_2']; ?> @endif

@if(isset($_GET['title']))  <?php $title=$_GET['title'] ; ?> @else <?php $title='date'; ; ?>  @endif
@if(isset($_GET['sc']))  <?php  if($_GET['sc']=='asc'){  $sc='desc'; }else{ $sc='asc'; } // $sc='desc'; ?>
@endif
@if(isset($_GET['p_id'])) <?php $p_id=$_GET['p_id']; ?>  @endif
@if(isset($_GET['ser'])) <?php $ser=$_GET['ser']; ?>  @endif
<?php
 if($day){ $bg='bg-dark';
   $all_pr= App\Product::whereBetween('date', [$day, $day_2])->paginate(50000);
   $all_sale = App\dash_app\Sale::whereBetween('date', [$day, $day_2])->get();
   $all_purc = App\dash_app\Purc::whereBetween('date', [$day, $day_2])->get();
   $all_exp = App\Exp::whereBetween('date', [$day, $day_2])->get();
   $all_salary = App\Salary::whereBetween('date', [$day, $day_2])->get();
   $all_par = App\dash_app\Party::whereBetween('date', [$day, $day_2])->get();
   $all_pay = App\dash_app\Pay::whereBetween('date', [$day, $day_2])->get();
  }else{
   $all_pr= App\Product::all();
   $all_sale = App\dash_app\Sale::all();
   $all_purc = App\dash_app\Purc::all();
   $all_exp = App\Exp::all();
   $all_salary = App\Salary::all();
   $all_par = App\dash_app\Party::all();
   $all_pay = App\dash_app\Pay::all();
  }


   $cash=0;   $p_cash=0;   $e_cash=0; $rec_t=0; $paid_t=0;
  foreach($all_sale as $s){ $cash+=$s->tk; }
  foreach($all_purc as $p){  $p_cash+=$p->tk; }
  foreach($all_exp as $e){ $e_cash+=$e->tk; }
  foreach($all_salary as $e){ $e_cash+=$e->tot; } // Exp + Salary
  foreach($all_pay as $p){
      if($p->pay=='In'){ $rec_t+=$p->paid;
      }elseif($p->pay=='Out'){ $paid_t+=$p->paid; }
    }
  $u_rec=0; $u_pay=0;
  foreach($all_par as $sl){
    $incm=0; $loss=0;
    $sal_due = $sl->sale_tk - $sl->rec; // Oppning
    $pur_due = $sl->purc_tk - $sl->paid;
    $incm += ($sal_due + $sl->to_rec) - $sl->in_tk; // Oppning
    $loss += ($pur_due + $sl->to_pay) - $sl->out_tk;
       if( $incm > $loss ){
        $u_rec += ( $incm - $loss );
       }else{
        $u_pay += ( $loss -  $incm );
       }
  }
  $t_st_v = 0;
  foreach($all_pr as $pr){
        $t_st_v +=  $pr->buy_price * $pr->stock; 
  }
$b_all = App\dash_app\Bank::orderBy('id','desc')->get();
$Foun_pay = App\Foun_pay::all()->sum('tk');

?>

  @if($pdf)
    <div class="row m-1">
      <h5 class="col-6 fwb">{{ $ln?'Balance Sheet ' : 'ব্যালেন্স শীট'}}   </h5>
      @if($day)
        <p class="col-3 fwb mb-0 pt-2 px-2">Between: {{$day}}</p>
        <p class="col-3 fwb mb-0 pt-2 pl-3">To: {{$day_2}}</p>
      @endif
    </div>
  @else
  <div class="{{$pdf? '' : '  p-md-4 px-0'}}" style="background:#e6e9ed">
    <form class="row pt-4 mb-4 bg-white"  action="{{url('rep/b_sheet')}}" >
      <h4 class="col-md-5 fwb mb-4">{{ $ln?'Balance Sheet ' : 'ব্যালেন্স শীট'}}   </h4>
      <div class="col-md-6  row text-light date">
        <div class="col-md-6 row p-0 mb-4">
          <p class="col-4 fwb mb-0 {{$bg}} pt-2 px-2">Between</p>
          <div class="col-8 px-0 pr-md-4 row mb-0">
            <input type="date" name="day" class="form-control"
                   @if($day) value="{{$day}}" @endif/>
          </div>
        </div>
        <div class="col-md-6 row p-0 mb-4">
          <p class="col-3 fwb mb-0 {{$bg}} pt-2 pl-3">To</p>
          <div class="col-7 px-0 row mb-0">
            <input type="date" name="day_2" class="form-control"
                   @if($day_2) value="{{$day_2}}" @endif/>
          </div>
          <div class="col-2 px-0">
            <button class="btn btn-info col-12" style="margin-left:-1px" type="submit">
              <i class="fa fa-search"></i></button>
          </div>
        </div>
      </div>
      <div class="col-md-1 mb-4">
        <a class="btn btn-primary  prnt px-3 float-right"
            @if($day)
              href="{{$_SERVER['REQUEST_URI']}}&pdf=1"
            @else
              href="{{$_SERVER['REQUEST_URI']}}?pdf=1"
            @endif  >
          <i class="fa fa-print"></i></a>
      </div>
    </form>
  @endif

    <div class="col-md-12 bg-white p-0">
      <table class="table {{$pdf ? '' : 'tab_respon table-hover'}} p-0 tab_2">
         <thead>
           <tr style="background:#fff6dc">
             <th class="pl-2" style="min-width:{{$pdf?'200' : '300'}}px">
              {{ $ln?'Current Assets' : 'চলতি সম্পদ'}}</th>
             <th class="pl-2 border-right"> {{ $ln?'Amount' : 'পরিমাণ'}}</th>
             <th class="pl-2" style="min-width:{{$pdf?'200' : '300'}}px"
              >{{ $ln?'Liabilities' : 'দায়বদ্ধতা'}}</th>
             <th class="pl-2"> {{ $ln?'Amount' : 'পরিমাণ'}}</th>
           </tr>
         </thead>
         <tbody>
          <tr>
            <td class="m-0">
              <div class="p row"> {{ $ln?'Cash in hand' : 'হাতে নগদ'}}
                <a href="{{url('rep/t_balan')}}" target="_blank" style="font-size:11px;padding-left:5px">
                  <span class="text-secondary d-none d-md-block">
                    ( Cash sale + Pay in + Founders Paid) - ( Cash Purchase + Expence + Pay out )
                  </span>
                </a>
              </div>
              <div class="p bank">{{ $ln?'Bank Deposit' : 'ব্যাংক জমা '}} <?php $bank_in=0; ?>
                <div class="col-6 py-2 px-0 any" style="position:absolute">
                  @foreach($b_all as $pa)
                  <?php $incm = $pa->in_tk  + $pa->open; //Oppning
                        $out = $pa->out_tk; ?>
                    @if($incm > $out)  <?php $bank_in+=( $incm - $out); ?>
                     <a class="row" style="background:#fff8f8" href="{{url('bank/all?b_id='.$pa->id )}}">
                       <span class="col-6 p-2">{{$pa->name}}</span>
                       <span class="col-3 p-2 text-success">{{ $incm}}</span>
                       <span class="col-3 p-2 text-danger ">{{ $out}}</span>
                     </a>
                    @endif
                  @endforeach
                </div>
              </div>
                <div class="p">
                  {{ $ln?'Receivable / Debtors  ' : 'দেনাদার'}} </div>
                <div class="p">
                  {{ $ln?'Stock Value / Closing stock ' : 'মজুত মূল্য'}}   </div>
                <div class="p">
                  {{ $ln?' Tax Receivable ' : 'কর  পাবেন'}}  </div>
            </td>

            <td> <!-- Cash in Hand -->
              <div class="p border-right">{{ $c = ($cash +  $rec_t + $Foun_pay ) - ( $p_cash + $e_cash + $paid_t ) }}
              </div> 
              <div class="p border-right"> {{ $bank_in }}
              </div>
              <div class="p border-right">{{ $u_rec }}</div>
              <div class="p border-right">{{ $t = $t_st_v }}</div><!--Inventory on hand -->
             <div class="p border-right text-light">-</div>
            </td>
            <td>
              <div class="p">{{ $ln?'Payable / Creditors' : 'পাওনাদার'}}   </div>
              <div class="p bank">{{ $ln?'Bank Loan' : 'ব্যাংকের  ঋণ'}}   <?php $bank_loan=0; ?>
                <div class="col-6 py-2 px-0 any" style="position:absolute">
                  @foreach($b_all as $pa)
                  <?php $incm = $pa->in_tk  + $pa->open; //Oppning
                        $out = $pa->out_tk; ?>
                    @if($incm < $out)  <?php $bank_loan+=($out - $incm); ?>
                     <a class="row" style="background:#fff8f8" href="{{url('bank/all?b_id='.$pa->id )}}">
                       <span class="col-6 p-2">{{$pa->name}}</span>
                       <span class="col-3 p-2 text-success">{{ $incm}}</span>
                       <span class="col-3 p-2 text-danger ">{{ $out}}</span>
                     </a>
                    @endif
                  @endforeach
                </div>
              </div>
              <div class="p">  {{ $ln?'Tax payable' : 'কর পরিশোধ করবেন '}}   </div>
              <div class="p"> - </div>
              <div class="p"> - </div>
            </td>
            <td>
              <div class="p">{{ $u_pay  }} </div>
              <div class="p"> {{ $bank_loan }} </div>
              <div class="p"> 0 </div>
              <div class="p"> 0 </div>
              <div class="p"> 0 </div>
            </td>
          </tr>
          <tr>
            <td><div class="p">{{ $ln?'Assets Total  ' : 'সম্পদ মোট'}} </div></td>
            <td><div class="p border-right">{{$c + $bank_in + $u_rec + $t }}</div></td>
            <td><div class="p">{{ $ln?'Liabilities Total ' : 'দায় মোট'}}</div></td>
            <td><div class="p">{{ $bank_loan  + $u_pay }}</div></td>
          </tr>
        </tbody>
      </table>
    </div>


    <div class="col-md-6 bg-white p-0 m-auto">
      <table class="table {{$pdf ? '' : 'tab_respon table-hover'}} p-0 tab_2">
         <thead>
           <tr style="background:#fff6dc">
             <th class="pl-2" style="min-width:{{$pdf?'200' : '300'}}px">
              {{ $ln?'profit loss' : 'লাভ ক্ষতি'}}</th>
             <th class="pl-2 border-right"> {{ $ln?'Amount' : 'পরিমাণ'}}</th>
           </tr>
         </thead>
         <tbody>
          <tr>
            <td><div class="p">{{ $ln?'Assets Total  ' : 'সম্পদ মোট'}} </div></td>
            <td><div class="p border-right">{{ $ass = $c + $bank_in + $u_rec + $t }}</div></td>
          </tr>
          <tr>
            <td><div class="p">{{ $ln?'Liabilities Total ' : 'দায় মোট'}}</div></td>
            <td><div class="p">{{ $liab = $bank_loan  + $u_pay }}</div></td>
          </tr>
          <tr>
            <td><div class="p">{{ $ln?'Balance ' : 'ব্যালেন্স'}} </div></td>
            <td><div class="p">{{ $ass - $liab  }}</div></td>
          </tr>
        </tbody>
      </table>
    </div>

  @if($pdf==null)
  </div>
  @endif
  <script src="{{asset('public/admin')}}/js/printPage.js" type="text/javascript"></script>
  @if(strpos($_SERVER['HTTP_USER_AGENT'], 'Firefox') == false)
   <script> $( document ).ready(function(){ $(".prnt").printPage(); }); </script>
  @endif
  
@else <script> window.location.replace("{{url('dashbord?not=1')}}"); </script>
@endif

@endsection