@extends('admin.master')
@section('content')
@if(Auth::user()->role_id == 33)

<style>.items a{padding:3px 7px}
.date input,.date button,.input-group-append{border-radius:0;height:40px}
.table td{padding:0px!important}.table td .p{padding:9px 9px 11px 15px;max-height:42px}
.fa-print:before{content:"\f02f"}.table td{line-height:25px}.table td, .table th{font-size:16px;text-align:left;font-weight:600}
.table td .p:nth-of-type(2n){background-color:#eff0f4}
.any a:nth-of-type(2n){border-top:1px solid #e1e1e1}.any{display:none}.bank:hover .any{display:block}
</style>
<?php  $bg='bg-secondary'; // $day=''; $sc='desc'; $day_2=''; $title=''; $sc='';   $p_id='';
      $day=request()->day;  $day_2=request()->day_2; // $p_id=request()->p_id;


 ?>

@if(isset($_GET['title']))  <?php $title=$_GET['title'] ; ?> @else <?php $title='date'; ; ?>  @endif
@if(isset($_GET['sc']))  <?php  if($_GET['sc']=='asc'){  $sc='desc'; }else{ $sc='asc'; } // $sc='desc'; ?>
@endif
<?php 
   $in_t = 0;   $loss_t = 0;
 if($day){ $bg='bg-dark';
   $all_pr= App\Product::where('date', '<=', $day)->get();
        $all_par = App\dash_app\Party::where('date', '<=', $day)->get();
        $rec_t = App\dash_app\Pay::where('date', '<=', $day)->where('pay','In')->sum('paid');
        $paid_t = App\dash_app\Pay::where('date', '<=', $day)->where('pay','Out')->sum('paid');
        $ex_inc = App\Income::where('date', '<=', $day)->sum('tk');
        $ex_all = App\Exp::where('date', '<=', $day)->sum('tk');
        $salary_all = App\Salary::where('date', '<=', $day)->sum('tot');
        $Foun_pay = App\Foun_pay::where('date', '<=', $day)->sum('tk');
        $in_t = App\dash_app\Sale::where('date', '<=', $day)->sum('tk') + $rec_t + $Foun_pay +  $ex_inc;
        $loss_t = App\dash_app\Purc::where('date', '<=', $day)->sum('tk') + $paid_t +  $ex_all + $salary_all;
  }else{
    $all_pr= App\Product::all();
    $all_par = App\dash_app\Party::all();
      if($pdf){
        $rec_t = App\dash_app\Pay::where('pay','In')->sum('paid');
        $paid_t = App\dash_app\Pay::where('pay','Out')->sum('paid');
        $ex_inc = App\Income::all()->sum('tk');
        $ex_all = App\Exp::all()->sum('tk');
        $salary_all = App\Salary::all()->sum('tot');
        $Foun_pay = App\Foun_pay::all()->sum('tk');
        $in_t = App\dash_app\Sale::all()->sum('tk') + $rec_t + $Foun_pay +  $ex_inc;
        $loss_t = App\dash_app\Purc::all()->sum('tk') + $paid_t +  $ex_all + $salary_all;
      }
  }


  $u_rec=0; $u_pay=0;
  foreach($all_par as $sl){
    $incm=0; $loss=0;
    $sal_due = $sl->sale_tk - $sl->rec; // Oppning
    $pur_due = $sl->purc_tk - $sl->paid;
    $incm += ($sal_due + $sl->to_rec) - $sl->in_tk; // Oppning
    $loss += ($pur_due + $sl->to_pay) - $sl->out_tk;
       if( $incm > $loss ){
        $u_rec += ( $incm - $loss );
       }else{
        $u_pay += ( $loss -  $incm );
       }
  }

  $t_st_v = 0;
  foreach($all_pr as $pr){
        $t_st_v +=  $pr->buy_price * $pr->stock; 
  }
$b_all = App\dash_app\Bank::orderBy('id','desc')->get();

?>


  @if($pdf)
    <div class="row m-1">
        <h5 class="col-6 fwb">{{ $ln?'Balance Sheet ' : 'ব্যালেন্স শীট'}}   </h5>
        @if($day)
          <p class="col-3 fwb mb-0 pt-2 px-2">End: {{ date("d.M.y",strtotime($day)) }}</p>
          <!-- <p class="col-3 fwb mb-0 pt-2 pl-3">End: {{ date("d.M.y",strtotime($day_2)) }}</p> -->
        @endif
    </div>
  @else
    <div class="{{$pdf? '' : '  p-md-4 px-0'}}" style="background:#e6e9ed">
      <form class="row pt-4 mb-4 bg-white"  action="{{url('rep/b_sheet')}}" >
        <h4 class="col-md-7 fwb mb-4">{{ $ln?'Balance Sheet ' : 'ব্যালেন্স শীট'}}   </h4>
        <div class="col-md-4 mb-4 row text-light date">
              <p class="col-5 fwb mb-0 {{$bg}} pt-2 pl-3">End:  {{$day? date("d.M.y",strtotime($day)) : ''}}</p>
              <div class="col-5 px-0 row mb-0">
                <input type="date" name="day" class="form-control" @if($day) value="{{$day}}" @endif/>
              </div>
            <div class="col-2 px-0">
              <button class="btn btn-info col-12" style="margin-left:-1px" type="submit">
                <i class="fa fa-search"></i></button>
            </div>
        </div>
        <div class="col-md-1 mb-4">
          <a class="btn btn-primary  prnt px-3 float-right"
              @if($day)
                href="{{$_SERVER['REQUEST_URI']}}&pdf=1"
              @else
                href="{{$_SERVER['REQUEST_URI']}}?pdf=1"
              @endif  >
            <i class="fa fa-print"></i></a>
        </div>
      </form>
    </div>
  @endif

    <div class="col-md-12 bg-white p-0">
      <table class="table {{$pdf ? '' : 'tab_respon table-hover'}} p-0 tab_2">
         <thead>
           <tr style="background:#fff6dc">
             <th class="pl-2" style="min-width:{{$pdf?'200' : '300'}}px">
              {{ $ln?'Current Assets' : 'চলতি সম্পদ'}}</th>
             <th class="pl-2 border-right"> {{ $ln?'Amount' : 'পরিমাণ'}}</th>
             <th class="pl-2" style="min-width:{{$pdf?'200' : '300'}}px"
              >{{ $ln?'Liabilities' : 'দায়বদ্ধতা'}}</th>
             <th class="pl-2"> {{ $ln?'Amount' : 'পরিমাণ'}}</th>
           </tr>
         </thead>
         <tbody>
          <tr>
            <td class="m-0">
              <div class="p row"> {{ $ln?'Cash in hand' : 'হাতে নগদ'}}
                <a href="{{url('rep/t_balan')}}" target="_blank" style="font-size:11px;padding-left:5px">
                  <span class="text-secondary d-none d-md-block">
                    ( Cash sale + Pay in + Founders Paid) - ( Cash Purchase + Expence + Pay out )
                  </span>
                </a>
              </div>
              <div class="p bank">{{ $ln?'Bank Deposit' : 'ব্যাংক জমা '}} <?php $bank_in=0; ?>
                <div class="col-6 py-2 px-0 any" style="position:absolute">
                  @foreach($b_all as $pa)
                  <?php $incm = $pa->in_tk  + $pa->open; //Oppning
                        $out = $pa->out_tk; ?>
                    @if($incm > $out)  <?php $bank_in+=( $incm - $out); ?>
                     <a class="row" style="background:#fff8f8" href="{{url('bank/all?b_id='.$pa->id )}}">
                       <span class="col-6 p-2">{{$pa->name}}</span>
                       <span class="col-3 p-2 text-success">{{ $incm}}</span>
                       <span class="col-3 p-2 text-danger ">{{ $out}}</span>
                     </a>
                    @endif
                  @endforeach
                </div>
              </div>
                <div class="p">
                  {{ $ln?'Receivable / Debtors  ' : 'দেনাদার'}} </div>
                <div class="p">
                  {{ $ln?'Stock Value / Closing stock ' : 'মজুত মূল্য'}}   </div>
                <div class="p">
                  {{ $ln?' Tax Receivable ' : 'কর  পাবেন'}}  </div>
            </td>

            <td> <!-- Cash in Hand -->
              <div class="p border-right" id="cash_in_day">{{ $c = $in_t - $loss_t }} </div> 
              <div class="p border-right" id="bank_in"> {{ $bank_in }}
              </div>
              <div class="p border-right" id="u_rec">{{ $u_rec }}</div>
              <div class="p border-right" id="t_st_v">{{ $t = $t_st_v }}</div><!--Inventory on hand -->
             <div class="p border-right text-light">-</div>
            </td>
            <td>
              <div class="p">{{ $ln?'Payable / Creditors' : 'পাওনাদার'}}   </div>
              <div class="p bank">{{ $ln?'Bank Loan' : 'ব্যাংকের  ঋণ'}}   <?php $bank_loan=0; ?>
                <div class="col-6 py-2 px-0 any" style="position:absolute">
                  @foreach($b_all as $pa)
                  <?php $incm = $pa->in_tk  + $pa->open; //Oppning
                        $out = $pa->out_tk; ?>
                    @if($incm < $out)  <?php $bank_loan+=($out - $incm); ?>
                     <a class="row" style="background:#fff8f8" href="{{url('bank/all?b_id='.$pa->id )}}">
                       <span class="col-6 p-2">{{$pa->name}}</span>
                       <span class="col-3 p-2 text-success">{{ $incm}}</span>
                       <span class="col-3 p-2 text-danger ">{{ $out}}</span>
                     </a>
                    @endif
                  @endforeach
                </div>
              </div>
              <div class="p">  {{ $ln?'Tax payable' : 'কর পরিশোধ করবেন '}}   </div>
              <div class="p"> - </div>
              <div class="p"> - </div>
            </td>
            <td>
              <div class="p">{{ $u_pay  }} </div>
              <div class="p"> {{ $bank_loan }} </div>
              <div class="p"> 0 </div>
              <div class="p"> 0 </div>
              <div class="p"> 0 </div>
            </td>
          </tr>

          <tr>
            <td><div class="p">{{ $ln?'Assets Total  ' : 'সম্পদ মোট'}} </div></td>
            <td><div class="p border-right to_asset">{{$c + $bank_in + $u_rec + $t }} <!-- সম্পদ মোট --></div></td>

            <td><div class="p">{{ $ln?'Liabilities Total ' : 'দায় মোট'}}</div></td>
            <td><div class="p">{{ $bank_loan  + $u_pay }} <!-- দায় মোট --> </div></td>
          </tr>

        </tbody>
      </table>
    </div>


    <div class="col-md-6 bg-white p-0 m-auto">
      <table class="table {{$pdf ? '' : 'tab_respon table-hover'}} p-0 tab_2">
         <thead>
           <tr style="background:#fff6dc">
             <th class="pl-2" style="min-width:{{$pdf?'200' : '300'}}px">
              {{ $ln?'profit loss' : 'লাভ ক্ষতি'}}</th>
             <th class="pl-2 border-right"> {{ $ln?'Amount' : 'পরিমাণ'}}</th>
           </tr>
         </thead>
         <tbody>
          <tr>
            <td><div class="p">{{ $ln?'Assets Total  ' : 'সম্পদ মোট'}} </div></td>
            <td><div class="p border-right to_asset">{{ $ass = $c + $bank_in + $u_rec + $t }}</div></td>
          </tr>
          <tr>
            <td><div class="p">{{ $ln?'Liabilities Total ' : 'দায় মোট'}}</div></td>
            <td><div class="p" id="liab">{{ $liab = $bank_loan  + $u_pay }}</div></td>
          </tr>
          <tr>
            <td><div class="p">{{ $ln?'Balance ' : 'ব্যালেন্স'}} </div></td>
            <td><div class="p" id="balance">{{ $ass - $liab  }}</div></td>
          </tr>
        </tbody>
      </table>
    </div>

  @if($pdf==null && $day==null)
    <script>
      $.ajaxSetup({headers:{'X-CSRF-TOKEN':$('meta[name="csrf-token"]').attr('content')}});
      $(document).ready( function(){
           setTimeout(function(){
              $.ajax({
                 url:"{{ url('admin_home')}}", // Dash\AjaxCon
                 type:"GET",  dataType:'JSON',
                 data:{ cash:1 },
                  success:function (data){
                    // console.log( data.cash_in_h)
                    var c_in_h =  Math.trunc( data.cash_in_h) + data.ex_in_all;
                    $('#cash_in_day').text( c_in_h );
                    var to_asset =   c_in_h + Math.trunc($('#bank_in').text()) + Math.trunc($('#u_rec').text()) + Math.trunc($('#t_st_v').text());
                    $('.to_asset').text( to_asset );
                    $('#balance').text( to_asset - $('#liab').text() );
                  }
              })
            }, 999);
      });
    </script>
  @endif
   <script src="{{asset('public/admin')}}/js/printPage.js" type="text/javascript"></script>
   <script> $( document ).ready(function(){ $(".prnt").printPage(); }); </script>
  
@else <script> window.location.replace("{{url('dashbord?not=1')}}"); </script>
@endif

@endsection
