@extends('admin.master')
@section('content')
@if( Auth::user()->role_id > 11 or Auth::user()->role_id == 3 )
  <?php $day='';  $day_2=''; $pag=0; $pdf=''; $fc='form-control';
        $title='id'; $sc='desc'; $ser=''; $bg='bg-secondary'; $purcId=''; 
  ?>

  @if(isset($_GET['day'])) <?php  $day=$_GET['day']; ?>  @endif
  @if(isset($_GET['day_2']))  <?php  $day_2=$_GET['day_2']; ?> @endif

  <style>.date input,.date button,.input-group-append{border-radius:0}
  .table th{font-weight:600}
  @if($pdf) .pp span{font-size:17px}
  .pp .pay{min-width:130px;display:inline-block}
  @else .pp span{font-size:19px}
  .pp .pay{min-width:180px;display:inline-block}
  @endif
  @media(max-width:768px){
  .d_m{display:none!important}.items a{margin:0 3px;}
  }
  </style>
  <div class="p-0 pt-3 {{$pdf? 'border-top px-0': 'table-secondary px-md-3'}}" >
    <form class="row col-12 bg-white {{$pdf? 'pb-3': 'pt-3 mb-3'}}"
        action="{{url('daily_rep')}}">
      <h4 class="pt-2 {{$pdf? 'col-4 ': 'mb-3 col-md-5 fwb'}}">
        @if($day)
         {{ $ln?'Daily Reports' : 'ডেইলি রিপোর্ট'}}
        @else
         {{ $ln?'All Reports' : 'সকল  রিপোর্ট'}}
        @endif
      </h4>
        @if($day && $pdf)
          <h5 class="col-4 mb-0 pt-2 px-1">
            Between:
              {{date_format(date_create($day),"d-M-Y" ) }}
          </h5>
          <h5 class="col-4 mb-0 pt-2 px-1">
            To:
             {{date_format(date_create($day_2),"d-M-Y" ) }}
          </h5>
        @endif
      <div class="col-md-5 row text-light date p-0 {{$pdf? 'd-none': ''}}">
        <div class="col-md-6 mb-3 row p-0">
          <p class="col-4 fwb mb-0 {{$bg}} pt-2">Between</p>
          <div class="col-8 pl-0 pr-md-4 row mb-0">
            <input type="date" name="day" class="{{$fc}}" @if($day) value="{{$day}}" @endif/>
          </div>
        </div>
        <div class="col-md-6 mb-3 row p-0">
          <p class="col-3 fwb mb-0 {{$bg}} pt-2 pl-3">To</p>
          <div class="col-7 px-0 row mb-0">
            <input type="date" name="day_2" class="{{$fc}}" @if($day_2) value="{{$day_2}}" @endif/>
          </div>
          <div class="col-2 px-0">
            <button class="btn btn-info col-12" style="margin-left:-1px" type="submit">
              <i class="fa fa-search"></i></button>
          </div>
        </div>
      </div>

      <div class="col-md-2 mb-3 p-0 {{$pdf? 'd-none': ''}}">
      <!-- </div> -->
      <?php $url = 'day='.$day.'&day_2='.$day_2; ?>
      <!-- <div class="col-md-1 mb-4  {{$pdf? 'd-none': ''}}"> -->
        <a class="btn btn-primary mx-2 prnt px-3 float-right"
              href="{{url('daily_rep?pdf=1&'.$url)}}" >
          <i class="fa fa-print"></i>
        </a>
        <a class="btn btn-info mx-2 px-3 float-right"
              href="{{url('daily_rep?day=')}}" > All</a>
      </div>
    </form>

     @include('dash.rep.in.daily_rep_sm')
  </div>

  @if($pdf==null)
    <script src="{{asset('public/admin')}}/js/printPage.js" type="text/javascript"></script>
     <script> $( document ).ready(function(){ $(".prnt").printPage(); }); </script>
  @endif
@else <script> window.location.replace("{{url('dashbord?not=1')}}"); </script>
@endif
@endsection
