<style>.table th{font-size:17px}.cash p{font-size:15px}</style>

<div class="mb-3" style="border-top:2px solid gray;">
  <div class="bg-white border">
    <h5 class="fwb px-3 pt-3 pb-3  m-1">
     {{$ln? 'Total In' : 'মোট ইন'}}
    </h5>
    <table class="table tab_2 m-0">
     <thead>
       <tr style="background:#ffebed">
         <th>{{$ln? 'Total Sale' : 'মোট বিক্রয়'}} </th>
         <th>{{$ln? 'Cash Sale' : 'নগদ বিক্রয়'}} </th>
         <th>{{$ln? 'Due Sale' : 'বকেয়া বিক্রয়'}} </th>
         @if(Auth::user()->role_id==33)
           <th>{{$ln? 'Sale Profit' : 'বিক্রয় লাভ'}} </th>
         @endif
         <th>{{$ln? 'Payment In' : 'পেমেন্ট গ্রহণ'}} </th>
       </tr>                
     </thead>
     <tbody>
      <?php
           if($day){
              $sale = App\dash_app\Sale::whereBetween('date',[$day, $day_2])->get();
              $purc_item = App\dash_app\Purc::join('one_items','purcs.id','=','one_items.purc_id')
                 ->select('purcs.date','one_items.pr_id','one_items.qty')
                  ->whereBetween('date', [$day, $day_2])->get();
              $sale_item = App\dash_app\Sale::join('one_sales','sales.id','=','one_sales.s_id')
                 ->select('sales.date','one_sales.pr_id','one_sales.qty')
                ->whereBetween('date', [$day, $day_2])->get();
              $all_inc = App\Income::whereBetween('date', [$day, $day_2])->get();
           }else{
            $purc_item = App\dash_app\Purc::join('one_items','purcs.id','=','one_items.purc_id')
               ->select('purcs.date','one_items.pr_id','one_items.qty')
                ->get();
            $sale_item = App\dash_app\Sale::join('one_sales','sales.id','=','one_sales.s_id')
               ->select('sales.date','one_sales.pr_id','one_sales.qty')
                ->get();
              $sale = App\dash_app\Sale::get();
              $all_inc = App\Income::all();
           }
       $t_ot =  $sale->sum('total') - $sale->sum('pre_due');
        ?>

      <tr>
        <td>
            <h5 class="mt-2 fwb">{{$t_ot}}</h5>
            <p class="text-secondary m-1" style="font-size:15px">
              {{$ln? 'Sale Quantity ' : 'বিক্রয়ের পরিমাণ'}}: {{ $sale_item->sum('qty') }}
            </p>

         </td>
        <td> <h5 class="mt-2 fwb">{{ $sale_rec = $sale->sum('tk') }}</h5><!-- Cash Sale --> </td>
        <td> <h5 class="mt-2 fwb">{{ $t_ot - $sale_rec }}</h5> <!-- Due Sale --> </td>
        @if(Auth::user()->role_id==33)
          <td>
            <h5 class="mt-2 fwb">{{$prof_sale = $sale->sum('profit') }}</h5>
          </td>
        @endif
        <td>
         <?php $rec=0; 
          if($day){
            $all= App\dash_app\Pay::where('pay','In')
             ->whereBetween('date',[$day,$day_2])->get();
          }else{
            $all= App\dash_app\Pay::where('pay','In')->get();
          }  ?>
          @foreach($all as $pr) <?php $rec+=$pr->paid; ?> @endforeach
          <h5 class="mt-2 fwb">{{$rec}}</h5>
        </td>
      </tr>
     </tbody>
    </table>
  </div>
</div>


<div class="mb-3">
  <div class="bg-white border">
    <h5 class="fwb px-3 pt-3 pb-3  m-1">
     {{$ln? 'Total Out' : 'মোট আউট'}}
    </h5>
    <table class="table tab_2 m-0">
     <thead>
       <tr style="background:#edfdff">
         <th>{{$ln? 'Total Purchase' : 'মোট ক্রয়'}} </th>
         <th>{{$ln? 'Cash Purchase' : 'নগদ ক্রয়'}} </th>
         <th>{{$ln? 'Due Purchase' : 'বকেয়া ক্রয়'}} </th>
         <th>{{$ln? 'Expense & Salary' : 'খরচ ও বেতন'}} </th>
         <th>{{$ln? 'Payment Out' : 'পেমেন্ট পরিশোধ'}} </th>
       </tr>                
     </thead>
     <tbody>
      <?php $t_ot=0; $p_paid=0; $s_due=0;
      if($day){
        $all= App\dash_app\Purc::whereBetween('date',[$day, $day_2])->get();
      }else{
        $all= App\dash_app\Purc::get();
      } ?>
      @foreach($all as $pr)
      <?php
       $t_ot+=($pr->total-$pr->pre_due);  $p_paid+=$pr->tk;  ?>
      @endforeach
      <tr>
        <td>
          <h5 class="mt-2 fwb">{{$t_ot}}</h5>
            <p class="text-secondary m-1" style="font-size:15px">
              {{$ln? 'purchase Quantity ' : 'ক্রয়ের পরিমাণ'}}: {{ $purc_item->sum('qty') }}
            </p>
        </td>
        <td>
          <h5 class="mt-2 fwb">{{$p_paid}}</h5>
        </td>
        <td>
          <h5 class="mt-2 fwb">{{ $t_ot - $p_paid }}</h5>
        </td>
        <td>
        <?php  $ex_to=0;
        if($day){
          $all= App\Exp::whereBetween('date',[$day, $day_2])->get();
          $salary = App\Salary::whereBetween('date',[$day, $day_2])->sum('tot');
        }else{
          $all= App\Exp::get();
          $salary = App\Salary::all()->sum('tot');
        }  ?>  
        @foreach($all as $ex)
         <?php  $ex_to += $ex->tk; ?>
        @endforeach
          <h5 class="mt-2 fwb">{{ $ex_to + $salary}} </h5>
        </td>
        <td>
         <?php $paid=0; 
        if($day){
          $all = App\dash_app\Pay::where('pay','Out')
            ->whereBetween('date',[$day, $day_2])->get();
        }else{
          $all= App\dash_app\Pay::where('pay','Out')->get();
        }  ?>
         @foreach($all as $pr) <?php $paid+=$pr->paid; ?> @endforeach
          <h5 class="mt-2 fwb">{{$paid}}</h5>
        </td>
      </tr>
     </tbody>
    </table>
  </div>
</div>
           <?php $in_t = 0;   $loss_t = 0; ?>
@if($pdf)
  <?php 
      $rec_t = App\dash_app\Pay::where('pay','In')->get()->sum('paid');
      $paid_t = App\dash_app\Pay::where('pay','Out')->get()->sum('paid');
      $ex_inc = App\Income::all()->sum('tk');
      $ex_all = App\Exp::all()->sum('tk');
      $salary_all = App\Salary::all()->sum('tot');
      $in_t = App\dash_app\Sale::all()->sum('tk') + $rec_t + App\Foun_pay::all()->sum('tk') +  $ex_inc;
      $loss_t = App\dash_app\Purc::all()->sum('tk') + $paid_t +  $ex_all + $salary_all;
     ?>
@endif

  <div class="bg-white border">
    <h5 class="fwb px-3 pt-3 pb-3  m-1">
     {{$ln? 'Total Cash' : 'মোট নগদ'}}
    </h5>
    <table class="table tab_2 m-0">
     <thead>
       <tr style="background:#fffdeb">
         <th>{{$ln? 'Cash In' : 'নগদ গ্রহণ'}} </th>
         <th>{{$ln? 'Cash Out' : 'নগদ পরিশোধ'}} </th>
       </tr>                
     </thead>
     <tbody>
      <tr class="cash">
        <td>
          <h5 class="mt-2 fwb row">
              <p class="col-6 text-secondary text-right mb-1"> {{$ln? 'Cash Sale ' : 'নগদ বিক্রয়' }}:  </p>
              <p class="col-6 text-secondary text-left mb-1"> {{ $sale_rec  }} </p>
              <p class="col-6 text-secondary text-right mb-1"> {{$ln? 'Payment In ' : 'পেমেন্ট গ্রহণ' }}: </p>
              <p class="col-6 text-secondary text-left mb-1"> {{ $rec }} </p>
              <p class="col-6 text-secondary text-right mb-1"> {{$ln? 'Extra Incomes' : 'অতিরিক্ত আয়' }}: </p>
              <p class="col-6 text-secondary text-left mb-1"> {{ $to_ex_in = $all_inc->sum('tk') }} </p>
              <div class="col-12 text-center"> <span class="pr-3">Total:</span>    {{ $in =  $sale_rec + $rec +  $to_ex_in }}</div>
          </h5>
        </td>
        <td>
          <h5 class="mt-2 fwb row">
              <p class="col-6 text-secondary text-right mb-1">{{$ln? 'Cash Purchase' : 'নগদ ক্রয়'}}: </p>
              <p class="col-6 text-secondary text-left mb-1">  {{ $p_paid }} </p>
              <p class="col-6 text-secondary text-right mb-1">{{$ln? ' Payment Out ' : ' পেমেন্ট পরিশোধ'}}: </p>
              <p class="col-6 text-secondary text-left mb-1">  {{ $paid }} </p>
              <p class="col-6 text-secondary text-right mb-1">{{$ln? 'Expense' : ' খরচ'}}: </p>
              <p class="col-6 text-secondary text-left mb-1">  {{ $ex_to }} </p>
              <p class="col-6 text-secondary text-right mb-1">{{$ln? 'Salary' : ' বেতন '}}: </p>
              <p class="col-6 text-secondary text-left mb-1">  {{ $salary }} </p>

              <div class="col-12 text-center"> <span class="pr-3">Total:</span>  {{ $out = $p_paid + $paid + $ex_to + $salary }}</div>

          </h5>
        </td>
      </tr>
     </tbody>
    </table>
  </div>


  <div class="bg-white border my-3">
    <h5 class="fwb px-3 pt-3 pb-3  m-1">
     {{$ln? ' Hand Cash' : ' হ্যান্ড ক্যাশ '}}
    </h5>
    <table class="table tab_2 m-0">
     <thead>
       <tr style="background:#fffdeb">
         <th>{{$ln? "Today's  Balance" : 'আজকের ব্যালেন্স'}} </th>
         <th>{{$ln? 'Previous Hand Cash' : 'পূর্ববর্তী হ্যান্ড ক্যাশ'}} </th>
         <th>{{$ln? "Today's Hand Cash" : 'আজকের হ্যান্ড ক্যাশ'}} </th>
         <!-- <th>{{$ln? 'Net Balance' : 'নীট ব্যালেন্স'}} </th> -->
       </tr>                
     </thead>
     <tbody>
      <tr>
        <td>
          <h5 class="mt-2 fwb" id="day_t">{{ $in - $out }} </h5>
        </td>
        <td>
          <h5 class="mt-2 fwb" id="previous_cash"> {{ ($in_t - $loss_t) - ( $in - $out) }} <!-- Previous Cash -->  </h5>
        </td>
        <td>
          <h5 class="mt-2 fwb" id="cash_in_day"> {{ $in_t - $loss_t }} </h5>
        </td>
      </tr>
     </tbody>
    </table>
  </div>

@if($pdf==null)
  <script>
    $.ajaxSetup({headers:{'X-CSRF-TOKEN':$('meta[name="csrf-token"]').attr('content')}});
    $(document).ready( function(){
         setTimeout(function(){
            $.ajax({
               url:"{{ url('admin_home')}}", // Dash\AjaxCon
               type:"GET",  dataType:'JSON',
               data:{ cash:1 },
                success:function (data){
                  $('#previous_cash').text( Math.trunc( (data.cash_in_h + data.ex_in_all) - $('#day_t').text()  ) );
                  $('#cash_in_day').text( Math.trunc( data.cash_in_h) + data.ex_in_all );
                }
            })
          }, 999);
    });

  </script>
@endif