@extends('admin.master')
@section('content')
@if(Auth::user()->role_id > 7)

  <style>.items a{padding:3px 7px}/*.table a{font-size:14px}*/ .h_34{height:34px}
  .date input,.date button,.input-group-append{border-radius:0}
  .table td, .table th{text-align:left}
  .table td{padding-left:10px;font-size:16px}
  .fa-print:before{content:"\f02f"}.up_i::before {right:1em;content:"\2191"}
  .up_i::after{right:0.5em;content:"\2193"}.table td{line-height:25px}
  li.page-item .page-link{background:#143f66 !important;color:#fff;font-weight:normal;padding:11px 22px}
  .h_36{height:36px}
  .auto{background-color:#fffaf1;position:absolute;width:300px;font-size:17px;z-index:5;top:36px}.f_17{font-size:17px}
  </style>
  @include('dash.item.in.td_resp_full')
  <?php $up=''; $t_sale=0; $t_buy=0; $t_stock=0; $t_st_v=0; $ok='';
        $title='name'; $sc='asc'; $s_i=''; $bg='bg-secondary';  $p_id='';   $party='';  $cat='';
        $tot=50;  $day=request()->day;  $day_2=request()->day_2;
        $p_id=request()->p_id;  $s_i=request()->s_i;        ?>


  @if(isset($_GET['title']))  <?php $title=$_GET['title'] ; ?> @else <?php $title='name'; ; ?>  @endif
  @if(isset($_GET['sc']))  <?php  if($_GET['sc']=='desc'){  $sc='asc'; }else{ $sc='desc'; } ?>
  @endif


  <?php  $sub=request()->sub; $cat=request()->cat;  $brand=request()->brand; $tot=request()->tot;
    if($s_i){
       $all = App\Product::where('date','like','%'.$s_i.'%')
         ->orWhere('name','like','%'.$s_i.'%')
         ->orWhere('price','like','%'.$s_i.'%')->orWhere('buy_price','like','%'.$s_i.'%')
         ->orWhere('stock','like','%'.$s_i.'%')->orderBy('id','desc')->paginate($tot);
    }else{
       if($day){ $bg='bg-dark';
         $all= App\Product::whereBetween('date',[$day,$day_2])->paginate(15000);
        }elseif($cat && $brand){
         $all= App\Product::where('c_id',$cat)->where('brand_id',$brand)->paginate(15000);
        }elseif($cat){
         $all= App\Product::where('c_id',$cat)->paginate(15000);
        }elseif($brand){
         $all= App\Product::where('brand_id',$brand)->paginate(15000);
        }else{
         $all= App\Product::orderBy($title,$sc)->paginate($tot);
        }
    } ?>


  <div class="p-md-3 p-0" style="background:#e6e9ed">
    <form class="row pt-4 mb-3 bg-white"  action="{{url()->current()}}" >
      <h4 class="col-md-5 fwb mb-4">
       {{ $ln?'Sale Price List' : 'বিক্রয় মূল্য তালিকা'}}
      </h4>
      <div class="col-md-6  row text-light date">
        <div class="col-md-6 row p-0 mb-4">
          <p class="col-4 fwb mb-0 {{$bg}} pt-2">Between</p>
          <div class="col-8 pl-0 pr-md-4 row mb-0">
            <input  type="date" name="day" class="form-control"
                   @if($day) value="{{$day}}" @endif/>
          </div>
        </div>
        <div class="col-md-6 row p-0 mb-4">
          <p class="col-3 fwb mb-0 {{$bg}} pt-2 pl-3">To</p>
          <div class="col-7 px-0 row mb-0">
            <input  type="date" name="day_2" class="form-control"
                   @if($day_2) value="{{$day_2}}" @endif/>
          </div>
          <div class="col-2 px-0">
            <button class="btn btn-info col-12" style="margin-left:-1px" type="submit">
              <i class="fa fa-search"></i></button>
          </div>
        </div>
      </div>
      <div class="col-md-1 mb-4">
      <?php $url='?pdf=1&title='.$title.'&sc='.$sc.'&cat='.$cat.'&tot='.$tot.'&day='.$day.'&day_2='.$day_2; ?>
        <a class="btn btn-primary  prnt px-3 float-right"
          href="{{url()->current().$url}}"><i class="fa fa-print"></i>
        </a>
      </div>
    </form>
        
    <!-- <div style="height:54px">  -->
      <form action="{{url()->current()}}" class="col-md-6 row mb-3 ml-auto">
         @include('dash.item.in.catagory_tot')
      </form >
    <!-- </div> -->

    <div class="col-md-12 bg-white p-0">
      <table class="table tab_respon p-0 table-hover tab_2">
         <thead>
           <tr class="d_n" style="background:#fff6dc">
              <th><a class="btn p-1 fwb"> Sl </a></th>
              <th class="pl-0"> <?php $prl='rep/item_stok?title='; ?>
                <a class="btn p-1 @if($title=='name' && $sc=='asc') text-danger @endif fwb"
                  href="{{url($prl.'name&sc='.$sc)}}"><i class="up_i pr-2"></i>
                 {{ $ln?'Item Name' : 'আইটেমের নাম'}}</a>
              </th>

              <th class="pl-0">
                <a class="btn p-1 @if($title=='date' && $sc=='asc') text-danger @endif fwb"
                  href="{{url($prl.'date&sc='.$sc)}}"><i class="up_i pr-2"></i>
                {{ $ln?'Entry Date' : 'তারিখ'}}</a></th>

              <th class="pl-0">
                <a class="btn p-1 @if($title=='price') text-danger @endif fwb"
                   href="{{url($prl.'price&sc='.$sc)}}"><i class="up_i pr-2"></i>
                 {{ $ln?'Sale Price ':'বিক্রয় মূল্য '}}</a></th>

              <th class="pl-0">
                <a class="btn p-1 @if($title=='stock') text-danger @endif fwb"
                   href="{{url($prl.'stock&sc='.$sc)}}"><i class="up_i pr-2"></i>{{ $ln?'Stock Qty' : 'মজুত'}}</a></th>
           </tr>                
         </thead>
         <tbody> @if(isset($_GET['ok'])) <?php $ok=$_GET['ok']; ?>  @endif
          @foreach($all as $pr)
            <tr @if($ok==$pr->id)style="background-color:rgba(244,204,184,0.16)" @endif>
              <td class="p-md-2 px-1 py-0" style="margin-bottom:-5px">
                <p class="d_m px-1 m-0 border rounded-circle border-radius">
                  <span class="d-md-none" >{{ $loop->index+1 }}</span>
                </p>
                <span class="d-md-block d_no" >{{ $loop->index+1 }}</span>
              </td>
              <td>
                <span class="d-md-none px-2">{{ $ln?'Name' : 'নাম'}}:</span>
                <a class=" text-info fwb" href="{{url('item/all?pr_id='.$pr->id )}}">
                 {{$pr->name}}
                </a>
              </td>
              <td>
                <span class="d-md-none px-2">{{ $ln?'Date' : 'তারিখ'}}:</span>
                <span style="color:gray">
                   {{date_format(date_create($pr->date),"d-M-y" )}}
                </span>
              </td>
              <td>
                <span class="d-md-none px-2">{{ $ln?'Sale Price ':'বিক্রয় মূল্য '}}:</span>
                <span  class="text-danger"> {{$pr->price}} tk</span>
              </td>
              <td>
                <span class="d-md-none px-2">{{ $ln?'Stock' : 'মজুত'}}:</span>
                <span class="fwb text-info">{{$pr->stock}} </span> <span style="color:gray">{{$pr->unit}}</span>
              </td>
            </tr>
          @endforeach
        </tbody>
      </table>
      <div class="col-12"> {{$all->links()}}  </div>
    </div>
  </div>
   <script src="{{asset('public/admin')}}/js/printPage.js" type="text/javascript"></script>
   <script> $( document ).ready(function(){ $(".prnt").printPage(); }); </script>

@else <script> window.location.replace("{{url('dashbord?not=1')}}"); </script>
@endif
@endsection
