@extends('admin.master')
@section('content')
@if(Auth::user()->role_id > 11)

  <?php $bg='bg-secondary';  $day=request()->day;  $day_2=request()->day_2;

     if($day){
        $foun_all= App\Foun_pay::whereBetween('date', [$day, $day_2])->get();
      }else{
        $foun_all = App\Foun_pay::all();
      }  ?>

  <style>.card{margin-bottom:17px}
  .card .fa{margin:auto;padding-top:13px;font-size:35px;text-shadow:1px 1px 2px;color:#05075c}.fa-bar-chart:before{content:"\f080"}.mt-50{margin-top:50px}.card h4{height:40px}.text_n{color:transparent;text-shadow:none;transition-duration:1s}.fa-print:before{content:"\f02f"}
  @if($pdf==null)
  .card h4,.card h5{text-shadow:2px 2px 2px black}
  @endif
  .pp span{font-size:19px}.pp .pay{min-width:180px;display:inline-block}
  </style>
  <div class="row border bg-white">
    <div class=" {{$pdf? 'col-12 ':'col-md-4'}} p-0">
      <div class="page-header row ">
        <h4 class=" {{$pdf? 'col-4 ':'px-3'}} my-3  pr-0 chya">Total Balance</h4>
        @if($pdf)
            @if($day)
              <h5 class="col-4 my-3 px-1">Between: {{$day}}</h5>
              <h5 class="col-4 my-3 px-1">To: {{$day_2}}</h5>
            @endif
          <style>.btn{padding:0}.table{border-top:2px solid #dee2e6}</style>
        @endif
      </div>
    </div>

    <form class="col-md-8 row py-3 {{$pdf? 'd-none':''}}"  action="{{url('rep/t_balan')}}" >
      <div class="col-md-11  row text-light date">
        <div class="col-md-6 row p-0">
          <p class="col-4 fwb mb-0 {{$bg}} pt-2">Between</p>
          <div class="col-8 pl-0 pr-md-4 row mb-0">
            <input  type="date" name="day" class="form-control"
                   @if($day) value="{{$day}}" @endif/>
          </div>
        </div>
        <div class="col-md-6 row p-0">
          <p class="col-3 fwb mb-0 {{$bg}} pt-2 pl-3">To</p>
          <div class="col-7 px-0 row mb-0">
            <input  type="date"name="day_2" class="form-control"
                   @if($day_2) value="{{$day_2}}" @endif/>
          </div>
          <div class="col-2 px-0">
            <button class="btn btn-info col-12" style="margin-left:-1px" type="submit">
              <i class="fa fa-search"></i></button>
          </div>
        </div>
      </div>
      <div class="col-md-1">
        <a class="btn btn-info  prnt px-3 float-right" href="{{ url('rep/t_balan?day='.$day.'&day_2='.$day_2.'&pdf=1')}}">
         <i class="fa fa-print"></i></a>
      </div>
    </form>

  </div>
  <?php
  $lY = date("Y",strtotime("-1 month"));
  $lm = date("m",strtotime("-1 month"));
    $s_to=0; $s_rec=0;
     if($day){
       $all= App\dash_app\Sale::whereBetween('date', [$day, $day_2])->get();
      }else{
       $all= App\dash_app\Sale::all();
      }
    foreach($all as $sl){ $s_to+=($sl->total - $sl->pre_due);
      $s_rec+=$sl->tk; }
  ?>
  <div class="content row mt-2 p-2">
      <div class="col-md-4 px-2">
         <div class="card text-white px-3 pb-5" style="height:150px;background:#00B794">
            <h5 class="mt-3 mb-1">Total Sale </h5>
            <h4 class="mb-3 row">
              <span class="count col-5 p-0" style="font-size:19px">{{$s_to}}</span>
              <i class="fa fa-shopping-bag mx-0"></i>
            </h4>
            <h4 class="m-0 pp">
              <span class="pay"> Cash Received </span>
              <span class="count" style="font-size:21px">{{ $s_rec }}</span>
            </h4>
        </div>
      </div>

  <?php $p_to=0; $p_rec=0;
     if($day){
       $all= App\dash_app\Purc::whereBetween('date', [$day, $day_2])->get();
      }else{
       $all= App\dash_app\Purc::all();
      }
    foreach($all as $sl){$p_to+=($sl->total - $sl->pre_due);
       $p_rec+=$sl->tk; } ?>

      <div class="col-md-4 px-2">
        <div class="card text-white px-3 pb-5" style="height:150px;background:#bd4700">
            <h5 class="mt-3 mb-1">Total Purchase </h5>
            <h4 class="mb-3 row">
              <span class="count col-5 p-0" style="font-size:19px">{{$p_to}}</span>
              <i class="fa fa-cart-plus mx-0"></i>
            </h4>
            <h4 class="m-0 pp">
              <span class="pay"> Cash Paid </span>
              <span class="count" style="font-size:21px">{{$p_rec}}</span>
        </div>
      </div>
  <?php  $exp_t=0; $sy_to=0;
     if($day){
       $all = App\Exp::whereBetween('date', [$day, $day_2])->get();
       $s_all = App\Salary::whereBetween('date', [$day, $day_2])->get();
      }else{
       $all = App\Exp::all();
       $s_all = App\Salary::all();
      }
       $exp_t = $all->sum('tk');
       $sy_to = $s_all->sum('tot'); ?>

      <div class="col-md-4 px-2">
         <div class="card text-white px-3 pb-5" style="height:150px;background:#ca0000">
            <h5 class="mt-3 mb-1">Total Expence + Salary </h5>
            <h4 class="mb-3 row"><span class="count col-5 p-0">{{ $ex_to = $sy_to + $exp_t }}</span>
              <i class="fa fa-edge mx-0"></i>
            </h4>
            <h4 class="mb-0 mt-2 pp">
              <span class="pay">{{$ln? 'Salary' : 'বেতন'}}</span>
              <span class="count"> {{ $sy_to }}</span>
            </h4>
        </div>
      </div>


    <?php $paid=0; $rec=0; $paid_t = 0; $rec_t = 0;
     if($day){
       $all= App\dash_app\Pay::whereBetween('date', [$day, $day_2])->get();
      }else{
       $all= App\dash_app\Pay::all();
      } ?>
     @foreach($all as $pp)
       @if($pp->pay=='In')<?php $rec+=$pp->paid; ?>
       @elseif($pp->pay=='Out')<?php $paid+=$pp->paid;  ?>
       @endif
     @endforeach
      <div class="col-md-4 px-2">
         <div class="card text-white px-3 pb-5" style="height:150px;background:#00B794">
            <h5 class="mt-3" style="font-size:23px;margin-bottom:5px">
              Founders Paid
            </h5>
            <h4 class="m-0 row">
              <span class="count col-5 p-0">{{  $foun_all->sum('tk')  }}</span>
              <i class="fa fa-dollar mx-0"></i>
            </h4>
         </div>
      </div>

      <div class="col-md-4 px-2">
         <div class="card text-white px-3 pb-5" style="height:150px;background:#00B794">
            <h5 class="mt-3" style="font-size:23px;margin-bottom:5px">
              Total Payment In / Receive
            </h5>
            <h4 class="m-0 row">
              <span class="count col-5 p-0">{{ $rec }}</span>
              <i class="fa fa-dollar mx-0"></i>
            </h4>
         </div>
      </div>

      <div class="col-md-4 px-2">
         <div class="card text-white px-3 pb-5" style="height:150px;background:#ca0000">
            <h5 class="mt-3" style="font-size:23px;margin-bottom:5px">
              Total Payment Out / Paid
            </h5>
            <h4 class="m-0 row">
              <span class="count col-5 p-0">{{ $paid }} </span>
              <i class="fa fa-dollar mx-0"></i>
            </h4>
        </div>
      </div>

      <div class="col-md-4 px-2">
         <div class="card text-white px-3 pb-5" style="height:190px;background:#00B794">
            <h5 class="mt-3 mb-0" style="font-size:23px;margin-bottom:5px">
            Total Income
            </h5>
            <h4 class="m-0 pp">
              <span class="pay">Cash Receive  </span>
              <span class="count col-5 p-0">{{ $s_rec }}</span>
            </h4>
            <h4 class="m-0 pp">
              <span class="pay"> Founders Paid </span>
              <span class="count col-5 p-0">{{ $foun_all->sum('tk') }}</span>
            </h4>
            <h4 class="m-0 pp">
              <span class="pay">Payment In / Receive </span>
              <span class="count col-5 p-0">{{ $rec }}</span>
            </h4>
            <h4 class="mb-0 pp" style="margin-top:7px;border-top:1px solid #398CA5">
              <span class="pay">Balance</span>
              <span class="count col-5 p-0"> {{ $in_t = $s_rec + $rec + $foun_all->sum('tk')  }} </span>
            </h4>
        </div>
      </div>

      <div class="col-md-4 px-2">
         <div class="card text-white px-3 pb-5" style="height:190px;background:#bd4700">
            <h5 class="mt-3 mb-0" style="font-size:23px;margin-bottom:5px">
            Total Invest
            </h5>
            <h4 class="m-0 pp">
              <span class="pay"> Cash Paid </span>
              <span class="count col-5 p-0">{{$p_rec}}</span>
            </h4>
            <h4 class="m-0 pp">
              <span class="pay">Payment Out / Paid</span>
              <span class="count col-5 p-0">{{ $paid }}</span>
            </h4>
            <h4 class="m-0 pp">
              <span class="pay">Total Expence </span>
              <span class="count col-5 p-0">{{$ex_to}}</span>
            </h4>
            <h4 class="mb-0 pp" style="margin-top:7px;border-top:1px solid #398CA5">
              <span class="pay">Balance</span>
              <span class="count col-5 p-0">{{ $loss_t = $p_rec + $paid + $ex_to}}</span>
            </h4>
        </div>
      </div>

      <div class="col-md-4 px-2">
         <div class="card text-white px-3 pb-5" style="height:190px;background:#601717">

            <h4 class="mb-0 pp mt-4">
              <span class="pay px-1">{{ $ln?'Cash in hand' : 'হাতে নগদ'}}</span>
              <span class="count col-5 p-0">{{ $t_b = $in_t  - $loss_t}} </span>
            </h4>


            <h4 class="mb-0 pp">
              <span class="pay px-1"> {{$ln? ' Extra Income ' : ' অতিরিক্ত আয়'}}</span>
              <span class="count col-5 p-0">{{ $ex_in_all = App\Income::all()->sum('tk') }}</span>
            </h4>
            
            <h4 class="mb-0 pp" style="margin-top:7px;border-top:1px solid #398CA5">
              <span class="pay px-1">{{$ln? 'Balance ' : ' ব্যালেন্স '}}</span>
              <span class="count col-5 p-0">{{ $t_b +  $ex_in_all }} </span>
            </h4>
        </div>
      </div>
  </div>

   <script src="{{asset('public/admin')}}/js/printPage.js" type="text/javascript"></script>
   <script> $( document ).ready(function(){ $(".prnt").printPage(); }); </script>

@else
 <script> window.location.replace("{{url('dashbord?not=1')}}"); </script>
@endif
@endsection