@include('front.inc.css-detail')
@include('front.inc.f_top')
@include('front.inc.nav')
<h3 class="tittle-w3l pl-4 m-0 pt-4">Product Details</h3>
<div class="banner-bootom-w3-agileits">
<div class="container py-xl-4 py-lg-2">
  <div class="row bg-light">
	 <div class="col-lg-5 col-md-8 single-right-left mt-3">
		<div class="grid images_3_of_2">
			<div class="flexslider">
				<ul class="slides">
					<li data-thumb="{{ asset($item->img)}}">
				      <div class="thumb-image">
					    <img src="{{ asset($item->img)}}" data-imagezoom="true" class="img-fluid" alt="No Image">
					  </div>
					</li>
					@foreach ($subImage as $sub)
					  <li data-thumb="{{ asset($sub->sub_image)}}">
						<div class="thumb-image">
						<img src="{{ asset($sub->sub_image)}}" data-imagezoom="true"  class="img-fluid"  alt="image">
					   </div>
					  </li>
					@endforeach
				</ul>
				<div class="clearfix"></div>
			</div>
		</div>
	 </div>
	 <div class="col-lg-7 single-right-left simpleCart_shelfItem">

	  <div class="bg-white col-md-12  row p-3 my-3">
	    <!-- <div class="col-6 row px-1 border-right"> -->
        <div class="col-3 px-2 fw6 mb-2">Item Name</div>     <div class="col-1 p-0">:</div>
        <div class="col-8 px-1 fw6 mb-2 pl-0">{{$item->name}} </div>
        <div class="col-3 px-2 fw6 mb-2">Sale Price</div>    <div class="col-1 p-0">:</div>
        <div class="col-8 px-1 fw6 mb-2 pl-0">{{$item->buy_price}}</div>
        <div class="col-3 px-2 fw6 mb-2">Category</div>    <div class="col-1 p-0">:</div>
        <div class="col-8 px-1 fw6 mb-2 pl-0">
         @if($item->category) {{ $item->category['category_name'] }} @endif
        </div>
        <div class="col-3 px-2 fw6 mb-2">Description</div>    <div class="col-1 p-0">:</div>
        <div class="col-8 px-1 fw6 mb-2 pl-0">{{$item->descrip}}</div>
        <div class="col-3 px-2 fw6 my-2">Stock</div>
        <div class="col-1 p-0 my-2">:</div>
        <div class="col-8 px-1 fw6 mb-2 mt-1 pl-0">
        	@include('front.cart.cart-button')
        </div>
	  </div>
     </div>
  </div>
</div>
</div>
@include('front.product.relat_product')
@include('front.inc.footer')
@include('front.inc.js-detail')