<?php
namespace App;
use Illuminate\Database\Eloquent\Model;
class Credit extends Model
 {
   public $timestamps = false;
   public $fillable = ['id','c_id','sub_ca_id','brand_id','name','buy_price','price','op_stk','stock','m_stock','unit',
   'descrip','new','code','img','status','date'];
 	
	public function category()
	{	
   	 return $this->belongsTo ('App\Category');
	}
	public function sub_ca()
	{	
   	 return $this->belongsTo ('App\SubCategory');
	}
	
	public function brand()
	{
   	 return $this->belongsTo('App\Brand');
	}

}