<?php
namespace App\Http\Controllers;
use Illuminate\Http\Request;
use App\Product;use App\Order;
use App\dash_app\Sale;// use App\Income;
use Str; use Auth;
use App\dash_app\Adj; use App\dash_app\One_item; use App\dash_app\One_sale;
use App\dash_app\Purc; use App\dash_app\Pay; use App\dash_app\Party;
use App\Visitor;
class AdminController extends Controller{
   public function index(Request $r){
    return view('admin.home');
 }

  public function party_del(Request $r){ // return  $r->all();
    if(Auth::user()->role_id!=33){ return back()->with('alert','Only Admin Can Delete !!!!!');}
    if($r->d_id){
      $pp = Party::find($r->d_id);
      if($pp==null){
        return back()->with('alert','Party Not Found ?????');
       }

      foreach(Purc::where('p_id',$r->d_id)->get() as $d){
          foreach(One_item::where('purc_id', $d->id)->get() as $item){   $pr_id = $item->pr_id;
            $item->delete();
            $pr=Product::find($pr_id);
            if($pr){
              $add=0;  $re=0;  $pur_q=0;  $sa_qty=0;
              foreach(Adj::where('pr_id',$pr_id)->get() as $ad){
                if($ad->type=="add"){ $add+=$ad->qty; }elseif($ad->type=="re"){ $re+=$ad->qty;  }
               }
              foreach(One_item::where('pr_id',$pr_id)->get() as $ad){ $pur_q+=$ad->qty; }
              foreach(One_sale::where('pr_id',$pr_id)->get() as $sl){ $sa_qty+= $sl->qty; }
              Product::find($pr_id)->update(['stock'=> ($add + $pur_q + $pr->op_stk ) - ( $sa_qty + $re )]);
            }
          }
          $cc = Purc::find($d->id);
          if($cc){ if(file_exists($cc->img)){ unlink($cc->img);} }
           $cc->delete();
        }
      foreach(Sale::where('p_id',$r->d_id)->get() as $d){
          foreach (One_sale::where('s_id', $d->id)->get() as $item){   $pr_id = $item->pr_id;
            $item->delete();
            $pr=Product::find($pr_id);
            if($pr){
              $add=0;  $re=0;  $pur_q=0;  $sa_qty=0;
              foreach(Adj::where('pr_id',$pr_id)->get() as $ad){
                if($ad->type=="add"){ $add+=$ad->qty; }elseif($ad->type=="re"){ $re+=$ad->qty;  }
               }
              foreach(One_item::where('pr_id',$pr_id)->get() as $ad){ $pur_q+=$ad->qty; }
              foreach(One_sale::where('pr_id',$pr_id)->get() as $sl){ $sa_qty+= $sl->qty; }
              Product::find($pr_id)->update(['stock'=> ($add + $pur_q + $pr->op_stk ) - ( $sa_qty + $re )]);
            }
          }
          $cc = Sale::find($d->id);
          if($cc){ if(file_exists($cc->img)){ unlink($cc->img);} }
           $cc->delete();
        }
      foreach(Pay::where('p_id',$r->d_id)->get() as $d){
          $cc = Pay::find($d->id);
          if($cc){ if(file_exists($cc->img)){ unlink($cc->img);} }
           $cc->delete();
        }
     Party::find($r->d_id)->delete();
    }else{
     return back()->with('alert','Please, Select Deleted Item ?????');
    }
    if($r->ajax){
      return [ 'ms' => 'Data of  '.$pp->name.' Successfully Deleted !!!' ];
    }else{
      return back()->with('mess','Data of '.$pp->name.' Successfully Deleted !!!');
    }
  }


  public function pr_del(Request $r){ //return  $r->all();
    $app = $r->app;   $app_2 = $r->app_2;  $p_num = '';
    if(Auth::user()->role_id!=33){ return back()->with('alert','Only Admin Can Delete !!!!!');}
    if($r->d_id){
      $cc = $app::find($r->d_id);
      if($cc){ if(file_exists($cc->img)){ unlink($cc->img);} }
      if($r->app=='App\dash_app\Sale' or $r->app=='App\dash_app\Sale_quot'){
         $all = $app_2::where('s_id',$r->d_id)->get();
       }else{
         $all = $app_2::where('purc_id',$r->d_id)->get();
       }
      foreach($all as $item){
       $pr_id = $item->pr_id;
        $item->delete();
        $pr=Product::find($pr_id);
        if($pr){
          $add=0;  $re=0;  $pur_q=0;  $sa_qty=0;
          foreach(Adj::where('pr_id',$pr_id)->get() as $ad){
            if($ad->type=="add"){ $add+=$ad->qty; }elseif($ad->type=="re"){ $re+=$ad->qty;  }
           }
          foreach(One_item::where('pr_id',$pr_id)->get() as $ad){ $pur_q+=$ad->qty; }
          foreach(One_sale::where('pr_id',$pr_id)->get() as $sl){ $sa_qty+= $sl->qty; }
          Product::find($pr_id)->update(['stock'=> ($add + $pur_q + $pr->op_stk ) - ( $sa_qty + $re )]);
        }
      }
      if($cc){  $p_num = $cc->p_num;
          $cc->delete();
          $p_to = Purc::where('p_id',$cc->p_id)->sum('total') - Purc::where('p_id',$cc->p_id)->sum('pre_due') ;  
          $p_paid = Purc::where('p_id',$cc->p_id)->sum('tk');
           // p_id = party id
          $s_to = Sale::where('p_id',$cc->p_id)->sum('total') - Sale::where('p_id',$cc->p_id)->sum('pre_due');
          $s_re = Sale::where('p_id',$cc->p_id)->sum('tk');
          $p_in = Pay::where('pay','In')->where('p_id',$cc->p_id)->sum('paid');
          $in_dis  = Pay::where('pay', 'In')->where('p_id', $cc->p_id)->sum('dis');
          $p_out = Pay::where('pay','Out')->where('p_id',$cc->p_id)->sum('paid');
          $out_dis = Pay::where('pay', 'Out')->where('p_id', $cc->p_id)->sum('dis');
       if(Party::find($cc->p_id)){
          Party::find($cc->p_id)->update(['purc_tk'=>$p_to,'paid'=>$p_paid,'sale_tk'=>$s_to,'rec'=>$s_re, 'in_tk'=>($p_in +  $in_dis),
            'out_tk'=> ($p_out + $out_dis)
        ]);
       }
     }
    }else{
      return back()->with('alert','Please, Select Deleted Data Successfully ?????');
    }
    if($r->ajax){
      return [ 'ms' => 'Data of '.$p_num.' Successfully Deleted !!!' ];
    }else{
      return back()->with('mess','Data of '.$p_num.' Successfully Deleted ............. !!!');
    }
  }

  public function del(Request $r){ // return  $r->all();//
      $app = $r->app;
      if(Auth::user()->role_id!=33){ return back()->with('alert',' Only Admin Can Delete !!!!!'); }
      if($r->del){
        foreach($r->del as $dd){
          $cc = $app::find($dd);
          if($cc){ if(file_exists($cc->img)){ unlink($cc->img);} }
           $cc->delete();
         }
      }elseif($r->d_id){
        $cc = $app::find($r->d_id);
        if($cc){ if(file_exists($cc->img)){ unlink($cc->img);} }
         $cc->delete();
        if($app=='App\dash_app\Pay'){
          if($cc->p_id){
              $in = Pay::where('pay','In')->where('p_id',$cc->p_id)->get()->sum('paid');
              $in_dis = Pay::where('pay','In')->where('p_id',$cc->p_id)->get()->sum('dis');
              $out = Pay::where('pay','Out')->get()->where('p_id',$cc->p_id)->sum('paid');
              $out_dis = Pay::where('pay','Out')->where('p_id',$cc->p_id)->get()->sum('dis');
            Party::find($cc->p_id)->update(['in_tk'=>($in + $in_dis), 'out_tk'=>( $out + $out_dis) ]);
           }
         }
      }else{
        return back()->with('alert','Please, Data Not Deleted !!!');
      }

      if($app=='App\Product'){
        foreach(Adj::all()->unique('pr_id') as $ad) {
           if(Product::find($ad->pr_id) == null){
             $ad->delete();  // Adj delet
           }
        }
      }

    if($r->ajax){
      return [ 'ms' => 'Data Deleted Successfully !!!' ];
    }else{
      return back()->with('mess','Data Deleted Successfully !!!');
    }

  }
   

}