<?php
namespace App\Http\Controllers\Dash;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Arr;
use App\dash_app\Party; use App\dash_app\Sale; use App\dash_app\Purc; use App\dash_app\One_item;
use App\dash_app\One_sale;use App\dash_app\Unit; use App\Category; use App\Sub_category;
use Auth; use Str; use App\Brand; use App\Product;
use  App\dash_app\Adj; use App\dash_app\Pay;
class ItemCon extends Controller{

  public function add(Request $r){ $up = '';
    if($r->id){ $up = Product::find($r->id); }
    $categories = Category::orderBy('name', 'asc')->get();
    $sub = Sub_category::orderBy('id', 'desc')->get();
    $brands = Brand::all();
   return view('dash.item.add',compact('categories','sub','brands','up'));
  }

  public function post(Request $r){ // return $r->all();
   $img=$r->file('img'); $c_img=''; $unit =$r->unit;
  if($img){
    $limit=Str::limit($img->getClientOriginalName(),2,'');
    $uniq_img=uniqid().'_'.$limit.'.'.$img->getClientOriginalExtension(); 
    $img->move('img/product/',$uniq_img); $c_img='img/product/'.$uniq_img;
   }
   if(Unit::where('s_name',$unit)->first()==null){ Unit::create(array_merge(['s_name'=>$unit] )); }
   if($r->up){ $fd = Product::find($r->up);
     if($c_img==null){ $c_img = $fd->img;
     }else{ if(file_exists($fd->img)){unlink($fd->img); } }
      $ms='Updated';
      Product::find($r->up)->update(array_merge( $r->all(),['img'=>$c_img] ));
      $e = Product::find($r->up);
    }else{ $ms='Added';
      $e = Product::create(array_merge( $r->all(),['img'=>$c_img,'unit'=>$unit] ));
    }
   return  redirect('item/all?pr_id='.$e->id)->with('mess', 'Item Successfully '. $ms .'!!!');
  }

  public function item_up(Request $r){  // return ['ms'=> $r->app,'bg'=> $bg];
    if(Auth::user()->role_id!=33){ return back()->with('alert',' Only Admin Can Delete !!!!!');}
    if($r->app=='One_sale'){ $ms = 'Sale';
      $on=One_sale::find($r->on_id);  
      $cc=Sale::find($on->s_id);  $on->delete();
    }else{ $ms = 'Purchase';
      $on=One_item::find($r->on_id);
      $cc=Purc::find($on->purc_id);  $on->delete();
    }
      if($r->pr_id){
        $add=0;  $re=0;   $sa_qty=0; $pur_q=0;
        foreach(Adj::where('pr_id',$r->pr_id)->get() as $ad){
          if($ad->type=="add"){ $add+=$ad->qty;  }
          if($ad->type=="re"){ $re+=$ad->qty;  }
          }
        foreach(One_item::where('pr_id',$r->pr_id)->get() as $ad){ $pur_q+=$ad->qty; }
        foreach(One_sale::where('pr_id',$r->pr_id)->get() as $sl){ $sa_qty+= $sl->qty; }
        $pro = Product::find($r->pr_id);
       Product::find($r->pr_id)->update(['stock'=> ($add + $pur_q + $pro->op_stk ) - ( $sa_qty + $re )]);
     }
     if($cc){
        $tot=0;   $pp=0;  $s_to=0;   $re=0;   $p_in=0; $p_out=0;
        foreach(Purc::where('p_id',$cc->p_id)->get() as $ad)
          { $tot+=($ad->total - $ad->pre_due);  $pp+=$ad->tk; }
        foreach(Sale::where('p_id',$cc->p_id)->get() as $sa)
          { $s_to+=($sa->total - $sa->pre_due);  $re+=$sa->tk; }
        foreach(Pay::where('p_id',$cc->p_id)->get() as $p_p){
          if($p_p->pay=='In'){  $p_in+=$p_p->paid; }elseif($p_p->pay=='Out'){  $p_out+=$p_p->paid; }
         }
         if($cc->p_id){
          Party::find($cc->p_id)->update(['purc_tk'=>$tot+$p_in,'paid'=>$pp,'sale_tk'=>$s_to+$p_out,'rec'=>$re ]);
         }
      }
    if($r->app_2){
      return back()->with('mess', $ms. ' Successfully Deleted !!!');
    }
    return back()->with('mess', 'Item Successfully Removed !!!');
  }


  public function all(Request $r){ // return $r->all();
    $pr_id=$r->pr_id;  $pr=Product::find($pr_id);
    if($r->pr_id==null){
       $pr=Product::where('c_id',$r->cat)->orderBy('id','desc')->first();
       if($pr==null){
       $pr=Product::orderBy('id','desc')->first();
      }
      if($pr){ $pr_id=$pr->id; }
    }
      if($r->d_id){
         $cc = $r->app::find($r->d_id); 
         $cc->delete(); // if($cc){ if(file_exists($cc->img)){ unlink($cc->img);} }
      }
     $pu_q=0;   $ad_tk=0;   $re_tk=0; $m_2=0;  $sa_qty=0;  //  $p_tot=0;    $s_tot=0; 
        $ad_all = Adj::where('pr_id',$pr_id)->orderBy('id','desc')->get();
        foreach($ad_all  as $ad){
          if($ad->type=="add"){   $ad_tk+=($ad->tk * $ad->qty); }
          if($ad->type=="re" or $ad->type=="dam"){  $re_tk+=($ad->tk * $ad->qty); }
        }
    $oneItem = One_item::where('pr_id',$pr_id)->orderBy('id','desc')->get();
           $p_tot = $oneItem->sum('amount');   $pur_q  = $oneItem->sum('qty');
    $oneSale = One_sale::where('pr_id',$pr_id)->orderBy('id','desc')->get();
           $s_tot = $oneSale->sum('amount');   $sa_qty = $oneSale->sum('qty');

           $add = Adj::where('pr_id',$pr_id)->where('type','add')->sum('qty');
           $re  = Adj::where('pr_id',$pr_id)->where('type','re')->sum('qty');
           $dam  = Adj::where('pr_id',$pr_id)->where('type','dam')->sum('qty');
           $re_dam = $dam + $re;
    if($pr){
           Product::find($pr->id)->update([
             'stock'=> ($pr->op_stk +$add + $pur_q ) - ($sa_qty + $re_dam) , 'added'=>$add, 'reduce'=>($re + $dam),  'one_p'=>$pur_q, 'one_s'=>$sa_qty
           ]);
      $pr=Product::find($pr_id);
      if($r->d_id){
        return redirect('damage_list')->with('mess',' Successfully Deleted !!!');
      }else{
        return view('dash.item.all', compact('ad_all', 'oneItem','oneSale','pr','pr_id',
          'ad_tk','re_tk','p_tot','s_tot','sa_qty','pur_q','add','re_dam'));
      }
    }
   return  redirect('item/add')->with('alert','Not Match ???');
  }

    public function pdf(Request $r,$id){
        $one =  Party::find($r->id);// $n_word = NumConvert::word(1);
     return view('dash.item.pdf',compact('one'));
    }


}