<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateIncomesTable extends Migration
{
/**
 * Run the migrations.
 *
 * @return void
 */
public function up()
{
  Schema::create('incomes', function (Blueprint $table) {
      $table->bigIncrements('id');
      $table->string('title');
      $table->string('date')->nullable();
      $table->integer('inc');
      $table->integer('disc')->nullable();
      $table->timestamps();
  });
}

/**
 * Reverse the migrations.
 *
 * @return void
 */
public function down()
{
    Schema::dropIfExists('incomes');
}
}
