<?php
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;
class CreateEditorsTable extends Migration
{
/**
 * Run the migrations.
 *
 * @return void
 */
public function up()
{
    Schema::create('editors', function (Blueprint $table) {
        $table->increments('id');
        $table->unsignedInteger('user_id');
        $table->integer('category')->default(0);
        $table->integer('brand')->default(0);
        $table->integer('product')->default(0);
        $table->integer('order')->default(0);
        $table->integer('sale')->default(0);
          $table->foreign('user_id')
               ->references('id')->on('users')
               ->onDelete('cascade');
          $table->timestamps();
    });
}

/**
 * Reverse the migrations.
 *
 * @return void
 */
public function down()
{
    Schema::dropIfExists('editors');
}

}