@extends('admin.master')  @section('title')Create Note @endsection
@section('content')
<div class="card container p-0">
  <div class="card-header py-3">
      <div class="row">
        <h4 class=" col-6 my-1 fwb">Create Note</h4>
        <div class="col-6">
           <a href="{{url('no/all')}}" class="btn btn-info btn-sm px-3 mt-1 float-right">All Notes</a>
        </div>
      </div>
  </div>
  <?php  $sale=''; 
    $up=request()->up;  $id=request()->id;
    if($id){  $up = App\Note::find($id);  }

   ?>
  <div class="card-body bg_card">
    <form action="{{ url('no/post')}}" class="row" method="post"> @csrf
      <input type="hidden" name="up" value="{{$up? $up->id :  '' }}">
      <div class="col-12 mb-3">
        <p class="mb-0 ml-1 fwb">Title</p>
        <!-- <input class="form-control in" name="title"  value="{{$up? $up->title : ''}}"> -->
          <input name="title" id="title_in" class="{{$fc}}" autocomplete="off" 
                 required value="{{$up? $up->title :  '' }}"/>
          <select class="{{$fc}} border-top-0 text-secondary" id="par_title" onchange="ti_tle()">
              @if($up) <option>{{$up->title}}</option>
              @else <option value="">Select Title</option>
              @endif
              @foreach(App\Note::get()->unique('title') as $tt)
                 <option>{{ $tt->title }}</option>
              @endforeach
          </select>
      </div>
      <script>
            function ti_tle(){  $('#title_in').val($('#par_title').val());  }
            $('#title_in').on('keyup input',function(){
               if($('#title_in').val()){
                        $('#par_title').css('display','none');
               }else{   $('#par_title').css('display','block');  }
            })
      </script>

       <?php $i='_party';  ?>

       <div class="col-12 row mb-3">
         <p class="col-12 p-0 mb-0 ml-1">Party Name</p>
          <input name="p_num" class="col-6 {{$fc}} fwb" id="myInput_pp" placeholder="Name"
                  autocomplete="off" value="{{$up? $up->p_num : request()->p_num}}">
          <input name="phone" id="p_phone" class="col-6 {{$fc}} border-left-0"
                 value="{{$up? $up->phone : request()->phone}}" placeholder="Phone">
          <input id="h_Input_pp"   type="hidden" name="p_id"
                 value="{{$up? $up->p_id : request()->p_id}}">
          <!-- <p class="tk_in {{$fc}} col-2 fwb m-0 border-left-0"></p> -->

          <div id="myUL_pp" class="auto pb-3" style="top:62px;left:15px;min-width:700px;display:none">
           @foreach(App\dash_app\Party::orderBy('type','desc')->get() as $p)
            <?php
              $sal_due = $p->sale_tk - $p->rec;  $pur_due = $p->purc_tk - $p->paid;
              $incm = ($sal_due + $p->to_rec) - $p->in_tk; // Oppning
              $loss = ($pur_due + $p->to_pay) - $p->out_tk; ?>
            <p class="m-0 row px-1 pro_pp fwb s_p ttl border-bottom pb-1 pt-2"  onclick="auto_pp(this)" id="{{$p->id}}">
              <a class="col-6 row text-dark" href="#e_m" id="{{$p->name}}">
                <span class="col-6 d-block p-0"> {{ $p->name}} </span>
                <span class="col-6 d-block p-0">
                  <i class="fa fa-phone pl-2"></i> {{ $p->phone }}</span>
              </a>
               <input type="hidden" id="p_{{$p->id}}" value="{{$p->price}}">
               @if( $incm > $loss)
                <a class="col-3 px-3 text-success d-block sal_due" href="#e_m">To Pay: {{$incm - $loss}}.tk</a>
               @else
                <a class="col-3 px-3 text-danger d-block pur_due" href="#e_m">To Receive: {{$loss - $incm}}.tk</a>
               @endif
                <a href="#e_m" style="color:gray;font-size:13px">
                  <i class="fa fa-map-marker"></i> {{ $p->address}} </a>
            </p>
           @endforeach
          </div>
       </div>

  <!-- @if($up==null)  @endif -->
  @include('dash.purc_sale.party_auto')


    <script>
      $('#myInput_pp').click(function(){
        $('#myInput_pp, #h_Input_pp, #p_phone').val(null)
      })

      $('.pro_pp').click(function(k){
            console.log(  k.currentTarget.children[2].innerHTML )
          $('#disc').val(  k.currentTarget.children[2].innerHTML );
      })


    </script>




      <div class="col-12 mb-3">
        <p class="mb-0 ml-1 fwb">Date</p>
        <input type="date" class="form-control calendar in" value="{{$up? $up->date : date('Y-m-d')}}" name="date" required>
      </div>

      <div class="col-12 mb-3">
        <p class="mb-0 ml-1 fwb" style="color:#9b0000">Notification Date</p>
        <input type="date" class="form-control calendar in" value="{{$up? $up->n_date : ''}}" name="n_date" >
      </div>
      
      <div class="col-12 mb-3">
        <p class="mb-0 ml-1 fwb">Description <p>
        <textarea name="disc" id="disc"  class="form-control"></textarea>
      </div>
      <input type="hidden" name="u_id" value="{{Auth::user()->id}}">

      <div class="col-12 mb-3">
       <button type="submit" class="btn btn-success mb-3 col-md-2">Save Note</button>
      </div>
   </form>
  </div>
</div>
@endsection
