@extends('admin.master') @section('title') Manage Brand @endsection
@section('content')
@if(Auth::user()->role_id > 11)
<?php $up='';  $up=App\Brand::find(request()->id);
?>
<div class="card">
  <div class="row">
    <div class="card-header col-md-10">
     <h3 class="m-1">{{$up?  'Update' : 'Add'}} Brand</h3> 
    </div>
    <div class="card-header col-md-2">
      <a href="{{url('manage_cty')}}"
         class="btn btn-success float-right px-3 ">All Categories</a>
    </div>
  </div>
  <div class="row p-3">
    <form class="col-md-6 p-2" action="{{ url('add/post')}} " method="post" enctype="multipart/form-data">
        @csrf
        <div class="card-header border p-3">
            <input type="hidden" name="up" value="{{$up? $up->id : ''}}">
            <input type="hidden" name="myApp" value="App\Brand">
            <input type="hidden" name="url" value="manage-brand">
            <p class="ml-1">Brand Name</p>
            <input class="form-control mb-3" name="brand_name" value="{{$up? $up->brand_name : ''}}">
            <button type="submit" class="btn btn-success">{{$up? 'Update': 'Save'}} Brand</button>
        </div>
    </form>
    <div class="col-md-6 p-2">
        <table class="table table-hover tab_respon">
          <thead class="table-primary"> 
            <tr>
              <th>Sl</th>
              <th>Brand Name</th>
              <th>Action</th>
            </tr>                
          </thead>
          <tbody> 
            @foreach (App\Brand::orderBy('brand_name','asc')->get() as $ca)
              <tr>
                <td>{{ $loop->index + 1 }}</td>
                <td>{{ $ca->brand_name }}</td>
                <td>
                <a href="{{url()->current()}}?id={{$ca->id}}" class="btn btn-success btn-sm">
                    <i class="fa fa-edit"></i> </a>
                <?php $d_id =$ca->id; $url="del";  $my_app='App\Brand'; ?>
                      @include('admin.model.delet_model')
                </td>
              </tr>
            @endforeach        
          </tbody>
        </table>
    </div>
  </div>
</div>

@else <script> window.location.replace("{{url('dashbord?not=1')}}"); </script>
@endif

@endsection