@extends('admin.master')
@section('content')  @section('title')Expanse @endsection

@if(Auth::user()->role_id > 11)
  <script src="{{asset('public')}}/admin/js/printPage.js" type="text/javascript"></script>
    <?php $up='';  $day='';  $day_2='';  $day_plus=''; $bg='bg-secondary'; 
          $day=request()->day;  $day_2=request()->day_2;
           $sr=request()->sr;  $sub=request()->sub; $ex_t = App\Title::all();
        if($sr==1){
          $all = App\Title::where('type',1)->paginate(500);
        }elseif($sr==2){
          $all = App\Title::where('type',2)->paginate(500);
        }elseif($sr==3){
          $all= App\Exp::where('date',date('Y-m-d'))->orderBy('id','desc')->paginate(500);
        }elseif($day && $sr && $sub){ $bg='bg-dark';
            $all = App\Exp::where('title',$sr)->where('sub',$sub)->whereBetween('date', [$day, $day_2])->paginate(5000);
        }elseif($day && $sr){ $bg='bg-dark';
            $all = App\Exp::where('title',$sr)->whereBetween('date', [$day, $day_2])->paginate(5000);
        }elseif($sr && $sub){
          $all= App\Exp::where('title',$sr)->where('sub',$sub)->orderBy('id','desc')->paginate(500);
        }elseif($sub && $day){
          $all= App\Exp::where('sub',$sub)->whereBetween('date', [$day, $day_2])->orderBy('id','desc')->paginate(500);
        }elseif($sub){
          $all= App\Exp::where('sub',$sub)->orderBy('id','desc')->paginate(500);
        }elseif($sr){
          $all= App\Exp::where('title',$sr)->orderBy('id','desc')->paginate(500);
        }elseif($day){ $bg='bg-dark';
            $all = App\Exp::whereBetween('date', [$day, $day_2])->paginate(5000);
        }else{ $all= App\Exp::orderBy('id','desc')->paginate(100);  }
        ?>
  <div class="card-header row m-0 pt-3 pb-0">
    <div class=" {{$pdf? 'col-6' : 'col-md-2'}} px-0  pb-3">
       <h5 class="ml-2 m-0">
       Expanse  @if($sr==1) Titles @elseif($sr==2) Sub-Titles  @elseif($sr==3) Today
        @elseif($sr) Of {{$sr}} @else All @endif </h5>
    </div>
      <style>.date input{border-radius:0}</style>
    <form class="col-md-5 row px-0 float-right row text-light date {{$pdf? 'd-none' : ''}}"
          action="{{url('ex/all')}}">
        <div class="col-md-6 row pl-0 pb-3">
           <p class="col-4 fwb m-0 {{$bg}} px-2 text-center" style="padding-top:6px">Between</p>
           <div class="col-8 p-0 row m-0">
              <input type='date' name="day" class="form-control" required
                    @if($day) value="{{$day}}" @else value="{{date('Y-m-d')}}" @endif/>
            </div>
        </div>
        <div class="col-md-5 row px-0 pb-3">
           <p class="col-2 fwb m-0 {{$bg}} px-2 text-center" style="padding-top:6px">To</p>
           <div class="col-7 p-0 row m-0">
              <input type='date' name="day_2" class="form-control" required @if($day_2) value="{{$day_2}}" @else value="{{date('Y-m-d')}}" @endif/>
            </div>
            <div class="col-3 p-0">
              <button class="btn btn-info col-12" style="margin-left:-1px" type="submit">
                <i class="fa fa-search"></i></button>
            </div>
        </div>
        <input type="hidden" name="sr" value="{{$sr}}">
        <input type="hidden" name="sub" value="{{$sub}}">
    </form>

    <form class="{{$pdf? 'col-6' : 'col-md-5'}} row mr-0 mt-0 p-0 pb-3" action="{{url('ex/all')}}">
      <div class="{{$pdf? 'col-6' : 'col-md-3'}} px-1">
        <select class="form-control" name="sr" onchange="this.form.submit()">
          @if($sr==1)<option>Titles </option> 
          @elseif($sr==2)<option>  Sub-Titles </option>
          @elseif($sr==3)<option>  Today </option>
          @elseif($sr)<option>{{$sr}}</option>
          @else <option value="">All Title</option>
          @endif
           <option value="">All Expanse</option>  
           <option value="3" class="table-info forn6"> Today</option>          
           <option value="1" class="table-danger forn6"> Titles</option>          
           <option value="2" class="table-warning forn6"> Sub-Titles</option>          
          @foreach($ex_t as $ex)
            @if($ex->type==1) <option>{{ $ex->title}}</option> @endif
          @endforeach
        </select>
      </div>
      <div class="{{$pdf? 'col-6' : 'col-md-3'}}  px-1">
        <select class="form-control" name="sub" onchange="this.form.submit()">      
            @if($sub) <option>{{ $sub }}</option> @endif
             <option value="">All Sub-Titles</option>
          @foreach($ex_t as $ex)
            @if($ex->type==2) <option>{{ $ex->title}}</option> @endif
          @endforeach
        </select>
      </div>
      <div class="col-6 pr-0 {{$pdf? 'd-none' : ''}}">
        <a class="btn btn-info prnt btn-sm float-right" style="padding:7px 13px" href="{{url('ex/add')}}">
          Add Expence
        </a>
          <a class="btn btn-info prnt btn-sm mx-2 float-right" style="padding:7px 13px"
             href="{{url('salary_rep_paid')}}"> Salary Show</a>
      </div>
      <input type="hidden" name="day" id="day" value="{{$day? $day : ''}} "/>  <input type="hidden" name="day_2" id="day_2" value="{{$day_2? $day_2 : ''}} "/>
    </form>
  </div>

    <div class="card-body mb-3 p-0">
      <form action="{{url('del')}}" method="post" id="f_del"> @csrf
        @if($sr==1 or $sr==2)
          @include('admin.exp.exp_title')
        @else
          <table class="table table-hover "> <!-- tab_respon -->
            <thead class=" table-info">
              <tr>
                <th>Sl</th> <th>Title</th> <th>Sub-Title</th> <th>Date</th> <th>Description</th> <th>SMS</th>
                <th>Payment</th> <th>Amount</th>
                @if($pdf==null)
                  <th>Voucher</th> <th>Edit</th>
                  <th> <button class="px-2 py-1 btn-danger" type="button" onclick="form_sb()"><i class="fa fa-trash"></i></button>
                @endif
                </th>
              </tr>                
            </thead> <?php $total=0; ?>
           <tbody>
            @foreach ($all as $ex)
              <tr><?php $total += $ex->tk; ?>
                <td>{{ $loop->index+1 }}</td>
                <td>{{ $ex->title }}</td>
                <td>{{ $ex->sub }}</td>
                <td> {{ date_format(date_create( $ex->date ),"d.M.Y" ) }} </td>
                <td>{{ $ex->disc }} 
                   @if( $ex->number) <p> {{ $ex->number  }} </p> @endif
                </td>
                <td>@if($ex->sms=='Send') <i class="fa fa-check text-success"></i>  @endif</td>
                <td>{{ $ex->p_type }}</td>
                <td>{{ $ex->tk }}</td>
                @if($pdf==null)
                  <td>
                    <p class="col-12 px-4 mt-2"><a class="btn-sm btn-primary pr"
                      style="background:#0e07e6;padding:7px 11px" href="{{url('ex/pdf/'.$ex->id)}}">
                      <i class="fa fa-eye"></i></a>
                    </p>
                  </td>
                  <td>
                    <a class="btn btn-sm btn-success"
                       href="{{ url('ex/add?id='.$ex->id )}}"><i class="fa fa-edit"></i>
                    </a>
                  </td>
                  <td>
                    <label class="px-3">
                      <input type="checkbox" name="del[]" value="{{$ex->id}}" class="mt-2 ml-1">
                    </label>
                  </td>
                @endif
              </tr>
            @endforeach
             <tr>
               <td colspan="5"></td>
               <td colspan="2" class="text-center"><h5>Total</h5></td>
               <td class="px-0"><h5>{{$total}}</h5></td>
                @if($pdf==null)
                 <td colspan="3"></td>
                @endif
             </tr>
           </tbody>
          </table>
        @endif
          @if($sr==1 or $sr==2)
            <input type="hidden" name="app" value="App\Title">
          @else
            <input type="hidden" name="app" value="App\Exp">
          @endif
      </form>
      <style>.pagination{float:right;margin:0px 11px;}</style>
      {{$all->links()}}
    </div>

    @if($sr!=1 && $sr!=2)
      <div class="col-12 px-4 pb-2 {{$pdf? 'd-none' : ''}}">
        <a  class="btn btn-primary p_r float-right" style="background:#0e07e6"
            href="{{ url('ex/all?day='.$day.'&day_2='.$day_2.'&sr='.$sr.'&sub='.$sub.'&pdf=1') }}">
          Download  PDF</a>
      </div>
    @endif

  @if($pdf==null)
    <script> 


      $('.date').on('input',function(h){
          $('#day').val( $(this)[0][0].value );    $('#day_2').val( $(this)[0][1].value );
      });

      function form_sb(){
        if(confirm('Do You want to Delete of Select Items ???')){
           $('#f_del').submit();
        }
      }
    </script>
    <script> $( document ).ready(function(){ $(".p_r").printPage(); }); </script>
  @endif

@else
 <script> window.location.replace("{{url('dashbord')}}"); </script>
@endif

@endsection