@extends('admin.master') @section('title')All Founders @endsection
@section('content')
@if(Auth::user()->role_id == 33)
<?php  $design=request()->design;  $ser=request()->ser;  $act='Active'; 
  if(isset($_GET['act'])){ $act=$_GET['act']; }
  if( $ser ){
    $stud = App\Foun::orWhere('name','like','%'.$ser.'%')
    ->orWhere('phone','like','%'.$ser.'%')->orWhere('desing','like','%'.$ser.'%')->get();
  }elseif($design){
    $stud = App\Foun::where('design',$design)->where('st',$act)->orderBy('name','desc')->get();
  }else{
    $stud = App\Foun::where('st',$act)->orderBy('id','desc')->get();
  } ?>
  <div class="page-header mt-3">
    <div class="row">
      <div class="col-md-6 pl-4"> <h4 class="my-1">All Founders</h4> </div>
      <div class="col-md-6 row">
          <form class="row col-md-6 p-0 mt-0" action="{{ url()->current() }}">
            <div class="col-md-7 px-2 mb-3">
              <select class="form-control" name="design" onchange="this.form.submit()">
                @foreach(App\Foun::where('design','!=','null')->get()->unique('design') as $d)
                  <option {{$design==$d->design? 'selected' : ''}}>  {{ $d->design }} </option>
                @endforeach
                  <option value="" {{$design==null ? 'selected' : ''}}>All Designation</option>
              </select>
            </div>
            <div class="col-md-5 px-2 mb-3">
              <select class="form-control" name="act" onchange="this.form.submit()">
                <option value="Active" {{$act=='Active' ? 'selected' : ''}}>Active</option>
                <option value="Inactive" {{$act=='Inactive' ? 'selected' : ''}}>Inactive</option>
              </select>
            </div>
          </form>
          <div class="col-md-6 p-0">
             <a href="{{url('foun/add')}}" class="btn btn-success mx-2 px-3 float-right fwb">
               + <i class="fa fa-user" aria-hidden="true"></i>
             </a>
             <a href="{{url('foun/pay_all')}}" class="btn btn-info mx-2 px-3 float-right">
               {{ $ln? 'All Payment' : 'সমস্ত পেমেন্টের'}}
             </a>
          </div>
      </div>
    </div>
  </div>
  <style>.table th{padding:8px 17px 8px 5px}#DataTables_Table_0_length label{margin-left:10px}
  .t_img img{border-radius:50%;max-width:40px;height:38px}
  </style>

  <div class="col-12">
    <div class="content-page">

      <div class="row col-12 p-0">
         <div class="table-responsive">
          <table class="table table-striped custom-table">
            <thead>
              <tr class="table-info">
                <th>Sl</th> <th></th> <th>Image</th> <th>Name</th>
                <th>Contact No</th> <th>Designation</th>
                <th>Paid Amount</th>
                <th>Percent</th>
                <th>Payment </th>
                <th class="text-center" style="min-width:50px">Action</th>
              </tr>
            </thead>
            <tbody>
              <?php $total_paid = $stud->sum('pay') ?>
               @foreach( $stud  as $st)
                <tr>
                  <td class="sorting_1">{{ $loop->index+1 }}</td>
                  <td>
                    <i class="fa 
                     {{$st->st=='Active'? '' : 'd-none'}}  {{$st->pass_1? 'fa-check-square' : 'fa-check'}}"></i>
                  </td>
                  <td class="t_img">
                    <img src="{{$st->img? asset($st->img) : asset('img/user.jpg') }}">
                  </td>
                  <td>{{ $st->name}}</td>
                  <td>{{ $st->phone}}</td>
                  <td>{{ $st->design}}</td>
                  <td>{{ $st->pay}}
                  <td>
                    @if($total_paid)
                      <?php $one_percent = $total_paid / 100;
                              $percent = $st->pay / $one_percent; ?>
                         {{ number_format((float)$percent, 1, '.', '') }}%
                    @endif
                  </td>
                  <td>
                     <a class="btn-sm btn btn-success border pb-1" style="padding-left:9px;padding-right:9px"
                        href="{{ url('foun_pay/add?pay=In&url='.url()->current().'&f_id='.$st->id)}}">
                        {{ $ln? ' Add' : ' যোগ'}}</a>
                  </td>
                  <td>
                    <a href="{{url('foun/show?id='.$st->id)}}" class="btn btn-success btn-sm">
                      <i class="fa fa-eye" aria-hidden="true"></i>
                    </a>
                      @if(Auth::user()->role_id > 24)
                        <a href="{{url('foun/add?id='.$st->id)}}" class="btn btn-primary btn-sm">
                          <i class="fa fa-edit" aria-hidden="true"></i>
                        </a>
                      @endif
                   <?php $d_id=$st->id; $one_id=$st->id; $url="del"; $my_app='App\Foun';?>
                      @include('admin.model.delet_model')
                  </td>
                </tr>
               @endforeach
                <tr>
                  <td colspan="6"> <h5 class="m-1">Total</h5></td>
                  <td> <h5 class="m-1">{{ $total_paid }}</h5></td>
                  <td colspan="3"> </td>
                </tr>
            </tbody>
          </table>
         </div>

      </div>

    </div>
  </div>

@else <script> window.location.replace("{{url('dash?not=1')}}"); </script>
@endif
@endsection