@extends('admin.master') @section('title')All Hrs @endsection
@section('content')
@if(Auth::user()->role_id > 11)
<?php  $design=''; $act='Active'; $ser='';
  if(isset($_GET['design'])){ $design=$_GET['design']; }
  if(isset($_GET['act'])){ $act=$_GET['act']; }
  if(isset($_GET['ser'])){ $ser=$_GET['ser']; }
  if( $ser ){
    $stud = App\Hr::orWhere('name','like','%'.$ser.'%')
    ->orWhere('phone','like','%'.$ser.'%')->orWhere('salary','like','%'.$ser.'%')->get();
  }elseif($design){
   $stud = App\Hr::where('design',$design)->where('st',$act)->orderBy('name','desc')->get();
  }else{
   $stud = App\Hr::where('st',$act)->orderBy('id','desc')->get();
  } ?>
  <div class="page-header">
    <div class="row pt-3">
      <div class="col-md-5 pl-4"> <h4 class="my-1">{{ $ln? 'Hr & Salary' : 'এইচ আর  ও বেতন '}}</h4> </div>
        <form class="row col-md-6 mt-0" action="{{ url()->current() }}">
          <div class="col-md-4 px-2 mb-3">
            <select class="form-control" name="design" onchange="this.form.submit()">
              @foreach(App\Hr::where('design','!=','null')->get()->unique('design') as $d)
                <option {{$design==$d->design? 'selected' : ''}}>  {{ $d->design }} </option>
              @endforeach
                <option value="" {{$design==null ? 'selected' : ''}}>All Department</option>
            </select>
          </div>
          <div class="col-md-4 px-2 mb-3">
            <select class="form-control" name="act" onchange="this.form.submit()">
              <option value="Active" {{$act=='Active' ? 'selected' : ''}}>Active</option>
              <option value="Inactive" {{$act=='Inactive' ? 'selected' : ''}}>Inactive</option>
            </select>
          </div>
          <div class="col-md-4 row px-2 mb-3 mt-0">
            <div class="col-md-9 p-0">
               <input class="form-control" style="border-radius:0" type="text" name="ser" placeholder="Type" value="{{$ser? $ser : ''}}">
            </div>
            <div class="col-md-3 p-0">
               <button class="btn btn-info col-12" type="submit" style="border-radius:0"><i class="fa fa-search"></i></button>
            </div>
          </div>
        </form>
        <div class="col-md-1 pl-0">
           <a href="{{url('hr/add')}}" class="btn btn-success col-12 float-right">Add Hr</a>
        </div>
    </div>
  </div>
  <style>.table th{padding:8px 17px 8px 5px}#DataTables_Table_0_length label{margin-left:10px}
  .t_img img{border-radius:50%;max-width:40px;height:38px}
  </style>

  <div class="col-12">
    <div class="content-page">

      <div class="row col-12 p-0">
         <div class="table-responsive">
          <table class="table table-striped custom-table datatable">
            <thead>
              <tr class="table-info">
                <th>Sl</th> <th></th> <th>Image</th> <th>Name</th>
                <th>Contact No</th> <th>Designation</th> <th>Monthly Salary</th>
                <th class="text-center" style="min-width:50px">Action</th>
              </tr>
            </thead>
            <tbody>
               @foreach( $stud  as $st)
                <tr>
                  <td class="sorting_1">{{ $loop->index+1 }}</td>
                  <td>
                    <i class="fa 
                     {{$st->st=='Active'? '' : 'd-none'}}  {{$st->pass_1? 'fa-check-square' : 'fa-check'}}"></i>
                  </td>
                  <td class="t_img">
                    <img src="{{$st->img? asset($st->img) : asset('img/user.jpg') }}">
                  </td>
                  <td>{{ $st->name}}</td>
                  <td>{{ $st->phone}}</td>
                  <td>{{ $st->design}}</td>
                  <td>{{ $st->salary}}</td>
                  <td>
                    <a href="{{url('hr_pay?id='.$st->id)}}" class="btn btn-info btn-sm" style="padding:4px 11px">
                      <i class="fa fa-dollar" aria-hidden="true"></i>
                    </a>
                    <a href="{{url('hr/show?id='.$st->id)}}" class="btn btn-success btn-sm">
                      <i class="fa fa-eye" aria-hidden="true"></i>
                    </a>

                      @if(Auth::user()->role_id > 13)
                        <a href="{{url('hr/add?id='.$st->id)}}" class="btn btn-primary btn-sm">
                          <i class="fa fa-edit" aria-hidden="true"></i>
                        </a>
                      @endif

                    <?php $d_id=$st->id; $one_id=$st->id; $url="del"; $my_app='App\Hr';?>
                       @include('admin.model.delet_model')
                  </td>
                </tr>
               @endforeach
            </tbody>
          </table>
         </div>
      </div>
    </div>
  </div>

@else <script> window.location.replace("{{url('/?not=1')}}"); </script>
@endif
@endsection