@extends('admin.master') @section('title') Hr Attendance @endsection
@section('content')
@if(Auth::user()->role_id > 11)
  <style>.table td,.table th{padding:5px;font-size:14px;font-weight:500}.red{background:rgba(255,23,23,0.36)}
  .m_due{position:absolute;display:none;background:#FDCBB2;padding:11px;z-index:9}.mn:hover .m_due{display:inline-block}
  </style>
    <div class="card-header py-3">
      <div class="row m-0">
        <h4 class="col-8 my-1 chya">Hr Attendance</h4>
          <form class="col-4 row m-0 p-0" action="{{ url()->current() }}">
<!--              <div class="col-4 px-2">
               <input type="date" class="form-control" name="date" value="{{ date('Y-m-d')}}">
             </div> -->
              <div class="col-6 px-2">
                <select name="mt" class="form-control"  onchange="this.form.submit()">
                 @if($mt)
                  <option value="{{$mt}}">
                    <?php $d_mt = DateTime::createFromFormat('!m', $mt); ?>
                     {{ $d_mt->format('F') }}
                  </option>
                 @endif  
                 @for($i=1; $i<=12; $i++)
                  <?php $day = DateTime::createFromFormat('!m', $i); ?>
                   <option value="{{ $day->format('m')}}">{{ $day->format('F') }}</option>
                 @endfor
                </select>
              </div>
              <div class="col-6 px-2">
                <select  name="yr" class="form-control"  onchange="this.form.submit()">
                  @if($yr) <option>{{$yr}}</option>@endif
                  @for ($j=2020; $j <=2100 ; $j++)  <option>{{$j}}</option>@endfor
                </select>
              </div>
          </form>
<!--           <form class="col-md-1 pr-0" action="{{ url()->current() }}" target="_blank">
              <input type="hidden" name="pdf" value="{{ $d_mt->format('F') }}">
              <input type="hidden" name="mt" value="{{$mt}}">
              <input type="hidden" name="yr" value="{{$yr}}">
              <button type="submit" class="btn-sm btn-primary col-12 pd7">Print</button>
          </form> -->
      </div>
    </div>
   <div class="row px-0 m-0">
    <table class="table table-striped table-bordered m-0">
        <thead class="table-primary">
          <tr>
             <th style="width:110px">Information</th>
             <th style="width:200px">Action</th>
              @for($x =1; $x <=$days; $x++)
               <th>{{$x}}</th>
              @endfor 
          </tr>
      </thead>
      <tbody>
       @foreach(App\Hr::where('st','Active')->orderBy('id','desc')->get() as $one)
        <tr>
          <form id="f_{{$one->id}}" action="{{ url()->current() }}">
             <td class="p-0">
               <p class="mt-2 py-1 text-left pl-2">{{$one->name}}</p>
               <p class="mt-1 text-info py-1 text-left pl-2">{{$one->design}}</p>
             </td>
             <td class="row">
                   <input type="hidden" name="h_id" value="{{$one->id}}">
                   <input type="hidden" name="mt" value="{{$mt? $mt : date('m')}}">
                   <input type="hidden" name="yr" value="{{$yr? $yr : date('Y')}}">
                   @if( ($yr.'-'.$mt) <= date("Y-m"))
                      <button type="submit" style="font-size:13px" class="btn-sm btn-info bt_add mr-1">Add</button>
                      <select  name="at" class="form-control btn-sm col-5 p-1 mr-1">
                        <option value="p">Present</option>
                        <option value="a">Absent</option>
                        <option value="l">Late</option>
                        <option value="h">Holiday</option>
                      </select>
                     <a href="#" class="btn btn-danger btn-sm mb-1 border-top d_{{$one->id}} disabled"><i class="fa fa-trash"></i></a>
                     <input type="checkbox" class="ml-1 my-auto one_{{$one->id}}">
                   @endif
                   <div class="row">
                      <select  name="day" class="col-3 form-control btn-sm mt-1 px-0 border-right-0">
                         <option>{{date('n')}}</option>
                        @for($y=1; $y <=$days; $y++)
                         <option>{{$y}}</option>
                        @endfor
                       </select>
                       <input name="rem" class="col-9 form-control btn-sm mt-1 p-1" placeholder="Remarks">
                   </div>
             </td>
           </form>

           <form class="row p_in px-0 border-0" style="position:relative"
                action="{{ url('del')}}"  method="post" > @csrf
              @for($x=1; $x <=$days; $x++)
               <td class="p-0 mn td_{{$one->id}} d_{{$x}}">
                 @foreach($atten as $mm)
                   @if($one->id==$mm->h_id)
                      @if( date_format(date_create($mm->date ),"j") == $x)
                        @if($mm->at=='p')  <p class="text-success">P</p>
                        @elseif($mm->at=='a') <p class="text-danger">A</p>
                        @elseif($mm->at=='l') <p class="text-danger">L</p>
                        @elseif($mm->at=='h') <p class="text-dark">H</p>
                        @endif
                        <input type="checkbox" name="del[]" value="{{$mm->id}}"
                            class="mt-1 ck_{{$one->id}} ck"  style="opacity:0.7">
                        @if($mm->rem)
                         <div class="m_due"> {{ $mm->rem }} </div> <p style="font-size:11px;color:#a95600"> R </p>
                        @endif
                      @endif
                   @endif
                 @endforeach
               </td>
              @endfor 
             <input type="hidden"  name="app" value="App\Atten">
             <button class="d-none" id="d_{{$one->id}}"  type="submit"> Delete </button>
           </form>
         </tr>
           <script>
              $('.one_{{$one->id}}').click(function(){
                if($('.one_{{$one->id}}').prop("checked") == true){
                   $(".td_{{$one->id}} .ck").prop("checked", true);
                 }else{
                   $(".td_{{$one->id}} .ck").prop("checked", false);
                 }
               });

              $('.td_{{$one->id}},.one_{{$one->id}}').click(function(){
                 var count = 0;  var inputElems = document.getElementsByClassName("ck_{{$one->id}}");
                  for (var i=0; i<inputElems.length; i++) {
                    if (inputElems[i].type === "checkbox" && inputElems[i].checked === true){ count++; }
                    if (count > 0){  $(".d_{{$one->id}}").removeClass('disabled');
                    }else{  $(".d_{{$one->id}}").addClass('disabled'); }
                  }
                })

           $('.d_{{$one->id}}').click(function(){
              if(confirm('Do You want to Delete  ???')){ $('#d_{{$one->id}}').click();  }
           })
           $('#f_{{$one->id}}').on('submit', function(event){ event.preventDefault();
              $(".bt_add").addClass('disabled'); 
              $.ajax({
                 method:'GET',
                 url:"{{ url()->current() }}",
                 data: $(this).serialize(),
                  success:function (data){  var at = '';// console.log(data)
                      $(".bt_add").removeClass('disabled');
                      if(data.add.at=='p'){
                        at += '<p class="text-success">P</p>'
                      }else if(data.add.at=='a'){
                        at = '<p class="text-danger">A</p>'
                      }else if(data.add.at=='l'){
                        at += '<p class="text-danger">L</p>'
                      }else if(data.add.at=='h'){
                       at +=  '<p class="text-dark">H</p>'
                      }
                   if(data.add.rem){
                     at +=  '<div class="m_due ">'+ data.add.rem + '</div> <p style="font-size:11px;color:#a95600"> R </p>'
                   }
                   $('.td_'+data.add.h_id+'.d_'+data.x ).html( at )
                  },
                 error: function(){
                   $('#mes').text('Please, Try Again ???').css('display','block');
                  }
              })
            })
        </script>
       @endforeach
      </tbody>
    </table>
   </div>
@else <script> window.location.replace("{{url('/?not=1')}}"); </script>
@endif
@endsection