@extends('dash.master_pdf')
@section('content')
@if(Auth::user()->role_id == 33)
 <?php $pp=''; $id='';  $mt = date('m'); $yr = date('Y');  $ser='';
  if(isset($_GET['mt'])){ $mt=$_GET['mt']; }
  if(isset($_GET['yr'])){ $yr=$_GET['yr']; }
  if(isset($_GET['id'])){ $id=$_GET['id']; }
   $hr=App\Hr::find($id); ?>

  <div class="col-11 border-top m-auto"></div>
  <h6 class="my-1 fw6 mb-1 text-secondary text-center">{{ DateTime::createFromFormat('!m', $mt)->format('F')  }}-{{$yr}} Salary </h6>

  <div class="px-2 mt-1 fwb">
    <style>.par span{color:#695555;min-width:70px;display:inline-block}.f_13{font-size:13px}.table td, table.table th{padding: 3px 0 5px 0}
    body p{font-size:13px}
    </style>
    <div class="row par">
     <div class="col-7 px-2 mb-1 party">
       <p class="col-12 p-0">
         <span>Employee Name:</span> {{$hr? $hr->name : ''}}
       </p>
       <p class="p-0">
         <span>Designation: </span> {{ $hr? $hr->design : '' }}
       </p>
     </div>
     <div class="col-5 row par text-right px-2 mb-1">
  <!--      <p class="col-12">
         <span>Invoice Id: </span> 
       </p> -->
      <p class="col-12">
        <span>Phone: </span>
          @if($hr) {{ $hr? $hr->phone : '' }} @endif
      </p>
       <p class="col-12">
        <span>Date: </span> {{ date('d-M-Y')}}
       </p>
     </div>
    </div>
    <div class="col-12 px-1">

     <div class="table-responsive">
        <table class="table table-striped border-bottom custom-table mb-4">
          <thead>
            <tr class="table-warning">
               <!-- <th>Sl</th>  -->
               <th>Salary</th>
               <th>Late</th> 
               <th>Total Absent </th> 
               <th>Absent Fine</th> 
               <th>Advance</th> 
               <th>Payable</th>
            </tr>
          </thead>
          <tbody>
             <?php  $pp_to = 0;
                   $pp = App\Month::where('h_id',$hr->id)->where('mt',$mt)->where('yr',$yr)->first();
                     if($pp) { $pp_to = $pp->tot; } ?>
                  <tr>
<!-- Salary -->   <td> {{ $hr->salary  }}  </td>

                      <?php $aps = App\Atten::where('at','a')->where('h_id',$hr->id)->whereMonth('date',$mt)->whereYear('date',$yr)->count();
                         $lat = App\Atten::where('at','l')->where('h_id',$hr->id)->whereMonth('date',$mt)->whereYear('date',$yr)->count(); ?>
<!-- Late -->      <td style="width:9%;font-size:14px">
                        {{ $lat }} / 3 =  <span class="sif_{{$mt}}">{{ $lat / 3 }}</span>
                     </td>
<!--Total Absent--><td style="width:13%;font-size:14px">
                       {{ $aps }} +  <span class="sif_{{$mt}}">{{ $lat / 3 }}</span>
                        = <span id="t_abs_{{$mt}}">{{  ($aps + $lat) / 3 }}</span>
                     </td>
<!--Absent Fine--> <td id="ab_find">{{ ($hr->salary / 30 ) * ($aps +  ($lat / 3)) }}</td>
<!--  Advance  --> <td >{{ $pp_to }}</td>
<!--  Payable -->  <td id="payable">{{   ( $hr->salary -($hr->salary / 30 ) * ($aps +  ($lat / 3)) ) - $pp_to  }}</td>
                  </tr>
          </tbody>
        </table>
      </div>




      <!-- <div class="border-top border-secondary offset-8  col-4 float-right m-1"></div> -->
      <table class="grand-total mt-1">
        <tbody>
          <tr>
            <td style="width:45%"></td> <td colspan="2">Total Salary</td>
            <td class="qty text-center">  {{ $hr->salary }} </td>
          </tr>
          <tr>
            <td class="text-left" style="width:45%"><!-- Payment Type: --></td>
            <td class="fwb" style="color:#9b000f" colspan="2">Fine</td>
              <td id="ab_find_2"  class="qty text-center">{{ ($hr->salary / 30 ) * ( ($aps + $lat) / 3) }}</td>
          </tr>
        </tbody>
      </table>

      <div class="border-top border-secondary offset-8  col-4 float-right m-1"></div>
      <table class="grand-total mt-1">
        <tbody>
          <tr>
            <td style="width:45%"> </td>
            <td colspan="2">Sub Total</td>
            <td id="payable_2" class="qty text-center">
              <?php $pay_a = ( $hr->salary - ($hr->salary / 30 ) * ($aps +  ($lat / 3)) ) ; ?>
              {{ $pay_a  }}
            </td>
          </tr>
          <tr>
            <td style="width:45%"> </td>
            <td class="fwb" style="color:#9b000f" colspan="2">  Paid / Advance </td>
             <td class="qty text-center"> {{$pp_to}} </td>
          </tr>
        </tbody>
      </table>

      <div class="border-top border-secondary offset-8  col-4 float-right p-1 mt-1"></div>
      <table class="grand-total mt-1">
        <tbody>
          <tr>
            <!-- <td class="desc"></td> -->
            <td style="width:45%">
              <div class="text-left"> 
               In Ward :
                <p class="m-1 d-inline f_13" style="text-transform:capitalize;color:#008A6A"> 
                   <span style="color:#008A6A" id="inWord"></span> Taka Only
                </p>
              </div>
            </td>
            <td style="color:#008A6A" colspan="2">Balance / Payable</td>
            <td id="ba_due" class="qty text-center">
               {{$pp? ( $pay_a - $pp_to ) :  $pay_a }}
            </td>
          </tr>
        </tbody>
      </table>


      <footer class="mb-5">
          <div class="text-center border-bottom border-info ">
            <div class="row">
              <div class="col-3 sig mb-1 p-0">
               <span>-----------------------</span>
               <p>Employee  Signature</p>
              </div>
              <div class="col-3 sig mb-1 p-0 ml-auto">
               <span>-----------------------</span>
               <p>Authorised Signature</p>
              </div>
            </div>
          </div>
          <div class="row mt-2"> </div>
      </footer>
    </div>
    <script src="{{ asset('public/front/js/jquery-2.2.3.min.js') }}"></script>
    <script src="{{asset('public/js/num_to_w.js')}}"></script>
    <script>
    $(document).ready( function(event){
      var get_num = $('#payable').text();
      if(get_num){
        var num_to_words = toWords(get_num);
        $('#inWord').text(num_to_words);
      }
    })
      var sif = '{{ $lat / 3 }}';  var sub = 0;
      if(sif < 1){
        sub = sif.substr(0, 3);  $('.sif_{{$mt}}').text(sub); $('#t_abs_{{$mt}}').text( {{$aps}} + parseInt(sub) );
      }else if(sif < 100){
        sub = sif.substr(0, 4);  $('.sif_{{$mt}}').text(sub); $('#t_abs_{{$mt}}').text( {{$aps}} + parseInt(sub) );
      }else{
        sub = sif.substr(0, 9);  $('.sif_{{$mt}}').text(sub); $('#t_abs_{{$mt}}').text( {{$aps}} + parseInt(sub) );
      }
        var t_abs = {{$aps}} + parseInt(sub);
        var s_t = ({{ $hr->salary?  $hr->salary : 0 }} / 30) * t_abs;
      $('#ab_find,#ab_find_2').text( Math.trunc(s_t) );
      $('#payable').text( Math.trunc( $('#payable').text()) );
      $('#payable_2').text( Math.trunc( $('#payable_2').text()) );
      $('#ba_due').text( Math.trunc( $('#ba_due').text()) );
    </script>
  </div>


@else
 <script> window.location.replace("{{url('dashbord?not=1')}}"); </script>
@endif
@endsection