@for($mt=1; $mt<=12; $mt++)
 <?php $pp = App\Month::where('h_id',$show->id)->where('mt',$mt)->where('yr',$yr)->first(); ?>
  @if($pp)
    <div class="modal fade" id="deleteModal{{$mt}}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" >
     <div class="modal-dialog" style="max-width:500px" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalLabel">Are sure to delete?</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
          <form action="{{url('del_salary')}}" method="post"> @csrf
            <input type="hidden" name="d_id" value="{{$pp->id}}">
            <button type="submit" class="btn btn-danger">Permanent Delete</button>
          </form>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
        </div>
      </div>
     </div>
    </div>
  @endif
@endfor

<h4 class="text-center fwb card-header mt-4 border-top pb-3" id="rep">Salary Report - {{$yr}}</h4>
<div class="card-body row p-0 m-0">
   <div class="table-responsive">
      <table class="table table-striped custom-table datatable">
        <thead>
          <tr class="table-primary">
            <th>Sl</th> <th>Date</th> <th>Month</th>  <th>Salary</th> <th>Fine</th> <th>Total</th>
            <th>Due</th> <th>Pay Type</th>  <th>Note</th>
            <th class="text-center" style="min-width:50px">Action</th>
          </tr>
        </thead>
        <tbody>
           @foreach(App\Salary::where('h_id',$show->id)->where('yr',$yr)->orderBy('id','desc')->get()  as $st)
            <tr>
              <td>{{ $loop->index+1 }}</td>
              <td>{{ date("d/M/Y", strtotime($st->date))  }}</td>
              <td>
               <?php $mDue = App\M_due::where('s_id',$st->id)->first(); ?>
                @if($mDue)
                  @foreach(App\M_due::where('s_id',$mDue->s_id)->get() as $md)
                    <div> {{$md->mt? DateTime::createFromFormat('!m', $md->mt)->format('F') : '-' }} </div>
                  @endforeach
                @endif
              </td>
              <td>{{ $st->bill}}</td>
              <td>{{ $st->fine}}</td>
              <td>{{ $st->tot}}</td>
              <td>{{ $st->due}}</td>
              <td>{{ $st->type}}</td>
              <td>{{ $st->note}}</td>
              <td>


                <a href="{{url('hr_pdf?id='.$st->id)}}" class="btn btn-success btn-sm prnt">
                  <i class="fa fa-print" aria-hidden="true"></i>
                </a>



                      @if(Auth::user()->role_id > 13)
                          <a href="#my_{{$st->id}}" data-toggle="modal" class="btn btn-danger btn-sm">
                              <i class="fa fa-trash"></i>
                          </a>
                          <div class="modal fade" id="my_{{$st->id}}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" >
                           <div class="modal-dialog" style="max-width:500px" role="document">
                            <div class="modal-content">
                              <div class="modal-header">
                                <h5 class="modal-title" id="exampleModalLabel">Are sure to delete?</h5>
                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                  <span aria-hidden="true">&times;</span>
                                </button>
                              </div>
                              <div class="modal-body">
                                <form action="{{url('del_salary')}}" method="post"> @csrf
                                  <input type="hidden" name="s_id" value="{{$st->id}}">
                                  <button type="submit" class="btn btn-danger">Permanent Delete</button>
                                </form>
                              </div>
                              <div class="modal-footer">
                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
                              </div>
                            </div>
                           </div>
                          </div>

                      @endif






              </td>
            </tr>
           @endforeach
        </tbody>
      </table>
    </div>
</div>
@if($pdf==null)
  <script src="{{asset('public/admin')}}/js/printPage.js" type="text/javascript"></script>
  @if(strpos($_SERVER['HTTP_USER_AGENT'],'Firefox') == false)
   <script> $( document ).ready(function(){ $(".prnt").printPage(); }); </script>
  @endif
@endif