@extends('admin.master') @section('title') {{ $ln? 'Salary Status' : 'বেতনের অবস্থা'}} @endsection
@section('content')
@if(Auth::user()->role_id > 11)
 <?php $mt = date('n') ; $yr = date('Y') ;  $ser='';
  if(isset($_GET['yr'])){ $yr=$_GET['yr']; }
  if(isset($_GET['mt'])){ $mt=$_GET['mt']; }
  if(isset($_GET['ser'])){ $ser=$_GET['ser']; }
   $dateObj = DateTime::createFromFormat('!m', $mt); ?>

  <style>.table td{font-size:15px;font-weight:500}.red{background:rgba(255,23,23,0.36)}
  .m_due{position:absolute;display:none;background:#FDCBB2;padding:11px;z-index:9}.mn:hover .m_due{display:inline-block}
  </style>
@if($pdf)<!--  @ include('admin.inc.td_resp_full') -->
<style>h4{font-size:17px}</style>
@endif

    <div class="{{$pdf? 'pb-2' : 'card-header py-3 '}}">
      <div class="row m-0">
        <h4 class="col-5 my-1">{{ $ln? 'Salary Status' : 'বেতনের অবস্থা'}} </h4>
        <h4 class="col-2 p-0 my-1 text-info fwb text-center">{{ $dateObj->format('F').'-'. $yr }}</h4>
          <form class="col-4 row m-0 p-0 {{$pdf? 'd-none' : ''}}" action="{{ url()->current() }}">
<!--              <div class="col-4 px-2">
               <input type="date" class="form-control" name="date" value="{{ date('Y-m-d')}}">
             </div> -->
              <div class="col-6">
                <select name="mt" class="form-control"  onchange="this.form.submit()">
                 @if($mt)
                  <option value="{{$mt}}">
                    <?php $d_mt = DateTime::createFromFormat('!m', $mt); ?>
                     {{ $d_mt->format('F') }}
                  </option>
                 @endif  
                 @for($i=1; $i<=12; $i++)
                  <?php $day = DateTime::createFromFormat('!m', $i); ?>
                   <option value="{{ $day->format('n')}}">{{ $day->format('F') }}</option>
                 @endfor
                </select>
              </div>
              <div class="col-6 pr-0">
                <select  name="yr" class="form-control"  onchange="this.form.submit()">
                  @if($yr) <option>{{$yr}}</option>@endif
                  @for ($j=2020; $j <=2100 ; $j++)  <option>{{$j}}</option>@endfor
                </select>
              </div>
          </form>
           <?php $url = '&mt='.$mt.'&yr='.$yr; ?>
          <div class="col-1 {{$pdf? 'd-none' : ''}}">
              <a class="btn btn-primary  prnt px-3 float-right"
                   href="{{ url()->current().'?pdf=1'.$url }}">
             <i class="fa fa-print"></i></a>
          </div>
      </div>
    </div>

    <div class="card-body row p-0 m-0">
       <div class="table-responsive">
          <table class="table table-striped custom-table datatable">
            <thead>
              <tr class="table-primary">
                <th>Sl</th> <th>Name</th> <th>Designation</th> <th>Joining</th>  <th>Salary</th>
                 <th>Fine</th>  <th>Payable</th> <th>Due</th>  <th>Paid</th>
                <th class="text-center {{$pdf? 'd-none' : ''}}" style="min-width:50px">Action</th>
              </tr>
            </thead> <?php $t_sal = 0; $t_fine = 0; $t_tot = 0;  $t_due = 0; ?>
            <tbody>
              @foreach(App\Hr::where('st','Active')->orderBy('id','desc')->get() as $one)
               <?php $pp = App\Month::where('h_id',$one->id)->where('mt',$mt)->where('yr',$yr)->first(); ?>
                <tr>
                  <td>{{ $loop->index+1 }}</td>
                  <td>{{ $one->name}}</td>
                  <td>{{ $one->design}}</td>
                  <td>{{ date("d/M/Y", strtotime($one->date))  }}</td>
                  <td>{{ $one->salary}} </td> <?php $t_sal +=  $one->salary; ?>
                    @if($pp)
                      <td>{{ $pp->fine }} </td>  <?php $t_fine += $pp->fine; $t_tot += $pp->tot; $t_due +=  $pp->due;  ?>
                      <td>{{ $pp->tot -  $pp->fine }} </td>
                      <td>{{ $pp->due }} </td>
                      <td>{{ $pp->tot }} </td>
                      <td class=" {{$pdf? 'd-none' : ''}}">
                        <a class="btn btn-primary btn-sm prnt"
                                 href="{{ url('ht_mt_pdf?id='.$one->id.'&mt='.$mt.'&yr='.$yr)}}"> <i class="fa fa-print"></i>
                         </a>

                        @if(Auth::user()->role_id > 13)
                          <a href="#my_{{$pp->id}}" data-toggle="modal" class="btn btn-danger btn-sm">
                              <i class="fa fa-trash"></i>
                          </a>
                          <div class="modal fade" id="my_{{$pp->id}}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" >
                           <div class="modal-dialog" style="max-width:500px" role="document">
                            <div class="modal-content">
                              <div class="modal-header">
                                <h5 class="modal-title" id="exampleModalLabel">Are sure to delete?</h5>
                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                  <span aria-hidden="true">&times;</span>
                                </button>
                              </div>
                              <div class="modal-body">
                                <form action="{{url('del_salary')}}" method="post"> @csrf
                                  <input type="hidden" name="d_id" value="{{$pp->id}}">
                                  <button type="submit" class="btn btn-danger">Permanent Delete</button>
                                </form>
                              </div>
                              <div class="modal-footer">
                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
                              </div>
                            </div>
                           </div>
                          </div>
                          <a href="{{url('hr_pay?id='.$one->id)}}" class="btn btn-info btn-sm mx-1" style="padding:4px 11px">
                            <i class="fa fa-dollar" aria-hidden="true"></i>
                          </a>
                        @endif
                      </td>

                    @else

                      <td colspan="4"> </td>
                      <td class=" {{$pdf? 'd-none' : ''}}">
                        <a class="btn btn-primary btn-sm prnt"
                                 href="{{ url('ht_mt_pdf?id='.$one->id.'&mt='.$mt.'&yr='.$yr)}}"> <i class="fa fa-print"></i>
                         </a>
                        <a href="{{url('hr_pay?id='.$one->id)}}" class="btn btn-info btn-sm" style="padding:4px 11px">
                          <i class="fa fa-dollar" aria-hidden="true"></i>
                        </a>
                      </td>
                    @endif
                </tr>
               @endforeach
                <tr class="bg-light">
                   <td colspan="4"> <h6 class="my-2"> Grand Total</h6> </td>
                   <td> <h6 class="my-2"> {{ $t_sal }} </h6></td>
                   <td> <h6 class="my-2"> {{ $t_fine }} </h6></td>
                   <td> <h6 class="my-2">  </h6></td>
                   <td> <h6 class="my-2"> {{ $t_due }} </h6></td>
                   <td> <h6 class="my-2"> {{ $t_tot }} </h6></td>
                   <td class=" {{$pdf? 'd-none' : ''}}"> </td>
                </tr>
            </tbody>
          </table>
        </div>
    </div>

  @if($pdf==null)
    <script src="{{asset('public/admin')}}/js/printPage.js" type="text/javascript"></script>
    @if(strpos($_SERVER['HTTP_USER_AGENT'],'Firefox') == false)
     <script> $( document ).ready(function(){ $(".prnt").printPage(); }); </script>
    @endif
  @endif

@else <script> window.location.replace("{{url('/?not=1')}}"); </script>
@endif
@endsection