@extends('admin.master')
@section('content')  @section('title')Extra Income @endsection
<script src="{{asset('public')}}/admin/js/printPage.js" type="text/javascript"></script>
<div class="card-header row m-0 pt-3 pb-0">

<?php  $sr='';  $sub='';  $pdf='';  $up='';  $day='';  $day_2=''; $bg='bg-secondary';
       $day=request()->day;  $day_2=request()->day_2; $sr=request()->sr; 
       $sub=request()->sub;

    if($sr==1){
      $all=App\Title::where('type',3)->paginate(150);
    }elseif($sub==2){
      $all=App\Title::where('type',4)->paginate(150);
    }elseif($sr==3){
      $all=App\Income::where('date',date('Y-m-d'))->orderBy('id','desc')->paginate(150);
    }elseif($sr && $sub){
      $all=App\Income::where('title',$sr)->where('sub',$sub)->orderBy('id','desc')->paginate(150);
    }elseif($sr){
      $all=App\Income::where('title',$sr)->orderBy('id','desc')->paginate(150);
    }elseif($sub){
      $all=App\Income::where('sub',$sub)->orderBy('id','desc')->paginate(150);
    }elseif($day){ $bg='bg-dark';
      $all = App\Income::whereBetween('date', [$day, $day_2])->paginate(500);
     }else{ $all=App\Income::orderBy('id','desc')->paginate(50);  }

 ?>

@if(Auth::user()->role_id > 11)
    <div class="{{$pdf? 'col-3' : 'col-md-3'}} px-0  pb-3">
       <h4 class="ml-2 m-0" style="font-size:{{$pdf? '19px' : ''}}">
        @if($sr)
           @if($sr==1)  Extra Income Titles 
           @elseif($sr==3) Today
           @elseif($sr) {{$sr}} Extra Income @endif
        @elseif($sub)
           @if($sub==2)  Extra Income Sub Titles 
           @elseif($sub) {{$sub}} Extra Income @endif
        @else 
         All Extra Income
        @endif
       </h4>
    </div>
   @if($pdf)
     @if($day)
      <div class="col-9 row fwb">
       <h5 class="col-6 text-secondary">Start Date:
        {{ date_format(date_create($day),"d-F-Y") }}</h5p>
       <h5 class="col-6  text-secondary">End Date:
        {{ date_format(date_create($day_2),"d-F-Y") }}</h5p>
      </div>
     @endif
      <style>
       .table td,.table th{text-align:left;padding:3px 3px 4px 2px}.table td{padding-left:5px}
     </style>
   @else
    <style>.date input{border-radius:0}</style>
    <form class="col-md-4 row px-0 float-right row text-light date" action="{{url('all_income')}}#ser">
      <div class="col-md-6 row pl-0 pb-3">
         <p class="col-5 fwb m-0 {{$bg}} px-2 text-center" style="padding-top:6px">Between</p>
         <div class="col-7 p-0 row m-0">
            <input type='date' name="day" class="form-control p-1" required
                  @if($day) value="{{$day}}" @else value="{{date('Y-m-d')}}" @endif/>
          </div>
      </div>
      <div class="col-md-6 row px-0 pb-3">
         <p class="col-2 fwb m-0 {{$bg}} px-1 text-center" style="padding-top:6px">To</p>
         <div class="col-7 p-0 row m-0">
            <input type='date' name="day_2" class="form-control p-1" required @if($day_2) value="{{$day_2}}" @else value="{{date('Y-m-d')}}" @endif/>
          </div>
          <div class="col-3 p-0">
            <button class="btn btn-info col-12" style="margin-left:-1px" type="submit">
              <i class="fa fa-search"></i></button>
          </div>
      </div>
    </form>

    <form class="col-md-5 row mr-0 mt-0 pr-0 pb-3" action="{{url('all_income')}}">
      <div class="col-4 pl-0 pr-2">
        <select class="form-control" name="sr" onchange="this.form.submit()">
          @if($sr==3) <option value="3">Today</option>
          @elseif($sr==1) <option>Titles</option>
          @elseif($sr) <option>{{$sr}}</option>
          @else <option value="">All Extra Income</option>  
          @endif
           <option value="">All Extra Income</option>  
           <option value="3" class="table-info forn6"> Today</option>
           <option value="1" class="table-danger forn6"> Titles</option>
          @foreach(App\Title::where('type', 3)->get()  as $ex)
             <option>{{ $ex->title}}</option>
          @endforeach
        </select>
      </div>
      <div class="col-4 pl-2 pr-0">
        <select class="form-control" name="sub" onchange="this.form.submit()">
          @if($sub==2) <option> Sub-Titles</option>
          @elseif($sub) <option>{{$sub}}</option>
          @endif
           <option value="">All Extra Income</option>          
           <option value="2" class="table-warning forn6"> Sub-Titles</option>          
          @foreach(App\Title::where('type', 4)->get()  as $ex)
             <option>{{ $ex->title}}</option>
          @endforeach
        </select>
      </div>
      <div class="col-4 pr-0">
        <a class="btn btn-info prnt btn-sm col-12" style="padding:7px" href="{{url('add_income')}}">
          Add Extra Income
        </a>
      </div>
    </form>
   @endif
  </div>

    <div class="card-body mb-3 {{$pdf? 'py-0' : ''}}">
      <form action="{{url('del')}}" method="post" id="f_del"> @csrf
        @if($sr==1 or $sub==2)
          @include('admin.exp.exp_title')
        @else
          <table class="table {{$pdf? '' : 'table-hover  tab_respon'}} ">
            <thead class="{{$pdf? 'pb-2' : 'table-primary'}} ">
              <tr>
                <th>Sl</th> <th>Title</th> <th>Sub-Title</th> <th>Date</th> <th>Description</th>
                <th>Payment</th> <th>Amount</th> <!-- <th>Voucher</th> -->
                <th class="{{$pdf? 'd-none' : ''}}">Edit</th>
                <th class="{{$pdf? 'd-none' : ''}}">
                   <button class="px-2 py-1 btn-danger" type="button" onclick="form_sb()"><i class="fa fa-trash"></i></button>
                </th>
              </tr>                
            </thead> <?php $total=0; ?>
           <tbody>
            @foreach ($all as $ex)
              <tr><?php $total += $ex->tk; ?>
                <td>{{ $loop->index+1 }}</td>
                <td>{{ $ex->title }}</td>
                <td>{{ $ex->sub }}</td>
                <td>{{ $ex->date }} </td>
                <td>{{ $ex->disc }} </td>
                <td>{{ $ex->p_type }}</td>
                <td>{{ $ex->tk }}</td>
                <td class="{{$pdf? 'd-none' : ''}}">
                  <a class="btn btn-sm btn-success"
                     href="{{ url('add_income?id='.$ex->id )}}"><i class="fa fa-edit"></i>
                  </a>
                </td>
                <td class="{{$pdf? 'd-none' : ''}}">
                  <label class="px-3">
                    <input type="checkbox" name="del[]" value="{{$ex->id}}" class="mt-2 ml-1">
                  </label>
                </td>
              </tr>
            @endforeach
             <tr>
               <td colspan="4"></td>
               <td colspan="2" class="text-center"><h5>Total</h5></td>
               <td class="px-0"><h5>{{$total}}</h5></td>
               <td class="{{$pdf? 'd-none' : ''}}" colspan="2"></td>
             </tr>
           </tbody>
          </table>
        @endif
          @if($sr==1 or $sub==2)
            <input type="hidden" name="app" value="App\Title">
          @else
            <input type="hidden" name="app" value="App\Income">
          @endif
      </form><style>.pagination{float:right;margin:0px 11px;}</style>
      {{$all->links()}}
    </div>

    @if($sr!=1 && $sub!=2)    
      <div class="col-12 px-4 pb-2 {{$pdf? 'd-none' : ''}}">
        <a  class="btn btn-primary pr float-right" style="background:#0e07e6"
            href="{{ url('all_income?day='.$day.'&day_2='.$day_2.'&sr='.$sr.'&sub='.$sub.'&pdf=1') }}">
          Download  PDF</a>
      </div>
    @endif
  @if(strpos($_SERVER['HTTP_USER_AGENT'], 'Firefox') == false)
   <script> $( document ).ready(function(){ $(".pr").printPage(); }); </script>
  @endif
  <script> 
    function form_sb(){
      if(confirm('Do You want to Delete of Select Items ???')){
         $('#f_del').submit();
      }
    }
  </script>

@else
 <script> window.location.replace("{{url('dashbord')}}"); </script>
@endif

@endsection