@extends('admin.master') @section('title')Update Note @endsection
@section('content')
@if(Auth::user()->role_id > 11)

  <div class="card container p-0">
    <div class="card-header py-3">
        <div class="row px-5">
          <h3 class=" col-md-10 mb-1 font6">Update Note</h3>
          <div class="col-md-2"><a href="{{url('no/all')}}" class="btn btn-info btn-sm px-3 mt-1 float-right">All Notes</a>
          </div>
        </div>
    </div>
    <div class="card-body bg_card">
      <form action="{{ url('no/post')}}" class="row" method="post">
        @csrf
        <div class="col-3 mb-3 pr-0 mt-3"><h5 class="bg_h">Title</h5></div>
        <div class="col-9 mb-3 pl-0 mt-3"><input type="text" class="form-control in" name="title" value="{{$cli->title}}" required></div>
        
        <div class="col-3 mb-3 pr-0 mt-3"><h5 class="bg_h">Date</h5></div>
        <div class="col-9 mb-3 pl-0 mt-3"><input type="date" class="form-control calendar in" name="date" value="{{$cli->date}}" required></div>
        
        <div class="col-3 my-3 pr-0"><h5 class="bg_h">Description</h5></div>
        <div class="col-9 my-3 pl-0"><textarea name="disc"  class="form-control in"> {{$cli->disc}}</textarea></div>
    
       <input type="hidden" value="{{$cli->id}}" name="up">  
       <button type="submit" class="btn btn-success mb-3 offset-1 col-2">Update Note</button>
     </form>
    </div>
  </div>

@else <script> window.location.replace("{{url('dashbord?not=1')}}"); </script>
@endif

@endsection
