@extends('admin.master') @section('title')All Notes @endsection
@section('content')
@if(Auth::user()->role_id > 11)
<?php  $all = 0;   $day=request()->day;  $day_2=request()->day_2; $party=request()->party; $ti=request()->ti;
 $n_day=request()->n_day;
    if(request()->party){
       $clien = App\Note::where('p_num','!=',null)->orderBy('id','desc')->paginate(300);
    }elseif($n_day){
       $clien = App\Note::where('n_date','<=',date('Y-m-d'))->orderBy('id','desc')->paginate(300);
    }elseif($ti){
       $clien = App\Note::where('title',$ti)->orderBy('id','desc')->paginate(300);
    }elseif($day){
       $clien = App\Note::whereBetween('date', [$day, $day_2])->orderBy('id','desc')->paginate(300);
    }else{ $all =1;
      $clien = App\Note::orderBy('id','desc')->paginate(300);
    }
   $url = 'day='.$day.'&day_2='.$day_2.'&party='.$party.'&ti='.$ti.'&n_day='.$n_day;
 ?>
  <div class="card">
   <div class="card-header py-3">
      <div class="row">
        <h3 class="col-3 m-0">All Notes</h3>

        <form class="{{$pdf? 'col-5' : 'col-2'}} row mr-0 mt-0 p-0" action="{{ url()->current() }}">
            <select class="form-control" name="ti" onchange="this.form.submit()">
              @if($ti)<option> {{ $ti  }} </option>  @endif   <option value="">All Titles</option>    
              @foreach(App\Note::all()->unique('title') as $ex)
                @if($ex) <option>{{ $ex->title}}</option> @endif
              @endforeach
            </select>
        </form>
         <div class="col-md-1 pl-3 mt-1 p-0 fwb">
          <a class="btn btn-primary btn-sm py-1 mb-3 px-3 float-right" href="{{url('all_sms')}}">All SMS</a>
         </div>
         <div class="col-md-1 pl-3 mt-1 p-0 fwb" id="sms"  onclick="check()">
            <!-- <p class="btn btn-danger active btn-sm mr-2 mb-0  py-1 px-3 mb-3" id="s_8">Unselect All</p> -->
            <p class="btn btn-success count btn-sm mb-0  py-1 px-3" id="s_9">Select All <span></span></p>
         </div>

        <div class="col-md-5 row pr-0 mx-auto my-1 {{$pdf? 'd-none' : ''}}">
            <div class="col-md-10 p-0">
               <a href="{{url('no/add')}}" class="btn btn-info btn-sm mx-1 px-3 float-right">Add Note</a>
               <a class="btn btn-success btn-sm mx-1 px-3 pt-1 float-right {{request()->party? 'active' : ''}}"
                  href="{{url()->current().'?party=1'}}">
                Party Only
               </a>
               <a class="btn btn-success btn-sm mx-1 px-3 pt-1 float-right {{request()->n_day? 'active' : ''}}"
                  href="{{url()->current().'?n_day=1'}}"> 
                 Notify Expired 
               </a>
               <a class="btn btn-success btn-sm mx-1 px-3 pt-1 float-right {{$all? 'active' : ''}}"
                  href="{{url()->current()}}"> 
                 All Notes
               </a>
            </div>
            <div class="col-2 btn-sm  {{$pdf? 'd-none': ''}}">
               <a class="btn btn-info  prnt px-3 float-right"
                 href="{{ url()->current().'?pdf=1&'.$url }}"><i class="fa fa-print"></i></a>
            </div>
        </div>
      </div>
   </div>
   <!-- <div class="card-body"> -->

    <form class="col-md-12 bg-white px-0 pt-1" method="post" action="{{ url('sms_send')}}"> @csrf
      <table class="table {{$pdf? '' : ' table-striped tab_respon '}}">
        <thead class="table-primary"> 
          <tr>
            <th>Sl</th>
            <th>Title </th>
            <th>Date </th>
            <th>Party Name </th>
            <th>Phone No</th>
            <th>Notification Date </th>
              <th class="{{$pdf? 'd-none':''}}">
                 @include('admin.model.sms_mod')
              </th>
            <th>Description / Address</th>
            <!-- <th>SMS -->

            <!-- </th> -->
            <th>User Name</th>
            <th  class="{{$pdf? 'd-none' : ''}}">Action </th>
          </tr>                
        </thead>
        <tbody>
            @foreach($clien as $new)
              <tr class="fwb">
                <td>{{$loop->index+1}}</td>
                <td>{{$new->title}}</td>
                <td>{{ date_format(date_create($new->date),"d-M-Y" ) }}</td>
                <td>
                  <a class="fwb text-info" target="_blank" href="{{url('party_manage?p_id='.$new->p_id)}}">
                    {{$new->p_num}}
                  </a>
                </td>
                <td>  <?php  $party = App\dash_app\Party::where('id',$new->p_id)->first();  ?>
                  {{ $party? $party->phone : $new->phone }}
                  <p class="" style="font-size:13px;color:gray"> {{ $party? $party->address : '' }}</p>
                </td>
                <td style="color:#6f0505">
                  @if($new->n_date)
                    {{ date_format(date_create($new->n_date),"d-M-Y" ) }}
                  @endif
                </td>
                  <td class="{{ $pdf? 'd-none' : '' }} pl-3 mb-3">
                      <span class="d-md-none px-2">{{ $ln?'Send SMS' : 'এস এম এস সেন্ট'}}:</span>
                      <input class="check_sm m-0"  style="height:20px;width:20px" name="mob[]"
                            onclick="check(this)" type="checkbox"  value="{{ $new->phone }}">
                      <p>@if($new->sms=='Send') <i class="fa fa-check text-success"></i>  @endif</p>
                  </td>
                <td>{{$new->disc}} <p class="text-secondary btn-sm pb-0">Address: {{ $new->address }}</p> </td>
                <!-- <td>
                </td> -->

                <td class="text-secondary">
                  <?php $user = App\User::find($new->u_id);?>
                    {{$user ? $user->name : ''}}
                </td>
                <td class="{{$pdf? 'd-none' : ''}}">
                  <a href="{{url('no/add?id='.$new->id)}}" style="display:inline"
                     class="btn btn-success btn-sm mr-1"> <i class="fa fa-edit"></i>
                  </a>
                  <?php $d_id=$new->id; $url='del'; $my_app='App\Note';?>@include('admin.model.delet_model')
                </td>
              </tr>
            @endforeach
        </tbody>
      </table>
   <!-- </div> -->
    </form>

      <style>.pagination{float:right;margin:0px 11px}
            .modal-dialog p{ text-align:left;margin-top:10px}
      </style>
      {{ $clien->links() }}
  </div>


  @if($pdf==null)
    <script src="{{asset('public/admin')}}/js/printPage.js" type="text/javascript"></script>
    <script> $( document ).ready(function(){ $(".prnt").printPage(); }); </script>
    <script>
        function check(){
            var count = 0;
            var inputElems = document.getElementsByClassName("check_sm");
                for (var i=0; i<inputElems.length; i++) {
                if (inputElems[i].type === "checkbox" && inputElems[i].checked === true){ count++; }
                if (count > 0){
                    $("#m_btn a").removeClass("d-none");
                    $("#m_btn button").addClass("d-none");
                  // console.log( oldValue.parent().parent().addClass('tr_check') )
                }else{
                    $("#m_btn a").addClass("d-none");
                    $("#m_btn button").removeClass("d-none");
                }
                  $(".count span").text('('+ count +')');
              }
        }
        $(document).ready(function(){
            $('#s_9').click(function(){
              if( $(".check_sm").prop("checked") ){
                  $(".check_sm").prop("checked", false);
                  $("#s_9").removeClass("btn-warning").addClass("btn-success");
              }else{
                  $(".check_sm").prop("checked", true);
                  $("#s_9").removeClass("btn-success").addClass("btn-warning");
              }
           });
        });
    </script>
  @endif

@else <script> window.location.replace("{{url('dashbord?not=1')}}"); </script>
@endif

@endsection