<!DOCTYPE HTML><html lang="en-US"><head><meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>@include('com.title')</title>
<meta name="csrf-token" content="{{ csrf_token()}}">
<link href="{{asset('public')}}/css/bootstrap.min.css" rel="stylesheet" type="text/css"/>
</head><body style="background:#404040">
<style>.fwb{font-weight:600}
.bgLog{background:rgba(0, 0, 0, 0) linear-gradient(rgb(60, 45, 45) 0%, rgb(49, 35, 35) 46%, rgb(28, 13, 13) 50%, rgb(10, 10, 10) 53%, rgb(78, 78, 78) 76%, rgb(56, 56, 56) 87%, rgb(27, 27, 27) 100%) repeat scroll 0% 0%}
.header{background:#F3F8FF}
.header .col-md-2{display: none}.header .col-md-8{margin:11px auto}
h3{font-weight:600;color:#f2fcff}
</style>
@section('title') Login @endsection
<div class="bgLog" style="  min-height:900px">
  <div class="row justify-content-center mx-0">
     <div class="col-md-12 p-2 mb-5" style="border-bottom:1px solid #5b626c">
        <h3 class="fwb text-center m-1">
          <a class="text-light" href="{{url('/')}}"><?php  include('bootstrap/com/title.php'); ?></a>
        </h3>
      </div>
      <div class="col-12 mb-3">
        <div class="col-md-6 mx-auto">
          @include('admin.inc.mess')
        </div>
      </div>
 <?php    $ff = App\User::find( Auth::user()->id ); if(empty($mess)){ $mess=''; } ?>

    <div class="col-md-5 mt-4">
      @if($ff->email_verified_at==null)
        <div class="card">
           <h5 class="card-header mb-3">We Need Verify You</h5>
           <!-- <form action="{{url('send_code')}}" id="f_submit"> -->
           <form action="{{url('send_code')}}" method="post"> @csrf
            @if($mess)
              <h5 class="alert alert-success mx-3">{{$mess}}</h5>
              <div class="form-group mb-4 px-4">
                 <p class="mb-0 ml-1 fwb">Input Your Code</p>
                   <input  name="code" name="code" class="form-control" autofocus required>
              </div>
              <div class="row px-4 mb-4">
                <div class="col-6">
                    <button type="submit" class="btn  btn-success col-12">Submit</button>
                </div>
                <div class="col-6">
                  <a href="{{ url()->current() }}" class="btn  btn-danger col-12">Re Send
                  </a>
                </div>
              </div>
            @else
              <div class="form-group py-2 px-5">
               <h5 class="mb-0 ml-1 text-dark fwb">Send Code To: {{Auth::user()->phone}}</h5>
                 <input name="mob" value="{{Auth::user()->phone}}" type="hidden">
              </div>
              <div class="form-group mb-4 px-5">
                  <button type="submit" class="btn  btn-success col-12">Send Code </button>
              </div>
            @endif
           </form>
           <div class="form-group mb-4 px-5 col-6 m-auto">
                <a class="btn btn-warning fwb col-12 mb-3" href="#"
                   onclick="event.preventDefault();  document.getElementById('l_out').submit();">Logout</a>
                <form id="l_out" action="{{route('logout')}}" method="POST"
                  style="display:none"> @csrf
                </form>
           </div>
        </div>
      @endif
    </div>
  </div>
</div>
</body></html>