<!DOCTYPE HTML><html lang="en-US"><head><meta charset="UTF-8"><meta name="viewpor" content="width=device-width,initial-scale=1.0"/>
<title>@include('com.title')</title>
<link href="{{asset('public')}}/css/bootstrap.min.css" rel="stylesheet" type="text/css"/>
</head><body style="background:#404040">
<style>.layout-topbar-menu-wrapper{padding-left:15px}
.bgLog{background:rgba(0, 0, 0, 0) linear-gradient(rgb(60, 45, 45) 0%, rgb(49, 35, 35) 46%, rgb(28, 13, 13) 50%, rgb(10, 10, 10) 53%, rgb(78, 78, 78) 76%, rgb(56, 56, 56) 87%, rgb(27, 27, 27) 100%) repeat scroll 0% 0%}
.header{background:#F3F8FF}
.header .col-md-2{display: none}.header .col-md-8{margin:11px auto}
h3{font-weight:600;color:#f2fcff}
</style> @section('title')Register @endsection
<div class="bgLog" style="  min-height:900px">
  <div class="row justify-content-center mx-0">
     <div class="col-md-12 p-2 mb-5" style="border-bottom:1px solid #5b626c">
        <h3 class="fwb text-center">
          <a class="text-light" href="{{url('/')}}"> @include('com.title') </a>
        </h3>
      </div>
      <div class="col-md-6 mt-4">
            <div class="card">
             <div class="card-header mb-4">Register Now</div>
                <form class="pb-4" method="POST" action="{{ route('register') }}">
                    @csrf
                    <div class="form-group row mb-4">
                        <label for="name" class="col-md-4 col-form-label text-md-right">{{ __('Name') }}</label>
                        <div class="col-md-6">
                            <input id="name" type="text" class="form-control @error('name') is-invalid @enderror" name="name" value="{{ old('name') }}" required autocomplete="name" autofocus>
                            @error('name')
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div>
                    </div>
                    <div class="form-group row mb-4">
                        <label for="email" class="col-md-4 col-form-label text-md-right">{{ __('E-Mail or Phone') }}</label>

                        <div class="col-md-6">
                            <input id="email" type="text" class="form-control @error('email') is-invalid @enderror" name="email" value="{{ old('email') }}" required autocomplete="email">
                            @error('email')
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div>
                    </div>
                    <div class="form-group row mb-4">
                        <label for="password" class="col-md-4 col-form-label text-md-right">{{ __('Password') }}</label>
                        <div class="col-md-6">
                            <input id="password" type="password" class="form-control @error('password') is-invalid @enderror" name="password" required autocomplete="new-password">
                            @error('password')
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div>
                    </div>
                    <div class="form-group row mb-4">
                        <label for="password-confirm" class="col-md-4 col-form-label text-md-right">{{ __('Confirm Password') }}</label>

                        <div class="col-md-6">
                            <input id="password-confirm" type="password" class="form-control" name="password_confirmation" required autocomplete="new-password">
                        </div>
                    </div>
                    <div class="form-group row mb-0">
                        <div class="col-md-6 offset-md-4">
                            <button type="submit" class="btn btn-primary">
                                {{ __('Register') }}
                            </button>
                            <a href="{{url('/')}}" class="btn btn-dark ml-2"> Home </a>
                        </div>
                    </div>
                </form>
            </div>
      </div>
  </div>
</div>
</body></html>
