@extends('admin.master')
@section('content')
@if(Auth::user()->role_id > 11)
  <?php $day='';  $day_2=''; $pag=0; $pdf=''; $fc='form-control';
        $title='id'; $sc='desc'; $ser=''; $bg='bg-secondary'; $purcId=''; 
  ?>

  @if(isset($_GET['day'])) <?php  $day=$_GET['day'];  $bg='bg-success';   ?> @endif
  @if(isset($_GET['day_2']))  <?php  $day_2=$_GET['day_2']; ?> @endif

  <style>.date input,.date button,.input-group-append{border-radius:0}
  .table th{font-weight:600}.net_lav p{font-size:19px}
  @if($pdf) .pp span{font-size:17px}.pp .pay{min-width:130px;display:inline-block}
  @else .pp span{font-size:19px}.pp .pay{min-width:180px;display:inline-block}
  @endif
  @media(max-width:768px){ .d_m{display:none!important}.items a{margin:0 3px}.net_lav p{font-size:15px} }
  </style>
  <div class="pb-3" >
    <form class="row col-12 bg-white border pb-1 {{$pdf? 'pb-3': 'pt-3 mb-3'}}"
        action="{{ url()->current() }}">
      <h4 class="pt-1 {{$pdf? 'col-4 ': 'mb-3 col-md-5 fwb'}}">
          {{ $ln? 'Net Profit' : 'নীট লাভ'}}
      </h4>
        @if($day && $pdf)
          <h5 class="col-4 mb-0 pt-2 px-1">
            Between:
              {{date_format(date_create($day),"d-M-Y" ) }}
          </h5>
          <h5 class="col-4 mb-0 pt-2 px-1">
            To:
             {{date_format(date_create($day_2),"d-M-Y" ) }}
          </h5>
        @endif
      <div class="col-md-5 row text-light date p-0 {{$pdf? 'd-none': ''}}">
        <div class="col-md-6 mb-3 row p-0">
          <p class="col-4 fwb mb-0 {{$bg}} pt-2">Between</p>
          <div class="col-8 pl-0 pr-md-4 row mb-0">
            <input type="date" name="day" class="{{$fc}}" @if($day) value="{{$day}}" @endif/>
          </div>
        </div>
        <div class="col-md-6 mb-3 row p-0">
          <p class="col-3 fwb mb-0 {{$bg}} pt-2 pl-3">To</p>
          <div class="col-7 px-0 row mb-0">
            <input type="date" name="day_2" class="{{$fc}}" @if($day_2) value="{{$day_2}}" @endif/>
          </div>
          <div class="col-2 px-0">
            <button class="btn btn-info col-12" style="margin-left:-1px" type="submit">
              <i class="fa fa-search"></i></button>
          </div>
        </div>
      </div>

      <div class="col-md-2 mb-3 p-0 {{$pdf? 'd-none': ''}}">
      <!-- </div> -->
      <?php $url = 'day='.$day.'&day_2='.$day_2; ?>
      <!-- <div class="col-md-1 mb-4  {{$pdf? 'd-none': ''}}"> -->
        <a class="btn btn-primary mx-2 prnt px-3 float-right" href="{{ url()->current().'?pdf=1&'.$url }}" >
          <i class="fa fa-print"></i>
        </a>
        <a class="btn btn-info mx-2 px-3 float-right"
              href="{{ url()->current() }}" > All</a>
      </div>
    </form>

      <?php // $t_ot=0; $sale_rec=0; $s_due=0;  $prof_sale=0;  $dis_1_t=0;
        if($day){
          $all_s = App\dash_app\Sale::whereBetween('date',[$day, $day_2])->get()->sum('profit');
          $ex_to= App\Exp::whereBetween('date',[$day, $day_2])->get()->sum('tk');
          $salary_all = App\Salary::whereBetween('date',[$day, $day_2])->get()->sum('tot');
         // $purc_p= App\dash_app\Purc::whereBetween('date',[$day, $day_2])->get()->sum('tk');
         // $all_pay = App\dash_app\Pay::where('pay','Out')->whereBetween('date',[$day, $day_2])->get()->sum('paid');
        }else{
          $all_s = App\dash_app\Sale::get()->sum('profit');
          $ex_to= App\Exp::get()->sum('tk');
          $salary_all = App\Salary::all()->sum('tot');
         // $purc_p= App\dash_app\Purc::get()->sum('tk');
         // $all_pay= App\dash_app\Pay::where('pay','Out')->get()->sum('paid');
        }  ?>


        <div class="mb-5  col-md-6 m-auto p-md-3 p-0 net_lav">
          <div class="row bg-white  p-md-3 p-1  border  {{$pdf? '' : ''}}">
              <p class="my-1 col-4 px-2 fwb mb-1">
                {{ $ln?'Total Profits' : 'মোট লাভ'}}</p> <p class="my-1 p-0">:</p>
              <p class="my-1 col-7 pr-1 fwb mb-1 pl-3">{{ $all_s }}</p>

              <p class="my-1 col-4 px-2 fwb mb-1">
                {{ $ln?'Total Expenses' : 'মোট খরচ'}}</p> <p class="my-1 p-0">:</p>
              <p class="my-1 col-7 pr-1 fwb mb-1 pl-3">{{ $out = $ex_to + $salary_all}}
                <span class="text-secondary pl-md-4 pl-1 btn-sm">Expence + Salary</span>
              </p>

              <p class="col-12 border-top mb-1"></p>
              <p class="my-1 col-4 px-2 fwb mb-1">
                 {{ $ln? 'Net Profit' : 'নীট লাভ'}}</p> <p class="my-1 p-0">:</p>
              <p class="my-1 col-7 pr-1 fwb mb-1 pl-3">{{ $all_s - $out }}</p>
              
          </div>
        </div>





     <!-- @ include('dash.rep.in.daily_rep_sm') -->
  </div>

  @if($pdf==null)
    <script src="{{asset('public/admin')}}/js/printPage.js" type="text/javascript"></script>
     <script> $( document ).ready(function(){ $(".prnt").printPage(); }); </script>
  @endif
@else <script> window.location.replace("{{url('dashbord?not=1')}}"); </script>
@endif
@endsection
