@extends('admin.master')
@section('content')
@if(Auth::user()->role_id > 11)

  @if($pdf)
    <style>.table th a{padding:2px;font-size:13px}.table h5{font-size:17px}</style>
  @else
    <style>.items a{padding:3px 7px}.h_34{height:34px}.date input,.date button,.input-group-append{border-radius:0}
    .table td, .table th{text-align:left}.table td{padding-left:10px;font-size:16px}
    .fa-print:before{content:"\f02f"}.up_i::before {right:1em;content:"\2191"}
    .up_i::after{right:0.5em;content:"\2193"}.table td{line-height:25px}
    li.page-item .page-link{background:#143f66 !important;color:#fff;font-weight:normal;padding:11px 22px}
    .h_36{height:36px}
    .auto{background-color:#fffaf1;position:absolute;width:300px;font-size:17px;z-index:5;top:36px}.f_17{font-size:17px}
    </style>
      @include('dash.item.in.td_resp_full')
  @endif
  
  <?php $title=''; $sc=''; $s_i=''; $bg='bg-secondary';  $re_qty=0;  $brand='';
        $day=request()->day;  $day_2=request()->day_2;   $p_id=request()->p_id;  $s_i=request()->s_i;
        $cat=request()->cat;  $brand_id=request()->brand_id; 
         $tot=50;if($pdf){ $tot=50000; }  ?>
  @if(isset($_GET['title']))  <?php $title=$_GET['title'] ; ?> @else <?php $title='date'; ?>  @endif
  @if(isset($_GET['sc']))  <?php  if($_GET['sc']=='asc'){  $sc='desc'; }else{ $sc='asc'; }  ?>
  @else <?php $sc='desc'; ?>  @endif

  <?php if($brand_id){
           $all = App\Product::where('brand_id', $brand_id)->paginate($tot);
         }else{
           $all = App\Product::orderBy($title, $sc)->paginate($tot);
         } ?>

    @if($pdf)
      <div class="row m-1">
        <h5 class="col-6 fwb mt-1">{{ $ln? 'Damage' : 'ড্যামেজ'}}</h5>
        @if($day)
          <p class="col-3 fwb mb-0 pt-2 px-2">Start: {{$day}}</p>
          <p class="col-3 fwb mb-0 pt-2 pl-3">End: {{$day_2}}</p>
        @else
          <form action="{{url()->current()}}" class="float-right col-md-6 mb-2">
             @include('dash.item.in.catagory_tot')
          </form >
        @endif
      </div>
    @else
      <div class="p-md-3 p-0" style="background:#e6e9ed">
        <form class="row pt-4 mb-3 bg-white"  action="{{ url()->current() }}" >
          <h4 class="col-md-6 fwb mb-4">{{ $ln? 'Damage' : 'ড্যামেজ'}}</h4>
          <div class="col-md-6  row text-light date">
            <div class="col-md-6 row p-0 mb-4">
              <p class="col-4 fwb mb-0 {{$bg}} pt-2">Between</p>
              <div class="col-8 pl-0 pr-md-4 row mb-0">
                <input  type="date" name="day" class="form-control"
                       @if($day) value="{{$day}}" @endif/>
              </div>
            </div>
            <div class="col-md-6 row p-0 mb-4">
              <p class="col-3 fwb mb-0 {{$bg}} pt-2 pl-3">To</p>
              <div class="col-7 px-0 row mb-0">
                <input  type="date" name="day_2" class="form-control"
                       @if($day_2) value="{{$day_2}}" @endif/>
              </div>
              <div class="col-2 px-0">
                <button class="btn btn-info col-12" style="margin-left:-1px" type="submit">
                  <i class="fa fa-search"></i></button>
              </div>
            </div>
          </div>
         <?php $url='pdf=1&title='.$title.'&sc='.$sc.'&cat='.$day.'&day_2='.$day_2; ?>
        </form>
      </div>
    @endif


  <div class="col-12 row pr-1 pt-3 {{$pdf? 'd-none' : ''}}">
      <form class="col-md-3 offset-8 p-0" action="{{ url()->current() }}">
          <select name="brand_id" class="form-control mb-3 h_36" id="brand" onchange="this.form.submit()">
              <?php $brand_n = App\Brand::find($brand_id); ?>
              @if($brand_n)
                <option value="{{$brand_id}}"> {{ $brand_n->brand_name }} </option>
              @endif
               <option value="">All Companies</option>
              @foreach (App\Brand::all() as $brand)
                <option value="{{ $brand->id}}">{{ $brand->brand_name}}</option>
              @endforeach
          </select>
      </form>
     <?php $url='?pdf=1&title='.$title.'&sc='.$sc.'&cat='.$day.'&day_2='.$day_2.'&brand_id='.$brand_id; ?>
        <div class="col-md-1">
       <a class="btn btn-primary  prnt px-3 float-right"
          href="{{url()->current().$url}}"><i class="fa fa-print"></i>
        </a>
      </div>
  </div>

  @if(App\dash_app\Adj::where('type','dam')->get()->count() )
      <div class="col-md-12 bg-white p-0">
        <table class="table p-0 table-hover tab_2">
           <thead>
             <tr  class="d_n" style="background:#fff6dc">
                <th><a class="btn p-1 fwb"> Sl </a></th> <?php $prl=url()->current().'?title='; ?>

                <th class="pl-0">
                  <a class="btn px-0 fwb" href="#"> {{ $ln?'Item Name' : 'আইটেমের নাম'}}</a></th>

                <th class="pl-0">
                  <a class="btn p-1 @if($title=='date' && $sc=='asc') text-danger @endif fwb"
                    href="{{url($prl.'date&sc='.$sc)}}"><i class="up_i pr-2"></i>
                  {{ $ln?'Damage Date' : 'ড্যামেজ তারিখ'}}</a></th>

                <th class="pl-0">
                  <a class="btn px-0 fwb" href="#">{{ $ln? 'Damage For' : 'ড্যামেজ ফর'}}</a></th>

                <th class="pl-0">
                  <a class="btn px-0 fwb" href="#">{{ $ln?'Damage Qty ':'ড্যামেজ পরিমান '}}</a></th>

                <th class="pl-0 {{$pdf? 'd-none' : ''}}">
                  <a class="btn p-1 fwb" href="#">{{ $ln?'Action' : 'অ্যাকশন'}} </a></th>
             </tr>                
           </thead>
           <tbody> <?php $i=1; $j=1; ?>
            @foreach($all as $pp)
            <?php
               if($day){ $bg='bg-dark';
                   $dam_all= App\dash_app\Adj::where('pr_id',$pp->id)->where('type','dam')->whereBetween('date', [$day, $day_2])->get();
                }else{
                   $dam_all= App\dash_app\Adj::where('pr_id',$pp->id)->where('type','dam')->orderBy($title, $sc)->get();
                }
             ?>
              @if($dam_all->count())
                @foreach($dam_all as $re)
                  <tr>
                    <td class="p-md-2 px-1 py-0" style="margin-bottom:-5px">
                      <p class="d_m px-1 m-0 border rounded-circle border-radius">
                        <span class="d-md-none" >{{ $i++ }}</span>
                      </p>
                      <span class="d-md-block d_no" >{{ $j++ }}</span>
                    </td>
                    <td>
                      <span class="d-md-none px-2">{{ $ln? 'Item Name' : 'আইটেম নাম'}}:</span>
                      <a class="text-dark fwb" target="_blank" href="{{url('item/all?pr_id='.$re->pr_id )}}">
                       {{$pp->name}}
                      </a>
                    </td>
                    <td>
                      <span class="d-md-none px-2"> {{ $ln?'Return Date' : 'রিটার্ন তারিখ'}}:</span>
                      <span style="color:gray">
                         {{date_format(date_create($re->date),"d-M-y" )}}
                      </span>
                    </td>
                    <td>
                      <span class="d-md-none px-2">{{ $ln? 'Return For' : 'রিটার্ন ফর'}}:</span>
                      <span class="fwb">{{$re->de}} </span>
                    </td>
                    <td>
                      <span class="d-md-none px-2">{{ $ln? 'Return Qty ':'রিটার্ন পরিমান '}}:</span>
                      <span  class="text-danger fwb"> {{$re->qty}} </span>
                    </td>

                    <td class="items {{$pdf? 'd-none' : ''}}">
                      <span class="d-md-none px-2">{{ $ln?'Action' : 'অ্যাকশন'}}:</span>
                    <?php $re->id = $re->id; $url="del"; $my_app='App\dash_app\Adj'; ?>
                          
                      @if(Auth::user()->role_id ==33)
                      <a href="#deleteModal{{$re->id}}" data-toggle="modal" class="btn btn-danger btn-sm"><i class="fa fa-trash"></i></a>
                      <div class="modal fade" id="deleteModal{{$re->id}}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" >
                        <div class="modal-dialog" style="max-width:500px" role="document">

                          <div class="modal-content">
                            <div class="modal-header">
                              <h4 class="modal-title" id="exampleModalLabel">Are sure to delete?</h4>
                              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                              </button>
                            </div>
                            <div class="modal-body">

                              <div class="row mb-3 text-danger border-bottom pb-3  text-left fwb">
                                <h5 class="my-2 ml-1" style="line-height:1.3">
                                  If You Permanently Delete You will Not Be Recovered This Data.
                                </h5>
                              </div>

                              <form id="f_{{$re->id}}" action="{{url('item/all')}}" >
                                <input type="hidden" value="{{$pp->id}}" name="pr_id">
                                <input type="hidden" name="d_id" value="{{$re->id}}">
                                <input type="hidden" name="app" value="App\dash_app\Adj">
                                <button type="submit" class="btn btn-danger mx-2" id="del_b_{{$re->id}}">Permanent Delete</button>
                              </form>
                            </div>
                            <div class="modal-footer">
                              <button type="button" class="btn btn-secondary cl_{{$re->id}}" data-dismiss="modal">Cancel</button>
                            </div>
                          </div>
                        </div>
                      </div>
                      @endif

                    </td>
                  </tr>   <?php  $re_qty+=$re->qty;  ?>
                @endforeach
              @endif

            @endforeach
             <tr style="background:#fff7f4">
               <td class="d_n" colspan="4">
                 <h5 class="d_n my-2 text-right pr-3"> Total </h5>
               </td>
               <td>
                <h5 class="my-2 row text-center">
                  <span class="d_m pr-3">Total Return</span> 
                  <span class="{{$pdf? 'col-12' : ''}}">{{$re_qty}}</span> 
                </h5>
              </td>
              <td class=" {{$pdf? 'd-none' : ''}}"> </td>
             </tr>
          </tbody>
        </table>
      </div>
  @else
    <div class="row">
      <div class="col-md-6 p-3">
        <a href="{{url('item/all')}}">
          <img src="https://gstorebd.com/trade/demo/img/d_2.png" class="m-auto d-block" style="height:300px;border:10px solid gray">
        </a>
      </div>
      <div class="col-md-6 p-3">
        <a href="https://gstorebd.com/trade/demo/img/d_3.png">
          <img src="https://gstorebd.com/trade/demo/img/d_3.png" class="m-auto d-block" style="height:300px;border:10px solid gray"> 
        </a>
      </div>
      <div class="col-md-6 p-3">
        <a href="https://gstorebd.com/trade/demo/img/d_4.png">
          <img src="https://gstorebd.com/trade/demo/img/d_4.png" class="m-auto d-block" style="height:300px;border:10px solid gray">
        </a>
      </div>
      <div class="col-md-6 p-3">
        <a href="https://gstorebd.com/trade/demo/img/d_5.png">
          <img src="https://gstorebd.com/trade/demo/img/d_5.png" class="m-auto d-block" style="height:300px;border:10px solid gray">
        </a>
      </div>
    </div>
  @endif

  <script src="{{asset('public/admin')}}/js/printPage.js" type="text/javascript"></script>
  <script> $( document ).ready(function(){ $(".prnt").printPage(); }); </script>

@else
 <script> window.location.replace("{{url('dashbord')}}"); </script>
@endif

@endsection
