@extends('admin.master') @section('title') Unit @endsection
@section('content')
@if(Auth::user()->role_id > 11)
<?php $up='';  $up=App\dash_app\Unit::find(request()->id);
?>
<div class="card">
  <div class="row">
    <div class="card-header col-md-10">
     <h3 class="m-1">{{$up?  'Update' : 'Add'}} Unit</h3> 
    </div>
    <div class="card-header col-md-2">
      <a href="{{url('manage_cty')}}"
         class="btn btn-success float-right px-3 ">All Categories</a>
    </div>
  </div>
  <div class="row p-3">
    <div class="col-md-6 p-2">
       <!-- <div class="card-body"> -->
        <table class="table table-hover tab_respon">
          <thead class="table-primary"> 
            <tr>
              <th><a class="btn p-1 fwb"> Sl </a></th>
              <th class="pl-0"> Unit Name </th>
              <th class="pl-0"> Loose Name </th>
              <th class="pl-0"> Loose Qty </th>
              <th class="pl-0"> ACTION </th>
            </tr>                
          </thead>
          <tbody> 
            @foreach (App\dash_app\Unit::all() as $pr)
            <tr>
              <td>{{ $loop->index+1 }}</td>
              <td>{{ $pr->s_name }}</td> 
              <td>{{ $pr->loose_unit }}</td> 
              <td>{{ $pr->loose_qty }}</td> 
              <td class="Units">
              <?php $d_id = $pr->id; $url="del"; $my_app='App\dash_app\Unit'; ?>
                  @include('admin.model.delet_model')
              </td>
            </tr>
            @endforeach        
          </tbody>
        </table>
       <!-- </div> -->
    </div>
    <form class="col-md-6 p-2" action="{{ url('add/post')}} " method="post" enctype="multipart/form-data">
        @csrf
        <div class="card-header border p-3">
            <input type="hidden" name="up" value="{{$up? $up->id : ''}}">
            <input type="hidden" name="myApp" value="App\dash_app\Unit">
            <input type="hidden" name="url" value="{{url()->current()}}">
            <p class="ml-1">Unit Name*</p>
            <input class="form-control mb-3" name="s_name" value="{{$up? $up->s_name : ''}}" required>

            <p class="ml-1">Loose Unit*</p>
            <select  onchange="addd_unit()" class="form-control mb-3" name="loose_unit">
               @if($up) <option>{{ $up->loose_unit }}</option> @endif
               <option value="">Select Unit</option>
                @foreach(App\dash_app\Unit::orderBy('id','desc')->get() as $un)
                  <option>{{ $un->s_name}}</option>
                @endforeach
            </select>

            <p class="ml-1">Loose Qty*</p>
            <input class="form-control mb-3" name="loose_qty" value="{{$up? $up->loose_qty : ''}}" required>

            <button type="submit" class="btn btn-success">{{$up? 'Update': 'Save'}} Unit</button>
        </div>
    </form>
  </div>
</div>

@else <script> window.location.replace("{{url('dashbord?not=1')}}"); </script>
@endif

@endsection
