<!DOCTYPE html><html lang="en"><head><meta charset="utf-8"><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
      <title><?php  include('bootstrap/com/title.php'); ?></title>
  @if(file_exists('img/logo.jpg'))
   <link rel="shortcut icon"  href="{{asset('img/logo.jpg')}}"/>
  @else
   <link rel="shortcut icon" href="{{asset('img/logo.png')}}"/>
  @endif
  <!-- <link rel="stylesheet" href="{{asset('public')}}/css/pdf.css"> -->
  <link rel="stylesheet" href="{{asset('public/css/bootstrap_custom.min.css')}}">
  <script src="{{ asset('public/front/js/jquery-2.2.3.min.js') }}"></script>
</head>

<style>.fwb{font-weight:600}.row{margin:auto 0}.logo{border-radius:20%;padding:11px;width:90%}
     .table-light p{font-size:21px;}
 </style>
<body class="pb-3">
  <header class="clearfix mt-4">
    <div class="pb-1 row m-0 h_top" style="padding-top:15px">
      <div class="col-2">
          <img src="https://itofglobal.com/i/img/site/6044a5233b263_13.png" class="logo" alt="Logo">
      </div>
      <div class="col-8 company-address text-center fwb">
        <h2 class="title fwb"> Global It & Soft</h2>
         <a href="http://itofglobal.com">http://itofglobal.com</a>
         <p class="m-1"><?php  include('bootstrap/com/phone.php'); ?></p>
         <h3 class="text-danger fwb">G Trade Software Agreement</h3>
      </div>

      @if($pdf==null)
       <script src="{{asset('public/admin')}}/js/printPage.js" type="text/javascript"></script>
        <div class="col-2 mt-4">
            <a class="btn btn-primary  prnt px-3 float-right" href="{{ url()->current() }}?pdf=1">Print
            </a>
        </div>
      @endif

    </div>
  </header>

    @if(Auth::user()->email == 'sifatsg@gmail.com')
        <div class="table-light row px-2 py-2 mb-3">
          <div class="pb-md-2 col-12 row px-1 border-top mt-2 pt-2">
              <p class="my-1 col-3 px-2 fwb mb-1"> Company Admin <p class="my-1 p-0">:</p>
              <p class="my-1 col-8 pr-1 fwb mb-1 pl-3"><?php include('bootstrap/com/admin.php');?></p>

              <p class="my-1 col-3 px-2 fwb mb-1"> Company Phone </p> <p class="my-1 p-0">:</p>
              <p class="my-1 col-8 pr-1 fwb mb-1 pl-3"><?php include('bootstrap/com/phone.php');?></p>

              <p class="my-1 col-3 px-2 fwb mb-1"> Software Type </p> <p class="my-1 p-0">:</p>
              <p class="my-1 col-8 pr-1 fwb mb-1 pl-3"><?php include('bootstrap/com/type.php');?></p>

              <p class="my-1 col-3 px-2 fwb mb-1"> Software Bill </p> <p class="my-1 p-0">:</p>
              <p class="my-1 col-8 pr-1 fwb mb-1 pl-3"><?php include('bootstrap/com/bill.php');?></p>

              <p class="my-1 col-3 px-2 fwb mb-1"> Bill Paid </p> <p class="my-1 p-0">:</p>
              <p class="my-1 col-8 pr-1 fwb mb-1 pl-3"><?php include('bootstrap/com/paid.php');?></p>

              <p class="my-1 col-3 px-2 fwb mb-1"> Due Bill </p> <p class="my-1 p-0">:</p>
              <p class="my-1 col-8 pr-1 fwb mb-1 pl-3 border-top"><?php include('bootstrap/com/due.php');?></p>

              <p class="my-1 col-3 px-2 fwb mb-1"> Software Link </p> <p class="my-1 p-0">:</p>
              <p class="my-1 col-8 pr-1 fwb mb-1 pl-3">{{ url('/') }}</p>

              <p class="my-1 col-3 px-2 fwb mb-1"> Start Date </p> <p class="my-1 p-0">:</p>
              <p class="my-1 col-8 pr-1 fwb mb-1 pl-3">
                {{  date_format(date_create(file_get_contents('bootstrap/com/start.php')),"d/M/Y" )  }}
              </p>

              <p class="my-1 col-3 px-2 fwb mb-1"> End Date </p> <p class="my-1 p-0">:</p>
              <p class="my-1 col-8 pr-1 fwb mb-1 pl-3">
                {{  date_format(date_create(file_get_contents('bootstrap/in/d.php')),"d/M/Y" )  }}
              </p>
          </div>
          <p class="mt-1 fwb mb-5 px-3" style="color:#c60013">Note: Any update or modify   will charged.</p>

         <iframe class="col-12 p-0" style="height:500px" src="{{ url('/') }}"></iframe>

        </div>

      <script src="{{asset('public/admin')}}/js/printPage.js" type="text/javascript"></script>
      <script> $( document ).ready(function(){ $(".prnt").printPage(); }); </script>
    @else
     <script> window.location.replace("{{url('dashbord?not=1')}}"); </script>
    @endif

</body></html>