<tr class="tr_{{$pr->id}}">
  <td class="p-md-2 px-1 py-0" style="margin-bottom:-5px">
    <!-- Only All party else in js -->
    <p class="d_m px-1 m-0 border rounded-circle border-radius">
      <span class="d-md-none" >{{ $k }}</span>
    </p>
    <span class="d-md-block d_no" >{{ $k }}</span>
  </td>
  <td><span class="d-md-none px-2">{{ $ln?'Name' : 'নাম'}}:</span>
    <a class="fwb {{$pdf? 'text-dark' : 'text-info' }}" href="{{url('party_manage?p_id='.$pr->id)}}" target="_blank">
     {{ $pr->name }}
    </a>
  </td>
  <td><span class="d-md-none px-2">{{ $ln?'date' : 'তারিখ'}}:</span>
             {{ date_format(date_create($pr->date),"d/M/Y" ) }}
  </td>
  <td><span class="d-md-none px-2">{{ $ln?'Phone' : 'ফোন'}}:</span>{{ $pr->phone }}</td>
  <td><span class="d-md-none px-2">{{ $ln?'Custom ID' : 'কাস্টম আইডি'}}:</span>{{ $pr->p_id }}</td>
  <!--  <td id="b_{{ $pr->id }}"></td>From js Party Filter -->
  <td class="{{ $pdf? 'd-none' : '' }} pl-3 mb-3">
    <span class="d-md-none px-2">{{ $ln?'Send SMS' : 'এস এম এস সেন্ট'}}:</span>
    <input class="check_sm m-0"  style="height:20px;width:20px" name="mob[]"
          onclick="check(this)" type="checkbox"  value="{{ $pr->phone }}">
  </td>
  <td class="{{$print? '' : 'd-none'}} pl-3 mb-3">
    <span class="d-md-none px-2"><i class="fa fa-print"></i>:</span>
    <input class="check_p m-0"  style="height:20px;width:20px" name="all_pid[]"
          onclick="ch_print(this)" type="checkbox"  value="{{ $pr->id }}">
  </td>
  <td><span class="d-md-none px-2">{{ $ln?'Address' : 'ঠিকানা'}}:</span>{{ $pr->address }}</td>
  <td><span class="d-md-none px-2">{{ $ln?'Type' : 'টাইপ'}}:</span>{{ $pr->type }}</td>
  <td class="fwb">
     <span class="d-md-none px-2">{{ $ln?'Balance' : 'ব্যালেন্স'}}:</span>
       @if( $incm > $loss)
        <div class="px-1 {{$pdf? 'text-dark' : 'text-success'}} d-block loss_in">{{$incm - $loss}}</div>
       @else
        <div class="px-1 {{$pdf? 'text-dark' : 'text-danger'}} d-block loss_in">{{$loss - $incm}}</div>
       @endif
  </td>

  <td class="items {{ $pdf? 'd-none' : '' }} px-0" style="text-align:center">
    @if($pr->r_name) <i class="fa fa-check text-success"></i> @endif
  </td>

  <td class="items {{ $pdf? 'd-none' : '' }} px-0" style="width:25px;">
      <a class="mx-3 float-right" style="font-size:23px;color:#aa0010" 
         href="{{ url('no/add?p_num='.$pr->name.'&p_id='.$pr->id.'&phone='.$pr->phone )}}">
          <i class="fa fa-plus-square"></i>
      </a>
  </td>

  <td class="items  {{ $pdf? 'd-none' : '' }} px-0">
      <span class="d-md-none px-2">{{ $ln? 'Action' : 'অ্যাকশন'}}:</span>
      @if( $incm > $loss)
       <a class="btn-sm btn btn-success border pb-1"
          href="{{ url('pay/add?pay=In&url=party_all&p_id='.$pr->id)}}">{{ $ln=='en'?'Receive' : 'গ্রহণ'}}</a>
      @elseif( $incm < $loss)
       <a class="btn-sm btn btn-danger border pb-1"
          href="{{ url('pay/add?pay=Out&url=party_all&p_id='.$pr->id)}}">{{ $ln=='en'?'Pay' : 'প্রদান'}} </a>
      @endif

     <!-- Delete in main page -->

      <a class="btn btn-sm btn-success mr-2 float-right"
         href="{{ url('party_manage?add=1&p_id='.$pr->id.'&up='.$pr->id )}}"> <i class="fa fa-edit"></i>
      </a>


  </td>
</tr>