@extends('admin.master')
@section('content')
@if(Auth::user()->role_id > 11)
  @if($pdf==null)
   <style>.items a{padding:3px 7px}.table a{font-size:14px} .h_34{height:34px}
   .date input,.date button,.input-group-append{border-radius:0}.table th{padding:5px}.up_i::before {right:1em;content:"\2191"}
   .up_i::after{right:0.5em;content:"\2193"}.table td{line-height:25px}
   li.page-item .page-link{background:#143f66 !important;color:#fff;font-weight:normal;padding:11px 22px}.h_36{height:36px}
   .auto{background-color:#fffaf1;position:absolute;width:300px;font-size:17px;z-index:5;top:36px}
   </style>
   <script src="{{asset('public/admin')}}/js/printPage.js" type="text/javascript"></script>
  @endif

  <?php $up='';   $day=request()->day;  $day_2=request()->day_2;  $pay=request()->pay;
        if($pay==null){ $pay='In'; }
        $s_paid=0; $ok=''; $fc='form-control'; $by='Edit By';  $p_id=request()->p_id; 
        $title=''; $sc=''; $ser=request()->ser; $bg='bg-secondary';  $party=''; ?>

  @if(isset($_GET['title']))  <?php $title=$_GET['title'] ; ?> @else <?php $title='date'; ; ?>  @endif
  @if(isset($_GET['sc']))  <?php  if($_GET['sc']=='asc'){  $sc='desc'; }else{ $sc='asc'; } ?>
  @else <?php $sc='desc'; ?>  @endif
   
  <?php
   if($day && $pay){  $bg='bg-dark';
      if($pay=='In' or $pay=='Out'){
        $all = App\dash_app\Pay::where('pay', $pay)->orderBy($title, $sc)->whereBetween('date', [$day, $day_2])->orderBy('date', 'asc')->paginate(550);
      }elseif($pay=='con_rec'){
        $all = App\dash_app\Pay::where('con_rec','>', 0)->whereBetween('date', [$day, $day_2])->orderBy($title, $sc)->paginate(550);
      }else{
        $all = App\dash_app\Pay::where('p_type', $pay)->whereBetween('date', [$day, $day_2])->orderBy('date', 'asc')->paginate(500);
      }
    }elseif($pay=='In' or $pay=='Out'){
      $all = App\dash_app\Pay::where('pay', $pay)->orderBy($title, $sc)->paginate(550);
    }elseif($pay=='con_rec'){
      // die('asdf');
      $all = App\dash_app\Pay::where('con_rec','>', 0)->orderBy($title, $sc)->paginate(550);
    }elseif($pay){ $bg='bg-dark';
      $all = App\dash_app\Pay::where('pay', $pay)->paginate(500);
    }elseif($day){ $bg='bg-dark';
      $all = App\dash_app\Pay::whereBetween('date', [$day, $day_2])->orderBy('date', 'asc')->paginate(500);
    }elseif($p_id){
      $all = App\dash_app\Pay::where('pay', $pay)->where('p_id',$p_id)->paginate(500);
    }else{
      $all = App\dash_app\Pay::orderBy($title, $sc)->paginate(50);
    }
    ?>
  @if($pdf)
    <div class="row m-1">
        <p class="col-6 fwb mb-0 pt-2 px-2">
          @if($pay=='In')
               {{ $ln? 'Receiving List' : 'গ্রহণের তালিকা'}}
          @else
               {{ $ln? 'Payment List' : 'পেমেন্টের তালিকা'}}
          @endif
        </p>
      @if($day)
        <p class="col-3 fwb mb-0 pt-2 px-2">Start: {{ date_format(date_create($day)," d.M.y" )}}</p>
        <p class="col-3 fwb mb-0 pt-2 pl-3">End:  {{ date_format(date_create($day_2)," d.M.y" )}}</p>
      @endif
    </div>
    <style>.btn{padding:0}.table{border-top:2px solid #dee2e6}</style>
  @else
   <div class="col-md-12 col-md-12 py-3" style="background:#e6e9ed">
      <form class="row pt-4 mb-3 bg-white"  action="{{url('pay/pay_in')}}" >
        <h4 class="col-md-3 fwb mb-4">
          @if($pay=='In')
               {{ $ln? 'Due Receiving List' : 'বকেয়া গ্রহণের তালিকা'}}
          @else
               {{ $ln? 'Due Payment List' : 'বকেয়া পেমেন্টের তালিকা'}}
          @endif
        </h4>
        <div class="col-md-8  row text-light">
          <div class="col-md-6 row p-0 mb-4">
            <p class="col-5 fwb mb-0 {{$bg}} pt-2">Start: {{ date_format(date_create($day)," d.M.y" )}}</p>
            <div class="col-7 pl-0 pr-md-4 row mb-0 date">
              <input type="date" name="day" class="{{$fc}}" @if($day) value="{{$day}}" @endif/>
            </div>
          </div>
          <div class="col-md-6 row p-0 mb-4">
            <p class="col-4 fwb mb-0 {{$bg}} pt-2 pl-3">End: {{ date_format(date_create($day_2)," d.M.y" )}}</p>
            <div class="col-6 px-0 row mb-0 date">
              <input type="date" name="day_2" class="{{$fc}}" @if($day_2) value="{{$day_2}}" @endif/>
            </div>
            <div class="col-2 px-0">
              <button class="btn btn-info col-12" style="margin-left:-1px" type="submit">
                <i class="fa fa-search"></i></button>
            </div>
          </div>
           <input type="hidden" name="pay" value="{{$pay}}">
        </div>

        <div class="col-md-1 mb-4">
          <a class="btn btn-primary  prnt px-3 float-right"
                href="{{$_SERVER['REQUEST_URI']}}&pdf=1" >
            <i class="fa fa-print"></i>
          </a>
        </div>
      </form>
  @endif

      @if($pdf==null)
       <div class="row bg-white pt-3 mt-3 ">
          <h5 class="col-md-2 fwb mt-1 pt-2 pr-0" style="font-size:19px;padding-bottom:13px">TRANSACTIONS</h5>

          <div class="col-md-2 pb-2 m-auto">
             <a class="btn btn-danger pt-1 h_36 px-4" href="{{ url('pay/add?pay=Out')}}">
               <span class="font-weight-bold p-0">-</span> {{ $ln? 'Making Payment' : 'পেমেন্ট প্রদান'}}
             </a>
          </div>
          <div class="col-md-6 row px-0">
            <p class="col-md-2 p-0  mb-0 fwb mt-1 text-md-right">Praty Filter</p>
            <form class="col-md-7  pb-2 " id="f_pr" action="{{ url('pay/pay_in')}}">
              <?php $i="3"; ?>
              @if(isset($_GET['party']))  <?php  $party=$_GET['party']; ?> @endif

              <div class="row in">
                <input id="myInput{{$i}}" autocomplete="off" type="text" class="{{$fc}} col-8  br0 fwb"
                       name="party" @if($party) value="{{$party}}" @endif>
                <input id="h_Input{{$i}}"  type="hidden" name="p_id">
                <p class="tk_in {{$fc}} col-4 fwb m-0 border-left-0"></p>
              </div>

              <?php  $party = App\dash_app\Party::all(); $none=''; ?>       
                <div id="myUL{{$i}}" class="auto" style="display:none">
                 @foreach($party as $p)
                  <?php
                    $sal_due = $p->sale_tk - $p->rec;
                    $pur_due = $p->purc_tk - $p->paid;
                    $incm = ($sal_due + $p->to_rec) - $p->in_tk; // Oppning
                    $loss = ($pur_due + $p->to_pay) - $p->out_tk; ?>
                  <p class="m-0 row px-1 py-2 pro_{{$i}} fwb s_p border-bottom"  onclick="auto_{{$i}}(this)" id="{{$p->id}}">
                    <a class="col-9 text-dark d-block" href="#e_m" id="{{$p->name}}">{{ $p->name}}</a>
                     <input type="hidden" id="p_{{$p->id}}" value="{{$p->price}}">
                     @if( $incm > $loss)
                      <a class="col-3 px-1 text-success d-block b_{{$p->id}}" href="#">{{$incm - $loss}}</a>
                      <input type="hidden" @if(Request::is('sale/add')) value="{{$incm - $loss}}" @else value="0" @endif>
                     @else
                      <a class="col-3 px-1 text-danger d-block b_{{$p->id}}" href="#e_m">{{$loss - $incm}}</a>
                      <input type="hidden" @if(Request::is('purc/add')) value="{{$loss - $incm}}" @else value="0" @endif>
                     @endif
                  </p>
                 @endforeach
                 @if($p_id)
                  <script> $('.in .tk_in').append($('.b_{{$p_id}}')[0]); </script> 
                 @endif
                </div>
                <script>


                    $('.date').on('input',function(h){
                       console.log( $(this)[0].children[0].name );//
                       if( $(this)[0].children[0].name =='day'){
                          $('#day').val( $(this)[0].children[0].value );
                       }else{
                          $('#day_2').val( $(this)[0].children[0].value );
                       }
                    });

                  window.addEventListener('click', function(e){
                    if (document.getElementById('myInput{{$i}}').contains(e.target)){
                      $('#myUL{{$i}}').css('display','block');
                    }else{
                       $('#myUL{{$i}}').css('display','none');  $('#mes').css('display','none');
                    }
                     $('#myInput{{$i}}, #h_Input{{$i}}').val(null)
                  });

                  $('#myUL{{$i}}').on('click', function(){
                    $('#myUL{{$i}}').css('display','none');
                     setTimeout(function(){ $('#mes').css('display','none'); },300);
                    $('#myInput{{$i}}').css('background','#fff');
                  });

                  $('#myInput{{$i}}').on('input', function(){
                    $('#myUL{{$i}}').css('display','block');
                      var input, filter, ul, p, a, i;
                      input = document.getElementById("myInput{{$i}}");
                      filter = input.value.toUpperCase();
                      ul = document.getElementById("myUL{{$i}}");
                      p = ul.getElementsByTagName("p");
                      for (i = 0; i < p.length; i++) {
                          a = p[i].getElementsByTagName("a")[0];
                          if (a.innerHTML.toUpperCase().indexOf(filter) > -1) {
                             p[i].style.display = "";
                          }else{
                             p[i].style.display = "none";
                          }
                      }
                      if(filter==''){ $('#myUL{{$i}}').css('display','none'); }
                  });
                  function auto_{{$i}}(the){
                    $('#myInput{{$i}}').val(the.firstElementChild.id);
                    $('#h_Input{{$i}}').val(the.id);
                  }

                   $('.pro_{{$i}}').click(function(){  $('#f_pr').submit();  });


                </script> 
               <!-- @ include('dash.party.party_auto') -->

               <input type="hidden" name="pay" value="{{$pay}}">
            </form>
            <form class="col-md-3  pb-2 px-md-1" action="{{ url('pay/pay_in')}}">
                 <select class="{{$fc}} br0 h_36" name="pay"  onchange="this.form.submit()">
                   @if($pay=='In' or $pay=='Out' )
                      <option>Payment {{ $pay }}</option>
                   @elseif($pay=='con_rec' )
                      <option value="con_rec">Condition Received</option> 
                   @elseif($pay)
                      <option>{{ $pay }}</option>
                   @endif
                      <option value="In">Payment  In</option>   <option value="Out">Payment Out</option>
                   <?php  $con = file_get_contents('bootstrap/in/sale_war.php');  ?>
                     @if($con > 2) <option {{$pay=='con_rec'? 'selected':'' }} value="con_rec">Condition Received</option> @endif
                   @foreach(App\dash_app\Party::get()->unique('type') as $t_t)
                     <option>{{ $t_t->type }}</option>
                   @endforeach
                 </select>
               <input type="hidden" name="day" id="day" value="{{$day}}"/>  <input type="hidden" id="day_2" name="day_2" value="{{$day_2}}"/>
            </form>
          </div>
          <div class="col-md-2 pb-2 m-auto">
             <a class="btn btn-success pt-1 h_36 float-right px-4" href="{{ url('pay/add?pay=In')}}">
               <span class="font-weight-bold p-0">+</span> {{ $ln? 'Add Receive' : 'গ্রহণ যোগ'}}
             </a>
          </div>
       </div>
      @endif
      <div class="col-md-12 bg-white px-0 pt-1">
        <table class="table  {{$pdf ? '' : 'tab_respon table-hover'}} tab_2">
           <thead>
             <tr style="background:#fff6dc">
                <th><a class="btn p-0 fwb"> Sl </a></th>
                <th class="pl-3"> <?php $prl='pay/pay_in?pay='.$pay.'&title='; ?>
                  <a class="btn @if($title=='date' && $sc=='asc') text-danger @endif fwb"
                    href="{{ url($prl.'date&sc='.$sc)}}"><i class="up_i pr-2"></i>TIME & DATE</a></th>
                <th><a class="btn p-0 @if($title=='id') text-danger @endif fwb"
                     href="{{url($prl.'r_no&sc='.$sc)}}"><i class="up_i pr-2"></i>ID</a></th>
                <th><a class="btn p-0 @if($title=='r_no') text-danger @endif fwb" href="#">Custom ID</a></th>
                <th><a class="btn p-0 @if($title=='r_no') text-danger @endif fwb" href="#">Description</a></th>
                <th><a class="btn p-0 @if($title=='party') text-danger @endif fwb"
                     href="{{url($prl.'party&sc='.$sc)}}"><i class="up_i pr-2"></i>NAME</a></th>
                <th><a class="btn p-0 @if($title=='p_type') text-danger @endif fwb"
                     href="{{url($prl.'p_type&sc='.$sc)}}"><i class="up_i pr-2"></i>TYPE</a></th>
                <th><a class="btn p-0 @if($title=='p_type') text-danger @endif fwb"
                     href="{{url($prl.'p_type&sc='.$sc)}}"><i class="up_i pr-2"></i>DISCOUNT</a></th>
                <th><a class="btn p-0 @if($title=='paid') text-danger @endif fwb"
                     href="{{url($prl.'paid&sc='.$sc)}}"><i class="up_i pr-2"></i>
                     @if($pay=='In') RECEIVED <?php $by='Receive By' ?>
                     @elseif($pay=='Out')  PAID <?php $by='Paid By' ?>
                     @else  RECEIVED / PAID
                     @endif
                   </a>
                </th>
                <th><a class="btn p-0 fwb"> {{ $by }} </a></th>
                <th><a class="btn p-0 fwb"
                     href="{{url($prl.'p_type&sc='.$sc)}}">SMS</a></th>
                @if($pdf==null)
                 <th><a class="btn p-0 fwb"> File </a></th>
                 <th><a class="btn p-0 fwb"> ACTION </a></th>
                @endif
             </tr>                
           </thead>
           <tbody>
            <?php $k = 1; $ok = request()->ok;  $pr = App\dash_app\Pay::find($ok); ?>
             
             @if($ok && $pr) <?php $s_paid+=$pr->paid; ?>
                 @include('dash.pay.in.tr_in')
             @else
              @foreach($all as $pr)  <?php $s_paid+=$pr->paid; ?>
                @include('dash.pay.in.tr_in')
              @endforeach
             @endif
             <tr class="@if($ok) d-none @endif" style="background:#fff7f4">
               <td colspan="8"> <h5 class="mt-2 text-right mr-2"> Total </h5> </td>
               <td><h5 class="mt-2"> {{$s_paid}} </h5></td>
                <td></td>  <td></td> @if($pdf==null) <td></td> <td></td> @endif
             </tr>  
           </tbody>
        </table>
        <!-- <div class="@if($ok) d-none @endif col-12"> {{ $all->links() }} </div> -->
        <div class="m-3">   
          <?php  $page=request()->page; if(request()->page=='' ){ $page=1; } ; ?>
          @for($p=1; $p <= ($page+1); $p++ )
            <a class="btn btn-info btn-sm mb-3 @if($page==$p) active @elseif($page==null && $p==1) active @endif"
               href="{{ url()->current().'?page='.$p.'&p_id='.$p_id .'&pay='.$pay .'&day='.$day.'&day_2='.$day_2 }}"> Page - {{$p}}
            </a>
          @endfor
        </div>

      </div>

  @if($pdf==null)
   </div>
  @endif

  <script src="{{asset('public/admin')}}/js/printPage.js" type="text/javascript"></script>
  <script> $( document ).ready(function(){ $(".prnt").printPage(); }); </script>
@else
 <script> window.location.replace("{{url('dashbord?not=1')}}"); </script>
@endif
@endsection
