@extends('admin.master')
@section('content')
@if(Auth::user()->role_id >= 10)
  
  @if($pdf)
    <style>.bor{border-radius:9px}.bb{border-radius:9px 9px 0 0}
    .h_34{height:34px}.date .col-4{padding:0}.date select{border-radius:0;padding:3px;height:34px}.f_14{font-size:14px}.t_sa p{color:gray;font-size:11px}
    .t_sp tr:nth-of-type(2n+1){background-color:rgb(170 206 255 / 9%)}
     th .btn{font-size:13px;padding:3px;display:block}table td,td .btn{font-size:12px}
    </style>
  @else
    <style>.items a{padding:3px 7px}.table a{font-size:14px}
    .date input,.date button,.input-group-append{border-radius:0}
    .bor{border-radius:9px}.bb{border-radius:9px 9px 0 0}
    .fa-print:before{content:"\f02f"}.table td{line-height:25px;cursor:pointer}
    .table.tab_respon tr:nth-of-type(2n+1){background-color:#fff}
    .table.tab_respon .tr{background-color:#F1FCFC!important}
    .up_i::before {right:1em;content:"\2191"}.up_i::after{right:0.5em;content:"\2193"}li.page-item .page-link{background:#143f66 !important;color:#fff;font-weight:normal;padding:11px 22px}.h_36{height:36px}.t_sa p{color:gray;font-size:12px}.fa-check:before{content:"\f00c"}
    </style>
    @include('dash.item.in.td_resp_full')
  @endif
    <?php $up=''; $pag ='';  $day=request()->day;  $day_2=request()->day_2;
          $sp_id=request()->sp_id; $title='id'; $sc='desc'; $bg='bg-secondary';  $ser=request()->ser; 
          ?>

    @if(isset($_GET['title']))  <?php $title=$_GET['title'] ; ?>  @endif
    @if(isset($_GET['sc']))  <?php  if($_GET['sc']=='asc'){ $sc='desc';  }else{ $sc='asc'; } ?>@endif
    
    <?php
    if($ser){
      $all= App\dash_app\Purc_quot::where('id', 'like', '%'.$ser.'%')
         ->orWhere('date', 'like', '%'.$ser.'%')->orWhere('id', 'like', '%'.$ser.'%')
         ->orWhere('p_num', 'like', '%'.$ser.'%')->orWhere('p_type', 'like', '%'.$ser.'%')
         ->orWhere('total', 'like', '%'.$ser.'%')->orWhere('tk', 'like', '%'.$ser.'%')
         ->orderBy('id', 'desc')->get();
    }else{
     if($day){ $bg='bg-dark';
        $all= App\dash_app\Purc_quot::whereBetween('date', [$day, $day_2])->get();
      }elseif($sp_id){
        $all= App\dash_app\Purc_quot::where('id', $sp_id)->get();
      }else{ $pag =1;
        $all= App\dash_app\Purc_quot::orderBy($title, $sc)->paginate(15);
      }
    }
    ?>
    <div style="background:{{$pdf? '' : '#ddd '}}">

      <form class="row pt-4 mb-3 bg-white  {{$pdf? 'd-none' : ''}}" action="{{ url()->current() }}">
        <h4 class="col-md-4 fwb mb-4">{{ $ln? 'Purchase Quotation' : 'ক্রয় কোটেশন'}}</h4>
        <div class="col-md-6 p-0 row text-light date">
          <div class="col-md-6 row p-0 mb-4">
            <p class="col-4 fwb mb-0 {{$bg}} pt-2">Between</p>
            <div class="col-8 pl-0 pr-md-4 row mb-0">
              <input type="date" name="day" class="form-control" @if($day) value="{{$day}}" @endif/>
            </div>
          </div>
          <div class="col-md-6 row p-0 mb-4">
            <p class="col-3 fwb mb-0 {{$bg}} pt-2 pl-3">To</p>
            <div class="col-7 px-0 row mb-0">
              <input type="date" name="day_2" class="form-control" @if($day_2) value="{{$day_2}}" @endif/>
            </div>
            <div class="col-2 px-0">
              <button class="btn btn-info col-12" style="margin-left:-1px" type="submit">
                <i class="fa fa-search"></i></button>
            </div>
          </div>
        </div>
        <div class="col-md-2 mb-4">
          <?php $url = '?pdf=1&day='.$day.'&day_2='.$day_2.'&ser='.$ser.'&title='.$title.'&sc='.$sc; ?>
          <a class="btn btn-info pt-1 prnt px-3 mx-1 h_36 float-right"
               href="{{ url()->current() .$url }}">
            <i class="fa fa-print"></i>
          </a>
          <a class="btn btn-primary  px-3 mx-1 h_36 float-right"
              href="{{ url()->current() }}?top=1">
            <i class="fa fa-bar-chart p-0"></i>
          </a>
        </div>
      </form>

    @if($pdf)
       <h5 class="col-6 fwb m-0 pr-1 py-2"> {{ $ln? 'Purchase Quotation' : 'ক্রয় কোটেশন'}} </h5>
       @if($day)
        <div class="col-6 px-0 row date" action="{{url('purc/bills')}}">
          <p class="col-6 fwb m-0 f_14 pt-1">Start:  {{ $day }}</p>
          <p class="col-6 fwb m-0 f_14 pt-1">End:  {{ $day_2 }}</p>
        </div>
       @endif
    @endif

      <div class="row bg-white pt-3 mt-3 {{$pdf? 'd-none' : ''}}">
        <h5 class="col-md-4 pb-3 my-auto fwb " style="font-size:19px">TRANSACTIONS</h5>
        <h4 class="col-md-4 {{ $ser ? 'pb-3': ''}} mb-0 fw6 text-info">
         @if($ser) Search For :{{$ser}} @endif
        </h4>
        <div class="col-md-4 row  {{$pdf? 'd-none' : ''}}">
          <form class="col-10 row pb-3 float-right  px-2"  action="{{ url()->current() }}">
                <input class="col-9  form-control h_36" name="ser">
             <div class="col-3 p-0">
               <button type="submit" class="btn btn-info pt-1 col-12 h_36 " style="border-radius:0;margin-left:-1px">
                <i class="fa fa-search"></i>
               </button>
             </div>
          </form>
          <div class="col-2 pb-3 m-auto p-0">
            <a class="btn btn-info pt-1 mx-1 h_36 float-right"
                 href="{{url('purc_quot/add') }}"> Add 
            </a>
          </div>
        </div>
      </div>
      <div class="col-md-12 bg-white px-0">
        <table class="{{$pdf? 'table-bordered' : 'table tab_respon'}} table-hover tab_2">
           <thead>
             <tr  class="d_n" style="background:{{$pdf? '' : '#C4C5FF'}}">
                <th><p class="fwb pl-1 m-0">Sl</p></th>
                <th class="pl-3">
                  <a class="btn p-0 @if($title=='date' && $sc=='asc') text-danger @endif fwb"
                    href="{{ url()->current().'?title=date&sc='.$sc}}"><i class="up_i pr-2"></i>DATE</a></th>
                <th><a class="btn p-0 @if($title=='id') text-danger @endif fwb"
                     href="{{ url()->current().'?title=id&sc='.$sc}}"><i class="up_i pr-2"></i>INV. ID</a></th>
                <th><a class="btn p-0 @if($title=='p_num') text-danger @endif fwb"
                     href="{{ url()->current().'?title=p_num&sc='.$sc}}"><i class="up_i pr-2"></i>PARTY NAME</a></th>
                <th><a class="btn p-0 @if($title=='total') text-danger @endif fwb"
                     href="{{ url()->current().'?title=total&sc='.$sc}}"><i class="up_i pr-2"></i>AMOUNT</a></th>
                <th><a class="btn p-0 fwb"
                     href="#"><i class="up_i pr-2"></i>PRE DUE</a></th>
                <th><a class="btn p-0 @if($title=='tk') text-danger @endif fwb"
                     href="{{ url()->current().'?title=tk&sc='.$sc}}"><i class="up_i pr-2"></i>RECEIVED</a></th>
                <th><a class="btn p-0 fwb" href="#">DUE</a></th>
                <th><a class="btn p-0 fwb" href="#">Quot By</a></th>
                <th class="{{$pdf? 'd-none' : ''}}" style="min-width:150px"><a class="btn p-0 fwb"> ACTION </a></th>
             </tr>                
           </thead>
           <tbody>
              @include('dash.quot.purc_tr_quot')
           </tbody>
        </table>
        <div class="col-12">
          @if( $sp_id==null ) {{ $all->links() }} @endif
        </div>
      </div>
    </div>

    <script src="{{asset('public/admin')}}/js/printPage.js" type="text/javascript"></script>
     <script> $( document ).ready(function(){ $(".prnt").printPage(); }); </script>
@else <script> window.location.replace("{{url('dashbord?not=1')}}"); </script>
@endif

@endsection
