@extends('admin.master')
@section('content')
@if(Auth::user()->role_id > 11)

  <style>.items a{padding:3px 7px}.h_34{height:34px}
  .date input,.date button,.input-group-append{border-radius:0}
  .table td, .table th{text-align:left}
  .fa-print:before{content:"\f02f"}.table td{line-height:25px}
  .h_36{height:36px}.fa-truck::before{content:"\f0d1"}
  .auto{background-color:#fffaf1;position:absolute;width:300px;font-size:17px;z-index:5;top:36px}
  </style>
  <?php $up=''; $t_sale=0; $t_buy=0; $t_stock=0; $t_st_v=0;
        $day=''; $day_2=''; $sc='';  $bg='bg-secondary';   $party=''; 
        $day=request()->day;  $day_2=request()->day_2; $d_type=request()->d_type;
        $p_id=request()->p_id;  $ser=request()->ser;
         $all = App\Product::get();
        ?>

  @if($pdf)
   <style>.table td,.table th{font-size:13px}td .d-md-none,td .d_m{display:none}.f_17{font-size:17px}</style>
  @else <style>.table td{font-size:16px}</style>
   @include('dash.item.in.td_resp_full')
  @endif


  <div class="p-0 p-md-3 {{$pdf? 'py-2' : 'table-secondary pt-3 pb-2'}}">
    <form class="row bg-white  {{$pdf? 'py-3 border-top' : 'pt-4 mb-3'}}"
      action="{{ url()->current() }}" >
      <h4 class="{{$pdf? 'col-4 m-0 pr-0 text-sm' : 'col-md-3 mb-4 fwb'}}">
        {{ $ln? 'Quotation Reports' : 'কোটেশন রিপোর্ট'}}
      </h4>
      @if($day && $pdf)
        <h5 class="col-3 mb-0 p-1">
          Start:
            {{date_format(date_create($day),"d-M-Y" ) }}
        </h5>
        <h5 class="col-3 mb-0 p-1">
          End:
           {{date_format(date_create($day_2),"d-M-Y" ) }}
        </h5>
      @endif
      <div class="col-2">
          <select class="form-control" name="d_type" onchange="this.form.submit()">
            @if($d_type) <option>{{$d_type}}</option> @endif
             <option>Delivery Date</option>
             <option>Billing Date</option>
          </select>
      </div>
      <div class="col-md-6  row text-light date {{$pdf? 'd-none' : ''}}">
        <div class="col-md-6 row p-0 mb-4">
          <p class="col-4 fwb mb-0 {{$day? 'bg-dark' : $bg}} pt-2">Start</p>
          <div class="col-8 pl-0 pr-md-4 row mb-0">
            <input  type="date" name="day" class="form-control" required @if($day) value="{{$day}}" @endif/>
          </div>
        </div>
        <div class="col-md-6 row p-0 mb-4">
          <p class="col-3 fwb mb-0 {{$day? 'bg-dark' : $bg}} pt-2 pl-3">End</p>
          <div class="col-7 px-0 row mb-0">
            <input  type="date"name="day_2" class="form-control" required @if($day_2) value="{{$day_2}}" @endif/>
          </div>
          <div class="col-2 px-0">
            <button class="btn btn-info col-12" style="margin-left:-1px" type="submit">
              <i class="fa fa-search"></i></button>
          </div>
        </div>
      </div>
      <div class="col-md-1 mb-4 {{$pdf? 'd-none' : ''}}">
        <a class="btn btn-primary  prnt px-3 float-right" href="{{ url()->current().'?pdf=1&day='.$day.'&day_2='.$day_2.'&d_type='.$d_type}}">
         <i class="fa fa-print"></i>
        </a>
      </div>
    </form>

    <div class="col-md-12 bg-white p-0">
      <table class="table  p-0 table-hover tab_2 {{$pdf? '' : 'tab_respon'}}">
        <thead>
           <tr class="d_n" style="background:#fff6dc">
              <th> Sl </th>
              <th>{{ $ln?'Item Name' : 'আইটেমের নাম'}}</th>
              <th>{{ $ln?'Sale Ord' : 'বিক্রয়ের  অর্ডার'}}</th>   <th>{{ $ln?'Stock Qty' : 'স্টক পরিমাণ'}}</th>
              <th>{{ $ln?'Need' : 'প্রয়োজন'}}</th>  <th>{{ $ln?'Purchase Ord' : 'ক্রয়ের অর্ডার'}}</th>
              <!-- <th>{{ $ln?'Delivery  Date' : 'ডেলিভারি  তারিখ'}}</th> -->
              <th class="{{$pdf? 'd-none' : ''}}">{{ $ln?'Action' : 'অ্যাকশন'}}</th>
           </tr>                
        </thead>
        <tbody>
          <?php   $kk=0;  $jj=0; ?>
          @foreach($all as $pr)
          <?php  $k=0;  $j=0;
           if($day){
            $purc = App\dash_app\Purc_quot::join('one_purc_quots','purc_quots.id','=','one_purc_quots.purc_id')
               ->select('purc_quots.date','one_purc_quots.pr_id','one_purc_quots.qty')
               ->where('pr_id',$pr->id)->whereBetween('date', [$day, $day_2])->get();
               if($d_type=='Delivery Date'){
                $sale = App\dash_app\Sale_quot::join('one_sale_quots','sale_quots.id','=','one_sale_quots.s_id')
                   ->select('sale_quots.deli_date','one_sale_quots.pr_id','one_sale_quots.qty')
                   ->where('pr_id',$pr->id)->whereBetween('deli_date', [$day, $day_2])->get();
               }else{
                $sale = App\dash_app\Sale_quot::join('one_sale_quots','sale_quots.id','=','one_sale_quots.s_id')
                   ->select('sale_quots.date','one_sale_quots.pr_id','one_sale_quots.qty')
                   ->where('pr_id',$pr->id)->whereBetween('date', [$day, $day_2])->get();
               }
           }else{
            $purc = App\dash_app\Purc_quot::join('one_purc_quots','purc_quots.id','=','one_purc_quots.purc_id')
               ->select('purc_quots.date','one_purc_quots.pr_id','one_purc_quots.qty')
               ->where('pr_id',$pr->id)->get();
            $sale = App\dash_app\Sale_quot::join('one_sale_quots','sale_quots.id','=','one_sale_quots.s_id')
               ->select('sale_quots.deli_date','one_sale_quots.pr_id','one_sale_quots.qty')
               ->where('pr_id',$pr->id)->get();
           }
           ?>
           @foreach($purc as $one) <?php $j+=$one->qty; ?> @endforeach
           @foreach($sale as $one) <?php $k+=$one->qty; ?> @endforeach
          @if($sale->count() or $purc->count())
            <tr>
              <td class="p-md-2 px-1 py-0" style="margin-bottom:-5px">
                <p class="d_m px-1 m-0 border rounded-circle border-radius">
                  <span class="d-md-none" >{{ $loop? $loop->index+1 : '1'}}</span>
                </p>
                <span class="d-md-block d_no" >{{ $loop? $loop->index+1 : '1'}}</span>
              </td>

              <td>
                <span class="d-md-none px-2">{{ $ln?'Item Name' : 'আইটেমের নাম'}}:</span>
                <a class="f_17 text-dark" href="{{url('item/all?pr_id='.$pr->id )}}">
                 {{$pr->name}}
                </a>
              </td>
              <td>
                <span class="d-md-none px-2">{{ $ln?'Sale Ord' : 'বিক্রয়ের  অর্ডার'}}:</span>
                <div class="{{$k? '' : 'd-none' }}">
                  <i class="fa fa-shopping-bag text-info mt-1 pr-2 {{$pdf? 'd-none' : ''}}"></i>
                  {{$k}} <span style="color:gray">{{$pr->unit}}</span>
                </div>
              </td>
              <td>
                <span class="d-md-none px-2">{{ $ln?'Stock Qty' : 'স্টক পরিমাণ'}}:</span>
                {{$pr->stock}} <span style="color:gray">{{$pr->unit}}</span>
              </td>
              <td>
                <span class="d-md-none px-2">{{ $ln?'Need' : 'প্রয়োজন'}}:</span>
                  @if(($k - $pr->stock) > 0)
                    {{$k - $pr->stock}}
                    <span style="color:gray">{{$pr->unit}}</span>                     
                  @endif
              </td>
              <td>  <?php $kk+=$k;  $jj+=$j; ?>
                <span class="d-md-none px-2">{{ $ln?'Purchase Ord' : 'ক্রয়ের অর্ডার'}}:</span>
                <div class="{{$j? '' : 'd-none' }}">
                  <i class="fa fa-truck text-primary mt-1 pr-2 {{$pdf? 'd-none' : ''}}"></i>
                  {{$j}} <span style="color:gray">{{$pr->unit}}</span>
                </div>
              </td>
              <td class="items {{$pdf? 'd-none' : ''}}">
                <span class="d-md-none px-2">{{ $ln?'Action' : 'অ্যাকশন'}}:</span>
                <a class="btn btn-sm btn-success" href="{{url('item/add?id='.$pr->id )}}">
                  <i class="fa fa-edit"></i>
                </a>
              </td>
            </tr>
           <?php  $t_stock+=$pr->stock; ?>
          @endif
          @endforeach
           <tr style="background:#fff7f4">
             <td colspan="2"> <h5 class="d_n m-1 f_17 text-center"> Total </h5> </td>
             <td>
              <h5 class="m-1 f_17 row {{$pdf? '' : 'pl-4'}}">
                <span class="d_m pr-3">Total Sale Qty</span> {{$kk}}
               </h5>
             </td>
             <td>
              <h5 class="m-1 f_17 row {{$pdf? '' : ''}}">
                <span class="d_m pr-3">Total  Units</span>  {{$t_stock}} Units
             </td>
             <td>
              <h5 class="m-1 f_17 row {{$pdf? '' : ''}}">
                <span class="d_m pr-3">Total Need</span> {{$jj}}
               </h5>
             </td>
             <td>
              <h5 class="m-1 f_17 row {{$pdf? '' : 'pl-4'}}">
                <span class="d_m pr-3">Total Purchase Qty</span> {{$jj}}
               </h5>
             </td>  <td class="{{$pdf? 'd-none' : ''}}"> </td> 
           </tr>
        </tbody>
      </table>
    </div>
  </div>

  @if($pdf==null)
   <script src="{{asset('public/admin')}}/js/printPage.js" type="text/javascript"></script>
   <script> $( document ).ready(function(){ $(".prnt").printPage(); }); </script>
  @endif
@else
 <script> window.location.replace("{{url('dashbord?not=1')}}"); </script>
@endif
@endsection
