@extends('admin.master')
@section('content')
@if(Auth::user()->role_id >= 10)
<style>.date input,.date button{border-radius:0}.fa-print:before{content:"\f02f"}
.my_tab,.grand-total{width:100%}.my_tab th{padding:5px 2px}.my_tab td{padding:5px 3px}
.my_tab td{cursor:pointer}
.my_tab tr:nth-of-type(2n+1){background-color:#fff}
li.page-item .page-link{background:#143f66 !important;color:#fff;font-weight:normal;padding:11px 22px}.h_36{height:36px}.t_sa p{color:gray;font-size:12px}
  table.grand-total td{padding:0px 5px;font-size:19px;border:none;color:#444444;text-align:right;font-weight:600}</style>
    @include('dash.item.in.td_resp_full')

    <?php $up=''; $pag =''; $day=request()->day;  $day_2=request()->day_2;  $address=request()->address;
          $top=request()->top; $p_id=request()->p_id;   $purc=request()->purc;
          $title='id'; $sc='desc'; $bg='bg-secondary';  $ser=request()->ser;  ?>

    @if(isset($_GET['title']))  <?php $title=$_GET['title'] ; ?>  @endif
    @if(isset($_GET['sc']))
      <?php if($_GET['sc']=='asc'){ $sc='desc';  }else{ $sc='asc'; } ?>
    @endif
     
    <?php
     if($purc==1){
          if($day && $p_id){ $bg='bg-dark';
             $all= App\dash_app\Purc::where('p_id', $p_id)->whereBetween('date', [$day, $day_2])->get();
          }elseif($day){
             $all= App\dash_app\Purc::whereBetween('date', [$day, $day_2])->get();
          }elseif($p_id){
             $all= App\dash_app\Purc::where('p_id', $p_id)->get();
          }else{ $pag =1; $tt=100; if($address){ $tt=1100; }
             $all= App\dash_app\Purc::orderBy($title, $sc)->paginate($tt);
          }
     }elseif($purc){
          if($day && $p_id){ $bg='bg-dark';
             $all= App\dash_app\Sale::where('p_id', $p_id)->where('p_type', $purc)->whereBetween('date', [$day, $day_2])->get();
          }elseif($day){ $bg='bg-dark';
             $all= App\dash_app\Sale::whereBetween('date', [$day, $day_2])->where('p_type', $purc)->get();
          }elseif($p_id){
             $all= App\dash_app\Sale::where('p_id', $p_id)->where('p_type', $purc)->get();
          }else{
             $all= App\dash_app\Sale::orderBy($title, $sc)->where('p_type', $purc)->get();
            // die( $purc );
        $all = App\dash_app\Sale::orderBy('date', 'desc')->where('p_type', $purc)->get();
          }
     }else{
          if($day && $p_id){ $bg='bg-dark';
             $all= App\dash_app\Sale::where('p_id', $p_id)->whereBetween('date', [$day, $day_2])->get();
          }elseif($day){ $bg='bg-dark';
             $all= App\dash_app\Sale::whereBetween('date', [$day, $day_2])->get();
          }elseif($p_id){
             $all= App\dash_app\Sale::where('p_id', $p_id)->get();
          }else{ $pag =1; $tt=100; if($address){ $tt=1100; }
             $all= App\dash_app\Sale::orderBy($title, $sc)->paginate($tt);
          }
     }
    $p_id=request()->p_id;
    $party = App\dash_app\Party::find(request()->p_id);
     ?>


  @if($pdf)
    <script src="{{ asset('public/front/js/jquery-2.2.3.min.js') }}"></script>
    <div class="row m-1">
      <h5 class="col-5 fwb">Item of {{  $party?  $party->name : 'Parties'}}</h5>
      @if($day)
        <p class="col-3 fwb mb-0 pt-2 px-2 f_13">
          Start: {{date_format(date_create($day),"d-M-Y" ) }}
        </p>
        <p class="col-3 fwb mb-0 pt-2 pl-3 f_13">
          End:  {{date_format(date_create($day_2),"d-M-Y" ) }}
        </p>
      @endif
    </div>
    <style>.btn{padding:0}.my_tab{border-top:2px solid #dee2e6}
           .my_tab th,.my_tab td{font-size:12px;text-align:left}
           table.grand-total td,#s_total h5{font-size:13px}
    </style>
  @endif

    <div class="row bg-white pt-4 {{$pdf? 'd-none': ''}}">
      <h4 class="col-md-2 fwb mb-4">
        @if($purc)
          {{ $ln? 'Item of Purc' : 'ক্রয় আইটেম' }}
        @else
          {{ $ln? 'Item of Sale ' : ' বিক্রয় আইটেম' }}
        @endif
      </h4>
        <div class="col-md-10  row ">
            <form class="col-md-4  row p-0 mt-0" id="f_pr" action="{{url()->current()}}">
              <input class="c_in_all col-8 {{$fc}} fwb" id="myInput_all" placeholder="Select a Party" autocomplete="off"  name="p_id"
               value="{{ $party?  $party->name : 'Parties'}}">
              <div id="myUL_all" class="auto pb-3" style="top:37px;left:4px;width:750px;display:none">
                <!-- var html in -->
              </div>

               <select class="{{$fc}} col-4 br0" name="purc"  onchange="this.form.submit()">
                  @if($purc) <option  {{$purc==1? 'selected' : ''}} value="1"> Purchase </option>
                  @else   <option value="0"> Sale </option>
                  @endif  <option value="1"> Purchase </option>  <option value="0"> Sale </option>
                  @foreach(App\dash_app\Party::get()->unique('type') as $t_t)
                    <option {{$purc==$t_t->type? 'selected' : ''}} >{{ $t_t->type }}</option>
                  @endforeach
               </select>
            </form>
            <script>
            $('#myInput_all').click( function(){ var html = '';
              $.ajax({
                 url:"{{url('item_add')}}", // Dash\AjaxCon
                 type:"GET", dataType:'JSON',  cache:false,  data:{ party_add:1 },
                  success:function (data){
                      data.partys.forEach(function(p){  var phone;
                        html +='<p class="row px-1 py-2 border-bottom pro_all fwb ttl"  onclick="auto_all(this)" id="'+p.id+'">'
                          if(p.phone){  phone = 'fa fa-phone'; }
                          html +=' <a class="col-7 row text-dark" href="#e_m" id="'+p.id+'" >'
                          html +='   <span class="col-7 d-block p-0">' +p.name+ '</span>'
                          html +='   <span class="col-5 d-block p-0">'
                          html +='   <i class="fa fa-phone pl-2"></i>' +p.phone+ '</span>'
                          html +='   <span class="col-7 d-block p-0">cid:' +p.c_id+ '</span>'
                          html +=' </a>'
                          html +=' <a href="#e_m" style="color:gray;font-size:13px">'
                          html +='    <i class="fa fa-map-marker"></i> ' +p.address+ ' </a>'
                          html +=' </p>'
                      })
                     $('#myUL_all').html(html);
                  },
                 error: function(){ location.reload(); }
              });
            })
           </script>
            @include('dash.party.party_auto_party_all')
            <form class="col-md-7 row text-light date" action="{{url()->current()}}">
              <div class="col-md-6 row p-0 mb-4">
                <p class="col-4 fwb mb-0 {{$bg}} pt-2">Start</p>
                <div class="col-8 pl-0 pr-md-4 row mb-0">
                  <input type="date" name="day" class="{{$fc}} px-1" @if($day) value="{{$day}}" @endif/>
                </div>
              </div>
              <input type="hidden"  name="purc" value="{{ $purc }}">
              <input type="hidden"  name="p_id" value="{{ $p_id }}">
              <div class="col-md-6 row p-0 mb-4">
                <p class="col-3 fwb mb-0 {{$bg}} pt-2 pl-3">End</p>
                <div class="col-7 px-0 row mb-0">
                  <input type="date" name="day_2" class="{{$fc}} px-1" @if($day_2) value="{{$day_2}}" @endif/>
                </div>
                <div class="col-2 px-0">
                  <button class="btn btn-info col-12" style="margin-left:-1px" type="submit">
                    <i class="fa fa-search"></i></button>
                </div>
              </div>
            </form>

            <?php $url = 'day='.$day.'&day_2='.$day_2.'&p_id='.$p_id.'&purc='.$purc.'&address='.$address; ?>
            <div class="col-md-1 mb-4">
              <a class="btn btn-primary  prnt px-3 float-right"
                    href="{{url()->current().'?pdf=1&'.$url }}" >
                <i class="fa fa-print"></i>
              </a>
            </div>
        </div>
    </div>





    <div class="col-md-12 bg-white px-0">
      <table class="my_tab  table-border tab_2">
         <thead class="border">          
            <tr style="background:rgba(255,237,186,0.53)">
              <th>Sl</th> 
              <th>Party Name</th>    <th>Phone / Address</th>
              <th>Time & Date</th>  <th>ID</th>
              <th style="width:230px">Item Name / Description</th>
              <th>Qty</th> <th>Unit Price</th> <th>Total Price </th>
              <th>Discount</th>  <th>Amount</th>
            </tr>  
         </thead>
         <tbody>
           <!-- @ include('dash.sale.sale_tr') -->
                <style>td .d_n{min-width:150px;text-align:left}</style>
                <?php  $amt=0;  $t_dis=0;  $s_rec=0; $s_due=0; $to_price = 0;  $k=1; ?>
                  @foreach($all as $pr)
                     <?php if($pr){ $up_id=$pr->id; }else{ $up_id=''; }
                            if($purc==1){
                               $one_item = App\dash_app\One_item::where('purc_id',$up_id)->get();
                            }else{
                               $one_item = App\dash_app\One_sale::where('s_id',$up_id)->get();
                            } ?>
                      @foreach($one_item as $on)
                       <?php $pro = App\Product::where('id',$on->pr_id)->first();
                             $pro_id = '';  if($pro){ $pro_id = $pro->id; }
                             $pp = App\dash_app\Party::find($pr->p_id);
                             ?>
                           <tr class="pos s_{{$pr->id }}">
                            @if($address)
                              @if($address == $pp->address)
                                 <td>{{ $k ++}}</td>      <?php $to_price += $on->price * $on->qty;  ?>
                                 <td>
                                    <span class="d-md-none px-2">Party Name</span>
                                    <a class="text-info  fwb p-0 px-md-3"
                                       href="{{ url('party_manage?p_id='. $pr->p_id)}}">{{ $pr->p_num }}
                                     </a>
                                 </td>
                                 <td style="font-size:13px">{{ $pp->phone }}
                                    <p>{{ $pp->address }}</p>
                                 </td>
                                 <td>{{$pr->time . date_format(date_create($pr->date),"  d.M.y" )}}</td>
                                 <td>
                                    <a class="fwb text-itext-info" target="_blank" href="{{url('/sale/sale_inv?saleId='.$pr->id)}}">{{ $pr->id }}</a>
                                 </td>
                                 <td>
                                    <a class="fwb text-info" target="_blank" href="{{url('item/all?pr_id='.$pro_id)}}">{{ $on->item }}</a>
                                    <p style="font-size:13px">{{ $pr->descrip }}</p>
                                 </td>
                                 <td>{{$on->qty}} </td>  <td>{{$on->price}}</td>  <td>{{$on->price * $on->qty}}</td>
                                 <td>{{$on->dis_1 * $on->qty}}</td>
                                 <td>{{$on->amount}}</td>
                              @endif
                            @else   
                               <td>{{ $k ++}}</td>  <?php $to_price += $on->price * $on->qty;  ?>
                               <td>
                                  <span class="d-md-none px-2">Party Name</span>
                                  <a class="text-info  fwb p-0 px-md-3"
                                     href="{{ url('party_manage?p_id='. $pr->p_id)}}">{{ $pr->p_num }}
                                   </a>
                               </td>
                               <td style="font-size:13px">
                                   <p>{{ $pp->phone }}</p>
                                     <a class="fwb text-info" target="_blank" href="{{ url()->current().'?'.$url.$pp->address }}">{{ $pp->address }}</a>
                               </td>
                               <td>{{$pr->time . date_format(date_create($pr->date),"  d.M.y" )}}</td>
                               <td>
                                    <a class="text-info" target="_blank" href="{{url('/sale/sale_inv?saleId='.$pr->id)}}">{{ $pr->id }}</a>
                               </td>
                               <td>
                                  <a class="fwb text-info" target="_blank" href="{{url('item/all?pr_id='.$pro_id)}}">{{ $on->item }}</a>
                                  <p style="font-size:13px">{{ $pr->descrip }}</p>
                               </td>
                               <td>{{$on->qty}} </td>  <td>{{$on->price}}</td>  <td>{{$on->price * $on->qty}}</td>
                               <td>{{$on->dis_1 * $on->qty}}</td>
                               <td>{{$on->amount}}</td>
                            @endif
                           </tr>
                      @endforeach
                  @endforeach

            <tr id="s_total" style="background:#e8ecf0">
              <td colspan="10"><h5 class="d_n m-2 text-right">Total Amount</h5></td>
              <td>
                <h5 class="mt-0  row col-12 p-0">
                  <span class="d_m col-6 p-0 text-left">Total Amount</span>
                  <span id="t_amount" class="col-6 col-md-12 p-0">
                    {{ $to_price }}
                  </span>
                </h5>
              </td>
            </tr>
         </tbody>
      </table>
      <div class="col-12 {{$pdf? 'd-none' : ''}}">
        @if(isset($_GET['saleId'])==null && $pag ) {{ $all->links() }} @endif
      </div>
    </div>



     <table class="grand-total mt-2 {{$address? 'd-none' : ''}} ">
        <tbody>
          <tr>
            <td style="width:50%"> </td>
            <td style="width:37%">Total Discount</td>
            <td style="width:13%" class="qty text-center"> {{$all->sum('dis')}}</td>
          </tr>
        </tbody>
      </table>
      <div class="border-top border-secondary offset-8  col-4 float-right m-1"></div>
      <table class="grand-total mb-2 {{$address? 'd-none' : ''}} ">
        <tbody>
          <tr>
            <td style="width:50%"></td>
            <td style="width:37%"> Grand Total </td style="width:13%">
            <td class="qty text-center"> {{$all->sum('total') - $all->sum('pre_due')}}</td>
          </tr>
        </tbody>
      </table>

    <script src="{{asset('public/admin')}}/js/printPage.js" type="text/javascript"></script>
    <script> $( document ).ready(function(){ $(".prnt").printPage(); }); </script>

    <script>
        $( document ).ready(function(){
           $('#t_amount').text( Math.trunc($('#t_amount').text()) );
         });
    </script>


@else <script> window.location.replace("{{url('dashbord?not=1')}}"); </script>
@endif



@endsection

