@extends('admin.master')
@section('content')
@if(Auth::user()->role_id > 11)
  @if($pdf==null)
   <style>.items a{padding:3px 7px}.h_34{height:34px}.fa-map-marker::before{content:"\f041"}
   .date input,.date button,.input-group-append{border-radius:0}.table th{padding:5px}.up_i::before {right:1em;content:"\2191"}.table td,.table th{text-align:left}
   .up_i::after{right:0.5em;content:"\2193"}.table td{line-height:25px}
   li.page-item .page-link{background:#143f66 !important;color:#fff;font-weight:normal;padding:11px 22px}.h_36{height:36px}
   .auto{background-color:#fffaf1;position:absolute;width:300px;font-size:17px;z-index:5;top:36px}
   </style>
   @include('dash.item.in.td_resp_full')
  @endif

  <?php $p_id=request()->p_id;  $pp='pp';
        $day=request()->day; $day_2=request()->day_2;
        $tt = 50;  $s_paid=0; $fc='form-control';
        if($pdf){ $tt = 1100; }
        $title='date'; $sc='asc'; $bg='bg-secondary';
        if(request()->title){ $title=request()->title; }
        if(request()->sc=='asc'){  $sc='desc'; }
        $party = App\dash_app\Party::find($p_id);
       ?>
  @if($pdf)
    <script src="{{ asset('public/front/js/jquery-2.2.3.min.js') }}"></script>
    <div class="row m-1">
      <h5 class="col-5 fwb">Item of {{  $party?  $party->name : 'Parties'}}</h5>
      @if($day)
        <p class="col-3 fwb mb-0 pt-2 px-2 f_13">
          Start: {{date_format(date_create($day),"d-M-Y" ) }}
        </p>
        <p class="col-3 fwb mb-0 pt-2 pl-3 f_13">
          End:  {{date_format(date_create($day_2),"d-M-Y" ) }}
        </p>
      @endif
    </div>
    <style>.btn{padding:0}.table{border-top:2px solid #dee2e6}</style>
  @endif

    <div class="row bg-white pt-4 {{$pdf? 'd-none': ''}}">
      <h4 class="col-md-2 fwb mb-4">Item of Parties</h4>
        <div class="col-md-10  row ">
            <form class="col-md-4" id="f_pr" action="{{ url()->current()}}">
              <input class="c_in_all {{$fc}} fwb" id="myInput_all" placeholder="Select a Party" autocomplete="off"  name="p_id"
               value="{{ $party?  $party->name : 'Parties'}}">
              <div id="myUL_all" class="auto pb-3" style="top:37px;left:4px;width:750px;display:none">
                <!-- var html in -->
              </div>
            </form>
            <script>
            $('#myInput_all').click( function(){ var html = '';
              $.ajax({
                 url:"{{ url('item_add')}}", // Dash\AjaxCon
                 type:"GET", dataType:'JSON',  cache:false,  data:{ party_add:1 },
                  success:function (data){
                      data.partys.forEach(function(p){  var phone;
                        html +='<p class="row px-1 py-2 border-bottom pro_all fwb ttl"  onclick="auto_all(this)" id="'+p.id+'">'
                          if(p.phone){  phone = 'fa fa-phone'; }
                          html +=' <a class="col-7 row text-dark" href="#e_m" id="'+p.id+'" >'
                          html +='   <span class="col-7 d-block p-0">' +p.name+ '</span>'
                          html +='   <span class="col-5 d-block p-0">'
                          html +='   <i class="fa fa-phone pl-2"></i>' +p.phone+ '</span>'
                          html +=' </a>'
                          html +=' <a href="#e_m" style="color:gray;font-size:13px">'
                          html +='    <i class="fa fa-map-marker"></i> ' +p.address+ ' </a>'
                          html +=' </p>'
                      })
                     $('#myUL_all').html(html);
                  },
                 error: function(){ location.reload(); }
              });
            })
           </script>
            @include('dash.party.party_auto_party_all')
            <form class="col-md-7 row text-light date" action="{{ url()->current()}}">
              <div class="col-md-6 row p-0 mb-4">
                <p class="col-4 fwb mb-0 {{$bg}} pt-2">Start</p>
                <div class="col-8 pl-0 pr-md-4 row mb-0">
                  <input type="date" name="day" class="{{$fc}} px-1" @if($day) value="{{$day}}" @endif/>
                </div>
              </div>
              <input type="hidden"  name="p_id" value="{{ $p_id }}">
              <div class="col-md-6 row p-0 mb-4">
                <p class="col-3 fwb mb-0 {{$bg}} pt-2 pl-3">End</p>
                <div class="col-7 px-0 row mb-0">
                  <input type="date" name="day_2" class="{{$fc}} px-1" @if($day_2) value="{{$day_2}}" @endif/>
                </div>
                <div class="col-2 px-0">
                  <button class="btn btn-info col-12" style="margin-left:-1px" type="submit">
                    <i class="fa fa-search"></i></button>
                </div>
              </div>
            </form>

            <?php $url = 'day='.$day.'&day_2='.$day_2.'&p_id='.$p_id; ?>
            <div class="col-md-1 mb-4">
              <a class="btn btn-primary  prnt px-3 float-right"
                    href="{{ url()->current().'?pdf=1&'.$url }}" >
                <i class="fa fa-print"></i>
              </a>
            </div>
        </div>
    </div>


      <div class="table-light row px-2 py-2 mb-3">
        @if( $party )
          <div class="col-sm-6 pb-md-2 row px-1 border-right">
            <p class="my-1 col-3 px-2 fwb mb-1">
              {{ $ln?'Name' : 'নাম'}}</p> <p class="my-1 p-0">:</p>
            <p class="my-1 col-8 pr-1 fwb mb-1 pl-2">{{ $party->name }}</p>
            <p class="my-1 col-3 px-2 fwb mb-1">
              {{ $ln?'Phone' : 'ফোন'}}</p> <p class="my-1 p-0">:</p>
            <p class="my-1 col-8 pr-1 fwb mb-1 pl-2">{{ $party->phone }}</p>
            <p class="my-1 col-3 px-2 fwb mb-1">
              {{ $ln?'Address' : 'ঠিকানা'}}</p> <p class="my-1 p-0">:</p>
            <p class="my-1 col-8 pr-1 mb-1 pl-2">{{ $party->address }}</p>
          </div>
          <div class="col-sm-6 row p-0  pr-md-3 mt-0">
            <p class="my-1 col-md-5 col-7 pr-0 ">{{ $ln?'Custom ID' : 'কাস্টম আইডি'}}</p>
            <p class="my-1 p-0">:</p>
            <p class="my-1 col-md-6 col-4 px-2">{{ $party->p_id }}</p>
            
              <p class="my-1 col-md-5 col-7  pr-0">
                <?php
                    $sal_due = $party->sale_tk - $party->rec; // Oppning
                    $pur_due = $party->purc_tk - $party->paid;
                    $incm = ($sal_due + $party->to_rec) - $party->in_tk; // Oppning
                    $loss = ($pur_due + $party->to_pay) - $party->out_tk;
                    $bal_an = ''; ?> 
                    @if( $incm > $loss)
                     {{ $ln?'Receivable Amount' : 'গ্রহণযোগ্য'}} <?php $bal_an =  $incm - $loss; ?>
                     <script> @if($pdf==null) $("#Receive").prop("disabled", false); @endif </script>
                    @else
                     <script> @if($pdf==null) $("#Pay").prop("disabled", false); @endif </script>
                     {{ $ln?'Payable Amount' : 'পরিশোধযোগ্য'}} <?php $bal_an = $loss -  $incm; ?>
                @endif
              </p>
               <p class="my-1 p-0">:</p>
            <p class="my-1 col-md-6 col-4  pr-0 {{ $incm > $loss? 'text-success' : 'text-danger'}}">
              {{ $bal_an }}</p>

            <p class="my-1 col-md-5 col-7 pr-0 ">{{ $ln?'Entry Date' : 'প্রবেশের তারিখ'}} </p>
            <p class="my-1 p-0">:</p>
            <p class="my-1 col-md-6 col-4 px-2"> {{date_format(date_create($party->date),"d-M-Y" ) }}</p>
          </div>
        @endif
      </div>


    <div class="col-md-12 bg-white p-0">
      <table class="table  p-0 table-hover tab_2 {{$pdf? '' : 'tab_respon'}}">
        <thead>
           <tr class="d_n" style="background:#fff6dc">
              <th> Sl </th>
              <th>Item Name</th>  <th>Purchase Qty</th>
              <th>Sale Qty</th>   <th>Stock Qty</th>
              <th>Unit Sale</th> <th>Unit Purchase</th>
              <th>Unit Profit</th>
              <th class="{{$pdf? 'd-none' : ''}}"> Action</th>
           </tr>                
        </thead>
        <tbody>
          <?php   $kk=0;  $jj=0;  $rr=0; ?>
          @foreach(App\Product::get() as $pr)
              <?php  $k=0;  $j=0;
               if($day){
                $purc = App\dash_app\Purc::join('one_items','purcs.id','=','one_items.purc_id')
                   ->select('purcs.date','one_items.pr_id','one_items.qty')
                   ->where('pr_id',$pr->id)->where('p_id',$p_id)
                   ->whereBetween('date', [$day, $day_2])->get();
                $sale = App\dash_app\Sale::join('one_sales','sales.id','=','one_sales.s_id')
                   ->select('sales.date','one_sales.pr_id','one_sales.qty')
                   ->where('pr_id',$pr->id)->where('p_id',$p_id)
                   ->whereBetween('date', [$day, $day_2])->get();
               }else{
                $purc = App\dash_app\Purc::join('one_items','purcs.id','=','one_items.purc_id')
                   ->select('purcs.date','one_items.pr_id','one_items.qty')
                   ->where('pr_id',$pr->id)->where('p_id',$p_id)->get();
                $sale = App\dash_app\Sale::join('one_sales','sales.id','=','one_sales.s_id')
                   ->select('sales.date','one_sales.pr_id','one_sales.qty')
                   ->where('pr_id',$pr->id)->where('p_id',$p_id)->get();
               }
               ?>
               @foreach($purc as $one) <?php $j+=$one->qty; ?> @endforeach
               @foreach($sale as $one) <?php $k+=$one->qty; ?> @endforeach
              @if($sale->count() or $purc->count())  <?php $rr++;  ?>
                <tr class="fwb">
                  <td class="p-md-2 px-1 py-0" style="margin-bottom:-5px">
                    <p class="d_m px-1 m-0 border rounded-circle border-radius">
                      <span class="d-md-none" >{{ $loop? $loop->index+1 : '1'}}</span>
                    </p>
                    <span class="d-md-block d_no" >{{ $loop? $loop->index+1 : '1'}}</span>
                  </td>

                  <td>
                    <span class="d-md-none px-2">{{ $ln?'Item Name' : 'আইটেমের নাম'}}:</span>
                    <a class="f_17 text-dark" href="{{url('item/all?pr_id='.$pr->id )}}"
                        target="_blank">
                     {{$pr->name}}
                    </a>
                  </td>
                  <td>  <?php $kk+=$k;  $jj+=$j; ?>
                    <span class="d-md-none px-2">{{ $ln?'Purchase Qty' : 'ক্রয়ের পরিমাণ'}}:</span>
                    <div class="{{$j? '' : 'd-none' }}">
                      <i class="fa fa-truck text-primary mt-1 pr-2 {{$pdf? 'd-none' : ''}}"></i>
                      {{$j}} <span style="color:gray">{{$pr->unit}}</span>
                    </div>
                  </td>
                  <td>
                    <span class="d-md-none px-2">{{ $ln?'Sale Qty' : 'বিক্রয়ের  পরিমাণ'}}:</span>
                    <div class="{{$k? '' : 'd-none' }}">
                      <i class="fa fa-shopping-bag text-info mt-1 pr-2 {{$pdf? 'd-none' : ''}}"></i>
                      {{$k}} <span style="color:gray">{{$pr->unit}}</span>
                    </div>
                  </td>
                  <td>
                    <span class="d-md-none px-2">{{ $ln?'Stock Qty' : 'স্টক পরিমাণ'}}:</span>
                    {{$pr->stock}} <span style="color:gray">{{$pr->unit}}</span>
                  </td>
                  <td title="Sale">
                    <span class="d-md-none px-2">{{ $ln?'Unit Sale' : 'একক বিক্রয়'}}:</span>
                    {{$pr->price}} tk
                  </td>
                  <td title="Purchase">
                     <span class="d-md-none px-2">{{ $ln?'Unit Purchase' : 'একক ক্রয়'}}:</span>
                     {{$pr->buy_price}} tk
                  </td>
                  <td style="color:gray">
                    <span class="d-md-none px-2">{{ $ln?'Unit Profit' : 'একক লাভ'}}:</span>
                    {{$pr->price - $pr->buy_price}} tk
                  </td>
                  <td class="items {{$pdf? 'd-none' : ''}}">
                    <span class="d-md-none px-2">{{ $ln?'Action' : 'অ্যাকশন'}}:</span>
                    <a class="btn btn-sm btn-success" href="{{url('item/add?id='.$pr->id )}}">
                      <i class="fa fa-edit"></i>
                    </a>
                  </td>
                </tr>
              @endif
          @endforeach
            @if($rr)
             <tr style="background:#fff7f4">
               <td colspan="2"> <h5 class="d_n m-1 f_17 text-center">Total Units</h5> </td>
               <td>
                <h5 class="m-1 f_17 {{$pdf? '' : 'pl-4'}}">
                  <span class="d_m pr-3">Total Purchase Qty</span> {{$jj}}
                 </h5>
               </td>
               <td>
                <h5 class="m-1 f_17 {{$pdf? '' : 'pl-4'}}">
                  <span class="d_m pr-3">Total Sale Qty</span> {{$kk}}
                 </h5>
               </td>
               <td>
                <h5 class="m-1 f_17 {{$pdf? '' : 'pl-4'}}">
                  <span class="d_m pr-3">Total  Units</span>
               </td>
               <td colspan="3"> </td> <td class="{{$pdf? 'd-none' : ''}}"> </td> 
             </tr>
            @else
              <h2 class="text-danger fwb text-center mb-5 py-5">Please Select A Party </h2>
            @endif
        </tbody>
      </table>




    </div>

  @if($pdf==null)
   <script src="{{asset('public/admin')}}/js/printPage.js" type="text/javascript"></script>
   <script> $( document ).ready(function(){ $(".prnt").printPage(); }); </script>
  @endif

@else
 <script> window.location.replace("{{url('dashbord?not=1')}}"); </script>
@endif
@endsection
