@extends('admin.master')
@section('content')
@if(Auth::user()->role_id > 11 or Auth::user()->role_id == 3)
  @if($pdf==null)
    <style>.items a{padding:3px 7px}.h_34{height:34px}
    .date input,.date button,.input-group-append{border-radius:0}
    .fa-print:before{content:"\f02f"}.up_i::before {right:1em;content:"\2191"}
    .up_i::after{right:0.5em;content:"\2193"}.table td{line-height:25px}
    li.page-item .page-link{background:#143f66 !important;color:#fff;font-weight:normal;padding:11px 22px}
    .h_36{height:36px}
    .auto{background-color:#fffaf1;position:absolute;width:300px;font-size:17px;z-index:5;top:36px}.f_17{font-size:17px}
    </style>
   @include('dash.item.in.td_resp_full')
  @endif

  <?php $up=''; $t_sale=0; $t_buy=0; $t_stock=0; $t_st_v=0; $ok='';
        $title='name'; $sc='asc'; $s_i=''; $bg='bg-secondary';  $p_id='';   $party='';
        $tot=50; if(request()->tot){ $tot=request()->tot; }
        $day=request()->day;  $day_2=request()->day_2;
        $p_id=request()->p_id;  $s_i=request()->s_i;        ?>

  @if(isset($_GET['title']))  <?php $title=$_GET['title'] ; ?> @else <?php $title='name'; ; ?>  @endif
  @if(isset($_GET['sc']))  <?php  if($_GET['sc']=='desc'){  $sc='asc'; }else{ $sc='desc'; } ?>
  @endif


  <?php $sub=request()->sub;  $cat=request()->cat;  $brand=request()->brand;
    if($s_i){
       $all = App\Product::where('date','like','%'.$s_i.'%')
         ->orWhere('name','like','%'.$s_i.'%')->orWhere('code','like','%'.$s_i.'%')
         ->orWhere('price','like','%'.$s_i.'%')->orWhere('buy_price','like','%'.$s_i.'%')
         ->orWhere('stock','like','%'.$s_i.'%')->orderBy('id','desc')->paginate(100);
    }else{
       if($day){ $bg='bg-dark';
          $all= App\Product::whereBetween('date',[$day,$day_2])->paginate($tot);
        }elseif($cat && $brand && $sub){
          $all= App\Product::where('c_id',$cat)->where('brand_id',$brand)->where('sub_ca_id',$sub)->paginate(15000);
        }elseif($cat && $sub){
          $all= App\Product::where('c_id',$cat)->where('sub_ca_id',$sub)->paginate(15000);
        }elseif($sub){
          $all= App\Product::where('sub_ca_id',$sub)->paginate(15000);
          // die( $all );
        }elseif($cat){
          $all= App\Product::where('c_id',$cat)->paginate(15000);
        }elseif($brand){
          $all= App\Product::where('brand_id',$brand)->paginate(15000);
        }else{
          $all= App\Product::orderBy($title,$sc)->paginate($tot);
         // $all= App\Product::get()->unique('c_id');
          //die($all);
        }
    } ?>


  @if($pdf)
    <script src="{{ asset('public/front/js/jquery-2.2.3.min.js') }}"></script>
    <div class="row m-1">
      <h5 class="col-4 fwb"> {{ $ln?'Stock Summary' : 'স্টক সামারি'}}</h5>
      @if($day)
        <p class="col-4 fwb mb-0 pt-2 px-2 f_13">Start: {{date_format(date_create($day),"d-M-Y" ) }}</p>
        <p class="col-4 fwb mb-0 pt-2 pl-3 f_13">End: {{date_format(date_create($day_2),"d-M-Y" ) }}</p>
      @endif
      @if($cat)
        <p class="col-4 fwb mb-0 pt-2 pl-3 f_13">Category: {{ App\Category::find($cat)->name }}  </p>
      @endif
      @if($brand)
        <p class="col-4 fwb mb-0 pt-2 pl-3 f_13">Brand: {{ App\Brand::find($brand)->brand_name }} </p>
      @endif
    </div>
    <style>.btn{padding:0}.table{border-top:2px solid #dee2e6}</style>
  @else
    <form class="row pt-4 bg-white"  action="{{url()->current()}}" >
      <h4 class="col-5 fwb mb-4">
       {{ $ln?'Stock Summary' : 'স্টক সামারি'}}
      </h4>
      <div class="col-6  row text-light date">
        <div class="col-6 row p-0 mb-4">
          <p class="col-4 fwb mb-0 {{$bg}} pt-2">Between</p>
          <div class="col-8 pl-0 pr-md-4 row mb-0">
            <input  type="date" name="day" class="form-control"
                   @if($day) value="{{$day}}" @endif/>
          </div>
        </div>
        <div class="col-6 row p-0 mb-4">
          <p class="col-3 fwb mb-0 {{$bg}} pt-2 pl-3">To</p>
          <div class="col-7 px-0 row mb-0">
            <input  type="date" name="day_2" class="form-control"
                   @if($day_2) value="{{$day_2}}" @endif/>
          </div>
          <div class="col-2 px-0">
            <button class="btn btn-info col-12" style="margin-left:-1px" type="submit">
              <i class="fa fa-search"></i></button>
          </div>
        </div>
      </div>
      <div class="col-1 mb-4">
      <?php $url='?pdf=1&title='.$title.'&sc='.$sc.'&cat='.$cat.'&brand='.$brand.'&tot='.$tot.'&day='.$day.'&day_2='.$day_2; ?>
        <a class="btn btn-primary  prnt px-3 float-right"
          href="{{url()->current().$url}}"><i class="fa fa-print"></i>
        </a>
      </div>
    </form>
  @endif 


  <div class="p-md-3 p-0" style="background:#e6e9ed">
    <form action="{{url()->current()}}" class="row col-md-6 ml-auto pr-0 {{$pdf? 'd-none': ''}}" style="min-height:54px">
       @include('dash.item.in.catagory_tot')
    </form >

    <div class="col-12 bg-white p-0">
      <!-- <table class="table tab_respon p-0 table-hover tab_2"> -->
      <table class="table tab_2 border-bottom {{$pdf ? '' : 'tab_respon table-hover'}}">
         <thead>
           <tr class="d_n" style="background:#fff6dc">
              <th><a class="btn py-1 px-0 fwb"> Sl </a></th>
              <th class="pl-0"> <?php $prl='rep/item_stok?title='; ?>
                <a class="btn py-1 px-0 @if($title=='name' && $sc=='asc') text-danger @endif fwb"
                  href="{{url($prl.'name&sc='.$sc)}}"><i class="up_i pr-2"></i>
                 {{ $ln?'Item Name' : 'আইটেমের নাম'}}</a>
              </th>

              <th class="pl-0">
                <a class="btn py-1 px-0 @if($title=='stock') text-danger @endif fwb"
                   href="{{url($prl.'stock&sc='.$sc)}}"><i class="up_i pr-2"></i>{{ $ln?'Stock Qty' : 'মজুত'}}</a></th>
              <th class="pl-0">
                <a class="btn py-1 px-0 @if($title=='date' && $sc=='asc') text-danger @endif fwb"
                  href="{{url($prl.'date&sc='.$sc)}}"><i class="up_i pr-2"></i>
                {{ $ln?'Entry Date' : 'তারিখ'}}</a></th>

              @if(Auth::user()->role_id > 13)
                <th class="pl-0">
                  <a class="btn py-1 px-0 @if($title=='buy_price') text-danger @endif fwb"
                     href="{{url($prl.'buy_price&sc='.$sc)}}"><i class="up_i pr-2"></i>
                   {{ $ln?'Purchase Price' : 'ক্রয় মূল্য'}}</a>
                </th>
              @endif

              <th class="pl-0">
                <a class="btn py-1 px-0 @if($title=='price') text-danger @endif fwb"
                   href="{{url($prl.'price&sc='.$sc)}}"><i class="up_i pr-2"></i>
                 {{ $ln?'Sale Price ':'বিক্রয় মূল্য '}}</a></th>

              @if(Auth::user()->role_id > 13)
                <th class="pl-0">
                  <a class="btn py-1 px-0 @if($title=='buy_price') text-danger @endif fwb"
                     href="{{url($prl.'buy_price&sc='.$sc)}}"><i class="up_i pr-2"></i>{{ $ln?'Profit ':'লাভ '}}</a>
                </th>
              @endif

              <th class="pl-0">
                <a class="btn py-1 px-0  fwb" href="#"><i class="up_i pr-2"></i>{{ $ln?'Stock Value' : 'মজুত মূল্য'}}</a></th>
              <th class="pl-0  {{$pdf? 'd-none': ''}}">
                  @if(Auth::user()->role_id > 13) 
                    <a class="btn py-1 px-0 fwb" href="#">{{ $ln?'Action' : 'অ্যাকশন'}} </a>
                  @endif
              </th>
           </tr>                
         </thead>
         <tbody> @if(isset($_GET['ok'])) <?php $ok=$_GET['ok']; ?>  @endif
          @foreach($all as $pr)
            <tr @if($ok==$pr->id)style="background-color:rgba(244,204,184,0.16)" @endif>
              <td class="p-md-2 px-1 py-0" style="margin-bottom:-5px">
                <p class="d_m px-1 m-0 border rounded-circle border-radius">
                  <span class="d-md-none" >{{ $loop->index+1 }}</span>
                </p>
                <span class="d-md-block d_no" >{{ $loop->index+1 }}</span>
              </td>
              <td class="text-left" style="min-width:200px">
                <span class="d-md-none px-2">{{ $ln?'Name' : 'নাম'}}:</span>
                <a class=" text-info fwb" href="{{url('item/all?pr_id='.$pr->id )}}">
                 {{$pr->name}}
                </a>
                <div class="row"  style="font-size:12px">
                   @if($pr->bar) <p class="col-md-7 px-1">Barcode:  {{$pr->bar}} </p> @endif
                   @if($pr->code) <p class="col-md-5 px-1">Code:  {{$pr->code}} </p> @endif
                </div>
              </td>
              <td>
                <span class="d-md-none px-2">{{ $ln?'Stock' : 'মজুত'}}:</span>
                <div class="row">
                    <div class="col-6 px-1 text-right"> <span class="fwb text-info">{{$pr->stock}} </span> </div>
                    <div class="col-6 px-0 text-left"> <span style="color:gray">{{$pr->unit}}</span> </div>
                </div>
              </td>
              <td>
                <span class="d-md-none px-2">{{ $ln?'Date' : 'তারিখ'}}:</span>
                <span style="color:gray">
                   {{date_format(date_create($pr->date),"d-M-y" )}}
                </span>
              </td>
              @if(Auth::user()->role_id > 13)
                <td class="text-right pr-2">
                  <span class="d-md-none px-2">{{ $ln?'Purchase Price' : 'ক্রয় মূল্য'}}:</span>
                  <span style="color:#003166">{{$pr->buy_price}} {{$tk}}</span>
                </td>
              @endif
              <td class="text-right pr-2">
                <span class="d-md-none px-2">{{ $ln?'Sale Price ':'বিক্রয় মূল্য '}}:</span>
                <span style="color:#7d000c "> {{$pr->price}} {{$tk}}</span>
              </td>
              @if(Auth::user()->role_id > 13)
                <td class="text-right pr-2" title="Profit">
                  <span class="d-md-none px-2">{{ $ln?'Profit ':'লাভ '}}:</span>
                  {{$pr->price - $pr->buy_price}} {{$tk}}
                </td>
              @endif
              <td>
                <span class="d-md-none px-2">{{ $ln?'Stock Value' : 'মজুত মূল্য'}}:</span>
                <div style="min-width:150px">
                 <p class="d-inline-block col-5 p-0">
                  {{$pr->buy_price }} x {{$pr->stock}}</p>
                 <p class="d-inline-block col-1 p-0">=</p>
                  <span style="color:gray">{{$pr->buy_price * $pr->stock}}</span>
                </div>
              </td>
              <td class="items {{$pdf? 'd-none': ''}}">
                <span class="d-md-none px-2">{{ $ln?'Action' : 'অ্যাকশন'}}:</span>
                  @if(Auth::user()->role_id > 13)
                    <a class="btn btn-sm btn-success" href="{{url('item/add?id='.$pr->id )}}">
                      <i class="fa fa-edit"></i>
                    </a>
                  @endif
                     <?php $d_id = $pr->id; $url="del"; $my_app='App\Product'; ?>
                         @include('admin.model.delet_model')
              </td>
            </tr>
           <?php  $t_sale+=$pr->price;  $t_buy+=$pr->buy_price;  $t_stock+=$pr->stock;
                  $t_st_v+=  $pr->buy_price * $pr->stock;  ?>
          @endforeach
           <tr style="background:#fff7f4">
             <td class="d_n" colspan="2">
               <h5 class="d_n my-2 text-right pr-3"> Total </h5>
             </td>
             <td>
                <h5 class="my-2 row col-12">
                   <span class="col-7 p-0 d_m pr-3">Total Stock</span>
                   <span class="col-5 col-md-12 p-0 text-right"> {{$t_stock}} Units</span> 
                </h5>
            </td> 
             <td class="d_n" >  <!-- date -->  </td>
             <td class="d_n {{Auth::user()->role_id > 13? '': 'd-none'}}">  <!-- Purc -->  </td>
             <td class="d_n">  <!-- sale-->  </td>
             <td class="d_n {{Auth::user()->role_id > 13? '': 'd-none'}}">  <!-- Profit -->  </td>
            <td>
              <h5 class="my-2 row col-12">
                 <span class="col-7 p-0 d_m pr-3">Stock Value</span>
                 <span class="col-5 col-md-12 p-0 text-right">{{$t_st_v}} {{$tk}}</span> 
              </h5>
            </td>
            <td class="d_n {{$pdf? 'd-none': ''}}"> </td> 
           </tr>
        </tbody>
      </table>
      <div class="col-12 {{$pdf? 'd-none': ''}}"> {{$all->links()}}  </div>
    </div>
  </div>

   <script src="{{asset('public/admin')}}/js/printPage.js" type="text/javascript"></script>
   <script> $( document ).ready(function(){ $(".prnt").printPage(); }); </script>

@elseif(Auth::user()->role_id == 8)
  <script> window.location.replace("{{url('sale_price_list?s_i='.request()->s_i)}}"); </script>
@else
  <script> window.location.replace("{{url('dashbord?not=1')}}"); </script>
@endif
@endsection
