@extends('admin.master')
@section('content')
@if(Auth::user()->role_id >= 10)
    <style>.items a{padding:3px 7px}.table a{font-size:14px}
    .date input,.date button,.input-group-append{border-radius:0}
    .bor{border-radius:9px}.bb{border-radius:9px 9px 0 0}
    .fa-print:before{content:"\f02f"}.table td{line-height:25px;cursor:pointer}
    .table.tab_respon tr:nth-of-type(2n+1){background-color:#fff}
    .table.tab_respon .tr{background-color:#F1FCFC!important}
    .up_i::before {right:1em;content:"\2191"}.up_i::after{right:0.5em;content:"\2193"}li.page-item .page-link{background:#143f66 !important;color:#fff;font-weight:normal;padding:11px 22px}.h_36{height:36px}.t_sa p{color:gray;font-size:12px}
    </style>
    @if($pdf==null)
      @include('dash.item.in.td_resp_full')
    @endif
    <?php $up=''; $pag =''; $day=request()->day;  $day_2=request()->day_2;
           $saleId=request()->saleId;
          $title='id'; $sc='desc'; $bg='bg-secondary';  $ser=request()->ser;  ?>

    @if(isset($_GET['title']))  <?php $title=$_GET['title'] ; ?>  @endif
    @if(isset($_GET['sc']))
      <?php if($_GET['sc']=='asc'){ $sc='desc';  }else{ $sc='asc'; } ?>
    @endif
     
    @if(isset($_GET['ser'])) <?php $ser=$_GET['ser']; ?>  @endif
    <?php
    $p_id=request()->p_id; 
    if(request()->purc){
      if($day){ $bg='bg-dark';
        $all= App\dash_app\Purc::whereBetween('date', [$day, $day_2])->get();
      }elseif($saleId){
        $all= App\dash_app\Purc::where('id', $saleId)->get();
      }elseif($p_id){
        $all= App\dash_app\Purc::where('p_id', $p_id)->get();
      }else{ $pag =1;
        $all= App\dash_app\Purc::orderBy($title, $sc)->paginate(15);
      }
    }else{
      if($day){ $bg='bg-dark';
        $all= App\dash_app\Sale::whereBetween('date', [$day, $day_2])->get();
      }elseif($saleId){
        $all= App\dash_app\Sale::where('id', $saleId)->get();
      }elseif($p_id){
        $all= App\dash_app\Sale::where('p_id', $p_id)->get();
      }else{ $pag =1;
        $all= App\dash_app\Sale::orderBy($title, $sc)->paginate(15);
      }
    }
    $party = App\dash_app\Party::find(request()->p_id);
  ?>

  @if($pdf)
    <script src="{{ asset('public/front/js/jquery-2.2.3.min.js') }}"></script>
    <div class="row m-1">
      <h5 class="col-5 fwb">Item of {{  $party?  $party->name : 'Parties'}}</h5>
      @if($day)
        <p class="col-3 fwb mb-0 pt-2 px-2 f_13">
          Start: {{date_format(date_create($day),"d-M-Y" ) }}
        </p>
        <p class="col-3 fwb mb-0 pt-2 pl-3 f_13">
          End:  {{date_format(date_create($day_2),"d-M-Y" ) }}
        </p>
      @endif
    </div>
    <style>.btn{padding:0}.table{border-top:2px solid #dee2e6}</style>
  @endif

    <div class="row bg-white pt-4 {{$pdf? 'd-none': ''}}">
      <h4 class="col-md-2 fwb mb-4">{{ $ln? 'Profit Of Party ' : 'প্রফিট অফ পার্টি'}}</h4>
        <div class="col-md-10  row ">
            <form class="col-md-4  row p-0 mt-0" id="f_pr" action="{{url()->current()}}">
              <input class="c_in_all col-8 {{$fc}} fwb" id="myInput_all" placeholder="Select a Party" autocomplete="off"  name="p_id"
               value="{{ $party?  $party->name : 'Parties'}}">
              <div id="myUL_all" class="auto pb-3" style="top:37px;left:4px;width:750px;display:none">
                <!-- var html in -->
              </div>

               <select class="{{$fc}} col-4 br0" name="purc"  onchange="this.form.submit()">
                  @if(request()->purc) <option value="1"> Purchase </option>
                  @else   <option value="0"> Sale </option>
                  @endif  <option value="1"> Purchase </option>  <option value="0"> Sale </option>
               </select>
            </form>
            <script>
            $('#myInput_all').click( function(){ var html = '';
              $.ajax({
                 url:"{{url('item_add')}}", // Dash\AjaxCon
                 type:"GET", dataType:'JSON',  cache:false,  data:{ party_add:1 },
                  success:function (data){
                      data.partys.forEach(function(p){  var phone;
                        html +='<p class="row px-1 py-2 border-bottom pro_all fwb ttl"  onclick="auto_all(this)" id="'+p.id+'">'
                          if(p.phone){  phone = 'fa fa-phone'; }
                          html +=' <a class="col-7 row text-dark" href="#e_m" id="'+p.id+'" >'
                          html +='   <span class="col-7 d-block p-0">' +p.name+ '</span>'
                          html +='   <span class="col-5 d-block p-0">'
                          html +='   <i class="fa fa-phone pl-2"></i>' +p.phone+ '</span>'
                          html +=' </a>'
                          html +=' <a href="#e_m" style="color:gray;font-size:13px">'
                          html +='    <i class="fa fa-map-marker"></i> ' +p.address+ ' </a>'
                          html +=' </p>'
                      })
                     $('#myUL_all').html(html);
                  },
                 error: function(){ location.reload(); }
              });
            })
           </script>
            @include('dash.party.party_auto_party_all')
            <form class="col-md-7 row text-light date" action="{{url()->current()}}">
              <div class="col-md-6 row p-0 mb-4">
                <p class="col-4 fwb mb-0 {{$bg}} pt-2">Start</p>
                <div class="col-8 pl-0 pr-md-4 row mb-0">
                  <input type="date" name="day" class="{{$fc}} px-1" @if($day) value="{{$day}}" @endif/>
                </div>
              </div>
              <input type="hidden"  name="p_id" value="{{ $p_id }}">
              <div class="col-md-6 row p-0 mb-4">
                <p class="col-3 fwb mb-0 {{$bg}} pt-2 pl-3">End</p>
                <div class="col-7 px-0 row mb-0">
                  <input type="date" name="day_2" class="{{$fc}} px-1" @if($day_2) value="{{$day_2}}" @endif/>
                </div>
                <div class="col-2 px-0">
                  <button class="btn btn-info col-12" style="margin-left:-1px" type="submit">
                    <i class="fa fa-search"></i></button>
                </div>
              </div>
            </form>

            <?php $url = 'day='.$day.'&day_2='.$day_2.'&p_id='.$p_id; ?>
            <div class="col-md-1 mb-4">
              <a class="btn btn-primary  prnt px-3 float-right"
                    href="{{url()->current().'?pdf=1&'.$url }}" >
                <i class="fa fa-print"></i>
              </a>
            </div>
        </div>
    </div>


    <div style="background:#e6e9ed">
      <div class="col-md-12 bg-white px-0">
        <table class="table tab_respon  table-hover tab_2">
           <thead>
             <tr class="d_n" style="background:#FFEAEA">
                <th><p class="fwb pl-1 m-0">Sl</p></th>
                <th class="pl-3">
                  <a class="btn p-0 @if($title=='date' && $sc=='asc') text-danger @endif fwb"
                    href="{{url()->current().'?title=date&sc='.$sc}}"><i class="up_i pr-2"></i>DATE</a></th>
                <th><a class="btn p-0 @if($title=='id') text-danger @endif fwb"
                     href="{{url()->current().'?title=id&sc='.$sc}}"><i class="up_i pr-2"></i>INV. ID</a></th>
                <th><a class="btn p-0 @if($title=='p_num') text-danger @endif fwb"
                     href="{{url()->current().'?title=p_num&sc='.$sc}}"><i class="up_i pr-2"></i>PARTY NAME</a></th>
                <th><a class="btn p-0 @if($title=='total') text-danger @endif fwb"
                     href="{{url()->current().'?title=total&sc='.$sc}}"><i class="up_i pr-2"></i>TOTAL</a></th>
                <th><a class="btn p-0 fwb"
                     href="#"><i class="up_i pr-2"></i>PRE DUE</a></th>
                <th><a class="btn p-0 @if($title=='tk') text-danger @endif fwb"
                     href="{{url()->current().'?title=tk&sc='.$sc}}"><i class="up_i pr-2"></i>RECEIVED</a></th>
                <th><a class="btn p-0 fwb" href="{{url('#')}}">DUE</a></th>
                <th><a class="btn p-0 fwb" href="{{url('#')}}">PROFIT</a></th>
                <th><a class="btn p-0 fwb" href="{{url('#')}}">DESCRIPTION</a></th>
                <th class="{{ $pdf? 'd-none' : ''}}"><a class="btn p-0 fwb" href="{{url('#')}}">Added By</a></th>
                <th style="{{ $pdf? 'd-none' : 'min-width:150px'}}"><a class="btn p-0 fwb"> Profit Of Party </a></th>
             </tr>                
           </thead>
           <tbody>
              <style>td .d_n{min-width:150px;text-align:left}</style>
              <?php  $amt=0;  $tot=0;  $profit=0;  $t_dis=0;  $s_rec=0; $s_due=0;  ?>
                @foreach($all as $pr)
                   <?php if($pr){ $up_id=$pr->id; }else{ $up_id=''; }
                   if(request()->purc){
                     $one_item = App\dash_app\One_item::where('purc_id',$up_id)->get();
                   }else{
                     $one_item = App\dash_app\One_sale::where('s_id',$up_id)->get();
                   }
                      ?>

                    <?php $tr='';
                    if(empty($loop)){ $loop='';
                    }else{
                     if(($loop->index+1) % 2 == 0){
                         $tr = 'tr';
                      }
                    }?>
                    <tr class="{{$tr}}" id="s_{{$pr->id }}">
                      <td class="p-md-2 px-1 py-0" style="margin-bottom:-5px">
                        <p class="d_m px-1 m-0 border rounded-circle border-radius">
                          <span class="d-md-none" >{{ $loop? $loop->index+1 : '1'}}</span>
                        </p>
                        <span class="d-md-block d_no" >{{ $loop? $loop->index+1 : '1'}}</span>
                      </td>
                      <td>
                        <span class="d-md-none px-2">Date</span> {{ date_format(date_create($pr->date),"d/M/Y" ) }}
                      </td>
                      <td>
                        <span class="d-md-none px-2">Invoice Id</span> {{ $pr->id }}
                      </td>
                      <td>
                        <span class="d-md-none px-2">Party Name</span>
                        <a class="btn text-info  fwb p-0 px-md-3"
                           href="{{url('party_manage?p_id='. $pr->p_id)}}">{{ $pr->p_num }}
                         </a> <?php //  App\dash_app\Party::find($pr->p_id)->address?>
                      </td>
                      <td>
                        <span class="d-md-none px-2">Total</span> {{ $pr->total-$pr->pre_due  }}
                      </td>
                      <td>
                        <span class="d-md-none px-2">Pre Due</span> {{ $pr->pre_due }}
                      </td>
                      @if($pr->con ) 
                        <td style="padding:10px 3px;text-align:right">
                          <span class="d-md-none px-2">Received</span> {{  $pr->tk }}
                          <span class="text-danger fwb" style="font-size:13px"> Con </span>
                        </td>
                      @else
                        <td>
                          <span class="d-md-none px-2">Received</span> {{  $pr->tk }} 
                        </td>
                      @endif
                      <td>
                        <span class="d-md-none px-2">Due</span> {{ $pr->total - $pr->tk }}
                      </td>
                      <td>
                        <span class="d-md-none px-2">Profit</span> {{ $pr->profit }}
                      </td>
                      <td>
                        <span class="d-md-none px-2">Description</span> {{ $pr->descrip}}
                      </td>
                      <td class="{{ $pdf? 'd-none' : ''}}">
                        <span class="d-md-none px-2">Added By</span>
                        <?php $adm = App\User::find($pr->u_id) ; ?> {{ $adm && $pr->u_id? $adm->name : 'Admin' }}
                      </td>

                      <td class="items">
                        <span class="d-md-none px-2">Profit Of Party </span>
                         {{  $pr->profit_2 }} 
                      </td>
                    </tr>




                    <tr class="pos s_{{$pr->id }}" style="background:rgba(255,237,186,0.53)">
                      <script>
                        $('#s_{{$pr->id }}').click(function(){
                         if($('.s_{{$pr->id }}')[0].classList[2]=='d-none'){
                           $('.s_{{$pr->id }}').toggleClass('d-none');
                           $('#s_{{$pr->id }}').addClass('table-warning');
                         }else{
                           $('.pos').addClass('d-none');
                           $('.table tr').removeClass('table-warning');
                         }
                        })
                      </script>
                      <th>Sl</th> 
                      <th colspan="2">Item</th> <th colspan="2">Price x Qty</th> <th colspan="2">Discount</th>
                      <th colspan="2">Profit x Qty</th> <th>Amount</th> <th colspan="2">New Stock</th> 
                    </tr>  

                   <?php  if($pr){ $up_id=$pr->id; }else{ $up_id=''; }
                    // $one_item = App\dash_app\One_sale::where('s_id',$up_id)->get();?>
                    @foreach($one_item as $on)
                     <?php $pro = App\Product::find($on->pr_id); ?>
                        @if($pro)
                         <tr class="pos s_{{$pr->id }}"  style="background:rgba(255,237,186,0.53)">
                           <td>{{$loop->index + 1}}</td>
                           <td colspan="2">
                              <a class="fwb text-info" target="_blank" href="{{url('item/all?pr_id='.$pro->id)}}">{{ $on->item }}</a>
                           </td>
                           <td colspan="2">{{$on->price}} x {{$on->qty}} = {{$on->price * $on->qty}}</td>
                           <td colspan="2">{{$on->dis_1 * $on->qty}}</td>
                           <td colspan="2">
                              {{ $profit = $on->price - $pro->buy_price}} x {{$on->qty}} = {{ ($profit - $on->dis_1 ) * $on->qty}}
                           </td>
                           <td>{{$on->amount}}</td>
                           <td colspan="2">{{$pro? $pro->stock : 'Deleted' }}</td>
                         </tr>
                         <?php  if($pro->buy_price){ $profit += ($profit - $on->dis_1 ) * $on->qty; } ?>
                        @else
                         <tr class="pos s_{{$pr->id }}" style="background:rgba(255,237,186,0.53)">
                           <td>{{$loop->index + 1}}</td>
                           <td colspan="2" class="fwb">{{ $on->item }}</td>
                           <td colspan="2">{{$on->price}} x {{$on->qty}} = {{$on->price * $on->qty}}</td>
                           <td colspan="2">{{$on->dis_1 * $on->qty}}</td>
                           <td colspan="2">-</td>
                           <td>{{$on->amount}}</td>
                           <td colspan="2">{{$pro? $pro->stock : 'Deleted' }}</td>
                         </tr>
                        @endif
                    @endforeach
                @endforeach

              <script> $(document).ready(function(){ $('.pos').addClass('d-none'); })</script>

            <tr id="s_total" style="background:#e8ecf0">
              <td colspan="4"><h5 class="text-center d_n mt-2 text-center">Total</h5></td>
              <td>
                <h5 class="mt-2 row col-12 p-0">
                  <span class="d_m col-6 p-0 text-left">Total Amount</span>
                  <p class="col-6 col-md-12 p-0 text-center">
                    {{ $all->sum('total') - $all->sum('pre_due') }}
                  </p>
                </h5>
              </td>
              <td>-</td>
              <td>
                <h5 class="mt-2  row col-12 p-0">
                  <span class="d_m col-6 p-0 text-left">Total Receive</span>
                  <p class="col-6 col-md-12 p-0 text-center">
                    {{ $all->sum('tk') }}
                  </p>
                </h5>
              </td>
              <td>
                <h5 class="mt-2  row col-12 p-0">
                  <span class="d_m col-6 p-0 text-left">Total Due</span>
                  <p class="col-6 col-md-12 p-0 text-center">
                    {{ $all->sum('total') - $all->sum('tk') }}
                  </p>
                </h5>
              </td> 
              <td>
                <h5 class="mt-2  row col-12 p-0">
                  <span class="d_m col-6 p-0 text-left">Profit</span>
                  <p class="col-6 col-md-12 p-0 text-center">
                    {{ $all->sum('profit') }}
                  </p>
                </h5>
              </td> <td> </td>
              <td class="{{ $pdf? 'd-none' : ''}}"></td>
              <td>
                <h5 class="mt-2  row col-12 p-0">
                  <span class="d_m col-6 p-0 text-left">Profit Of Party </span>
                  <p class="col-6 col-md-12 p-0 text-center">
                    {{ $all->sum('profit_2') }}
                  </p>
                </h5>
              </td>
            </tr>
           </tbody>
        </table>
        <div class="col-12">
          @if(isset($_GET['saleId'])==null && $pag ) {{ $all->links() }} @endif
        </div>
      </div>
    </div>

    <script src="{{asset('public/admin')}}/js/printPage.js" type="text/javascript"></script>
    <script> $( document ).ready(function(){ $(".prnt").printPage(); }); </script>


@else <script> window.location.replace("{{url('dashbord?not=1')}}"); </script>
@endif

@endsection