@extends('dash.master_pdf')
@section('content')
@if(Auth::user()->role_id > 11)

  <style>.items a{padding:3px 7px}.table a{font-size:14px} .h_34{height:34px}
  .date input,.date button,.input-group-append{border-radius:0}
  .table td, .table th{text-align:left}.table td{padding-left:10px}
  .fa-print:before{content:"\f02f"}.up_i::before {right:1em;content:"\2191"}
  .up_i::after{right:0.5em;content:"\2193"}.table td{line-height:25px}
  li.page-item .page-link{background:#143f66 !important;color:#fff;font-weight:normal;padding:11px 22px}.h_36{height:36px}
  .auto{background-color:#fffaf1;position:absolute;width:300px;font-size:17px;z-index:5;top:36px}
  </style>
  <?php $up=''; $t_sale=0; $t_buy=0; $t_stock=0; $t_st_v=0; $ok='';  $day=''; $day_2='';
   $title=''; $sc=''; $ser=''; $bg='bg-secondary';  $p_id='';   $party='';
   $tot=50000; $cat=''; ?>

  @if(isset($_GET['cat'])) <?php $cat=$_GET['cat']; ?>  @endif
  @if(isset($_GET['tot'])) <?php $tot=$_GET['tot']; ?>  @endif

  @if(isset($_GET['day'])) <?php  $day=$_GET['day']; ?>  @endif
  @if(isset($_GET['day_2']))  <?php  $day_2=$_GET['day_2']; ?> @endif

  @if(isset($_GET['title']))  <?php $title=$_GET['title'] ; ?> @else <?php $title='date'; ; ?>  @endif
  @if(isset($_GET['sc']))  <?php  if($_GET['sc']=='desc'){  $sc='desc'; }else{ $sc='asc'; } ?>
  @else <?php $sc='asc'; ?>  @endif

  <?php if($day){ $bg='bg-dark';
         $all= App\Product::whereBetween('date', [$day, $day_2])->paginate($tot);
        }elseif($cat){
         $all= App\Product::where('c_id',$cat)->paginate($tot);
        }else{
         $all= App\Product::orderBy($title, $sc)->paginate($tot);
        }?>
  <div class="col-md-12 row col-md-12 py-3" >
    <h4 class="col-4 fwb mb-3"><!-- STOCK SUMMARY  --> Stock Summary </h4>
     @if($day)
      <div class="col-8 px-0 row date pt-2" action="{{url('purc/bills')}}">
        <p class="col-6 fwb m-0 h_34 pt-1">Between : {{ $day }}</p>
        <p class="col-6 fwb m-0 h_34 pt-1">To : {{ $day_2 }}</p>
      </div>
     @endif
    <div class="col-md-12 p-0">
      <table class="table ">
         <thead>
           <tr style="background:#fff6dc">
              <th> Sl </th> <th>Item Name</th> <th>Entry Date</th>
              <th>Sale Price</th> <th>Purchase Price</th> <th>Stock Qty</th> <th>Stock Value</th>
           </tr>                
         </thead>
         <tbody>
          @foreach($all as $pr)
            <tr>
              <td>{{ $loop->index+1 }}</td>
              <td>{{ $pr->name }}</td>  <td>{{ $pr->date }}</td> <td>{{ $pr->price }}</td>
              <td>{{ $pr->buy_price }}</td> <td>{{ $pr->stock }}</td>

              <td>{{ $pr->buy_price * $pr->stock }}</td>
            </tr>
           <?php  $t_sale+=$pr->price;  $t_buy+=$pr->buy_price;  $t_stock+=$pr->stock;
                  $t_st_v+=  $pr->buy_price * $pr->stock;  ?>
          @endforeach
           <tr style="background:#fff7f4">
              <th colspan="3"> <h5 class="mb-1 text-center"> Total </h5> </th>
              <th><h5 class="mb-1"> {{$t_sale}} </h5></th> <th><h5 class="mb-1"> {{$t_buy}} </h5></th>
              <th><h5 class="mb-1"> {{$t_stock}} </h5></th>
              <th><h5 class="mb-1"> {{$t_st_v}} </h5></th>
           </tr>  
        </tbody>
      </table>
    </div>
  </div>
@else
 <script> window.location.replace("{{url('dashbord?not=1')}}"); </script>
@endif
@endsection
