@extends('dash.master_pdf')
@section('content')
@if(Auth::user()->role_id >= 10)
  <div class="col-11 border-top m-auto"></div>
  @if( file_get_contents('bootstrap/in/print.php') != 'nor')
   <style>
     .table th, .table td, *{font-weight:700}.logo_img,footer{display:none}.text-light{color:#000 !important}
    .table thead,h5 span{background:#c9d9ea !important}.pos{padding:0 !important}.company-address {flex:100%;max-width: 100%;}
   </style>
  @endif

   <h5 class="my-1 f_13 fw6 mb-1 text-center text-light">
      <span class="border px-2 fwb" style="background:#003a78;padding:3px">CHALLAN</span>
   </h5>
      <div class="px-2 mt-1 fwb pos">
          <script src="{{ asset('public/front/js/jquery-2.2.3.min.js') }}"></script>
        <style>.par span{color:#695555;min-width:70px;display:inline-block}.f_13{font-size:13px}
        </style>
        <div class="row par">
         <div class="col-7 px-2 mb-1 party">
           <p class="col-12 p-0">
             <span>Party Name:</span> {{$up->p_num}}
           </p>
           <?php $party=App\dash_app\Party::find($up->p_id); ?>
           <p class="p-0">
             <span>Address: </span>@if($party) {{ $party->address }} @endif
           </p>
            @if($party->phone)
            <p class="p-0">
              <span>Phone: </span>
                @if($party) {{ $party->phone }} @endif
            </p>
            @endif
         </div>
         <div class="col-5 row par text-right px-2 mb-1">
           <p class="col-12">
             <span>Invoice Id: </span> {{$up->id}}
           </p>
           <p class="col-12">
            <span>Billing Date: </span> {{ date_format(date_create($up->date),"d/M/Y" ) }}
           </p>
         </div>
        </div>
        <div class="col-12 px-1">
         <table class="table  table-bordered mb-1">
            <thead class="text-light"  style="background:#003a78">
              <tr>
                <th>Sl</th> <th style="width:75%">ITEM NAME</th>
                <th>QTY</th>
              </tr>                
            </thead>
            <tbody>
              <?php $t_qty=0;  $i=0; $to_price=0;
            if($up){ $up_id=$up->id; }else{ $up_id=''; }
            if(Request::is('purc/add')){ // == purc/add?id=1&pdf=1
             $one_item = App\dash_app\One_item::where('purc_id',$up_id)->get();
            }else{
             $one_item = App\dash_app\One_sale::where('s_id',$up_id)->get(); } ?>
            @foreach($one_item as $on)
             @if($on->qty)
               <?php  $t_qty+= $on->qty;  $i++;    $pr = App\Product::find($on->pr_id); ?>
               <tr id="t_{{$i}}" >
                 <td class="sl">{{$i}}</td>
                 <td>{{ $pr? $pr->name : $on->item }}</td>
                 <td>{{$on->qty}} {{ $pr? $pr->unit : $on->unit }}</td>
               </tr>
             @endif
            @endforeach
           <tr>
             <td colspan="2" class="text-right pr-3"><h5 class="m-0">Total</h5> </td>
              <td class="pl-1">
                <p class="m-0 f_13" id="tol">{{ $t_qty }}</p>
              </td>
           </tr>
           </tbody>
         </table>

          <div  style="font-size:13px" >
             <span style="padding: 0px 5px">Sale By : </span>
             {{ $up->u_id? App\User::find($up->u_id)->name : 'Admin' }}
          </div>

          <footer class="mb-5">
              <div class="text-center fwb ">
                <div class="row">
                  <div class="col-4 sig mb-1 text-light p-0" style="background:#f18522;font-size:15px">
                    <div class="col-12 py-2" style="background:#003a78;border-radius:0 0 52px 0">
                      <div>Receiver Signature</div>
                    </div>
                  </div>
                  <div class="col-8 sig  mb-1 py-2" style="background:#f18522;font-size:15px">
                    <div class="col-6 p-0 ml-auto">
                     <div>Authorised Signature</div>
                    </div>
                  </div>
                </div>
              </div>
              <div class="row mt-2"> </div>
          </footer>
        </div>
        <script src="{{asset('public/js/num_to_w.js')}}"></script>
        <script>
        $(document).ready( function(event){
          var get_num = '{{$up->tk}}';
          if(get_num){
            var num_to_words = toWords(get_num);
            $('#inWord').text(num_to_words);
          }
        })
        </script>
      </div>



@else
 <script> window.location.replace("{{url('dashbord?not=1')}}"); </script>
@endif
@endsection