@if($top)
<div class="bg-white row p-3 mb-3">
  <div class="col-md-3 row p-0">
    <h4 class="fwb mb-2 pr-1">
       {{ $ln? ' Sales Invoices ' : 'বিক্রয় চালান'}}
   </h4>
    <form class="col-12 row text-light date p-1" action="{{url('sale/sale_inv')}}">
       <p class="col-4 fwb mb-3 {{$bg}} px-2 pt-2">Start</p>
       <div class="col-8 p-0 row mb-3">
          <input  type="date" name="day" class="form-control"
                 @if($day) value="{{$day}}" @endif/>
        </div>
       <p class="col-3 fwb mb-2 {{$bg}} pt-2">End</p>
       <div class="col-7 p-0 row mb-2">
          <input  type="date" name="day_2" class="form-control"
                 @if($day_2) value="{{$day_2}}" @endif/>
        </div>
        <div class="col-2 p-0">
          <button class="btn btn-info col-12" style="margin-left:-1px" type="submit">
            <i class="fa fa-search"></i></button>
        </div>
           <input type="hidden" name="u_id"  value="{{$$u_id}}"/>
    </form>
  </div>
  <div class="col-md-9 row m-0">
    <div class="col-md-4 text-center row p-2">
        <div class="col-md-11 bor p-0" style="border:1px solid #60ffa7">
          <p class="fwb bb m-0 p-2" style="background:#90ffbc">Total Received</p>
          <h4 class="m-1 pb-1 border-bottom">
            <span class="tk text-right">৳ {{$s_rec+$in_tk}}</span>
            <input type="hidden" class="too" name="pbl" id="payT">
          </h4>
          <div class="t_sa row fwb mb-2">
            <p class="m-0 pl-2">Cash Sale:  {{$s_rec}}</p>
            <p class="m-0 pl-2">+</p>
            <p class="m-0 pl-2">Pay In:  {{$in_tk}}</p>
          </div>
        </div>
        <h3 class="col-md-1 mt-md-4 mb-0 fwb" style="padding:10px 0 0 8px">+</h3>
    </div>
    <div class="col-md-4 text-center row p-2">
        <div class="col-md-11 bor p-0" style="border:1px solid #f78b8b">
            <p class="fwb bb m-0 p-2" style="background:#ffaaaa">Total Due</p>
            <h4 class="m-1 pb-1 border-bottom">
              <span class="tk text-right">৳  {{($sale_tk+$r_able) - ($s_rec+$in_tk)  }}</span>
          </h4>
          <div class="t_sa row fwb mb-2">
            <p class="m-0 pl-2">Due Sale:  {{ $sale_tk - $s_rec }}</p>
            <p class="m-0 pl-2">+</p>
            <p class="m-0 pl-2">Receivable:  {{$r_able - $in_tk}}</p>
          </div>
        </div>
        <h3 class="col-md-1 mt-md-4 mb-0 fwb" style="padding:10px 5px 0 8px">=</h3>
    </div>
    <div class="col-md-4 text-center row p-2">
       <div class="col-12 bor p-0" style="border:1px solid #fbbc00">
          <p class="fwb bb m-0 p-2" style="background:#fbbc00">Total Bills</p>
          <h4 class="m-3 pb-1"><span class="tk text-right">৳ {{$sale_tk+$r_able}}</span>
          </h4>
       </div>
    </div>
  </div>
</div>
@else
<div class="row pt-4 mb-3 bg-white">
  <h4 class="col-md-3 fwb mb-4">
    {{ $ln? ' Sales Invoices ' : 'বিক্রয় চালান'}}
  </h4>
  <form class="col-md-7 p-0 row text-light date" action="{{url('sale/sale_inv')}}">
      <div class="col-md-4 row p-0 mb-4">
        <p class="col-4 fwb mb-0 {{$bg}} pt-2">Start</p>
        <div class="col-8 pl-0 pr-md-4 row mb-0">
          <input type="date" name="day" class="form-control" @if($day) value="{{$day}}" @endif/>
        </div>
      </div>
      <div class="col-md-5 row p-0 mb-4">
        <p class="col-3 fwb mb-0 {{$bg}} pt-2 pl-3">End</p>
        <div class="col-7 px-0 row mb-0">
          <input type="date" name="day_2" class="form-control" @if($day_2) value="{{$day_2}}" @endif/>
        </div>
        <div class="col-2 px-0">
          <button class="btn btn-info col-12" style="margin-left:-1px" type="submit">
            <i class="fa fa-search"></i></button>
        </div>
      </div>
      <input type="hidden" name="page" value="{{request()->page}}">

      <div class="col-md-3 pr-0 mt-0" >
         <select class="{{$fc}} br0 h_36" name="u_id"  onchange="this.form.submit()">
           <option value="">Select User or Instalment</option> <option value="">All Users</option>
            @foreach(App\User::get() as $t_t)
               <option {{ $t_t->id==$u_id? 'selected' : '' }} value="{{ $t_t->id }}">{{ $t_t->name }}</option>
            @endforeach
            <option>Instalment</option>
         </select>
      </div>
  </form>


  <div class="col-md-2 mb-4">
    <?php $url = 'day='.$day.'&day_2='.$day_2.'&ser='.$ser.'&title='.$title.'&sc='.$sc.'&top='.$top.'&u_id='.$u_id; ?>
    <a class="btn btn-info pt-1 prnt px-3 mx-1 h_36 float-right"
         href="{{ url('sale/bill_pdf?'.$url)}}">
      <i class="fa fa-print"></i>
    </a>
    <a class="btn btn-primary  px-3 mx-1 h_36 float-right"
        href="{{url('sale/sale_inv')}}?top=1">
      <i class="fa fa-bar-chart p-0"></i>
    </a>
  </div>
</div>
@endif