@extends('front.master')
@section('cat_p')active @endsection
@section('body')
<div class="ads-grid">
<div class="container">
	<!-- tittle heading -->	
	<h3 class="tittle-w3l text-center p-5 mb-2">
		{{$categoryName}}
	</h3>
	<div class="agileinfo-ads-display col-md-12 w3l-rightpro">
		<div class="shadow">
			<div class="services-breadcrumb">
			  <div class="container">
					<ul class="w3_short">
						<li>Category </li>
						<li>> </li>
						<li>{{$categoryName}}</li>
					</ul>
			  </div>
			</div>
			
			<div class="row"> 
			  @foreach ($products as $item)
				<div class="col-md-3 product-men mt-5 mb-5">
					<div class="men-pro-item simpleCart_shelfItem">
						<div class="men-thumb-item text-center">
							<img src="{{asset($item->product_image)}}" alt="">
							<div class="men-cart-pro">
								<div class="inner-men-cart-pro">
									<a href="{{ url('product-details',['id' => $item->id] ) }}" class="link-product-add-cart">Quick View</a>
								</div>
							</div>
						</div>
						
						<div class="item-info-product text-center border-top mt-4">
							<h4 class="pt-1">
								<a href="{{  url('product-details',['id' => $item->id] ) }}">
									{{ $item->product_name}}
								</a>
							</h4>
							<div class="info-product-price my-2">
						     @if($item->product_new)
							   ৳<span class="item_price">{{ $item->product_new}} </span>
						     @else
							   ৳<span class="item_price">{{ $item->product_price}} </span>
							 	
							 @endif
							   
						     @if($item->product_new)
									<del> ৳{{ $item->product_price}} </del>
							 @endif	
							</div>
						    <div class="snipcart-details top_brand_home_details item_add single-item hvr-outline-out">
							 @include('front.cart.cart-button')
						    </div>
						</div>
					</div>
				</div>
			   @endforeach
			</div>
			{{$products->links()}}
			<div class="clearfix"></div>

		</div>
	</div>
</div>
</div>
@endsection