@extends('front.master')
@section('all_p')active @endsection
@section('body')
<style>.table td,.table th{text-align:center}
.table tr:nth-of-type(2n+1){background-color:#FBF9F9}
</style>
<div class="banner-bootom-w3-agileits"> 
 <div class="container">
   <h3 class="tittle-w3l text-center p-4 my-1"> All Products</h3>
   <table class="table tab_respon">
      <thead> 
        <tr class="bg-info text-light">
          <th>Sl</th>
          <th>Product Image</th>
          <th>Product Name</th>
          <th>Stock</th>
          <th>Price</th>
          <th>Category</th>
          <th>Short Description</th>
        </tr>                
      </thead>
      <tbody>
      @foreach ($prs as $item)
        <tr>
          <td>{{$loop->index + 1}}</td>
          <td>
            @if($item->img)
             <img src="{{asset($item->img)}}" width="70"> 
            @else
             <img src="{{asset('img/img.png')}}" width="70"> 
            @endif
          </td>
          <td><p class="text-center p-2 mb-1">{{$item->name}}</p>
          </td>
          <td>
          </td>
          <td>
            @if ($item->product_new){{$item->product_new}}
            @else {{$item->price}} 
            @endif
         </td>
          <td>
            @if($item->category) {{ $item->category['category_name'] }} @endif
          </td>
          <td> {{Str::limit($item->descrip,23)}} </td>
        </tr>
      @endforeach
     </tbody>
   </table>
     {{$prs->links()}}
 </div>
</div>
@endsection