<?php
// Route::get('dashbord','AdminController@index')->name('admin');
Route::post('del','AdminController@del');
Route::post('pr_del','AdminController@pr_del');
Route::post('party_del','AdminController@party_del');

//AdminOrderControl
Route::get('sale','AdminOrderControl@sale');
Route::post('adminOrder','AdminOrderControl@adminOrder');
  
// SaleControl
Route::get('manageSale','SaleControl@manageSale');
Route::get('showSale/{id}','SaleControl@showSale');
Route::get('due_update/{id}','SaleControl@due_update');
Route::get('due_sale','SaleControl@due_sale');
// Route::get('due_collec','SaleControl@due_collec');

Route::get('trash_sale','SaleControl@trash_sale');
Route::post('remove_Sale/{id}','SaleControl@remove_Sale');
Route::get('restore_sale/{id}','SaleControl@restore_sale');


// BrandController
Route::get('add-brand','BrandController@addBrand');
Route::get('manage-brand','BrandController@manageBrand');
Route::post('new-brand','BrandController@newBrand');
Route::get('edit-brand/{id}','BrandController@editBrand');
Route::post('update-brand/','BrandController@upadateBrand');
Route::post('delete-brand/{id}','BrandController@deleteBrand');

// Sub CategoryController
Route::get('add-category','CategoryController@addCategory');
Route::post('new-category','CategoryController@newCategory');
Route::get('manage-category','CategoryController@manageCategory');
Route::get('edit-category/{id}','CategoryController@editCategory');
Route::post('update-category','CategoryController@upadateCategory');

Route::get('UserShow','UserController@UserShow');
Route::post('UserDelete/{id}','UserController@UserDelete');

// InvouceControl
Route::post('invouce/{id}','InvouceControl@invouce');
Route::get('day_pdf','InvouceControl@day_pdf');

Route::get('add_edit','UserController@add_edit');
Route::post('user/post','UserController@post');

Route::get('rep/item_stok',function(){ return view('dash.rep.item_stok'); });
Route::get('st_pdf',function(){ return view('dash.rep.st_pdf'); });

Route::get('rep/b_sheet',function(){ return view('dash.rep.b_sheet'); });
Route::get('b_s_pdf',function(){ return view('dash.rep.b_s_pdf'); });

// Party-Control
Route::post('party/post','Dash\PartyCon@post');
Route::get('party/all','Dash\PartyCon@all');

Route::get('pay/pay_in',function(){ return view('dash.pay.pay_in'); });
Route::get('pay/add',function(){ return view('dash.pay.add'); });
Route::post('pay_post','Dash\PartyCon@pay_post');


// Bank-Control
Route::post('bank/post','Dash\BankCon@post');
Route::get('bank/all','Dash\BankCon@all');
Route::post('tran_post','Dash\BankCon@tran_post');
Route::post('tran_del','Dash\BankCon@tran_del');

// item-Control
Route::get('item/add','Dash\ItemCon@add');
Route::post('item/post','Dash\ItemCon@post');
Route::get('item_up','Dash\ItemCon@item_up');
Route::get('item/all','Dash\ItemCon@all');

Route::post('item_del','Dash\ItemCon@item_del');
Route::get('unit/all',function(){ return view('dash.item.in.unit_all'); });

// Purc-Control PurcCon
Route::get('purc/add','Dash\PurcCon@add');
Route::post('purc/post','Dash\PurcCon@post');
Route::get('purc/bills',function(){ return view('dash.purc.bills'); });
Route::get('purc/bill_pdf',function(Request $r){ return view('dash.purc.bill_pdf'); });
Route::get('purc/bill_pdf',function(){ return view('dash.purc.bill_pdf'); });

// Sale-Control
Route::get('sale/add','Dash\SaleCon@add');
Route::post('sale/post','Dash\SaleCon@post');
Route::get('sale/bill_pdf',function(){ return view('dash.sale.sale_in_pdf'); });
Route::get('sale/sale_inv',function(){ return view('dash.sale.sale_inv'); });

// Add-Control
Route::post('add/post','Dash\AddCon@post');

Route::post('company','Dash\CompanyCon@company');

// ExpControl
Route::get('ex/add','Dash\ExpCon@add');
Route::post('ex/post','Dash\ExpCon@post');
Route::get('ex/pdf/{id}','Dash\ExpCon@pdf');
Route::get('ex/all','Dash\ExpCon@all');