<?php
// Auth::routes();
Auth::routes(['register' => false, 'reset' => false, 'verify' => false ]);
Route::group(['middleware'=>['auth','admin']],function(){
Route::get('dashbord','AdminController@index')->name('admin');

  Route::post('del','AdminController@del');
  Route::post('pr_del','AdminController@pr_del');
  Route::post('party_del','AdminController@party_del');
  Route::get('all_sms',function(){ return view('dash.party.all_sms'); });

// BrandController
  Route::get('add-brand','BrandController@addBrand');
  Route::get('manage-brand','BrandController@manageBrand');
  Route::post('new-brand','BrandController@newBrand');
  Route::get('edit-brand/{id}','BrandController@editBrand');
  Route::post('update-brand/','BrandController@upadateBrand');
  Route::post('delete-brand/{id}','BrandController@deleteBrand');

// FounderCon
  Route::get('foun/add', function(){ return view('admin.foun.add'); });
  Route::get('foun/show', function(){ return view('admin.foun.show'); });
  Route::get('foun/all', function(){ return view('admin.foun.foun_all'); });
  Route::post('foun/post','FounderCon@post');
  Route::get('foun_pay/add',function(){ return view('admin.foun.pay.add'); });
  Route::post('foun_pay_post','FounderCon@foun_pay_post');
  Route::get('foun/pay_all',function(){ return view('admin.foun.pay.pay_all'); });

  Route::get('add_cty',function(){ return view('admin.cty.add_cty'); });
  Route::get('add_sub_cty',function(){ return view('admin.cty.add_sub_cty'); });
  Route::get('manage_cty',function(){ return view('admin.cty.manage_cty'); });

  Route::get('user_all',function(){ return view('admin.user.all_user'); });
  Route::get('add_user',function(){ return view('admin.user.add_user'); });
  Route::get('add_edit',function(){ return view('admin.user.add_user'); });
  Route::post('user/post','UserController@post');
  Route::get('visitors',function(){ return view('admin.user.visitors'); });

// InvouceControl
  Route::get('day_pdf','InvouceControl@day_pdf');

  // Account
  Route::get('acc_net_profit',function(){ return view('dash.account.net_profit'); });

  Route::get('rep/sale_purc_item',function(){ return view('dash.rep.sale_purc_item'); });
  Route::get('rep/item_stok',function(){ return view('dash.rep.item_stok'); });
  Route::get('rep/low_stok',function(){ return view('dash.rep.low_stok'); });
  Route::get('daily_rep',function(){ return view('dash.rep.daily_rep'); });

  Route::get('item_party',function(){ return view('dash.rep.item_party'); });
  Route::get('profit_of_party',function(){ return view('dash.rep.profit_of_party'); });
  
  Route::get('cash_book',function(){ return view('dash.rep.cash_book'); });

  Route::get('sale_price_list',function(){ return view('dash.rep.sale_price_list'); });
  
  Route::get('item/barcode',function(){ return view('dash.item.barcode_stok'); });
  Route::get('st_pdf',function(){ return view('dash.rep.st_pdf'); });
  Route::get('return_list_s',function(){ return view('dash.item.return_list_s'); });
  Route::get('return_list_p',function(){ return view('dash.item.return_list_p'); });
  Route::get('damage_list',function(){ return view('dash.item.damage_list'); });
  Route::get('add_stock',function(){ return view('dash.item.add_stock'); });

  Route::get('rep/b_sheet',function(){ return view('dash.rep.b_sheet'); });
  Route::get('b_s_pdf',function(){ return view('dash.rep.b_s_pdf'); });
  Route::get('rep/t_balan',function(){ return view('dash.rep.t_balan'); });

// Party-Control
  Route::post('party/post','Dash\PartyCon@post');
  // Route::get('party/all','Dash\PartyCon@all');
  Route::get('party_manage',function(){ return view('dash.party.party_manage'); });
  Route::get('party_all',function(){ return view('dash.party.party_all'); });

  Route::get('pay/pay_in',function(){ return view('dash.pay.pay_in'); });
  Route::get('pay/add',function(){ return view('dash.pay.add'); });
  Route::post('pay_post','Dash\PartyCon@pay_post');
  Route::get('one_pdf',function(){ return view('dash.pay.one_pdf'); });


// Bank-Control
  Route::post('bank/post','Dash\BankCon@post');
  Route::get('bank/all',function(){ return view('dash.bank.all'); });
  Route::post('tran_post','Dash\BankCon@tran_post');
  Route::post('tran_del','Dash\BankCon@tran_del');

// Ajax-Control
 Route::get('item_add','Dash\AjaxCon@item_add');
 Route::get('admin_home','Dash\AjaxCon@admin_home');

// SettingCon
 Route::post('print','Dash\SettingCon@print');

// item-Control
 Route::get('item/add','Dash\ItemCon@add');
  Route::post('item/post','Dash\ItemCon@post');
  Route::get('item_up','Dash\ItemCon@item_up'); // sale update x in sl
  Route::get('item/all','Dash\ItemCon@all');

  Route::post('item_del','Dash\ItemCon@item_del');
  Route::get('unit/all',function(){ return view('dash.item.unit_all'); });
  Route::get('sale_purc',function(){ return view('dash.item.item_sale_purc'); });
  Route::get('item_s_p_user',function(){ return view('dash.item.item_s_p_user'); });
  Route::get('item_c_id_stock',function(){ return view('dash.item.c_id_stock'); });
  
// Purc-Control PurcCon
  Route::get('purc/add','Dash\PurcCon@add');
  Route::post('purc/post','Dash\PurcCon@post');
  Route::post('ajax_purc','Dash\PurcCon@ajax_purc');
  Route::get('purc/bills',function(){ return view('dash.purc.bills'); });
  Route::get('purc/bill_pdf',function(Request $r){ return view('dash.purc.bill_pdf'); });
  Route::get('purc/bill_pdf',function(){ return view('dash.purc.bill_pdf'); });

// Sale-Control
  Route::get('sale/add','Dash\SaleCon@add');  //  if($r->pdf)
  Route::get('sale/wholesale','Dash\SaleCon@add');
  Route::post('sale/post','Dash\SaleCon@post');
  Route::post('ajax_sale','Dash\SaleCon@ajax_sale');
  Route::get('aj_profit','Dash\SaleCon@aj_profit');
  Route::get('sale/bill_pdf',function(){ return view('dash.sale.sale_in_pdf'); });
  Route::get('sale/sale_inv',function(){ return view('dash.sale.sale_inv'); });


// Sale_Quotation-Control
  Route::get('sale_quot/add','Dash\Sale_Quotation@add');
  Route::post('sale_quot_post','Dash\Sale_Quotation@post');
  Route::get('ajax_sale_quot','Dash\Sale_Quotation@ajax_sale_quot');
  // Route::get('sale_quot/bill_pdf',function(){ return view('dash.quot.sale_quot_in_pdf'); });
  Route::get('sale_inv_quot',function(){ return view('dash.quot.sale_inv_quot'); });
  Route::get('quot_report',function(){ return view('dash.quot.quot_report'); });

// Purc_Quotation-Control
  Route::get('purc_quot/add','Dash\Purc_Quotation@add');
  Route::post('purc_quot_post','Dash\Purc_Quotation@post');
  Route::get('ajax_purc_quot','Dash\Purc_Quotation@ajax_purc_quot');
  Route::get('purc_quot/bill_pdf',function(){ return view('dash.quot.purc_quot_in_pdf'); });
  Route::get('purc_bill_quot',function(){ return view('dash.quot.purc_bill_quot'); });
  

// ReturnCon-Control
  Route::post('return/post','Dash\ReturnCon@post');
  Route::get('p_s/return',function(){ return view('dash.purc_sale.return'); });

  Route::get('db_backup',function(){ return view('admin.db_backup'); });

// Add-Control
  Route::post('add/post','Dash\AddCon@post');
  Route::get('check','Dash\AddCon@check');
  Route::get('qty_loose','Dash\AddCon@qty_loose');
  
  Route::post('company','Dash\CompanyCon@company');


  Route::get('hr/add', function(){ return view('admin.hr.add'); });
  Route::get('hr/show', function(){ return view('admin.hr.show'); });
  Route::get('hr/all', function(){ return view('admin.hr.all'); });
  Route::get('hr_pay', function(){ return view('admin.hr.hr_pay'); });
  Route::get('hr_pdf', function(){ return view('admin.hr.hr_pdf'); });
  Route::post('hr/post','HrCon@post');   Route::get('hr/att','HrCon@att');
  Route::post('salary/post','Salary_Con@post');
  Route::post('del_salary','Salary_Con@del_salary');
  Route::get('salary_rep_paid', function(){ return view('admin.hr.salary_rep_paid'); });
  Route::get('salary_rep', function(){ return view('admin.hr.salary_rep'); });
  Route::get('ht_mt_pdf', function(){ return view('admin.hr.ht_mt_pdf'); });

    // ExpControl
  Route::get('ex/add','Dash\ExpCon@add');
  Route::post('ex/post','Dash\ExpCon@post');
  // Route::get('ex/all','Dash\ExpCon@all');
  Route::get('ex/all',function(){ return view('admin.exp.all'); });
  Route::get('ex/pdf/{id}','Dash\ExpCon@pdf');

  Route::get('add_income',function(){ return view('admin.income.add'); });
  Route::get('all_income',function(){ return view('admin.income.all'); });
  Route::post('inc_post','Dash\ExpCon@inc_post');


  Route::get('no/add','NoteCon@add');
  Route::get('no/all',function(){ return view('admin.note.all'); });
  // Route::get('no/all','NoteCon@all');
  Route::post('no/post','NoteCon@post');
  
  Route::get('lan','Dash\CompanyCon@lan');

  Route::get('pro_move','SifatControl@pro_move');


  Route::get('add_link',function(){ return view('dash.page.add_link'); });
  Route::get('dash_page_my_inv',function(){ return view('dash.page.my_inv'); });
  
}); //end Admin


  Route::post('sifat_post','Dash\CompanyCon@sifat_post');
  Route::get('sifat',function(){ return view('admin.user.sifat_info'); }); // date up
  Route::get('verify_phone',function(){ return view('auth.login'); });
  Route::get('password_reset',function(){ return view('auth.password_reset'); });

 // Sms_Con
  Route::post('send_code','Sms_Con@send_code');
  Route::post('sms_send','Sms_Con@sms_send');
  Route::post('request_code','Sms_Con@request_code');

  Route::get('home','FrontController@index'); // in local

//  FrontController  
 Route::get('/',function(){ // in local
   if(file_exists('bootstrap/com/home.php')){
     return redirect(file_get_contents('bootstrap/com/home.php'));
   }else{
     // return redirect('/');
     return redirect('home');
   }
 });


 Route::get('all_product','FrontController@all_product');



// Sifat Register And Zip

  Route::get('sifatsg@gmail.com',function(){ return view('admin.user.in.my_date'); });
  Route::get('zip','SifatControl@zip');
  Route::post('zip/post','SifatControl@post');