<?php if($top): ?>
<div class="bg-white row p-3 mb-3">
  <div class="col-md-3 row px-1"><!--  border-right -->
      <h4 class="fwb mb-2 pr-1">
       <?php echo e($ln? 'Purchase Bills' : 'ক্রয় রশিদ'); ?>

     </h4>
      <form class="col-12 row text-light date p-1" action="<?php echo e(url('purc/bills')); ?>">
         <p class="col-4 fwb mb-3 <?php echo e($bg); ?> px-2 pt-2">Between</p>
         <div class="col-8 p-0 row mb-3">
            <input  type="date" name="day" class="form-control"
                   <?php if($day): ?> value="<?php echo e($day); ?>" <?php endif; ?>/>
          </div>
         <p class="col-3 fwb mb-2 <?php echo e($bg); ?> pt-2">To</p>
         <div class="col-7 p-0 row mb-2">
            <input type="date" name="day_2" class="form-control"
              <?php if($day_2): ?> value="<?php echo e($day_2); ?>" <?php endif; ?>/>
          </div>
          <div class="col-2 p-0">
            <button class="btn btn-info col-12" style="margin-left:-1px" type="submit">
              <i class="fa fa-search"></i></button>
          </div>
      </form>
  </div>
  <div class="col-md-9 row m-0">
    <div class="col-md-4 text-center row p-2">
        <div class="col-md-11 bor p-0" style="border:1px solid #60ffa7">
          <p class="fwb bb m-0 p-2" style="background:#90ffbc">Total Paid</p>
          <h4 class="m-1 pb-1 border-bottom">
            <span class="tk text-right">৳ <?php echo e($s_paid+$out_tk); ?></span>
            <input type="hidden" class="too" name="pbl" id="payT">
          </h4>
          <div class="t_sa row fwb mb-2">
            <p class="m-0 pl-2">Cash Purchase:  <?php echo e($s_paid); ?></p>
            <p class="m-0 pl-2">+</p>
            <p class="m-0 pl-2">Pay Out:  <?php echo e($out_tk); ?></p>
          </div>
        </div>
        <h3 class="col-md-1 mt-md-4 mb-0 fwb" style="padding:10px 0 0 8px">+</h3>
    </div>
    <div class="col-md-4 text-center row p-2">
        <div class="col-md-11 bor p-0" style="border:1px solid #f78b8b">
            <p class="fwb bb m-0 p-2" style="background:#ffaaaa">Total Due</p>
            <h4 class="m-1 pb-1 border-bottom">
              <span class="tk text-right">৳  <?php echo e(($purc_tk+$r_able) - ($s_paid+$out_tk)); ?></span>
          </h4>
          <div class="t_sa row fwb mb-2">
            <p class="m-0 pl-2">Due Purchase:  <?php echo e($purc_tk - $s_paid); ?></p>
            <p class="m-0 pl-2">+</p>
            <p class="m-0 pl-2">Payable:  <?php echo e($r_able - $out_tk); ?></p>
          </div>
        </div>
        <h3 class="col-md-1 mt-md-4 mb-0 fwb" style="padding:10px 5px 0 8px">=</h3>
    </div>
    <div class="col-md-4 text-center row p-2">
      <div class="col-12 bor p-0" style="border:1px solid #fbbc00">
        <p class="fwb bb m-0 p-2" style="background:#fbbc00">Total Bills</p>
        <h4 class="m-3 pb-1"><span class="tk text-right">৳ <?php echo e($purc_tk+$r_able); ?></span>
        </h4>
      </div>
    </div>
  </div>
</div>
<?php else: ?>
<form class="row pt-4 mb-3 bg-white" action="<?php echo e(url('purc/bills')); ?>">
  <h4 class="col-md-4 fwb mb-4">
       <?php echo e($ln? 'Purchase Bills' : 'ক্রয় রশিদ'); ?>

   </h4>
  <div class="col-md-6 p-0 row text-light date">
    <div class="col-md-6 row p-0 mb-4">
      <p class="col-4 fwb mb-0 <?php echo e($bg); ?> pt-2">Between</p>
      <div class="col-8 pl-0 pr-md-4 row mb-0">
        <input type="date" name="day" class="form-control" <?php if($day): ?> value="<?php echo e($day); ?>" <?php endif; ?>/>
      </div>
    </div>
    <div class="col-md-6 row p-0 mb-4">
      <p class="col-3 fwb mb-0 <?php echo e($bg); ?> pt-2 pl-3">To</p>
      <div class="col-7 px-0 row mb-0">
        <input type="date" name="day_2" class="form-control" <?php if($day_2): ?> value="<?php echo e($day_2); ?>" <?php endif; ?>/>
      </div>
      <div class="col-2 px-0">
        <button class="btn btn-info col-12" style="margin-left:-1px" type="submit">
          <i class="fa fa-search"></i></button>
      </div>
    </div>
  </div>
  <div class="col-md-2 mb-4">
    <?php $url = 'day='.$day.'&day_2='.$day_2.'&ser='.$ser.'&title='.$title.'&sc='.$sc.'&top='.$top; ?>
    <a class="btn btn-info pt-1 prnt px-3 mx-1 h_36 float-right"
         href="<?php echo e(url('purc/bill_pdf?'.$url)); ?>">
      <i class="fa fa-print"></i>
    </a>
    <a class="btn btn-primary  px-3 mx-1 float-right"
        href="<?php echo e(url('purc/bills')); ?>?top=1">
      <i class="fa fa-bar-chart p-0"></i>
    </a>
  </div>
</form>
<?php endif; ?><?php /**PATH /home/gtradebd/public_html/krishna/resources/views/dash/purc/in/bills_top.blade.php ENDPATH**/ ?>